#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xd3736c66, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xcabe0f0c, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xdb9ac603, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xdca7983f, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x5797edc4, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xc4c509f9, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x310f117c, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xf88ddd7c, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x820d68c8, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x106fee7d, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x8c92a765, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe3204aad, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x78958987, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x15728665, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xab0863ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x230d7fbc, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9983781, "_dev_err" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xbdc99f0a, "kthread_create_worker" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x787c70f9, "sched_set_fifo" },
	{ 0xf9a482f9, "msleep" },
	{ 0x547891c, "_dev_warn" },
	{ 0x356b93e6, "kthread_destroy_worker" },
	{ 0x7c284050, "crypto_enqueue_request" },
	{ 0xe3d2b4d4, "crypto_dequeue_request" },
	{ 0x12cdec2, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
