#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0xf02758bc, "crypto_shash_tfm_digest" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x296f2f2, "crypto_grab_skcipher" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x645e69, "aead_register_instance" },
	{ 0x6c17377d, "crypto_mod_put" },
	{ 0xe7a09d90, "crypto_grab_aead" },
	{ 0x9f984513, "strrchr" },
	{ 0x349cba85, "strchr" },
	{ 0xaf246b82, "crypto_alg_mod_lookup" },
	{ 0x92997ed8, "_printk" },
	{ 0xef063239, "shash_no_setkey" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc68523a6, "skcipher_register_instance" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d25624, "crypto_register_template" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x69acf2a5, "crypto_cipher_encrypt_one" },
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x7d0179b4, "crypto_drop_spawn" },
	{ 0x77e81802, "crypto_unregister_template" },
	{ 0x66deb742, "crypto_alloc_base" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x817bcf36, "crypto_spawn_tfm2" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x27ae03e8, "crypto_shash_finup" },
	{ 0xb0a7c6e3, "crypto_cipher_setkey" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "authenc");


MODULE_INFO(srcversion, "648A5E6B4FDD4AF4A258838");

MODULE_INFO(suserelease, "SLE15-SP6");
