#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0xaaa4efaf, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xf45bed79, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x5c9d2844, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x938553cb, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x5d9c1fd2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b27511c, "nvdimm_region_notify" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76c59c37, "nd_region_provider_data" },
	{ 0xcc81db37, "nvdimm_bus_add_badrange" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xfd5ac648, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb8d3f847, "__nvdimm_create" },
	{ 0x60390ab4, "to_nd_region" },
	{ 0xaf7d953c, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x162631b, "acpi_dev_remove_notify_handler" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb9853f3e, "kernfs_notify" },
	{ 0xe7574542, "to_nvdimm_bus" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf75c7a84, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x34af3187, "acpi_dev_install_notify_handler" },
	{ 0xe93b14b6, "to_nd_desc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x37985278, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xe201b61f, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x34ae8f52, "kernfs_find_and_get_ns" },
	{ 0xb8ecacbf, "nvdimm_name" },
	{ 0xfb0d0151, "to_nvdimm_bus_dev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x45505997, "nvdimm_volatile_region_create" },
	{ 0x89a934d7, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd244717d, "nvdimm_in_overwrite" },
	{ 0xccedcdf9, "nvdimm_to_bus" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xbd2a6a1a, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x843f1152, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xe0cca6c3, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xf7fde3ad, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8b4b5ab6, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xeb3dd355, "nvdimm_pmem_region_create" },
	{ 0xf67906, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x6cfaf14, "nvdimm_cmd_mask" },
	{ 0x5cba3a6a, "acpi_bus_register_driver" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "26D03865935656B02FCA59D");

MODULE_INFO(suserelease, "SLE15-SP6");
