#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31134119, "crypto_alloc_ahash" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc940628f, "dmam_pool_create" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x5fb657b3, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x35d8cb46, "crypto_register_aead" },
	{ 0x2629a50f, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xb10067cc, "crypto_unregister_ahash" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7c284050, "crypto_enqueue_request" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20c838cb, "pcim_iomap_regions" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xbade8f8b, "crypto_register_skcipher" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98ce6d80, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x30e7df68, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x77f6da13, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b51080f, "crypto_ahash_digest" },
	{ 0x14044a3c, "crypto_ahash_final" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0xe3d2b4d4, "crypto_dequeue_request" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x1f951530, "pcim_iomap_table" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("pci:v000010EEd00009038sv000016AEsd0000C522bc*sc*i*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97ies");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97iesC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197b");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197bC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197d");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197dC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxl");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxlC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97C*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197C*");

MODULE_INFO(srcversion, "8F0E130C3DD52460C291488");

MODULE_INFO(suserelease, "SLE15-SP6");
