#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(to_cxl_root_decoder, 0xe182dc2e, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x55cddf61, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x52b9de5a, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x850937aa, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x98752d23, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x64f82acc, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x7498c5a2, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x818775c8, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xec3fb685, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x83de64ac, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x68f45791, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x2c0d666a, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x31d272cb, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x387dff4e, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x5a7e1834, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x81c96818, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xdd668e61, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x5d1846a5, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x0e3ecc55, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xd84e4bc0, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xe9d75a8f, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x4d001b59, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x8338a794, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xa505147e, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xb65c878b, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xd2aa14e7, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x7fd4dfe9, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xe18fc85c, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xb6ba9369, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x30c8e06b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xba585103, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xb6e89cc8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xf6827ed7, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x800097c1, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x7768c949, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xcd8c8042, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xaac664ef, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x189118bd, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xd4cdef87, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x820736f2, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x8bc458a4, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5b2dff11, "_gpl");
SYMBOL_CRC(cxl_rcrb_to_component, 0x6365e411, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x22cd7762, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x7ce8666d, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x302fb4d9, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x14b26d43, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xf50f45fe, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xed458542, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x82093375, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x24c42743, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x3273d7f0, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xfb2e67dd, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x4df9e9f7, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x6855a6c4, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x615b961c, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x9bd209e4, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xcd3e3e34, "_gpl");
SYMBOL_CRC(cxl_dev_state_create, 0x4164c2b4, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x61ad5f8d, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x098016e3, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x71f126ae, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xd2693fda, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xf934b6f9, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xbf8fbab1, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x34ba5f94, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xe9711382, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xbe4bd74a, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xab4aa267, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x5875e002, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x75118d6a, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x6644db57, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xf3d47c33, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xe19a348a, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xaef0d22f, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x500c1012, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xed1cd6e4, "devm_remove_action" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x5cf6b519, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa0c9724e, "bus_for_each_dev" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x7e149fed, "sysfs_update_group" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x93cacdc1, "down_write" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0x80159a91, "bus_find_device" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x5a7a5b56, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xcbb9096a, "devm_release_action" },
	{ 0xe7edac6f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x75e36792, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x578bec9, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa56986ef, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x3d25fa38, "down_write_killable" },
	{ 0xae367003, "xa_destroy" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x32cff835, "device_match_name" },
	{ 0xb70789e, "__might_fault" },
	{ 0x4daa7ee1, "pci_walk_bus" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0x6a6bec36, "pci_find_dvsec_capability" },
	{ 0x329a1e6, "device_find_child_by_name" },
	{ 0x6ca9bfda, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB53E38CD2F6432D98DAEF7");

MODULE_INFO(suserelease, "SLE15-SP6");
