#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x73394cad, "");
SYMBOL_CRC(fw_card_initialize, 0x5d553dfd, "");
SYMBOL_CRC(fw_card_add, 0xf2b8992d, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0x387cb7cd, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0x620c75b7, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x2398736b, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x98615dd9, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0xb8aace59, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0x79c937a5, "");
SYMBOL_CRC(fw_iso_context_create, 0x6f47f89d, "");
SYMBOL_CRC(fw_iso_context_destroy, 0xe75877c0, "");
SYMBOL_CRC(fw_iso_context_start, 0x1cea4b0f, "");
SYMBOL_CRC(fw_iso_context_queue, 0x58a6bf66, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0xd455fa82, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0xd84c7e36, "");
SYMBOL_CRC(fw_iso_context_stop, 0x545ff5de, "");
SYMBOL_CRC(fw_iso_resource_manage, 0xb58429dd, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x2567c954, "");
SYMBOL_CRC(fw_cancel_transaction, 0x44f55063, "");
SYMBOL_CRC(fw_send_request, 0xb40bcb01, "");
SYMBOL_CRC(fw_run_transaction, 0xf2bb376d, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x08d32048, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x7c51f643, "");
SYMBOL_CRC(fw_fill_response, 0x8078da57, "");
SYMBOL_CRC(fw_send_response, 0xd40abeb2, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0x6d1dd7aa, "");
SYMBOL_CRC(fw_core_handle_response, 0xe9dd9451, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x11089ac7, "_ctype" },
	{ 0x32b081a9, "device_register" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba51f759, "idr_for_each" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x840c8b30, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xb70789e, "__might_fault" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x20f24d39, "vm_map_pages_zero" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "6E8B53A1CE6E5F3833E599B");

MODULE_INFO(suserelease, "SLE15-SP6");
