#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x36aafdaa, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xe00894df, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xda1c90dd, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x126b40d2, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x74f7029b, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xc6c7d355, "");
SYMBOL_CRC(dfl_driver_unregister, 0x821316bb, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xf8088361, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x128c8d13, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xbbba504a, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xc249c316, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x5525a4a7, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xa2b5229d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x4d36d293, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x18efa350, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xe879c4e9, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x93b65532, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x0b47269a, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x84b1653f, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x4e11a923, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x11354728, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xe29f1f84, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x901a59f5, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x49f322ee, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xf8421232, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x2ba34158, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xdaba41ff, "module_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x759899cf, "cdev_init" },
	{ 0x5063406f, "cdev_add" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x58892e26, "get_device" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5cf6b519, "put_device" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0x37071a14, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0xe9983781, "_dev_err" },
	{ 0x4e77e787, "devm_iounmap" },
	{ 0xcf37b5f1, "__devm_release_region" },
	{ 0xd0b6a5f5, "platform_device_add" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xf75587bb, "platform_device_del" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0x4dd66962, "platform_device_put" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x920c5adc, "fpga_region_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe497b33c, "devm_platform_ioremap_resource" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x547891c, "_dev_warn" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x9c99d67f, "devm_ioremap_resource" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x57f8cb27, "__fpga_region_register" },
	{ 0xded29f09, "platform_device_alloc" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "SLE15-SP6");
