#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_dp_dual_mode_read, 0x449db954, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xe42f9351, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x4f71dffc, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x9680d26f, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x0a11c89d, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x56580b3a, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x7085f7e5, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x11afb98c, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x8f3cb8e1, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xd2a64d45, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x89c5fa66, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xc42ad6bb, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xd734622f, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x5f7e6997, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xfc5e5488, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x2b864921, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x4ddd55de, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xc056dbba, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xa08ce8db, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x7a49eb0b, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x1bb22af4, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xaf203ba6, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x0706ddf5, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xfbb963fa, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x3c750546, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x202765c4, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x0d1fee22, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x490e3701, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xdb019021, "");
SYMBOL_CRC(drm_dp_aux_init, 0xf49a8dbb, "");
SYMBOL_CRC(drm_dp_aux_register, 0x2a0f5b6b, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x857e29c3, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xf54b769c, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xe3bb2cd5, "");
SYMBOL_CRC(drm_dp_read_desc, 0x7d6bb818, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xfb6d5cc6, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x90402ea8, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xd30c0f75, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x74aa3d87, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x5234b916, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xaae25883, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x0f42a3b0, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xb041f790, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x4921c680, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x6472c6cf, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xcdc2c9f2, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xef4e3481, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xd33c5c9c, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x9f417040, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x365d94c0, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x904460a6, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xd2053292, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x8c9b4c6a, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x4032839e, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xae8e61b4, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x764fddc3, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xbfb6041d, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x841804a3, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x96f0ea26, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xf088fa8d, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0xa8dc4873, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xa422aba7, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xd48049f5, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xf30b381b, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xecdc18c5, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x2958276c, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x571aaefb, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x43f5048b, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x53f5b1e0, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x35baa60e, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x1215f90a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x9643f79a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xe76c968d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xf25310ed, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x632a5d65, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x2b4c99c8, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x70ad435e, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x0304e090, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x9149c464, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x05969448, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xd3eecb02, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x9c581a71, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xdb7ea817, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xdd40f428, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x018f5a60, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x3946a742, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x9157b95e, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xe7712a80, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x19c15ecc, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xecd1194e, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x6ecf0c7f, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x2710e657, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xbb26084a, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x4702d113, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x289b5d61, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x83aa5189, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xb41b09d0, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x649e6f05, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x26a31a5c, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x59d9ffdb, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x0e263182, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x4922a538, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xdbc0e8ad, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xb915aaf8, "");
SYMBOL_CRC(drm_scdc_read, 0x2c7a9b92, "");
SYMBOL_CRC(drm_scdc_write, 0xdbcf2cd4, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x7aa0be60, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x25761b0f, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x9d63ca8d, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xc6807553, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x0b890927, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xe2620503, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x6582f306, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xa2b87db0, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x7cdc7957, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3507b41b, "drm_crtc_add_crc_entry" },
	{ 0x3396b532, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x563a32f, "drm_connector_register" },
	{ 0x3fc7fe6b, "cec_transmit_attempt_done_ts" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x8ce8a290, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xf7ab7156, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x58151dff, "class_destroy" },
	{ 0x94c669ed, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb11c7609, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x9ef751d7, "drm_connector_unregister" },
	{ 0x39914307, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1b6240d, "drm_mode_object_put" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xf9df9410, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x95efabb0, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3ddb9d96, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0xe21cc6b2, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0x51be63dd, "drm_dev_printk" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcd523c99, "__var_waitqueue" },
	{ 0xf696069, "drm_atomic_get_crtc_state" },
	{ 0x2c80f475, "drm_crtc_wait_one_vblank" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x45e6e380, "drm_modeset_lock" },
	{ 0x914f69c9, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xc3406e22, "device_create" },
	{ 0x92a3aaa, "class_create" },
	{ 0x4d9da6c1, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3aaf5a3c, "fixed_size_llseek" },
	{ 0x16cc8ee0, "drm_crtc_commit_wait" },
	{ 0x4ec2625e, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x6559c5dd, "cec_unregister_adapter" },
	{ 0x865deb92, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xcfb32049, "drm_atomic_get_old_private_obj_state" },
	{ 0x9c7bd6b4, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc43eb315, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2b5def99, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3e040849, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x840c8b30, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0x9d7c484, "drm_display_mode_from_cea_vic" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x28740adb, "cec_fill_conn_info_from_drm" },
	{ 0xa0617c6c, "drm_sysfs_connector_property_event" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4e99229, "cec_received_msg_ts" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xea68b4fc, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xd0e2c805, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x52a594a4, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x607a35ff, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "53BCC84B981347965CB25DF");

MODULE_INFO(suserelease, "SLE15-SP6");
