#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_gem_vram_create, 0x13ab0f8c, "");
SYMBOL_CRC(drm_gem_vram_put, 0xe7284aef, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x9f7322be, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xd4821c51, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x5428dd79, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x0ee2a415, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xb9dafe0d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x5c5d8e73, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x5c106094, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xd24db160, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x7b281030, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xbe23ba60, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x5a195248, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x669d3941, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x46d61ee2, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xff03891a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c58fb31, "ttm_range_man_init_nocheck" },
	{ 0x4529a4d1, "ww_mutex_lock_interruptible" },
	{ 0x8e331474, "ttm_resource_manager_debug" },
	{ 0x5504f50d, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xacb39f4c, "ttm_range_man_fini_nocheck" },
	{ 0x11a73418, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9049af0, "ttm_bo_pin" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x61fcda02, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56f3d6b5, "__drmm_add_action_or_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd929e969, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7d5f87b9, "drm_gem_object_release" },
	{ 0x91e541b, "ttm_tt_init" },
	{ 0xae2449d3, "drm_gem_handle_create" },
	{ 0x89d2961e, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2383f36, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x688d02ae, "drm_debugfs_add_files" },
	{ 0xcf60a402, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93fccef, "ttm_device_init" },
	{ 0x7c30a677, "ttm_bo_validate" },
	{ 0x3927d748, "ttm_bo_move_to_lru_tail" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x206e2ccd, "ttm_bo_vmap" },
	{ 0x72993487, "ttm_bo_put" },
	{ 0x2d664986, "ttm_resource_free" },
	{ 0x33e09c47, "ttm_bo_move_memcpy" },
	{ 0x16ad301a, "ttm_tt_fini" },
	{ 0x81d19029, "ttm_device_fini" },
	{ 0x9e7956ef, "drm_gem_plane_helper_prepare_fb" },
	{ 0x419b331, "ttm_bo_eviction_valuable" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xe7bda329, "drm_gem_ttm_print_info" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");

MODULE_INFO(suserelease, "SLE15-SP6");
