#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf498aea8, "vmbus_driver_unregister" },
	{ 0x6da2087d, "drm_open" },
	{ 0xa3d72c52, "drm_poll" },
	{ 0xd18b0356, "drm_dev_enter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7299ed2, "drm_plane_enable_fb_damage_clips" },
	{ 0x65b45cb, "complete" },
	{ 0x820adca5, "drm_gem_shmem_dumb_create" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x389e1c58, "drm_atomic_helper_shutdown" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x820a84c2, "vmbus_sendpacket" },
	{ 0x438bb122, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x8be2da33, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0xd7ac71f7, "drmm_mode_config_init" },
	{ 0x2dc4faa8, "vmbus_close" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xf5c88e86, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc951deee, "drm_add_modes_noedid" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe5721f98, "drm_atomic_helper_commit" },
	{ 0x146b1474, "drm_atomic_helper_check" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x92784f35, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd92ac4cc, "drm_gem_mmap" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x1adb3cdb, "drm_ioctl" },
	{ 0x3ca8770e, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x8014e655, "drm_dev_unplug" },
	{ 0xd724d60e, "drm_connector_init" },
	{ 0xe9983781, "_dev_err" },
	{ 0x659a2d01, "drm_mode_config_helper_suspend" },
	{ 0x9e0ecf9f, "vmbus_open" },
	{ 0x705cd867, "drm_atomic_helper_damage_merged" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x8faa1931, "drm_read" },
	{ 0x5886e9d6, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x5b23a078, "__devm_drm_dev_alloc" },
	{ 0x78d18f84, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f98f91b, "drm_fbdev_generic_setup" },
	{ 0xb93827dc, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x1495721d, "drm_simple_display_pipe_init" },
	{ 0xcfd7eabe, "drm_connector_cleanup" },
	{ 0x2e5056e0, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0xa655bcb3, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x1a97493b, "__vmbus_driver_register" },
	{ 0xaa3ee4a5, "drm_helper_probe_single_connector_modes" },
	{ 0x956219d4, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x6846c2a4, "drm_set_preferred_mode" },
	{ 0xe3ec74ba, "drm_atomic_helper_connector_reset" },
	{ 0x8b1079ac, "vmbus_allocate_mmio" },
	{ 0x3dd0c964, "drm_mode_config_reset" },
	{ 0x7c5e3df2, "drm_mode_config_helper_resume" },
	{ 0xc7e3b47b, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xf7898bd7, "drm_compat_ioctl" },
	{ 0xe12d0089, "drm_dev_register" },
	{ 0x7ad0e7cc, "drm_release" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "9A2B55357D4B07CED645E36");

MODULE_INFO(suserelease, "SLE15-SP6");
