#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef1c09dc, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x6da2087d, "drm_open" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa3d72c52, "drm_poll" },
	{ 0xc935ce53, "drm_mode_crtc_set_gamma_size" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7299ed2, "drm_plane_enable_fb_damage_clips" },
	{ 0x820adca5, "drm_gem_shmem_dumb_create" },
	{ 0x2450bb21, "i2c_bit_add_bus" },
	{ 0x1bf9232c, "drm_atomic_helper_disable_plane" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x389e1c58, "drm_atomic_helper_shutdown" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x109ed388, "drm_crtc_cleanup" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x85412111, "drm_encoder_cleanup" },
	{ 0x13bd9450, "devm_arch_io_reserve_memtype_wc" },
	{ 0xd7ac71f7, "drmm_mode_config_init" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xd57e9ec5, "drm_connector_attach_encoder" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b424428, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x56f3d6b5, "__drmm_add_action_or_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe5721f98, "drm_atomic_helper_commit" },
	{ 0x146b1474, "drm_atomic_helper_check" },
	{ 0xb5a1cc61, "__drmm_mutex_release" },
	{ 0x92784f35, "drm_atomic_helper_connector_destroy_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd92ac4cc, "drm_gem_mmap" },
	{ 0x114873ac, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x1adb3cdb, "drm_ioctl" },
	{ 0xd8321261, "drm_plane_cleanup" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xf8de4db9, "drm_atomic_helper_commit_tail" },
	{ 0xe9983781, "_dev_err" },
	{ 0xb020475c, "drm_connector_init_with_ddc" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x8faa1931, "drm_read" },
	{ 0x5886e9d6, "drm_gem_fb_create_with_dirty" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdcbe2cf2, "drm_gem_begin_shadow_fb_access" },
	{ 0xa2810fd3, "pci_map_rom" },
	{ 0x6cde159, "drm_atomic_helper_check_plane_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6e7833a5, "drm_crtc_init_with_planes" },
	{ 0x9c7bd6b4, "__drm_dev_dbg" },
	{ 0xf3836148, "drm_connector_helper_get_modes_from_ddc" },
	{ 0x91b80a5d, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0x5b23a078, "__devm_drm_dev_alloc" },
	{ 0x78d18f84, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x830753c5, "drm_atomic_helper_set_config" },
	{ 0x4f98f91b, "drm_fbdev_generic_setup" },
	{ 0x794594af, "devm_arch_phys_wc_add" },
	{ 0x8bde94d7, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb93827dc, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xcfd7eabe, "drm_connector_cleanup" },
	{ 0xf598da3d, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf3c45c87, "drm_universal_plane_init" },
	{ 0x4d7dec13, "drm_gem_destroy_shadow_plane_state" },
	{ 0xda86e689, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x99d3d907, "drm_crtc_enable_color_mgmt" },
	{ 0x2e5056e0, "drm_fb_memcpy" },
	{ 0xf11225e1, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaa3ee4a5, "drm_helper_probe_single_connector_modes" },
	{ 0x3b97794, "__drm_atomic_helper_crtc_reset" },
	{ 0xe2b1ae63, "drm_gem_reset_shadow_plane" },
	{ 0xaa92ec88, "pcim_iomap" },
	{ 0xa901b8b0, "drm_gem_end_shadow_fb_access" },
	{ 0xc0e5caa9, "drm_atomic_helper_page_flip" },
	{ 0xe3ec74ba, "drm_atomic_helper_connector_reset" },
	{ 0x3dd0c964, "drm_mode_config_reset" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x53922f4a, "pci_unmap_rom" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd3aa44f7, "drm_atomic_helper_update_plane" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf7898bd7, "drm_compat_ioctl" },
	{ 0xe12d0089, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7ad0e7cc, "drm_release" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v0000102Bd00000520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000530sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000534sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000102Bd00000538sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "57AAD4B62CACFD60DE4074E");

MODULE_INFO(suserelease, "SLE15-SP6");
