#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0x0061b029, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xadb3f7c3, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x07bd606d, "");
SYMBOL_CRC(drm_sched_stop, 0x5a082c4e, "");
SYMBOL_CRC(drm_sched_start, 0xf1ca3298, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x50ae3863, "");
SYMBOL_CRC(drm_sched_job_init, 0x657224e7, "");
SYMBOL_CRC(drm_sched_job_arm, 0x3f14f963, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x761171e1, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xec148496, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xd3290cd8, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x7e214226, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xc0826919, "");
SYMBOL_CRC(drm_sched_pick_best, 0x342daebb, "");
SYMBOL_CRC(drm_sched_init, 0xcabc387f, "");
SYMBOL_CRC(drm_sched_fini, 0xe965f71a, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x8e0d8618, "");
SYMBOL_CRC(to_drm_sched_fence, 0x26378f5f, "");
SYMBOL_CRC(drm_sched_entity_init, 0x79c37a62, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xc069d7da, "");
SYMBOL_CRC(drm_sched_entity_error, 0x4eb1ab80, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x699e7b7a, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xb3b119b1, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xefeefbef, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x3bfc2d1a, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x1d4c0faf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6c80312a, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0x91182524, "dma_fence_add_callback" },
	{ 0x8b0fee0d, "dma_fence_set_deadline" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc528d0c, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x32c87fcb, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x7f9a2254, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x386e1aba, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6fe01ab, "dma_fence_remove_callback" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x51be63dd, "drm_dev_printk" },
	{ 0xfa8f2c5, "kthread_unpark" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xffb4e960, "dma_fence_signal" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x8791bf14, "dma_fence_init" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x547891c, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae367003, "xa_destroy" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x428793b9, "dma_resv_iter_first" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA233F81535655FEF88A36D");

MODULE_INFO(suserelease, "SLE15-SP6");
