#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssd130x_variants, 0x423ba637, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xa4d40ab9, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xbb472e2a, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xf698a073, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xe9983781, "_dev_err" },
	{ 0x562645f4, "drm_mode_duplicate" },
	{ 0x21b34bd7, "drm_mode_probed_add" },
	{ 0x6846c2a4, "drm_set_preferred_mode" },
	{ 0xc04c1814, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xda86e689, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8bde94d7, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd18b0356, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x1137bb77, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x2b424428, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x53b9d64c, "drm_gem_fb_begin_cpu_access" },
	{ 0x6e135557, "drm_fb_xrgb8888_to_gray8" },
	{ 0x96e07a82, "drm_gem_fb_end_cpu_access" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a4f17e6, "drm_fb_xrgb8888_to_mono" },
	{ 0x566bcfc2, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xbe6db9f3, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x8014e655, "drm_dev_unplug" },
	{ 0x389e1c58, "drm_atomic_helper_shutdown" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0xce2b8fd5, "pwm_get" },
	{ 0x25479b36, "pwm_apply_state" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0xa9688fa8, "pwm_put" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x547891c, "_dev_warn" },
	{ 0x6cde159, "drm_atomic_helper_check_plane_state" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3b97794, "__drm_atomic_helper_crtc_reset" },
	{ 0xdab45848, "__drm_gem_reset_shadow_plane" },
	{ 0x78d18f84, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x820adca5, "drm_gem_shmem_dumb_create" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x8faa1931, "drm_read" },
	{ 0xa3d72c52, "drm_poll" },
	{ 0x1adb3cdb, "drm_ioctl" },
	{ 0xf7898bd7, "drm_compat_ioctl" },
	{ 0xd92ac4cc, "drm_gem_mmap" },
	{ 0x6da2087d, "drm_open" },
	{ 0x7ad0e7cc, "drm_release" },
	{ 0x5886e9d6, "drm_gem_fb_create_with_dirty" },
	{ 0x146b1474, "drm_atomic_helper_check" },
	{ 0xe5721f98, "drm_atomic_helper_commit" },
	{ 0xe3ec74ba, "drm_atomic_helper_connector_reset" },
	{ 0xaa3ee4a5, "drm_helper_probe_single_connector_modes" },
	{ 0xcfd7eabe, "drm_connector_cleanup" },
	{ 0xb93827dc, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x92784f35, "drm_atomic_helper_connector_destroy_state" },
	{ 0x85412111, "drm_encoder_cleanup" },
	{ 0x109ed388, "drm_crtc_cleanup" },
	{ 0x830753c5, "drm_atomic_helper_set_config" },
	{ 0xc0e5caa9, "drm_atomic_helper_page_flip" },
	{ 0xd3aa44f7, "drm_atomic_helper_update_plane" },
	{ 0x1bf9232c, "drm_atomic_helper_disable_plane" },
	{ 0xd8321261, "drm_plane_cleanup" },
	{ 0xdcbe2cf2, "drm_gem_begin_shadow_fb_access" },
	{ 0xa901b8b0, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5b23a078, "__devm_drm_dev_alloc" },
	{ 0x1d1f3d32, "device_get_match_data" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0xa5136d4e, "device_property_read_u8_array" },
	{ 0x9772dd2d, "device_property_present" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0xea68b4fc, "devm_backlight_device_register" },
	{ 0xd7ac71f7, "drmm_mode_config_init" },
	{ 0xf3c45c87, "drm_universal_plane_init" },
	{ 0x7299ed2, "drm_plane_enable_fb_damage_clips" },
	{ 0x6e7833a5, "drm_crtc_init_with_planes" },
	{ 0xf11225e1, "drm_encoder_init" },
	{ 0xd724d60e, "drm_connector_init" },
	{ 0xd57e9ec5, "drm_connector_attach_encoder" },
	{ 0x3dd0c964, "drm_mode_config_reset" },
	{ 0xe12d0089, "drm_dev_register" },
	{ 0x4f98f91b, "drm_fbdev_generic_setup" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C867496FD521210C39DECB");

MODULE_INFO(suserelease, "SLE15-SP6");
