#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ttm_tt_init, 0x091e541b, "");
SYMBOL_CRC(ttm_tt_fini, 0x16ad301a, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x7d5568bd, "");
SYMBOL_CRC(ttm_tt_populate, 0x7ef9cae1, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x69b86a48, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x3927d748, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xe6516a79, "");
SYMBOL_CRC(ttm_bo_put, 0x72993487, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x0419b331, "");
SYMBOL_CRC(ttm_bo_pin, 0xe9049af0, "");
SYMBOL_CRC(ttm_bo_unpin, 0x02383f36, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x91d6ad20, "");
SYMBOL_CRC(ttm_bo_validate, 0x7c30a677, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x7a19e419, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xcf60a402, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x286a9233, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x87391b28, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x33e09c47, "");
SYMBOL_CRC(ttm_io_prot, 0x37cf4d9b, "");
SYMBOL_CRC(ttm_bo_kmap, 0xc7f1d4da, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x4ee67997, "");
SYMBOL_CRC(ttm_bo_vmap, 0x206e2ccd, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xd929e969, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x5133121d, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xe8a62858, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x345422ca, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x8b974dba, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x49911751, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x3160f22a, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x847e16ab, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xee344e9e, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x84508b04, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x373f7cc1, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x12fa6204, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x4db61e0c, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xb7b7011e, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x8c58fb31, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0xacb39f4c, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x3ab9dd60, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x1d8cfeeb, "");
SYMBOL_CRC(ttm_resource_init, 0xaca19763, "");
SYMBOL_CRC(ttm_resource_fini, 0xc1634ab5, "");
SYMBOL_CRC(ttm_resource_free, 0x2d664986, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x74dec70a, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0xa8bea617, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x8f1e94e7, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x8e331474, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x96510581, "");
SYMBOL_CRC(ttm_pool_alloc, 0x4237eef1, "");
SYMBOL_CRC(ttm_pool_free, 0x9239af53, "");
SYMBOL_CRC(ttm_pool_init, 0x36333a75, "");
SYMBOL_CRC(ttm_pool_fini, 0xf6e825f3, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xee0ce2ef, "");
SYMBOL_CRC(ttm_glob, 0x858e7b60, "");
SYMBOL_CRC(ttm_device_swapout, 0x18fd3c14, "");
SYMBOL_CRC(ttm_device_init, 0x093fccef, "");
SYMBOL_CRC(ttm_device_fini, 0x81d19029, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x5459c6f9, "");
SYMBOL_CRC(ttm_agp_bind, 0x819eb3fc, "");
SYMBOL_CRC(ttm_agp_unbind, 0x77250ede, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x4af07241, "");
SYMBOL_CRC(ttm_agp_destroy, 0x94b31914, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x6a50e2c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4529a4d1, "ww_mutex_lock_interruptible" },
	{ 0xd18b0356, "drm_dev_enter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0x297d567a, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa4a443b4, "agp_bind_memory" },
	{ 0xa22aa36e, "vmalloc_to_page" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd70bd6, "dma_resv_init" },
	{ 0xd24f80a0, "dma_resv_wait_timeout" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x5504f50d, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x8aace221, "debugfs_create_atomic_t" },
	{ 0xd3fd64ff, "register_shrinker" },
	{ 0x1bbf9ab4, "unmap_mapping_range" },
	{ 0xcb23acb2, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x41da294e, "drm_vma_offset_add" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xa1ca74f0, "__tracepoint_mmap_lock_released" },
	{ 0x7f9a2254, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7acb66, "drm_mm_print" },
	{ 0x9fca6b32, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x66f86150, "ww_mutex_trylock" },
	{ 0x56f3d6b5, "__drmm_add_action_or_reset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33b84f74, "copy_page" },
	{ 0x2c56f4fb, "unregister_shrinker" },
	{ 0x618911fc, "numa_node" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x455db6ee, "mark_page_accessed" },
	{ 0xc4832006, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xd73c8c2b, "synchronize_shrinkers" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x4528a788, "agp_free_memory" },
	{ 0xffb4e960, "dma_fence_signal" },
	{ 0x499ad03b, "dma_resv_fini" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xed462034, "ww_mutex_lock" },
	{ 0x7fd373c4, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x854b0748, "vmap" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xa3a05eaf, "vmf_insert_pfn_prot" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x9f51fcf7, "agp_allocate_memory" },
	{ 0x1263d949, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x62ff65d8, "dma_resv_copy_fences" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x467b457c, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x57e572fc, "dma_fence_enable_sw_signaling" },
	{ 0x18f286d5, "set_pages_array_wc" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x96ee7284, "dma_resv_iter_next_unlocked" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3274205c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x634d289e, "__mmap_lock_do_trace_released" },
	{ 0xdf961dd3, "dma_resv_iter_first_unlocked" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xc54558d5, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x1b2aaeb2, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xce761558, "up_read" },
	{ 0x35719463, "drm_vma_offset_remove" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D05904B340ED8BB21338FB8");

MODULE_INFO(suserelease, "SLE15-SP6");
