#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sensor_hub_register_callback, 0x2002c312, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xdc62c3d5, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xcf2c3bd7, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xb2682fdd, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x923bae56, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x80148feb, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xe3ec7c86, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x86caf5ca, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x19fbd5ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x547891c, "_dev_warn" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x87e4355c, "hid_set_field" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xfff28d26, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0xb6cdb931, "hid_hw_open" },
	{ 0xe9983781, "_dev_err" },
	{ 0x25866228, "hid_hw_close" },
	{ 0x169ac83b, "__hid_register_driver" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x65b45cb, "complete" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7d0e302a, "hid_hw_stop" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x6bb47780, "mfd_remove_devices" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xfa2bc06b, "hid_open_report" },
	{ 0x3502b0a1, "hid_hw_start" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x530272bf, "mfd_add_devices" },
	{ 0x9df4a81a, "hid_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "A6234869E924B95CE84A7EE");

MODULE_INFO(suserelease, "SLE15-SP6");
