#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xfa2bc06b, "hid_open_report" },
	{ 0x3502b0a1, "hid_hw_start" },
	{ 0x1b8a3962, "hid_is_usb" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x7d0e302a, "hid_hw_stop" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9df4a81a, "hid_unregister_driver" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0xbb1bee6, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d9c1213, "input_mt_report_slot_state" },
	{ 0xa8b06029, "input_mt_sync_frame" },
	{ 0x25866228, "hid_hw_close" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfff28d26, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x547891c, "_dev_warn" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x393b9a45, "input_set_capability" },
	{ 0x5856189c, "input_ff_create_memless" },
	{ 0x754d539c, "strlen" },
	{ 0x4e024e48, "devm_led_classdev_register_ext" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x6f26fcf9, "devm_power_supply_register" },
	{ 0x8641c91e, "power_supply_powers" },
	{ 0xb6cdb931, "hid_hw_open" },
	{ 0xb35f486f, "hid_validate_values" },
	{ 0x16325160, "input_mt_init_slots" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x169ac83b, "__hid_register_driver" },
	{ 0xe9983781, "_dev_err" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x986897e2, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cc4ed3, "hid_hw_output_report" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbbc979ce, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39470731, "input_register_device" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0xba41129, "input_alloc_absinfo" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6e4f96cc, "power_supply_get_drvdata" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "1451052F930B62CB7499331");

MODULE_INFO(suserelease, "SLE15-SP6");
