#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ishtp_device_init, 0xbf641cd7, "");
SYMBOL_CRC(ishtp_start, 0x824ab315, "");
SYMBOL_CRC(ishtp_send_suspend, 0x4f1af8d0, "");
SYMBOL_CRC(ishtp_send_resume, 0xfbef8428, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x282505e2, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0xf3efdfcf, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xb57a3118, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xb9ee3c63, "");
SYMBOL_CRC(ishtp_cl_free, 0x44a075ea, "");
SYMBOL_CRC(ishtp_cl_link, 0x47f83a14, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x8795795f, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x676bf477, "");
SYMBOL_CRC(ishtp_cl_connect, 0x13e6b4d4, "");
SYMBOL_CRC(ishtp_cl_send, 0xefe682ea, "");
SYMBOL_CRC(ishtp_get_client_data, 0x931ac104, "");
SYMBOL_CRC(ishtp_set_client_data, 0x4527c29a, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x00b41d08, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x2f5c6ce9, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xa4f517c2, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xff64ad51, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xd13f7b28, "");
SYMBOL_CRC(ishtp_recv, 0x07380c63, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xd6da6013, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x976cf917, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x73c41c10, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x1264167a, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xbc4f2eda, "");
SYMBOL_CRC(ishtp_get_device, 0xd034a145, "");
SYMBOL_CRC(ishtp_put_device, 0xe756af68, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x288336e4, "");
SYMBOL_CRC(ishtp_get_drvdata, 0x42a04f0e, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x81b486a1, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x6bd36496, "");
SYMBOL_CRC(ishtp_reset_handler, 0x9d7e09c2, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x820197e3, "");
SYMBOL_CRC(ishtp_device, 0x2b4ce3d4, "");
SYMBOL_CRC(ishtp_wait_resume, 0xf2df1044, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x78cf79fd, "");
SYMBOL_CRC(ishtp_trace_callback, 0x0cdda682, "");
SYMBOL_CRC(ish_hw_reset, 0x6c6efc62, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x1e34a8d5, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xe334e2d3, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x43988018, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32b081a9, "device_register" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x835dfbb4, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "SLE15-SP6");
