#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xbe05319b, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xca1422ce, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xef3b3f74, "");
SYMBOL_CRC(rdma_res_to_id, 0xc89a58de, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x839110b7, "");
SYMBOL_CRC(rdma_create_user_id, 0x98f6f12f, "");
SYMBOL_CRC(rdma_create_qp, 0x3fb21cd7, "");
SYMBOL_CRC(rdma_destroy_qp, 0x81314804, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x578f7c3b, "");
SYMBOL_CRC(rdma_destroy_id, 0x983fe517, "");
SYMBOL_CRC(rdma_get_service_id, 0xb5b6d858, "");
SYMBOL_CRC(rdma_read_gids, 0x1ac9b16c, "");
SYMBOL_CRC(rdma_set_service_type, 0xf82a4fa3, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x2e2652f6, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x4d583007, "");
SYMBOL_CRC(rdma_set_ib_path, 0x74c2fd45, "");
SYMBOL_CRC(rdma_resolve_route, 0xbc546203, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x3732b432, "");
SYMBOL_CRC(rdma_set_afonly, 0xe1587ea8, "");
SYMBOL_CRC(rdma_listen, 0xede66411, "");
SYMBOL_CRC(rdma_resolve_addr, 0x9d71455f, "");
SYMBOL_CRC(rdma_bind_addr, 0xb1a024f8, "");
SYMBOL_CRC(rdma_connect_locked, 0x6c3d88cb, "");
SYMBOL_CRC(rdma_connect, 0x2f8fc16d, "");
SYMBOL_CRC(rdma_connect_ece, 0xc9588294, "");
SYMBOL_CRC(rdma_accept, 0x3c9c1baa, "");
SYMBOL_CRC(rdma_accept_ece, 0x32542f99, "");
SYMBOL_CRC(rdma_lock_handler, 0x5fce5551, "");
SYMBOL_CRC(rdma_unlock_handler, 0xcf20f3c1, "");
SYMBOL_CRC(rdma_notify, 0xd3c6ac99, "");
SYMBOL_CRC(rdma_reject, 0x3244a525, "");
SYMBOL_CRC(rdma_disconnect, 0x3c418dc7, "");
SYMBOL_CRC(rdma_join_multicast, 0xeb809934, "");
SYMBOL_CRC(rdma_leave_multicast, 0x53afc3f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cb44dc0, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb198c1fe, "iw_create_cm_id" },
	{ 0xcf348299, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa37eb10e, "ib_unregister_client" },
	{ 0x4fbbde41, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9da7d0, "ib_send_cm_sidr_rep" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x8a8e3e7b, "config_group_init" },
	{ 0xc487afdf, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x3e47fcf5, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xffcc3811, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba4c9be4, "rdma_query_gid" },
	{ 0xd11a1a18, "rt6_lookup" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31565313, "rdma_translate_ip" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xa8ee00fc, "rdma_dev_access_netns" },
	{ 0x7ad8aa68, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x53b1f59b, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b56e00d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x1a7ada2c, "ip_mc_inc_group" },
	{ 0xb4bd06cb, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x29427c70, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xdac21995, "iw_cm_connect" },
	{ 0x6bb65559, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2367b5f, "rdma_addr_cancel" },
	{ 0x3d6e954b, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x27e054a8, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x9c2407be, "ib_register_client" },
	{ 0x4f94e362, "ib_sa_path_rec_get" },
	{ 0xfa1fa70c, "ib_create_cm_id" },
	{ 0xfbb4bbd5, "__ip_mc_dec_group" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xa725dc81, "ib_init_ah_from_mcmember" },
	{ 0x61baa213, "rdma_destroy_ah_attr" },
	{ 0xc97d28a8, "ib_set_client_data" },
	{ 0x57d78c81, "init_net" },
	{ 0xa81ab3bf, "ib_get_cached_pkey" },
	{ 0x990a1c77, "configfs_register_subsystem" },
	{ 0x710fe1bc, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xd703fb56, "rdma_put_gid_attr" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0xd9c44034, "iw_destroy_cm_id" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x7e2f5ec8, "ib_send_cm_rep" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x64a4892d, "iw_cm_disconnect" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xb8db71cd, "ib_destroy_qp_user" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0xd85587ef, "ib_cm_init_qp_attr" },
	{ 0x547891c, "_dev_warn" },
	{ 0xd5d3bcfa, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa731e253, "rdma_restrack_set_name" },
	{ 0x9166d58c, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x186914fa, "ib_get_cached_port_state" },
	{ 0xb955509f, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x49be9ae0, "rdma_restrack_del" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x567547bc, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x44e77e3, "__put_net" },
	{ 0x25f98a36, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2d8636ba, "iw_cm_accept" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9f1a4dd6, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a0f3061, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x157ec2d7, "iw_cm_init_qp_attr" },
	{ 0xca606480, "dst_release" },
	{ 0x1628ccf4, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfcfc996d, "ib_send_cm_dreq" },
	{ 0x90603843, "ib_send_cm_req" },
	{ 0x8d43a54a, "ib_create_qp_kernel" },
	{ 0x96ba560a, "ib_sa_join_multicast" },
	{ 0x8c041ebf, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb48bd4c6, "rdma_get_gid_attr" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd93b110, "rdma_restrack_new" },
	{ 0x18790101, "__fib_lookup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x39daa8cf, "iw_cm_listen" },
	{ 0xffe1ccb, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x24a048d8, "rdma_copy_src_l2_addr" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xbeff4e0d, "rdma_resolve_ip" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "5AF0CE60716BA2BF8A60C98");

MODULE_INFO(suserelease, "SLE15-SP6");
