#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rvt_alloc_device, 0xe9042286, "");
SYMBOL_CRC(rvt_dealloc_device, 0x669d7d3c, "");
SYMBOL_CRC(rvt_register_device, 0xe9a7e8a9, "");
SYMBOL_CRC(rvt_unregister_device, 0x8744eaae, "");
SYMBOL_CRC(rvt_init_port, 0xef8438ae, "");
SYMBOL_CRC(rvt_check_ah, 0xf5c95f4a, "");
SYMBOL_CRC(rvt_cq_enter, 0x0b45ccd6, "");
SYMBOL_CRC(rvt_mcast_find, 0x821a7952, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0x3bcc466b, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0xe6af15eb, "");
SYMBOL_CRC(rvt_lkey_ok, 0xdd1e212c, "");
SYMBOL_CRC(rvt_rkey_ok, 0x3b5a1303, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0x918b865c, "");
SYMBOL_CRC(rvt_get_rwqe, 0x552496d9, "");
SYMBOL_CRC(rvt_comm_est, 0x3646be14, "");
SYMBOL_CRC(rvt_rc_error, 0x5ed985aa, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0xc4cbac73, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0xb6606f91, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0x45f0c05c, "");
SYMBOL_CRC(rvt_del_timers_sync, 0x94c50510, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0xbcb5faa4, "");
SYMBOL_CRC(rvt_qp_iter_init, 0x7d62ff8e, "");
SYMBOL_CRC(rvt_qp_iter_next, 0xca922720, "");
SYMBOL_CRC(rvt_qp_iter, 0x50f3a4b4, "");
SYMBOL_CRC(rvt_send_complete, 0x4923e35c, "");
SYMBOL_CRC(rvt_copy_sge, 0xe28deeff, "");
SYMBOL_CRC(rvt_ruc_loopback, 0xc0a32bef, "");
SYMBOL_CRC(rvt_compute_aeth, 0xfcd1e640, "");
SYMBOL_CRC(rvt_get_credit, 0xdca97d43, "");
SYMBOL_CRC(rvt_restart_sge, 0x7e8bbbad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb202a880, "rdma_copy_ah_attr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd0cd4ba9, "ib_umem_release" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x9c6a192d, "hrtimer_try_to_cancel" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9b2e180, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5aece3d4, "_ib_alloc_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x8f770632, "ib_unregister_device" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x557bb320, "ib_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf64b668e, "kmalloc_node_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x58b5d7df, "ib_unregister_mad_agent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x61baa213, "rdma_destroy_ah_attr" },
	{ 0xe9983781, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1c03b678, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x54cdf81c, "ib_query_port" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x547891c, "_dev_warn" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x5d83ae5a, "rdma_destroy_ah_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9d662ad5, "ib_dealloc_device" },
	{ 0x18a5c0d, "ib_free_send_mad" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x8a28a9a4, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc7765d95, "remap_vmalloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9036f2fd, "rdma_replace_ah_attr" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xf6b86832, "ib_set_device_ops" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "0DA84F64EB6B7D229D305A9");

MODULE_INFO(suserelease, "SLE15-SP6");
