#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5856189c, "input_ff_create_memless" },
	{ 0x48d82d, "input_free_device" },
	{ 0x39470731, "input_register_device" },
	{ 0x8a245ec3, "input_ff_destroy" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0xa16529ec, "led_set_brightness" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6f2f5fd7, "usb_alloc_coherent" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xd3bda221, "usb_free_coherent" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xbb1bee6, "input_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd63e7299, "usb_ifnum_to_if" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0xc273ff75, "usb_control_msg_recv" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6dff0040, "input_device_enabled" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x16ecd0fa, "usb_anchor_urb" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0xe9983781, "_dev_err" },
	{ 0xc0fb1682, "usb_unanchor_urb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb1982a69, "usb_wait_anchor_empty_timeout" },
	{ 0x547891c, "_dev_warn" },
	{ 0x1d99bfa1, "usb_kill_anchored_urbs" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0x393b9a45, "input_set_capability" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ff-memless,usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic58isc42ip00in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0079p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03EBp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v03F0p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v044Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v045Ep*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v046Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v056Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v06A3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0738p4540d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0738p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v07FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0B05p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0C12p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0DB0p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0E6Fp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v0F0Dp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1038p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v10F5p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11C9p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v11FFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1209p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v12ABp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1430p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v146Bp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1532p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v15E4p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v162Ep*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1689p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v17EFp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1949p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1A86p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v1BADp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v20D6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2345p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v24C6p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2563p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v260Dp*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v294Bp*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2C22p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v2DC8p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2E24p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v2F24p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v31E3p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3285p*d*dc*dsc*dp*icFFisc47ipD0in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip01in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc5Dip81in*");
MODULE_ALIAS("usb:v3537p*d*dc*dsc*dp*icFFisc47ipD0in*");

MODULE_INFO(srcversion, "46565304F34CA85BF862818");

MODULE_INFO(suserelease, "SLE15-SP6");
