#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9772dd2d, "device_property_present" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xede8b412, "devm_regulator_bulk_get" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xf211404d, "regulator_bulk_enable" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0x393b9a45, "input_set_capability" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0x16325160, "input_mt_init_slots" },
	{ 0x39470731, "input_register_device" },
	{ 0xba41129, "input_alloc_absinfo" },
	{ 0x48d82d, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71278931, "i2c_register_driver" },
	{ 0xe9983781, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x96848186, "scnprintf" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x6b4a2c74, "regulator_bulk_disable" },
	{ 0x29dea256, "i2c_del_driver" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x4ad35c1a, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a4ab54a, "irq_get_irq_data" },
	{ 0x547891c, "_dev_warn" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x52dcc479, "i2c_transfer_buffer_flags" },
	{ 0xd1035be0, "input_mt_report_pointer_emulation" },
	{ 0xbb1bee6, "input_event" },
	{ 0x3d9c1213, "input_mt_report_slot_state" },
	{ 0x65b45cb, "complete" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6dff0040, "input_device_enabled" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "D91E67ABCEA1AFD8D8F7537");

MODULE_INFO(suserelease, "SLE15-SP6");
