#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0xe1d0caa5, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xcd2161d6, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xc6cbae50, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x3f437b2d, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xb7230fb8, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xc1f9bad5, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xcfe7af04, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xa0786eb8, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0xef169b8f, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0xe2232c9f, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x675c3d9b, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xa69e5c28, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x99c1d388, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x6581fb0b, "_gpl");
SYMBOL_CRC(dm_get_md, 0xce5c9ca1, "_gpl");
SYMBOL_CRC(dm_hold, 0x42c95acb, "_gpl");
SYMBOL_CRC(dm_device_name, 0xcbc3a95e, "_gpl");
SYMBOL_CRC(dm_put, 0x9c02d412, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xb0812f06, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x2cd12ce2, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xef17be5e, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xf860f2f9, "_gpl");
SYMBOL_CRC(dm_disk, 0x1310efcc, "_gpl");
SYMBOL_CRC(dm_suspended, 0xfc3c1a53, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xb66fa460, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x4d8d9dc4, "_gpl");
SYMBOL_CRC(dm_get_device, 0xa5bd077d, "");
SYMBOL_CRC(dm_put_device, 0x6a9e65d8, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xf6a2a9df, "_gpl");
SYMBOL_CRC(dm_table_event, 0x11237ff0, "");
SYMBOL_CRC(dm_table_get_size, 0xaf427b97, "");
SYMBOL_CRC(dm_table_get_mode, 0xf510fb82, "");
SYMBOL_CRC(dm_table_get_md, 0x8dd737b2, "");
SYMBOL_CRC(dm_table_device_name, 0x8e7cbb5c, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xd7b87579, "");
SYMBOL_CRC(dm_register_target, 0x02e55a99, "");
SYMBOL_CRC(dm_unregister_target, 0x0c4fbee7, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xe75f284d, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x094ac627, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xec94fd0f, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xde98078c, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xc3982b9c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaaff703b, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x957989f6, "set_disk_ro" },
	{ 0x173c3654, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe1fe0550, "blk_integrity_register" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1491c68, "bio_split_to_limits" },
	{ 0xa22aa36e, "vmalloc_to_page" },
	{ 0x77380fea, "disk_update_readahead" },
	{ 0xf314a442, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xfe873c3f, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xd2c54579, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7d6c88b9, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xfdd59486, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa8a98d57, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7f32dea5, "dm_kobject_release" },
	{ 0xbfc97bdc, "up" },
	{ 0x612f01c2, "mempool_init" },
	{ 0xb624643e, "blk_rq_prep_clone" },
	{ 0xcf7227dc, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x3fd4be92, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ee7bce0, "blk_crypto_profile_init" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe90b837c, "freeze_bdev" },
	{ 0xa38dadf4, "blk_queue_write_cache" },
	{ 0x328d7d6c, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xd4e7bbbc, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x39914307, "__wake_up" },
	{ 0xd829ff37, "synchronize_srcu" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x3d43fbf1, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x3473cc1f, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9699240f, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc532fd5, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xadc3ed9, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x683a41c8, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb2352ed, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x5b5bb3a5, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xbbc85d9b, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66a73cfc, "bdev_nr_zones" },
	{ 0xd859ebff, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x4de7064a, "blk_queue_flag_set" },
	{ 0xf64b668e, "kmalloc_node_trace" },
	{ 0x9022cde2, "__SCK__tp_func_block_split" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0x563a25de, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x695c7148, "submit_bio" },
	{ 0x4563923d, "blk_crypto_has_capabilities" },
	{ 0xb1e8193c, "dax_add_host" },
	{ 0xae48d77e, "blk_queue_flag_clear" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc9a3a3cd, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3de7b714, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0xd4f308f3, "bio_put" },
	{ 0xd807828b, "blk_crypto_intersect_capabilities" },
	{ 0x342e4334, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xf8d118de, "init_srcu_struct" },
	{ 0xcc89ec7c, "__SCK__tp_func_block_bio_remap" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x92755655, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x140a1571, "blkdev_get_by_dev" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x20f072c9, "thaw_bdev" },
	{ 0x4ec241a3, "set_capacity" },
	{ 0xb6bb2775, "submit_bio_noacct" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0xefca609a, "blk_integrity_compare" },
	{ 0x32a460e8, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x1c9cc78a, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x326aa1bd, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1500bcc3, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x144809f7, "dax_recovery_write" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb0144b1b, "kobject_init_and_add" },
	{ 0xc5c8c865, "zero_fill_bio_iter" },
	{ 0x51c31f9, "bio_add_page" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x66c3e2bd, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x16b2bf59, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x47278168, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xc1006418, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6933eee2, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x13dbd3e5, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x18a114a2, "misc_register" },
	{ 0xa599c06a, "blk_crypto_evict_key" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x42bfa0ba, "blk_insert_cloned_request" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3eba6a3e, "audit_log_start" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ad4c392, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x70defd1e, "bio_uninit" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xd4be04e7, "bioset_init" },
	{ 0xab494850, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda5a2e7e, "__blk_should_fake_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xe6f630f3, "__tracepoint_block_bio_remap" },
	{ 0xac15b1e1, "__tracepoint_block_rq_remap" },
	{ 0x74483a4a, "bd_link_disk_holder" },
	{ 0x34736c8d, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbce2aa1a, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb7cd718f, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xae472034, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x6671503c, "bio_alloc_bioset" },
	{ 0xce761558, "up_read" },
	{ 0xcf2f720, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xcd6a4ff1, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2823681a, "bdev_end_io_acct" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xaa66eb4b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x32435caa, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72CA691D98ED070344935BD");

MODULE_INFO(suserelease, "SLE15-SP6");
