#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_snap_origin, 0xb7beac71, "");
SYMBOL_CRC(dm_snap_cow, 0xca944685, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x04fcda05, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xef7c875b, "");
SYMBOL_CRC(dm_exception_store_create, 0x395a15af, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x301ffb42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaaff703b, "bio_associate_blkg" },
	{ 0xf860f2f9, "dm_internal_resume_fast" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1f9bad5, "dm_per_bio_data" },
	{ 0x6a9e65d8, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xaf427b97, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x612f01c2, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x42c95acb, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x39914307, "__wake_up" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x99c1d388, "dm_accept_partial_bio" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdaba41ff, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x342e4334, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d390383, "__wake_up_locked" },
	{ 0xfc3c1a53, "dm_suspended" },
	{ 0xb6bb2775, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x44b7add8, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc4fbee7, "dm_unregister_target" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa69e5c28, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xde98078c, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0x11237ff0, "dm_table_event" },
	{ 0xef17be5e, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9c02d412, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xec94fd0f, "dm_kcopyd_copy" },
	{ 0x2e55a99, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0xf510fb82, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x8dd737b2, "dm_table_get_md" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x94ac627, "dm_io" },
	{ 0xa5bd077d, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xce761558, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xa0786eb8, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xaa66eb4b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "2FFB68F0156BAEDB229A76F");

MODULE_INFO(suserelease, "SLE15-SP6");
