#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x6abbd55c, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(_md_handle_reqeust, 0x3cba0047, "");
SYMBOL_CRC(md_handle_request, 0xf6e31642, "");
SYMBOL_CRC(mddev_suspend, 0x616d61d9, "_gpl");
SYMBOL_CRC(mddev_resume, 0x7c26da8b, "_gpl");
SYMBOL_CRC(md_flush_request, 0x907cf3b6, "");
SYMBOL_CRC(mddev_init, 0x7316c0fb, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x2aa20b53, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x2ecde167, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x42fb96cd, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x92ef96f2, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x0a63fb82, "_gpl");
SYMBOL_CRC(sync_page_io, 0x207615b3, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xbd26d3a9, "");
SYMBOL_CRC(md_integrity_register, 0xbf04d762, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x4175988a, "");
SYMBOL_CRC(md_update_sb, 0x430007db, "");
SYMBOL_CRC(md_rdev_init, 0x35dc1133, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x6bb72059, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xaaed2e1a, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xc81603b2, "_gpl");
SYMBOL_CRC(md_run, 0x74c57e48, "_gpl");
SYMBOL_CRC(md_start, 0xdfafadbb, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x142a0d75, "_gpl");
SYMBOL_CRC(md_stop, 0xd7195f7f, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xc2394464, "");
SYMBOL_CRC(md_wakeup_thread, 0x573128be, "");
SYMBOL_CRC(md_register_thread, 0x15907c62, "");
SYMBOL_CRC(md_unregister_thread, 0xd8f9ae65, "");
SYMBOL_CRC(md_error, 0x5136c38b, "");
SYMBOL_CRC(register_md_personality, 0x2d967764, "");
SYMBOL_CRC(unregister_md_personality, 0xf760aa20, "");
SYMBOL_CRC(register_md_cluster_operations, 0xe06115f1, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x808edb7d, "");
SYMBOL_CRC(md_write_start, 0x33d37dd2, "");
SYMBOL_CRC(md_write_inc, 0x19de9c93, "");
SYMBOL_CRC(md_write_end, 0xee7ba748, "");
SYMBOL_CRC(md_submit_discard_bio, 0x5f138183, "_gpl");
SYMBOL_CRC(md_account_bio, 0x8b55ea69, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x6bd63891, "_gpl");
SYMBOL_CRC(md_allow_write, 0x9dd1197a, "_gpl");
SYMBOL_CRC(md_do_sync, 0x2b6b533c, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xddfb80d6, "");
SYMBOL_CRC(md_reap_sync_thread, 0x2fd3ddd1, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x1fee4707, "");
SYMBOL_CRC(md_finish_reshape, 0x8dcb44ea, "");
SYMBOL_CRC(rdev_set_badblocks, 0x24199da2, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x01b5cc80, "_gpl");
SYMBOL_CRC(md_reload_sb, 0xc8893b12, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xe106a9bd, "");
SYMBOL_CRC(md_bitmap_unplug, 0x75cf0ada, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0xab5cc0c7, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xae8e851a, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xddab5486, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xdb272ff2, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x0e65c968, "");
SYMBOL_CRC(md_bitmap_close_sync, 0xd3182351, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x3cf821b2, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x58fdd53d, "");
SYMBOL_CRC(md_bitmap_free, 0x3cf6836a, "");
SYMBOL_CRC(md_bitmap_load, 0xd9992363, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x97f85aee, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x309adcf3, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x8b8837fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81869dd0, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x957989f6, "set_disk_ro" },
	{ 0x173c3654, "__blk_alloc_disk" },
	{ 0xe1fe0550, "blk_integrity_register" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9bc0ed58, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x97d8dcb, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9553459b, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x299c0d98, "proc_create" },
	{ 0x1491c68, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x266ad31c, "seq_release" },
	{ 0xf314a442, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x37974335, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x437d1598, "fget" },
	{ 0x269ede11, "sysfs_unbreak_active_protection" },
	{ 0x7934d336, "invalidate_mapping_pages" },
	{ 0x7fa6f1d7, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x13170a2f, "badblocks_exit" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa38dadf4, "blk_queue_write_cache" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb2b42a1d, "ack_all_badblocks" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xb9853f3e, "kernfs_notify" },
	{ 0x802f5a58, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x75034b3e, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x9447b27e, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x683a41c8, "bioset_integrity_create" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0xfb2352ed, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1d9eda1d, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4c8e4ff3, "unregister_sysctl_table" },
	{ 0xc1f904e2, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x4e7e412a, "sync_blockdev" },
	{ 0x67711f60, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x4de7064a, "blk_queue_flag_set" },
	{ 0x563a25de, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x695c7148, "submit_bio" },
	{ 0xdaba41ff, "module_put" },
	{ 0xae48d77e, "blk_queue_flag_clear" },
	{ 0x525e863f, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3de7b714, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xae16eb14, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xd4f308f3, "bio_put" },
	{ 0x342e4334, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc89ec7c, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xba2f2845, "fput" },
	{ 0x59142ad2, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x140a1571, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb6bb2775, "submit_bio_noacct" },
	{ 0xefca609a, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xbda94a4c, "blk_sync_queue" },
	{ 0x127868e2, "seq_file_path" },
	{ 0x34ae8f52, "kernfs_find_and_get_ns" },
	{ 0x1500bcc3, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x93d10c41, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x16b2bf59, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc1006418, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6933eee2, "bio_init" },
	{ 0x13dbd3e5, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x1fbfff9b, "invalidate_bdev" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6f1efc87, "kobject_del" },
	{ 0x23c9ca63, "vfs_fsync" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xd4be04e7, "bioset_init" },
	{ 0x40956b6a, "file_path" },
	{ 0x8b4b5ab6, "kernfs_put" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c2667a8, "sysfs_break_active_protection" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0x3274205c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x637103bc, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xe6f630f3, "__tracepoint_block_bio_remap" },
	{ 0x74483a4a, "bd_link_disk_holder" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35de9455, "seq_open" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x7a82b3b6, "badblocks_clear" },
	{ 0xf77c7e9d, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xac0ef55e, "badblocks_store" },
	{ 0x6671503c, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xc2fa7c7c, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xf6b8fb59, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5DE87FA3426599C7E7CD6D");

MODULE_INFO(suserelease, "SLE15-SP6");
