#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0x07f3256c, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0x8e2afda8, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0x56e02076, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0x3c69d2dd, "_gpl");
SYMBOL_CRC(smscore_register_device, 0x5838aa81, "_gpl");
SYMBOL_CRC(smscore_start_device, 0xbe1f8d14, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0x4d65e1b1, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0x71679fc8, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0x1dde4441, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0xf0faf587, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0x1ef670bc, "_gpl");
SYMBOL_CRC(smscore_register_client, 0x523fd31e, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x99a81ab3, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0x82d3359e, "_gpl");
SYMBOL_CRC(sms_board_setup, 0x5d052d3c, "_gpl");
SYMBOL_CRC(sms_board_power, 0x6353c0c2, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0xf0b6dd76, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x45ec521b, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9d521046, "ir_raw_event_handle" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x6ca93d02, "ir_raw_event_store" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4996fd72, "rc_register_device" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc60b52d1, "rc_free_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1f450c56, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "0CE1C8FD9997DDEB586D6D8");

MODULE_INFO(suserelease, "SLE15-SP6");
