#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vb2_buffer_in_use, 0xceed6b8c, "");
SYMBOL_CRC(vb2_core_querybuf, 0xe99b32eb, "_gpl");
SYMBOL_CRC(vb2_verify_memory_type, 0x8d2bba88, "");
SYMBOL_CRC(vb2_core_reqbufs, 0x55cc9706, "_gpl");
SYMBOL_CRC(vb2_core_create_bufs, 0xb5baf6cb, "_gpl");
SYMBOL_CRC(vb2_plane_vaddr, 0x3f96dc56, "_gpl");
SYMBOL_CRC(vb2_plane_cookie, 0xc269ddbd, "_gpl");
SYMBOL_CRC(vb2_buffer_done, 0xc90e811a, "_gpl");
SYMBOL_CRC(vb2_discard_done, 0x556c9f65, "_gpl");
SYMBOL_CRC(vb2_request_object_is_buffer, 0xf926201b, "_gpl");
SYMBOL_CRC(vb2_request_buffer_cnt, 0x7289c6b4, "_gpl");
SYMBOL_CRC(vb2_core_prepare_buf, 0x6396e9d8, "_gpl");
SYMBOL_CRC(vb2_core_qbuf, 0x097be7c3, "_gpl");
SYMBOL_CRC(vb2_wait_for_all_buffers, 0x08dca944, "_gpl");
SYMBOL_CRC(vb2_core_dqbuf, 0xf15948aa, "_gpl");
SYMBOL_CRC(vb2_core_streamon, 0x38842da9, "_gpl");
SYMBOL_CRC(vb2_queue_error, 0x2d1a12fb, "_gpl");
SYMBOL_CRC(vb2_core_streamoff, 0xd6d63554, "_gpl");
SYMBOL_CRC(vb2_core_expbuf, 0xf4ee24b4, "_gpl");
SYMBOL_CRC(vb2_mmap, 0x6b3e9cc7, "_gpl");
SYMBOL_CRC(vb2_core_queue_init, 0xcbc1c878, "_gpl");
SYMBOL_CRC(vb2_core_queue_release, 0x3885556d, "_gpl");
SYMBOL_CRC(vb2_core_poll, 0x381518f7, "_gpl");
SYMBOL_CRC(vb2_read, 0x21e7a58d, "_gpl");
SYMBOL_CRC(vb2_write, 0x6910f692, "_gpl");
SYMBOL_CRC(vb2_thread_start, 0x77a19924, "_gpl");
SYMBOL_CRC(vb2_thread_stop, 0xb8bba3b8, "_gpl");
SYMBOL_CRC(get_vaddr_frames, 0xe20dfe0f, "");
SYMBOL_CRC(put_vaddr_frames, 0x1b700d37, "");
SYMBOL_CRC(frame_vector_to_pages, 0xc5e5573a, "");
SYMBOL_CRC(frame_vector_to_pfns, 0xdffb744b, "");
SYMBOL_CRC(frame_vector_create, 0x065246b8, "");
SYMBOL_CRC(frame_vector_destroy, 0x1d5f9555, "");
SYMBOL_CRC(__tracepoint_vb2_buf_done, 0x1986e5ba, "_gpl");
SYMBOL_CRC(__traceiter_vb2_buf_done, 0xf4e1f7fb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_buf_done, 0xc23b0ad6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_buf_done, 0x4ed3fb1b, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_buf_queue, 0xfda39008, "_gpl");
SYMBOL_CRC(__traceiter_vb2_buf_queue, 0x79eb0873, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_buf_queue, 0xb97c0094, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_buf_queue, 0x2b5551d5, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_dqbuf, 0x2bdf086a, "_gpl");
SYMBOL_CRC(__traceiter_vb2_dqbuf, 0xdb71b279, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_dqbuf, 0x9bf7dc65, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_dqbuf, 0xc7920841, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_qbuf, 0x69ad78fd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_qbuf, 0xb1dec509, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_qbuf, 0x91e15587, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_qbuf, 0xc54c863e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x434fc55d, "pin_user_pages_fast" },
	{ 0x800055e3, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x75539a2e, "media_request_object_unbind" },
	{ 0x637e933e, "unpin_user_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8984c81, "media_request_object_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x1439f953, "media_request_put" },
	{ 0xa3521253, "mem_section" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x763d62f6, "dma_buf_get" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xf424e131, "dma_buf_put" },
	{ 0x3c48b5a3, "media_request_object_bind" },
	{ 0x7c2b8bec, "dma_buf_fd" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xb6e7631b, "freezing_slow_path" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "FE36994597187273A734F5B");

MODULE_INFO(suserelease, "SLE15-SP6");
