#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_generic_open, 0x01e615af, "");
SYMBOL_CRC(dvb_generic_release, 0x6ee1b301, "");
SYMBOL_CRC(dvb_generic_ioctl, 0xf70dbae7, "");
SYMBOL_CRC(dvb_register_device, 0xe1779d68, "");
SYMBOL_CRC(dvb_remove_device, 0xa1992bba, "");
SYMBOL_CRC(dvb_device_get, 0x2a5db9cb, "");
SYMBOL_CRC(dvb_unregister_device, 0x4c0041bf, "");
SYMBOL_CRC(dvb_create_media_graph, 0xa090cd5b, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0x69513154, "");
SYMBOL_CRC(dvb_unregister_adapter, 0xe53f6fc9, "");
SYMBOL_CRC(dvb_module_probe, 0x0f216595, "_gpl");
SYMBOL_CRC(dvb_module_release, 0x329257b2, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x9e89b5de, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x1f8d401e, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0x68f561b2, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0xda68bdb9, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x57029960, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0xb987a1fc, "");
SYMBOL_CRC(dvb_dmx_init, 0xd0a6465d, "");
SYMBOL_CRC(dvb_dmx_release, 0xeeaf8a9f, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x12e4859b, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0xbfd220f6, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x37da5c8e, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x7f7fc044, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x43356a5e, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x7f62158f, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x77428f0a, "");
SYMBOL_CRC(dvb_frontend_resume, 0xe41cc6ee, "");
SYMBOL_CRC(dvb_register_frontend, 0x9b75d470, "");
SYMBOL_CRC(dvb_unregister_frontend, 0x96c169d0, "");
SYMBOL_CRC(dvb_frontend_detach, 0x0c892679, "");
SYMBOL_CRC(dvb_net_release, 0xe2c9dc3f, "");
SYMBOL_CRC(dvb_net_init, 0x41dcff4e, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xec13775c, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0x6a5eb239, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0x5e0a23e7, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0xb1ec86a7, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0x0413eca6, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0x1cb93df0, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x0ce1f04d, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0x86bf164e, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xd0caaba8, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0x30a32217, "");
SYMBOL_CRC(intlog2, 0x5f2b1d95, "");
SYMBOL_CRC(intlog10, 0x08733236, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9a943f79, "media_devnode_remove" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xce3e8e6c, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x58151dff, "class_destroy" },
	{ 0xbfc97bdc, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddc0d15b, "media_create_intf_link" },
	{ 0xef801d57, "media_create_pad_links" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x7e99cc, "media_create_pad_link" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3e1cc109, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc6a8bb9a, "media_device_register_entity" },
	{ 0x5063406f, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0x138c455b, "i2c_unregister_device" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc3406e22, "device_create" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0x92a3aaa, "class_create" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0x3389a614, "register_netdev" },
	{ 0x6365d173, "free_netdev" },
	{ 0xab091b28, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb6e7631b, "freezing_slow_path" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x77c7dbdb, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x86b54ab1, "media_devnode_create" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x4cc51943, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xce761558, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "4694B5D60FAFF2C656B9252");

MODULE_INFO(suserelease, "SLE15-SP6");
