#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(media_device_register_entity, 0xc6a8bb9a, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x4cc51943, "_gpl");
SYMBOL_CRC(media_device_init, 0x08425b8a, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xe396bb02, "_gpl");
SYMBOL_CRC(__media_device_register, 0x99aa03d0, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x5fd8ba65, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x69f6fbbe, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x958bae32, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x18836ca1, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x7c40ba7f, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x1e580323, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xab091b28, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x24c9376b, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x98cab96f, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x9648bdc2, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x23ff11b5, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x40dbf6e7, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xa657a69a, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xb3c09d75, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x50505fa3, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x2a8b55c1, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x753393e8, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x9ada8d5f, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x7a18bc70, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x77c7dbdb, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x007e99cc, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xef801d57, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x29d29f88, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x0954f861, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x2c1855f3, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x960a8cde, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xb3d819b7, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x28e9edfb, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x94e1fecb, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5a5986ad, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xccba35bf, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x49cd96c9, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x2ffbf1a0, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x86b54ab1, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x9a943f79, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xddc0d15b, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xd6a083a1, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x0ff61e12, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x29a1bf78, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xf05763c3, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x1171fa65, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x06caef42, "_gpl");
SYMBOL_CRC(media_request_put, 0x1439f953, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x2056469b, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x2f6d68e8, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x08984c81, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x800055e3, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x3c48b5a3, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x75539a2e, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x7b9d6e2f, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xa91f7d60, "_gpl");
SYMBOL_CRC(media_device_delete, 0x7c50023d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xda2d1cd6, "anon_inode_getfile" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2f8f4eb1, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xac99ddc8, "fwnode_graph_parse_endpoint" },
	{ 0xdaba41ff, "module_put" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xba2f2845, "fput" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb93a47b9, "platform_bus_type" },
	{ 0x48adeae3, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb70789e, "__might_fault" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F278A82577C102DCCFBD6");

MODULE_INFO(suserelease, "SLE15-SP6");
