#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bttv_get_pcidev, 0x78953ea6, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xc40a3d16, "");
SYMBOL_CRC(bttv_sub_unregister, 0xab7363ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a857cb, "videobuf_streamoff" },
	{ 0x48e9e3e3, "v4l2_fh_exit" },
	{ 0x71500fd5, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbaf2f339, "videobuf_poll_stream" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6918475, "v4l2_ctrl_radio_filter" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2450bb21, "i2c_bit_add_bus" },
	{ 0xad1ee69f, "v4l2_ctrl_add_handler" },
	{ 0x341703c2, "v4l2_fh_del" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0x2b31d045, "videobuf_dma_free" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5468ea76, "v4l2_fh_add" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7408283b, "pci_get_device" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0xfd803035, "videobuf_reqbufs" },
	{ 0xedc03953, "iounmap" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x38f48baf, "videobuf_waiton" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x52dcc479, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x651c4423, "videobuf_queue_is_busy" },
	{ 0x99d97e61, "videobuf_dqbuf" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c561ea7, "v4l2_ctrl_handler_log_status" },
	{ 0xa88942f4, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x5cf6b519, "put_device" },
	{ 0x70937602, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x298fb33, "v4l2_ctrl_find" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0x67293e31, "__v4l2_ctrl_s_ctrl" },
	{ 0x605062e8, "videobuf_stop" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04e875e, "rc_keyup" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd3c90a39, "tveeprom_read" },
	{ 0x4ca753c0, "v4l2_ctrl_new_custom" },
	{ 0x620c2c8b, "rc_keydown_notimeout" },
	{ 0x417500a1, "videobuf_queue_sg_init" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9d7b3594, "videobuf_dma_unmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x75e034db, "videobuf_read_stream" },
	{ 0x553a86d0, "videobuf_sg_alloc" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4996fd72, "rc_register_device" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x3f57efc2, "videobuf_querybuf" },
	{ 0x79e482ac, "rc_keydown" },
	{ 0x6935e664, "snd_tea575x_enum_freq_bands" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0x97bd8a08, "snd_tea575x_s_hw_freq_seek" },
	{ 0x70c05f21, "v4l2_event_pending" },
	{ 0xb415be67, "v4l2_fh_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x92f8a92d, "snd_tea575x_set_freq" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc5724b45, "videobuf_qbuf" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x32b081a9, "device_register" },
	{ 0x28d600e5, "videobuf_read_one" },
	{ 0xc60b52d1, "rc_free_device" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x460c9406, "videobuf_iolock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x83230ac5, "snd_tea575x_hw_init" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd7cad8ff, "videobuf_streamon" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x740e7032, "videobuf_next_field" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf8174fc5, "v4l2_subdev_call_wrappers" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x65d84a88, "v4l2_i2c_new_subdev" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x9c8251f0, "videobuf_mmap_mapper" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0x835dfbb4, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1f450c56, "rc_unregister_device" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf6633538, "videobuf_to_dma" },
	{ 0x8eea8fa2, "videobuf_mmap_free" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf-core,videodev,tea575x,i2c-algo-bit,videobuf-dma-sg,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C221CC2FA078B73A905D695");

MODULE_INFO(suserelease, "SLE15-SP6");
