#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x72e8f29d, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xa8abe1be, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x1bc507b3, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x2e6fe9e7, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x5724e5ea, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xa5709c50, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x7f16ae86, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54985cc5, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9874c4ea, "vb2_dma_sg_memops" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x58a7aa36, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xe794f0af, "vb2_ops_wait_finish" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0ef93d8, "vb2_ioctl_querybuf" },
	{ 0x85b00d6f, "v4l2_fh_open" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xa88942f4, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x9c4b730f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xc269ddbd, "vb2_plane_cookie" },
	{ 0x96a11d02, "vb2_ioctl_dqbuf" },
	{ 0x52ff01c3, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20861797, "vb2_ioctl_prepare_buf" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xc90e811a, "vb2_buffer_done" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x54e336dc, "vb2_ioctl_qbuf" },
	{ 0x5db821f7, "vb2_fop_mmap" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed9bf5c0, "vb2_fop_read" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70f980fb, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x355a69de, "vb2_ioctl_streamon" },
	{ 0x88f82397, "vb2_fop_poll" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x3622ab56, "vb2_ioctl_reqbufs" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "SLE15-SP6");
