#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_video_mux, 0x07182ed5, "");
SYMBOL_CRC(cx88_querycap, 0x1bf3cd8b, "");
SYMBOL_CRC(cx88_enum_input, 0x939f9503, "");
SYMBOL_CRC(cx88_set_freq, 0xba6d2ce2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54985cc5, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9874c4ea, "vb2_dma_sg_memops" },
	{ 0x67e055e9, "cx88_reset" },
	{ 0xd4fb0288, "v4l2_ctrl_poll" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0x3bee0c64, "cx88_wakeup" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x58a7aa36, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xad1ee69f, "v4l2_ctrl_add_handler" },
	{ 0xd1be8873, "v4l2_i2c_new_subdev_board" },
	{ 0x231cb2aa, "cx88_set_scale" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xe794f0af, "vb2_ops_wait_finish" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xf204133c, "cx88_shutdown" },
	{ 0x4b54c25b, "cx88_vdev_init" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0ef93d8, "vb2_ioctl_querybuf" },
	{ 0x1455825c, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x85b00d6f, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x184cfad3, "cx88_core_irq" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xf02c7380, "cx88_core_get" },
	{ 0xb08cfd98, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d176f7, "cx88_ir_stop" },
	{ 0xa88942f4, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x9ddcda7e, "cx88_set_tvnorm" },
	{ 0x9c4b730f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x298fb33, "v4l2_ctrl_find" },
	{ 0xb8b9cea4, "cx88_ir_start" },
	{ 0x67293e31, "__v4l2_ctrl_s_ctrl" },
	{ 0xc269ddbd, "vb2_plane_cookie" },
	{ 0x96a11d02, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2b4431ec, "cx88_risc_buffer" },
	{ 0x9b6642f, "v4l2_fh_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xfbab65c8, "cx88_set_stereo" },
	{ 0xc90e811a, "vb2_buffer_done" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x54e336dc, "vb2_ioctl_qbuf" },
	{ 0x5db821f7, "vb2_fop_mmap" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xc6ac63ba, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed9bf5c0, "vb2_fop_read" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x3efb29dd, "cx88_sram_channel_dump" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x20fe830a, "cx88_sram_channel_setup" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0x70f980fb, "vb2_ops_wait_prepare" },
	{ 0x355a69de, "vb2_ioctl_streamon" },
	{ 0x88f82397, "vb2_fop_poll" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x65d84a88, "v4l2_i2c_new_subdev" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x84b02647, "cx88_newstation" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3622ab56, "vb2_ioctl_reqbufs" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "SLE15-SP6");
