#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mantis_get_mac, 0x698c2512, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x5cfd7d1f, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x907b6525, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x1017c360, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xc58d7344, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x1403daf2, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xeb553625, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x03648111, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x5f450a3d, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xa8f619b7, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x57a0f560, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xea18ea20, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x1d107976, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xd4a0c024, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x2bf62cf3, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x6dc110af, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x59f0731a, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x6aeee4e9, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x9b17abf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e89b5de, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x7f7fc044, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x69513154, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x57029960, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeeaf8a9f, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x43356a5e, "dvb_ca_en50221_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4996fd72, "rc_register_device" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x79e482ac, "rc_keydown" },
	{ 0x41dcff4e, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xda68bdb9, "dvb_dmx_swfilter" },
	{ 0x1f8d401e, "dvb_dmxdev_release" },
	{ 0x46a692e7, "param_ops_short" },
	{ 0xc60b52d1, "rc_free_device" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xc892679, "dvb_frontend_detach" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xe2c9dc3f, "dvb_net_release" },
	{ 0xbfd220f6, "dvb_ca_en50221_camready_irq" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96c169d0, "dvb_unregister_frontend" },
	{ 0x12e4859b, "dvb_ca_en50221_camchange_irq" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x9b75d470, "dvb_register_frontend" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe53f6fc9, "dvb_unregister_adapter" },
	{ 0xd0a6465d, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1f450c56, "rc_unregister_device" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "SLE15-SP6");
