#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_usbv2_probe, 0x13c115ea, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xa0c4e112, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x7a4a3845, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xf878c6d9, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x37f91edb, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xb4deab1c, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x29d22998, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x31eaf63e, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x80cf6223, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e89b5de, "dvb_dmxdev_init" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x958bae32, "media_device_unregister" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x99aa03d0, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69513154, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xe396bb02, "media_device_cleanup" },
	{ 0x57029960, "dvb_dmx_swfilter_204" },
	{ 0xeeaf8a9f, "dvb_dmx_release" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4996fd72, "rc_register_device" },
	{ 0x41dcff4e, "dvb_net_init" },
	{ 0xda68bdb9, "dvb_dmx_swfilter" },
	{ 0x1f8d401e, "dvb_dmxdev_release" },
	{ 0xc60b52d1, "rc_free_device" },
	{ 0xb987a1fc, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc892679, "dvb_frontend_detach" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c9dc3f, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96c169d0, "dvb_unregister_frontend" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7c40ba7f, "__media_device_usb_init" },
	{ 0xe41cc6ee, "dvb_frontend_resume" },
	{ 0x9b75d470, "dvb_register_frontend" },
	{ 0x77428f0a, "dvb_frontend_suspend" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa090cd5b, "dvb_create_media_graph" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe53f6fc9, "dvb_unregister_adapter" },
	{ 0xd0a6465d, "dvb_dmx_init" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x1f450c56, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "SLE15-SP6");
