#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9f64e22, "sdhci_end_tuning" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0x845ea4a9, "sdhci_set_bus_width" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0xb29746c2, "sdhci_send_tuning" },
	{ 0x7825732e, "sdhci_cqe_irq" },
	{ 0x3c925732, "sdhci_start_signal_voltage_switch" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xf4ffcd34, "mmc_gpiod_request_cd" },
	{ 0x97379762, "cqhci_init" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x43820166, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0x7408283b, "pci_get_device" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xbba34525, "__sdhci_read_caps" },
	{ 0xaf94412d, "sdhci_set_uhs_signaling" },
	{ 0x10be9ca0, "cqhci_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d5bb67e, "sdhci_reset" },
	{ 0xfbfc2cc8, "sdhci_calc_clk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b2464a, "sdhci_enable_clk" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x9f157dbe, "mmc_gpio_set_cd_wake" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc2aaa653, "acpi_device_fix_up_power_extended" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0x7f314d2b, "mmc_gpio_get_cd" },
	{ 0x63f0203e, "sdhci_suspend_host" },
	{ 0x1bf60402, "device_wakeup_disable" },
	{ 0xd191c2e5, "pci_find_capability" },
	{ 0x8434f25f, "sdhci_runtime_resume_host" },
	{ 0x20c838cb, "pcim_iomap_regions" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xe9983781, "_dev_err" },
	{ 0x5fa72b8c, "sdhci_runtime_suspend_host" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0xb178595c, "sdhci_setup_host" },
	{ 0x799f6dab, "sdhci_set_ios" },
	{ 0x27b39a13, "sdhci_dumpregs" },
	{ 0x4d7368f5, "sdhci_cqe_disable" },
	{ 0xa5c34de6, "__sdhci_add_host" },
	{ 0x61f5e885, "sdhci_reset_tuning" },
	{ 0x41b154f5, "sdhci_abort_tuning" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0x208d7acc, "sdhci_set_clock" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fef25b7, "sdhci_start_tuning" },
	{ 0xfee5a524, "sdhci_execute_tuning" },
	{ 0xed63e287, "cqhci_deactivate" },
	{ 0x3906af48, "sdhci_free_host" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xaa6203aa, "sdhci_add_host" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb7b7c0c, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xf0afadd6, "sdhci_cleanup_host" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x7f81253c, "sdhci_resume_host" },
	{ 0x9cac2ce1, "sdhci_alloc_host" },
	{ 0x650903f7, "mmc_send_tuning" },
	{ 0x7a525390, "sdhci_cqe_enable" },
	{ 0x1f951530, "pcim_iomap_table" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x1385a5a3, "sdhci_get_cd_nogpio" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x7d39185a, "sdhci_set_power" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x9437cce1, "sdhci_remove_host" },
	{ 0x6c05ea6d, "sdhci_enable_v4_mode" },
	{ 0x50d9961, "cqhci_resume" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci");

MODULE_ALIAS("pci:v00001180d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d00000843sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000550sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000551sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002382sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002391sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d000095D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000084Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000880Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv00001093sd00007884bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F16sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002294sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002295sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002296sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001190sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DF5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A375sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B48sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016E6d00000670sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016C3d0000C202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d0000E763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d*sv*sd*bc08sc05i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc08sc05i*");

MODULE_INFO(srcversion, "D111E0796FA345887E1EF56");

MODULE_INFO(suserelease, "SLE15-SP6");
