#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nanddev_isbad, 0xc7b70d08, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x887d0921, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xe4f32d83, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x6d4e1a39, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x8eeb0643, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x997a52dc, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x7059cbc1, "_gpl");
SYMBOL_CRC(nanddev_init, 0xe320404f, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0xea09db84, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x8868c85a, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0xcca5696d, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x1f2aa4cf, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x01e08163, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xf907d69d, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x620a757a, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x7aa9b7cd, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x8fb4a578, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x64ee4da7, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x38e3cfc5, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0xe64a4518, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0xa83725ec, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x01d38255, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xe2937169, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xfe14586f, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x4afce660, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xa27e491b, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x9abb89ba, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x9749f8e5, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x53db2565, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x7f846bba, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0xcd233d63, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xf434604e, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xb8a73f20, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x1ebb217c, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x4588c87f, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x010f4cb1, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x4cee56e4, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0xed8965e1, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x7a56f7a2, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x04611770, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xa16d70b0, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xbd1e33a7, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x0f63adeb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd63ccace, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7d86f6e, "mtd_ooblayout_count_eccbytes" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x88acece, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "8F061617B43D7186BF17431");

MODULE_INFO(suserelease, "SLE15-SP6");
