#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x772541ae, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x7a3ae663, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x588702a1, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x0588c5d0, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xe2e4b082, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x21ee4281, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x3bde03d8, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x3f5a25b8, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0xd50e288e, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x4e8a32cc, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x1e18539c, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xd034d50e, "_gpl");
SYMBOL_CRC(nand_status_op, 0x28769683, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x8c8ce17b, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xbca60e39, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xf9a437f7, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xaf0e29f1, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xdc9badc2, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xd49d4c37, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x3d0ecee4, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x3cd44cdf, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x0416ecc3, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x1aa80849, "");
SYMBOL_CRC(nand_write_oob_std, 0xcd0fae23, "");
SYMBOL_CRC(nand_write_page_raw, 0xeec9a919, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x6c2cedff, "");
SYMBOL_CRC(nand_decode_ext_id, 0x40bc086e, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x46182df9, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x07409b80, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x75d450e3, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x3e5dfb37, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xe0fc0df9, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xba93be1b, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x3f51f983, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x5e8c99d1, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x54f34718, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x51fc7017, "");
SYMBOL_CRC(nand_cleanup, 0xbd1cda7f, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x529d3190, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xb398ba2d, "");
SYMBOL_CRC(nand_create_bbt, 0x7810aa4d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44bc0cdf, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4178c5a5, "mtd_read_oob" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xd2bdcb38, "gpiod_count" },
	{ 0xea09db84, "nanddev_cleanup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa83725ec, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe64a4518, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x99db40d5, "gpiod_get_index_optional" },
	{ 0x10f4cb1, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xe320404f, "nanddev_init" },
	{ 0x4611770, "nand_ecc_sw_bch_correct" },
	{ 0xbd1e33a7, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xd63ccace, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1ebb217c, "nand_ecc_sw_hamming_calculate" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4cee56e4, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa16d70b0, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe2937169, "nand_ecc_is_strong_enough" },
	{ 0x33f552c6, "mtd_write_oob" },
	{ 0x38e3cfc5, "nand_get_small_page_ooblayout" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4588c87f, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbd1e4b8a, "mtd_read" },
	{ 0x69da6b65, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50a74296, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd5eee967, "mtd_ooblayout_find_eccregion" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x76e09b14, "mtd_ooblayout_get_databytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x88acece, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8eeb0643, "nanddev_mtd_max_bad_blocks" },
	{ 0x7a56f7a2, "nand_ecc_sw_bch_calculate" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "33E639D922FC8A24AAC026F");

MODULE_INFO(suserelease, "SLE15-SP6");
