#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x16ecd0fa, "usb_anchor_urb" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xeef4b73c, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd13e9bfd, "can_put_echo_skb" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xf6f5f87a, "can_get_echo_skb" },
	{ 0x556b96c5, "alloc_canfd_skb" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x68646245, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa5b31972, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa64da6df, "alloc_can_skb" },
	{ 0x1d99bfa1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x8ddf80aa, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x9d0a694e, "can_change_state" },
	{ 0x5a6aa3ba, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xef4d4d68, "can_dropped_invalid_skb" },
	{ 0xe9983781, "_dev_err" },
	{ 0x92614d24, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa56f0998, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x7df29a7d, "netdev_printk" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0xd0a7f61d, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x6b1ce8b1, "can_bus_off" },
	{ 0xc0fb1682, "usb_unanchor_urb" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2b8020d3, "driver_for_each_device" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x532ce610, "alloc_can_err_skb" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x2f7437e5, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,can-dev");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9A33B07F85EC04832351D3D");

MODULE_INFO(suserelease, "SLE15-SP6");
