#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(felix_switch_ops, 0x346461af, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xd65707ba, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x6421d516, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x283917b2, "ocelot_vlan_prepare" },
	{ 0x99cb63a7, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa9702164, "ocelot_set_ageing_time" },
	{ 0xe88c0968, "__ocelot_rmw_ix" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x36fe606c, "ocelot_hwstamp_set" },
	{ 0x31a2dca5, "ocelot_port_policer_del" },
	{ 0x96518745, "ocelot_port_lag_change" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x4d4380db, "ocelot_port_policer_add" },
	{ 0x8d5ff814, "ocelot_port_mdb_add" },
	{ 0xd9bbd963, "ocelot_vlan_add" },
	{ 0x3026df90, "ocelot_sb_tc_pool_bind_get" },
	{ 0xed59f2e, "ocelot_port_bridge_flags" },
	{ 0xe59b76a0, "ocelot_devlink_sb_unregister" },
	{ 0x5b222bd9, "ocelot_port_bridge_leave" },
	{ 0xdb4dc4cb, "ocelot_port_set_maxlen" },
	{ 0x3d6c3dde, "ocelot_get_max_mtu" },
	{ 0xea74d0d3, "ocelot_vcap_filter_replace" },
	{ 0x6734e574, "regmap_fields_update_bits_base" },
	{ 0x9cfbf98b, "ocelot_sb_occ_snapshot" },
	{ 0x83ec74a0, "ocelot_get_ts_info" },
	{ 0xa150eca3, "ocelot_sb_occ_max_clear" },
	{ 0xc5275f82, "ocelot_port_get_mm" },
	{ 0x5dafeb58, "ocelot_ptp_gettime64" },
	{ 0xda2482bd, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x79964e85, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xe1d26887, "ocelot_port_add_dscp_prio" },
	{ 0x7a951f94, "ocelot_drain_cpu_queue" },
	{ 0xb96fda52, "ocelot_port_mirror_del" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20ce56a9, "__ocelot_read_ix" },
	{ 0x4df0ae69, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc72846af, "dsa_port_from_netdev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd5dca1f9, "ocelot_get_sset_count" },
	{ 0xb04738e7, "ocelot_migrate_mdbs" },
	{ 0x3703e13c, "ocelot_hwstamp_get" },
	{ 0xf794eeac, "ocelot_port_txtstamp_request" },
	{ 0x325d0992, "ocelot_port_bridge_join" },
	{ 0x2447e2ed, "ocelot_fdb_add" },
	{ 0xcbd8dba4, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xad00238d, "ocelot_xtr_poll_frame" },
	{ 0x7b6beddd, "ocelot_port_get_default_prio" },
	{ 0xaec30677, "ptp_classify_raw" },
	{ 0x21b37ca6, "ocelot_port_set_default_prio" },
	{ 0x3b4912f3, "dsa_tag_8021q_register" },
	{ 0xa1b61624, "ocelot_port_get_mm_stats" },
	{ 0xa1f79f61, "ocelot_deinit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x7f520f98, "ocelot_vlan_del" },
	{ 0x9df9f283, "ocelot_bond_get_id" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x92cbe78b, "ocelot_get_ethtool_stats" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x437a837c, "ocelot_cls_flower_destroy" },
	{ 0x82efb47e, "ocelot_port_vlan_filtering" },
	{ 0x5cd136fb, "ocelot_port_get_rmon_stats" },
	{ 0xc4a4aae6, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x895739af, "ocelot_lag_fdb_add" },
	{ 0x99f81d6a, "ocelot_bridge_stp_state_set" },
	{ 0x51a3a9cc, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xa3144663, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xb1979858, "ocelot_fdb_del" },
	{ 0xa79ccc3a, "ocelot_phylink_mac_link_down" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9aef0d20, "ocelot_port_lag_join" },
	{ 0x377ff226, "ocelot_port_get_eth_phy_stats" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x232d4c21, "ocelot_port_lag_leave" },
	{ 0x12f3f098, "ocelot_mrp_add_ring_role" },
	{ 0x1f762ea, "ocelot_port_set_mm" },
	{ 0xe4b522a4, "ocelot_deinit_timestamp" },
	{ 0x97a99809, "ocelot_cls_flower_replace" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x5199e3da, "ocelot_port_get_stats64" },
	{ 0xf92a4934, "ocelot_port_get_dscp_prio" },
	{ 0x3be0dea5, "ocelot_port_mdb_del" },
	{ 0x98461b77, "ocelot_port_get_eth_mac_stats" },
	{ 0x1ad3f152, "ocelot_mact_flush" },
	{ 0x460b364f, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3bc6b78, "ocelot_port_pre_bridge_flags" },
	{ 0x81537de1, "ocelot_port_del_dscp_prio" },
	{ 0x41046933, "ocelot_mrp_del_ring_role" },
	{ 0x8afaa379, "ocelot_sb_tc_pool_bind_set" },
	{ 0x19ea13d8, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d7a120, "dsa_mdb_present_in_other_db" },
	{ 0xd63bcf39, "ocelot_sb_port_pool_get" },
	{ 0xd892071b, "ocelot_vcap_filter_add" },
	{ 0x93ca37c9, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x7e7e13f1, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x75fc6b5e, "ocelot_port_inject_frame" },
	{ 0x749f72cb, "ocelot_mrp_add" },
	{ 0x8b10b14d, "ocelot_sb_occ_port_pool_get" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x61fd557e, "ocelot_sb_pool_set" },
	{ 0x9282ffb5, "ocelot_lag_fdb_del" },
	{ 0x743d7924, "ocelot_vcap_filter_del" },
	{ 0xc0821a39, "ocelot_cls_flower_stats" },
	{ 0x285bada4, "ocelot_sb_pool_get" },
	{ 0x6fd70f92, "ocelot_phylink_mac_link_up" },
	{ 0x9fd71416, "ocelot_deinit_port" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x49bea4e1, "ocelot_can_inject" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x37ddf6f7, "ocelot_port_mirror_add" },
	{ 0xe97d8b27, "ocelot_fdb_dump" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "BECEE98C025219439A1D389");

MODULE_INFO(suserelease, "SLE15-SP6");
