#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(t3_l2t_send_slow, 0x84950ea3, "");
SYMBOL_CRC(t3_l2t_send_event, 0x51b46a09, "");
SYMBOL_CRC(t3_l2e_free, 0x663f3197, "");
SYMBOL_CRC(t3_l2t_get, 0x35f0943c, "");
SYMBOL_CRC(cxgb3_register_client, 0x9050736b, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x0d55ef80, "");
SYMBOL_CRC(cxgb3_free_atid, 0x9e8fbb25, "");
SYMBOL_CRC(cxgb3_free_stid, 0x350222e7, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x3de2717d, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x900f9979, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x6521a50b, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x9ff39c2f, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x4e6627ba, "");
SYMBOL_CRC(dev2t3cdev, 0xb6cbd1fb, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xcdd9c480, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x7f85add4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0xd2d11dc8, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x797204c5, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x10e2ebc9, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0x5c1a26c2, "napi_get_frags" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x4c18b455, "pci_disable_msi" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe154021e, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xe00ca4f3, "pci_enable_msix_range" },
	{ 0x5a17db30, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd191c2e5, "pci_find_capability" },
	{ 0x53205bb7, "_dev_alert" },
	{ 0xdd69df0, "pci_enable_msi" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b549514, "netif_set_real_num_rx_queues" },
	{ 0x1ac8266a, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x44037b4a, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x620bd378, "napi_enable" },
	{ 0x60d8d1ca, "netif_receive_skb" },
	{ 0x3389a614, "register_netdev" },
	{ 0x6365d173, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x73d84cbd, "netif_tx_stop_all_queues" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x40261124, "__neigh_event_send" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe9d92e87, "netdev_master_upper_dev_get_rcu" },
	{ 0x3274205c, "__folio_put" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x6300002f, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xdf9f3f3c, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7344e9ae, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x324e655a, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06A6A331CE8E30D41ED2797");

MODULE_INFO(suserelease, "SLE15-SP6");
