#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x720601fe, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x30a0de8c, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xe4801fad, "_gpl");
SYMBOL_CRC(fun_bind, 0x96f46b6a, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xcd6eb191, "");
SYMBOL_CRC(fun_release_irqs, 0xf7645204, "");
SYMBOL_CRC(fun_serv_stop, 0x460ea713, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x19a329ba, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x718bf3ae, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xc568bae1, "");
SYMBOL_CRC(fun_dev_enable, 0x1cc6a584, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xa206b4c4, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x6675282c, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x5f203bda, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x4d8af248, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x96e50968, "pci_msix_vec_count" },
	{ 0xad3c8dfd, "pci_request_selected_regions" },
	{ 0x71eeaf82, "pci_release_selected_regions" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d9ad4bf, "pci_enable_device_mem" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x83cc2590, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x36c463cf, "pci_ioremap_bar" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d590c8f, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x595a24f3, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x727a4498, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe9983781, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xe189431b, "sbitmap_queue_clear" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaa33e501, "sbitmap_finish_wait" },
	{ 0x199c15f4, "pcie_print_link_status" },
	{ 0x3274205c, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5d2cd59, "__sbitmap_queue_get" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "SLE15-SP6");
