#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0x83cb7f2e, "");
SYMBOL_CRC(prestera_device_unregister, 0x4e659b7f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0xbf5495e5, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa9994a91, "br_vlan_enabled" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8f155f60, "devlink_unregister" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf1b11c6e, "register_fib_notifier" },
	{ 0xea7f79ee, "l3mdev_fib_table_rcu" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9d8496a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x64b926, "flow_rule_match_eth_addrs" },
	{ 0xecec5d3e, "devlink_port_attrs_set" },
	{ 0x3ff680ed, "flow_block_cb_priv" },
	{ 0x22de2b9, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0xf99caa3b, "devlink_register" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x68646245, "netdev_warn" },
	{ 0xb6b4ed94, "flow_rule_match_ipv4_addrs" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0x7ad8aa68, "fib_table_lookup" },
	{ 0xcdf97f86, "skb_pull_rcsum" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x5bda3fea, "switchdev_handle_port_attr_set" },
	{ 0xaa51004, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x57cd9a12, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xd02ef7d3, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x328a250b, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xe73b9201, "switchdev_bridge_port_offload" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x63369d6f, "flow_block_cb_incref" },
	{ 0xfd267b7d, "flow_rule_match_ports_range" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49c8a12c, "free_fib_info" },
	{ 0x75ce4639, "flow_rule_match_basic" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0xad9f9188, "devlink_port_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x5624569, "flow_block_cb_decref" },
	{ 0xe92bce64, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x620bd378, "napi_enable" },
	{ 0x3389a614, "register_netdev" },
	{ 0x90fe132a, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6365d173, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7773f79f, "idr_alloc_cyclic" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4f4f332, "rhashtable_free_and_destroy" },
	{ 0x4cbe70ef, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x6a9e8e1f, "flow_rule_match_ports" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xc5d40937, "devlink_trap_report" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x40261124, "__neigh_event_send" },
	{ 0x97eff737, "flow_block_cb_alloc" },
	{ 0x31eb6cd8, "switchdev_handle_port_obj_add" },
	{ 0xa0d91cf7, "fib_alias_hw_flags_set" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x12e6ca2a, "__neigh_create" },
	{ 0x560c6b28, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x686030d5, "br_multicast_enabled" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xecf9c44c, "flow_rule_match_vlan" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe9d92e87, "netdev_master_upper_dev_get_rcu" },
	{ 0xd6c12bb6, "devlink_traps_register" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x9c7495fd, "radix_tree_tagged" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x70354513, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0x7ffb1489, "devlink_port_register_with_ops" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x56c06b1b, "netdev_has_any_upper_dev" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xced8b827, "devlink_trap_groups_register" },
	{ 0x8ec84efd, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xa152f18e, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfd7d073b, "netdev_walk_all_lower_dev" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x18790101, "__fib_lookup" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xc74cc27c, "devlink_trap_groups_unregister" },
	{ 0xe10885c2, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x5a963254, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "SLE15-SP6");
