#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mana_gd_send_request, 0xed8b0cfc, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x08bb36e7, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x6108295b, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x1006d03d, "");
SYMBOL_CRC(mana_gd_register_device, 0x22bbebe0, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xd7dc765c, "");
SYMBOL_CRC(mana_uncfg_vport, 0xdc30bd35, "");
SYMBOL_CRC(mana_cfg_vport, 0x6950f2be, "");
SYMBOL_CRC(mana_create_wq_obj, 0x9c9db52c, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xc7cd320b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc36c4a1, "__tracepoint_xdp_exception" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x248e0751, "bpf_prog_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa9e491a9, "auxiliary_device_init" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3d64d60d, "bpf_warn_invalid_xdp_action" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x18b4c93, "debugfs_create_u16" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x347b7105, "page_pool_destroy" },
	{ 0x96c47339, "xdp_do_redirect" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68646245, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xd7bf3cd2, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18bc3aa1, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0xe9983781, "_dev_err" },
	{ 0x91df4b40, "simple_open" },
	{ 0xca8a903, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x344f9bde, "__auxiliary_device_add" },
	{ 0x5b549514, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x7df29a7d, "netdev_printk" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x7f3521bc, "pcie_flr" },
	{ 0x620bd378, "napi_enable" },
	{ 0x3389a614, "register_netdev" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6365d173, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x4cf6d9dc, "__SCK__tp_func_xdp_exception" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0xe7edac6f, "device_del" },
	{ 0x82969740, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x6618e723, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0x4b3f8107, "bpf_prog_add" },
	{ 0xf2abcd8c, "xdp_rxq_info_unreg" },
	{ 0xf31c4530, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa74c6668, "napi_build_skb" },
	{ 0x3274205c, "__folio_put" },
	{ 0x40ba344c, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x8ff16174, "xdp_master_redirect" },
	{ 0x277f9e47, "__napi_schedule_irqoff" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x85592f4c, "napi_consume_skb" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xe377d34e, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B79CD9BFC46127175DD110");

MODULE_INFO(suserelease, "SLE15-SP6");
