#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0xfe4df34c, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x1a4804d2, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xe2af5825, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xfd60b6f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0xc6ac6aa9, "netdev_is_rx_handler_busy" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0x28af4eef, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1d8984d9, "dev_uc_sync" },
	{ 0xa1525b5b, "dev_mc_sync" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x38efc576, "skb_clone" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xcb227543, "__dev_forward_skb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0xdb99e904, "dev_forward_skb" },
	{ 0x38e020ec, "netpoll_send_skb" },
	{ 0x52de2288, "__netif_rx" },
	{ 0xf65bf439, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x37279fa2, "netdev_core_stats_inc" },
	{ 0xa5203b45, "passthru_features_check" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xd09cf2a8, "ndo_dflt_fdb_dump" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x3e1cc109, "eth_header_parse" },
	{ 0x864bfcf, "eth_header_cache" },
	{ 0x7cfd33cf, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x57d78c81, "init_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8cdf5806, "dev_mc_del" },
	{ 0x8fd561d5, "dev_uc_del" },
	{ 0x2e9c2a32, "dev_mc_add_excl" },
	{ 0x4b504e85, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x5521af93, "__netpoll_free" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x466510ac, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x3abc7b8f, "vlan_vid_del" },
	{ 0x70b375fb, "vlan_vid_add" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xa171522f, "dev_uc_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x71f8c913, "dev_set_allmulti" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0xab58e50f, "dev_uc_unsync" },
	{ 0xb4816c58, "dev_mc_unsync" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xce8c98ff, "dev_set_mac_address" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0x3c795b9f, "netif_inherit_tso_max" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0x8809ecd9, "netif_stacked_transfer_operstate" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "SLE15-SP6");
