#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(phy_print_status, 0xc929d5f7, "");
SYMBOL_CRC(phy_get_rate_matching, 0x3407a3d8, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x85c2c316, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xb62712c0, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x2caf0386, "");
SYMBOL_CRC(phy_mii_ioctl, 0xe74973b4, "");
SYMBOL_CRC(phy_do_ioctl, 0x06bff21f, "");
SYMBOL_CRC(phy_do_ioctl_running, 0xf9824964, "");
SYMBOL_CRC(phy_queue_state_machine, 0x69e4b959, "");
SYMBOL_CRC(phy_trigger_machine, 0x1a046acd, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x3be16910, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xf28f4895, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xc71d329d, "");
SYMBOL_CRC(phy_start_cable_test, 0x3520b93f, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x050fa807, "");
SYMBOL_CRC(phy_config_aneg, 0x9af62565, "");
SYMBOL_CRC(phy_start_aneg, 0xeb8a435d, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xb7132c09, "");
SYMBOL_CRC(phy_speed_down, 0xc675fca2, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x599a3ce5, "_gpl");
SYMBOL_CRC(phy_start_machine, 0xd34ca04d, "_gpl");
SYMBOL_CRC(phy_error, 0x473d2203, "");
SYMBOL_CRC(phy_request_interrupt, 0x7dd6d29b, "");
SYMBOL_CRC(phy_free_interrupt, 0x4cffa97e, "");
SYMBOL_CRC(phy_stop, 0x849ae36e, "");
SYMBOL_CRC(phy_start, 0xb274cd5f, "");
SYMBOL_CRC(phy_mac_interrupt, 0x57628df4, "");
SYMBOL_CRC(phy_init_eee, 0x75693b3c, "");
SYMBOL_CRC(phy_get_eee_err, 0x46f57bf1, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xc48c30d2, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x0c844810, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xa052c259, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xe4a72651, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x6df42dda, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xc42249b8, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x297f866a, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xc2dd8def, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x868e6c97, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x50f5f710, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x0c26d656, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0xae614486, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xf35f856f, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x969b8b1a, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xe6699a98, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xb817bd70, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x10489f38, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xf16b2c4c, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x5a6ecf29, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x7a99d8af, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x5e928050, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x4b1340d4, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xca4cbdff, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xdfac1dcd, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xe2604de5, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x2498fed8, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xfcadf6ad, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xcc46e148, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xfcbda15d, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x4cbe3272, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xcc0fb901, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x91ad8357, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xd1af5e68, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x89b5f89f, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xe79634a3, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x0d3fb7d4, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x584e6cf9, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0xa2fcf219, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x6b3e7208, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xaead06e0, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x95d05002, "");
SYMBOL_CRC(phy_read_mmd, 0x4a9c89e0, "");
SYMBOL_CRC(__phy_write_mmd, 0x4a47d394, "");
SYMBOL_CRC(phy_write_mmd, 0x087d35ca, "");
SYMBOL_CRC(phy_modify_changed, 0x52717a63, "_gpl");
SYMBOL_CRC(__phy_modify, 0xa0101c73, "_gpl");
SYMBOL_CRC(phy_modify, 0x149e5433, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xd097f919, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xa56f8c45, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x622bf068, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x0b50aa8c, "_gpl");
SYMBOL_CRC(phy_save_page, 0xf3829763, "_gpl");
SYMBOL_CRC(phy_select_page, 0xb31b9e60, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x7e2add3c, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x3ecdae9c, "");
SYMBOL_CRC(phy_write_paged, 0xfc344099, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x11925c62, "");
SYMBOL_CRC(phy_modify_paged, 0xe4834ea8, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x9a959515, "");
SYMBOL_CRC(phy_register_fixup, 0xac2dbbc4, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x3b3b2892, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x051f7ecc, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x63578338, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xdce0bb3c, "");
SYMBOL_CRC(get_phy_device, 0x35a7f610, "");
SYMBOL_CRC(phy_device_register, 0xe68fa4eb, "");
SYMBOL_CRC(phy_device_remove, 0x352c0de4, "");
SYMBOL_CRC(phy_get_c45_ids, 0x63ce88f9, "");
SYMBOL_CRC(phy_find_first, 0x4999ee71, "");
SYMBOL_CRC(phy_connect_direct, 0x1e654b92, "");
SYMBOL_CRC(phy_connect, 0x9c50ea3f, "");
SYMBOL_CRC(phy_disconnect, 0x54a31c17, "");
SYMBOL_CRC(phy_init_hw, 0x05daddf4, "");
SYMBOL_CRC(phy_attached_info, 0x4294ad78, "");
SYMBOL_CRC(phy_attached_info_irq, 0x6cc90378, "");
SYMBOL_CRC(phy_attached_print, 0xbd40ff33, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x61051cc1, "");
SYMBOL_CRC(phy_attach_direct, 0x846bf170, "");
SYMBOL_CRC(phy_attach, 0x94830ca8, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x7d3fbe62, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x0965f96f, "_gpl");
SYMBOL_CRC(phy_package_join, 0xf9e9ab3d, "_gpl");
SYMBOL_CRC(phy_package_leave, 0xf4852143, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0xe39d4b67, "_gpl");
SYMBOL_CRC(phy_detach, 0x5b759a67, "");
SYMBOL_CRC(phy_suspend, 0x24654c43, "");
SYMBOL_CRC(__phy_resume, 0x8fce0af2, "");
SYMBOL_CRC(phy_resume, 0x83f2bf47, "");
SYMBOL_CRC(phy_loopback, 0xd9ec9006, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xee9fd121, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x87815910, "");
SYMBOL_CRC(genphy_setup_forced, 0x4e56e983, "");
SYMBOL_CRC(genphy_read_master_slave, 0x568b6d26, "");
SYMBOL_CRC(genphy_restart_aneg, 0x06314cb8, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x304b6b52, "");
SYMBOL_CRC(__genphy_config_aneg, 0x9815669e, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x9bb5c702, "");
SYMBOL_CRC(genphy_aneg_done, 0x6e94318a, "");
SYMBOL_CRC(genphy_update_link, 0xdae7fc08, "");
SYMBOL_CRC(genphy_read_lpa, 0x43d700a8, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xf338ee1f, "");
SYMBOL_CRC(genphy_read_status, 0x2cfabef3, "");
SYMBOL_CRC(genphy_c37_read_status, 0xd2ab2746, "");
SYMBOL_CRC(genphy_soft_reset, 0x9881e98c, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x7caca87e, "");
SYMBOL_CRC(genphy_read_abilities, 0x864e7c14, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xc72d01cd, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x87a81a0a, "");
SYMBOL_CRC(genphy_suspend, 0xb4965061, "");
SYMBOL_CRC(genphy_resume, 0xcff30c48, "");
SYMBOL_CRC(genphy_loopback, 0x80c14f30, "");
SYMBOL_CRC(phy_remove_link_mode, 0x50aad514, "");
SYMBOL_CRC(phy_advertise_supported, 0x322fcc41, "");
SYMBOL_CRC(phy_support_sym_pause, 0x505a756c, "");
SYMBOL_CRC(phy_support_asym_pause, 0x64f7bd3d, "");
SYMBOL_CRC(phy_set_sym_pause, 0x776f8afa, "");
SYMBOL_CRC(phy_set_asym_pause, 0x8422803a, "");
SYMBOL_CRC(phy_validate_pause, 0x689621b6, "");
SYMBOL_CRC(phy_get_pause, 0xffadaca4, "");
SYMBOL_CRC(phy_get_internal_delay, 0x1af65477, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x4004329b, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x34561770, "");
SYMBOL_CRC(device_phy_find_device, 0x66ab6e30, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x832090ab, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xe829c6d0, "");
SYMBOL_CRC(phy_drivers_register, 0x343024fe, "");
SYMBOL_CRC(phy_driver_unregister, 0xc9554208, "");
SYMBOL_CRC(phy_drivers_unregister, 0xd3e998f0, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x45aafa2b, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x854e1159, "");
SYMBOL_CRC(mdiobus_get_phy, 0xf196827c, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x9ba1ae4d, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x8601ac28, "");
SYMBOL_CRC(mdio_find_bus, 0x6095fa60, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x9a765d6e, "");
SYMBOL_CRC(__mdiobus_register, 0xac0e55f5, "");
SYMBOL_CRC(mdiobus_unregister, 0x1b9dad72, "");
SYMBOL_CRC(mdiobus_free, 0xecda5aa6, "");
SYMBOL_CRC(__mdiobus_read, 0x0556d6cd, "");
SYMBOL_CRC(__mdiobus_write, 0xd8a415b7, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xf293f853, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xd33e42d4, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x4f1a640d, "");
SYMBOL_CRC(mdiobus_read_nested, 0x7a54ba94, "");
SYMBOL_CRC(mdiobus_read, 0x6a8b3bba, "");
SYMBOL_CRC(mdiobus_c45_read, 0xec34e548, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xc179b40a, "");
SYMBOL_CRC(mdiobus_write_nested, 0x611a0b1a, "");
SYMBOL_CRC(mdiobus_write, 0x4991aff3, "");
SYMBOL_CRC(mdiobus_c45_write, 0x8193a945, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xd6f7517d, "");
SYMBOL_CRC(mdiobus_modify, 0xa37a54e0, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xd4d795df, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xa5aa07cf, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xe3859d26, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xba64e71f, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xbfc9eeee, "");
SYMBOL_CRC(mdio_device_create, 0x377411ff, "");
SYMBOL_CRC(mdio_device_register, 0x023a4265, "");
SYMBOL_CRC(mdio_device_remove, 0x92b4c599, "");
SYMBOL_CRC(mdio_device_reset, 0xb3108f9f, "");
SYMBOL_CRC(mdio_driver_register, 0x23e417c9, "");
SYMBOL_CRC(mdio_driver_unregister, 0x85524848, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x384e8355, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x5ebb4011, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x39efe102, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c627c9c, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x615b718a, "gpiod_put" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7349a40c, "sysfs_create_file_ns" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x2e042ee3, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x8996668a, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd442e233, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xe15369df, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x80159a91, "bus_find_device" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x330838de, "is_acpi_data_node" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb4a85fa, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x26612c68, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32b081a9, "device_register" },
	{ 0xe7edac6f, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x674dc8c9, "device_bind_driver" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x16f49d17, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xcf83bb8d, "netdev_alert" },
	{ 0xdf35feae, "ethnl_cable_test_alloc" },
	{ 0xbd470bab, "fwnode_find_reference" },
	{ 0xa83d2609, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x28af4eef, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7dd6c938, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x32cff835, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2dfb9cdc, "led_trigger_register" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xff51b54a, "gpiod_get_optional" },
	{ 0x884ac567, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x699010db, "sysfs_create_link_nowarn" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x62851c2e, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x5ea16991, "led_trigger_event" },
	{ 0x6ca9bfda, "device_release_driver" },
	{ 0xb14dd5ed, "ethnl_cable_test_free" },
	{ 0xb68e66c, "gpiod_set_consumer_name" },
	{ 0x92003a20, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9DF373F614E0405E4D6D762");

MODULE_INFO(suserelease, "SLE15-SP6");
