#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x149e5433, "phy_modify" },
	{ 0x9881e98c, "genphy_soft_reset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x68ce56d4, "ethnl_cable_test_fault_length" },
	{ 0x2d6e0c68, "ethnl_cable_test_pulse" },
	{ 0x9dd77a4b, "ethnl_cable_test_step" },
	{ 0x52717a63, "phy_modify_changed" },
	{ 0xa0101c73, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x3e411ace, "sfp_select_interface" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x11925c62, "phy_modify_paged_changed" },
	{ 0xf3829763, "phy_save_page" },
	{ 0x1a046acd, "phy_trigger_machine" },
	{ 0x473d2203, "phy_error" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3102644d, "devm_hwmon_device_register_with_info" },
	{ 0xd3e998f0, "phy_drivers_unregister" },
	{ 0x4991aff3, "mdiobus_write" },
	{ 0x89b5f89f, "genphy_c45_ethtool_get_eee" },
	{ 0x9af62565, "phy_config_aneg" },
	{ 0xc856d1c2, "ethnl_cable_test_result" },
	{ 0x8c01c478, "ethnl_cable_test_amplitude" },
	{ 0x9815669e, "__genphy_config_aneg" },
	{ 0x864e7c14, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x61051cc1, "phy_sfp_probe" },
	{ 0xf338ee1f, "genphy_read_status_fixed" },
	{ 0xdae7fc08, "genphy_update_link" },
	{ 0x43d700a8, "genphy_read_lpa" },
	{ 0xa2fcf219, "phy_resolve_aneg_pause" },
	{ 0xb4965061, "genphy_suspend" },
	{ 0xcff30c48, "genphy_resume" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x304b6b52, "genphy_check_and_restart_aneg" },
	{ 0x4e56e983, "genphy_setup_forced" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x343024fe, "phy_drivers_register" },
	{ 0x3ecdae9c, "phy_read_paged" },
	{ 0xe4834ea8, "phy_modify_paged" },
	{ 0x556d6cd, "__mdiobus_read" },
	{ 0xb31b9e60, "phy_select_page" },
	{ 0xd8a415b7, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e2add3c, "phy_restore_page" },
	{ 0xfc344099, "phy_write_paged" },
	{ 0x6a8b3bba, "mdiobus_read" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "A34A5C7054A031590BAEE22");

MODULE_INFO(suserelease, "SLE15-SP6");
