#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x343024fe, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4965061, "genphy_suspend" },
	{ 0x6a8b3bba, "mdiobus_read" },
	{ 0x4991aff3, "mdiobus_write" },
	{ 0x2cfabef3, "genphy_read_status" },
	{ 0x149e5433, "phy_modify" },
	{ 0x4a9c89e0, "phy_read_mmd" },
	{ 0x1a046acd, "phy_trigger_machine" },
	{ 0x473d2203, "phy_error" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xaec30677, "ptp_classify_raw" },
	{ 0x9afa55b2, "ptp_parse_header" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xc5f20999, "skb_complete_tx_timestamp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd8a415b7, "__mdiobus_write" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x556d6cd, "__mdiobus_read" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xe39d4b67, "devm_phy_package_join" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0xb68e66c, "gpiod_set_consumer_name" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73bcdbe1, "ptp_clock_register" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa1437a4, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd3e998f0, "phy_drivers_unregister" },
	{ 0xcff30c48, "genphy_resume" },
	{ 0x87d35ca, "phy_write_mmd" },
	{ 0x6314cb8, "genphy_restart_aneg" },
	{ 0x9815669e, "__genphy_config_aneg" },
	{ 0x864e7c14, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xb50aa8c, "phy_modify_mmd" },
	{ 0xe92bce64, "skb_push" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbecd7f05, "ptp_find_pin_unlocked" },
	{ 0x5f25adef, "ptp_clock_event" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x5daddf4, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc856d1c2, "ethnl_cable_test_result" },
	{ 0x68ce56d4, "ethnl_cable_test_fault_length" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9881e98c, "genphy_soft_reset" },
	{ 0xc72d01cd, "genphy_read_mmd_unsupported" },
	{ 0x87a81a0a, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "0E66A91E1DB28133B52F458");

MODULE_INFO(suserelease, "SLE15-SP6");
