#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x657376d, "usbnet_write_cmd_async" },
	{ 0xdc5412bf, "eth_platform_get_mac_address" },
	{ 0xbcd4a588, "mii_nway_restart" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4a1bc3e, "usbnet_get_endpoints" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc712325d, "netif_set_tso_max_size" },
	{ 0xfff09cda, "usbnet_resume" },
	{ 0x21ade6ea, "mii_ethtool_gset" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xbc27510c, "usbnet_probe" },
	{ 0x5ce50502, "usbnet_open" },
	{ 0x45f1ffab, "usbnet_stop" },
	{ 0x694bbd, "usbnet_start_xmit" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xfcbe2373, "usbnet_tx_timeout" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x75dc558e, "usbnet_get_msglevel" },
	{ 0xd88d41ca, "usbnet_set_msglevel" },
	{ 0x8bbcf1ad, "usbnet_nway_reset" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe92bce64, "skb_push" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd095029b, "skb_trim" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xf2252caa, "usbnet_skb_return" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xb2ec6e33, "usbnet_read_cmd" },
	{ 0xc5f72f0c, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68646245, "netdev_warn" },
	{ 0x5ee4327e, "usbnet_write_cmd" },
	{ 0xeeb90647, "usbnet_write_cmd_nopm" },
	{ 0x68e0f114, "mii_ethtool_set_link_ksettings" },
	{ 0xe8c0e242, "mii_ethtool_get_link_ksettings" },
	{ 0xd3608d1e, "generic_mii_ioctl" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x9ef71baa, "usbnet_disconnect" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0x77122d22, "usbnet_update_max_qlen" },
	{ 0x7235d955, "usbnet_suspend" },
	{ 0xa92bc5c8, "usbnet_link_change" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x91105eb8, "netdev_err" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "SLE15-SP6");
