#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe548d901, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xa562004f, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x047365cf, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xe25dc920, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x8c0c5c50, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xa382651e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xb003475e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x9a88e2b6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb655a67a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x966e96b9, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xffd8c8c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x547891c, "_dev_warn" },
	{ 0x77122d22, "usbnet_update_max_qlen" },
	{ 0x8e649159, "usbnet_unlink_rx_urbs" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xa92bc5c8, "usbnet_link_change" },
	{ 0x60a27f1e, "usb_altnum_to_altsetting" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2252caa, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb2a1043b, "cdc_parse_cdc_header" },
	{ 0xd63e7299, "usb_ifnum_to_if" },
	{ 0xb43de48, "usb_driver_claim_interface" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd176fe46, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe9983781, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xd332edb7, "usbnet_manage_power" },
	{ 0x9128cc43, "usbnet_cdc_update_filter" },
	{ 0x5ce50502, "usbnet_open" },
	{ 0x45f1ffab, "usbnet_stop" },
	{ 0x24b46287, "usbnet_set_rx_mode" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xfcbe2373, "usbnet_tx_timeout" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0xb4c4c80e, "usbnet_get_drvinfo" },
	{ 0x75dc558e, "usbnet_get_msglevel" },
	{ 0xd88d41ca, "usbnet_set_msglevel" },
	{ 0x8bbcf1ad, "usbnet_nway_reset" },
	{ 0x9f5d6056, "usbnet_get_link" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0x8657e1f7, "usbnet_get_link_ksettings_internal" },
	{ 0xbc27510c, "usbnet_probe" },
	{ 0x9ef71baa, "usbnet_disconnect" },
	{ 0x7235d955, "usbnet_suspend" },
	{ 0xfff09cda, "usbnet_resume" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2ec6e33, "usbnet_read_cmd" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x5ee4327e, "usbnet_write_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x86b610c8, "hrtimer_active" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0xc2e67c82, "netif_tx_lock" },
	{ 0x694bbd, "usbnet_start_xmit" },
	{ 0x2ef0ea88, "netif_tx_unlock" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfd550e33, "usb_driver_release_interface" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "SLE15-SP6");
