#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vxlan_fdb_find_uc, 0x7b6f86d3, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x86bc4362, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xa456a674, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x9e1c8949, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x4f7b2e79, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf348299, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0x3021a81c, "netdev_adjacent_change_commit" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x76b52ce7, "ip6_dst_hoplimit" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5805e6c2, "dst_cache_set_ip4" },
	{ 0x41b4f7f3, "udp_tunnel6_xmit_skb" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x3c795b9f, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xced7b354, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa7ee5f18, "rtnl_create_link" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x25362a24, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1dad777, "udp_tunnel_drop_rx_port" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xa23675c7, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd837365d, "eth_gro_complete" },
	{ 0x9495f3af, "rtnl_set_sk_err" },
	{ 0x90880fd9, "eth_gro_receive" },
	{ 0xa4f78fd3, "rtnl_configure_link" },
	{ 0xcbec6086, "skb_tunnel_check_pmtu" },
	{ 0x1790d65c, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xdc956239, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xd099353, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xa45e1498, "gro_cells_receive" },
	{ 0xe92bce64, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x6365d173, "free_netdev" },
	{ 0xab13e426, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb43c338d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x7a5c9aa, "nexthop_find_by_id" },
	{ 0x2ad66810, "arp_create" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0x78f3575a, "netdev_adjacent_change_prepare" },
	{ 0x1869ff99, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd4f4f332, "rhashtable_free_and_destroy" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xc6939784, "netdev_adjacent_change_abort" },
	{ 0x88a40c7f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x507459df, "__iptunnel_pull_header" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x771bd0a9, "skb_scrub_packet" },
	{ 0x70904902, "nexthop_select_path" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb60e0c9, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4eadbf7e, "dst_cache_get_ip6" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0xfe47bc7e, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb3db2771, "udp_tun_rx_dst" },
	{ 0x9496cb0, "dst_cache_set_ip6" },
	{ 0x3aac1471, "rtnl_notify" },
	{ 0x19a6ea1c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x52de2288, "__netif_rx" },
	{ 0x38efc576, "skb_clone" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0xca606480, "dst_release" },
	{ 0xf3bc48cb, "unregister_nexthop_notifier" },
	{ 0x8ec84efd, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x1d0e4e98, "udp_tunnel_notify_del_rx_port" },
	{ 0x4ef2ba1b, "register_nexthop_notifier" },
	{ 0x4c40f415, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4d357d39, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x37279fa2, "netdev_core_stats_inc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x5a963254, "neigh_lookup" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B2FD6BE8AA7161956B431C8");

MODULE_INFO(suserelease, "SLE15-SP6");
