#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8415c193, "finish_wait" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5bc760a, "usb_check_bulk_endpoints" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6f2f5fd7, "usb_alloc_coherent" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xd3bda221, "usb_free_coherent" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x65b45cb, "complete" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x39914307, "__wake_up" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xe92bce64, "skb_push" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v168Cp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v168Cp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7811d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0713d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0710d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v129Bp160Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v129Bp160Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7811d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7803d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4250d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4251d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p5F00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p5F01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083Ap4506d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v083Ap4507d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3205d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3206d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0826d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0827d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0828d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0829d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p4250d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p4251d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F03d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1B86C648AD3ACDAB1C41677");

MODULE_INFO(suserelease, "SLE15-SP6");
