#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xc4f4d2b3, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x45c8b1ad, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xa7014c0f, "");
SYMBOL_CRC(ath11k_core_resume, 0x427dd00f, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xdb96c820, "");
SYMBOL_CRC(ath11k_core_init, 0xe8ef80be, "");
SYMBOL_CRC(ath11k_core_deinit, 0xd3f94b36, "");
SYMBOL_CRC(ath11k_core_free, 0xc13a16c6, "");
SYMBOL_CRC(ath11k_core_alloc, 0xacab40c2, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x906d1e9a, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xf3cdbd62, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x9be0d848, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x939b24fb, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x54c79bce, "");
SYMBOL_CRC(ath11k_info, 0xc4d8ef05, "");
SYMBOL_CRC(ath11k_err, 0x9d6b0c0f, "");
SYMBOL_CRC(ath11k_warn, 0x9a2a0e8e, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x039f4d2d, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x149b1c96, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x398bada3, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xb011aaea, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xa1ece85b, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xf84f7ed6, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x0c495496, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xea6db72f, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x3a254ece, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x76755bb8, "");
SYMBOL_CRC(ath11k_pcic_read, 0xc8b4dc87, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x33d60b0a, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xc88d0a21, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xcb54c156, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x710cce69, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xeb87a3ed, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x640dfa70, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xa0a63bd2, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xdeb057bd, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x2cc71d2f, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x55f49ea8, "");
SYMBOL_CRC(ath11k_pcic_start, 0xfd9e84bb, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xf325b48f, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x5c575609, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x6c23bd72, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xfa80a780, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcfdc57f8, "ieee80211_gtk_rekey_notify" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x5ec567fe, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x889c67a7, "_ieee80211_beacon_update_cntdwn" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x9f40e5d6, "qmi_handle_init" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x603dba7d, "device_get_mac_address" },
	{ 0xf486a287, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x723ccb41, "ieee80211_iterate_stations_atomic" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x543fdbbe, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa519264d, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5cd9426, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x4a5f1cb5, "thermal_cooling_device_register" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x39914307, "__wake_up" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0xa8734c05, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xe594b898, "qmi_send_request" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcdcdcd85, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe67c193, "qmi_txn_wait" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xbebe63ff, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7c8c0962, "qmi_txn_cancel" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7900baf, "ieee80211_find_sta_by_ifaddr" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x620bd378, "napi_enable" },
	{ 0xc4ce02c9, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a7a289f, "qmi_txn_init" },
	{ 0x6ef2dd95, "ieee80211_report_low_ack" },
	{ 0x3a09bc52, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe9aace6c, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x8c2e2969, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa096fbc6, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xa88f1e4c, "ieee80211_beacon_free_ema_list" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x572a0a77, "qmi_handle_release" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0xba51f759, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xb40aab27, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2c008a3b, "ieee80211_color_change_finish" },
	{ 0x36b66a34, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc82f14d, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x415b914, "regulatory_set_wiphy_regd" },
	{ 0xc8f3c7be, "cfg80211_chandef_dfs_cac_time" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x48a01428, "ieee80211_beacon_get_template_ema_list" },
	{ 0x469d62a3, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x77f05ec3, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb0f34f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "F7E7A7E2656B01316795390");

MODULE_INFO(suserelease, "SLE15-SP6");
