#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0x9da42829, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x0b2d8370, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0xfd7efa3a, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0xf9215537, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0x2bc06933, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x584c9f53, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0x15473200, "");
SYMBOL_CRC(ath6kl_core_init, 0x3f329e86, "");
SYMBOL_CRC(ath6kl_core_create, 0xd6bf30b5, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0xebf3e25e, "");
SYMBOL_CRC(ath6kl_core_destroy, 0x26ff35c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4907efd, "cfg80211_sched_scan_results" },
	{ 0xc4497e36, "cfg80211_cqm_txe_notify" },
	{ 0x8815734f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xc3c4e361, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xcca4d2bf, "cfg80211_sched_scan_stopped" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc19339f, "cfg80211_remain_on_channel_expired" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x6064aba1, "cfg80211_register_netdevice" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xbfc97bdc, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x70291abd, "cfg80211_new_sta" },
	{ 0x1ef5ffe1, "netdev_set_default_ethtool_ops" },
	{ 0x7834a9a8, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2bc71b1, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3a83859, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0xc5df7057, "cfg80211_roamed" },
	{ 0x4e9bc7ae, "cfg80211_ch_switch_notify" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5231f92f, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7769121e, "cfg80211_ibss_joined" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e123739, "cfg80211_michael_mic_failure" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x63a89d0a, "cfg80211_del_sta_sinfo" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1708ca65, "wiphy_unregister" },
	{ 0x6365d173, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xe9aace6c, "cfg80211_get_bss" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e6ef063, "cfg80211_pmksa_candidate_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xe373c22, "cfg80211_check_station_change" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x665e6d23, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x9f21f2f2, "cfg80211_rx_mgmt_ext" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xee4ee342, "skb_copy" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x60b67a6a, "cfg80211_conn_failed" },
	{ 0xf3a8a1e9, "cfg80211_inform_bss_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9655db66, "cfg80211_connect_done" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "D3A35D24F8C58542E614079");

MODULE_INFO(suserelease, "SLE15-SP6");
