#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(brcmf_set_wsec, 0x65a80282, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xfa6cfddd, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x4901ca21, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x54fd1ebc, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xa83a93bf, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0xabf09415, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x2205b201, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0xc06a33fb, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x49f06f48, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x981cfcf8, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xf3540765, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xdf12e2f4, "brcmu_pktq_mlen" },
	{ 0xb4907efd, "cfg80211_sched_scan_results" },
	{ 0x2f1af773, "sdio_retune_hold_now" },
	{ 0xf5202bb5, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x3aa7853, "sdio_disable_func" },
	{ 0x8815734f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x1c665759, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x722ab8ab, "sdio_set_block_size" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xabd7a0f4, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3b1679de, "sdio_retune_crc_disable" },
	{ 0xc3c4e361, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0xeec290e, "platform_driver_unregister" },
	{ 0x6b8b4773, "sdio_claim_host" },
	{ 0xcca4d2bf, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd7ef8d9b, "sdio_memcpy_fromio" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x1abe41cf, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xfc19339f, "cfg80211_remain_on_channel_expired" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x6064aba1, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4c18b455, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xbde2c32c, "cfg80211_port_authorized" },
	{ 0xa9ab720d, "brcmu_pktq_init" },
	{ 0x8ce7fb52, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x2802b813, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x39914307, "__wake_up" },
	{ 0x70291abd, "cfg80211_new_sta" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x7834a9a8, "cfg80211_disconnected" },
	{ 0x843e3f04, "ether_setup" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x87f47f26, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2bc71b1, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c089a3b, "cfg80211_classify8021d" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaee38f48, "sdio_release_irq" },
	{ 0xa5a071b1, "cfg80211_crit_proto_stopped" },
	{ 0xc3a83859, "wiphy_register" },
	{ 0x9bd704bc, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0xc5df7057, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5ad6878f, "cfg80211_check_combinations" },
	{ 0x81cb1283, "sdio_set_host_pm_flags" },
	{ 0xe9f689d0, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x815eba6c, "sdio_unregister_driver" },
	{ 0x7e06cc2a, "sdio_readsb" },
	{ 0x75ef1961, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdd69df0, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0x7769121e, "cfg80211_ibss_joined" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e123739, "cfg80211_michael_mic_failure" },
	{ 0x474465c1, "wiphy_apply_custom_regulatory" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x23c746ce, "sdio_retune_crc_enable" },
	{ 0xe72a4b69, "brcmu_pktq_flush" },
	{ 0xb0b22e5a, "brcmu_pktq_peek_tail" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x63a89d0a, "cfg80211_del_sta_sinfo" },
	{ 0x7fa0fcfb, "sdio_readl" },
	{ 0xf32d11a7, "mmc_set_data_timeout" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3389a614, "register_netdev" },
	{ 0x1708ca65, "wiphy_unregister" },
	{ 0x6365d173, "free_netdev" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xdc5412bf, "eth_platform_get_mac_address" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa187d050, "brcmu_pktq_pdeq_match" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x247f19a7, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2e4b8b36, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34b615a3, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x12b1a025, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xa028b74, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x6181d098, "brcmu_pktq_mdeq" },
	{ 0x665e6d23, "cfg80211_unregister_wdev" },
	{ 0xd01ba401, "pci_pme_capable" },
	{ 0x3d224290, "brcmu_pktq_penq" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x31afb26f, "__platform_driver_probe" },
	{ 0x9f21f2f2, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x81f25b02, "usb_autopm_get_interface" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x139ac09b, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2b8020d3, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xb92bc50d, "brcmu_pkt_buf_get_skb" },
	{ 0xf206d2e8, "mmc_hw_reset" },
	{ 0x48250239, "sdio_retune_release" },
	{ 0x29c47d5c, "sdio_claim_irq" },
	{ 0x1776a24d, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0x4dd09004, "sdio_enable_func" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27e37482, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x77239694, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf3a8a1e9, "cfg80211_inform_bss_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x6ca9bfda, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x9655db66, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x68d867bb, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7e8b3280, "sdio_readb" },
	{ 0x71ff99bf, "sdio_writeb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core,usbcore");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7D60C76F6BE6E24DA8746AA");

MODULE_INFO(suserelease, "SLE15-SP6");
