#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libipw_networks_age, 0x871d6a5c, "");
SYMBOL_CRC(alloc_libipw, 0x03123b89, "");
SYMBOL_CRC(free_libipw, 0xbdc1664c, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x9784e8f0, "");
SYMBOL_CRC(libipw_txb_free, 0x60708766, "");
SYMBOL_CRC(libipw_rx_any, 0xcaa8c2cf, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x76b4ac39, "");
SYMBOL_CRC(libipw_rx, 0x88548f3e, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x543d165f, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xf1d6b7bd, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x37996145, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x45c5b8f0, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x8e2e8ee4, "");
SYMBOL_CRC(libipw_get_channel, 0xa7ac1169, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x24dedba4, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x1126c0ab, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x7e6d7661, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x109868a0, "");
SYMBOL_CRC(libipw_channel_to_index, 0x1b413ae6, "");
SYMBOL_CRC(libipw_set_geo, 0xa40f2376, "");
SYMBOL_CRC(libipw_get_geo, 0x7a3cb3a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x299c0d98, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0x411632bd, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xf1bac2a2, "lib80211_get_crypto_ops" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xe92bce64, "skb_push" },
	{ 0x6365d173, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x1feeb594, "wireless_spy_update" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x723d4432, "lib80211_crypt_info_free" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x80c2a73c, "lib80211_crypt_delayed_deinit" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "02AC85B00C54D0F051BC19B");

MODULE_INFO(suserelease, "SLE15-SP6");
