#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(p54_parse_eeprom, 0xe3891278, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xfec4c4bb, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xc9c0b66e, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x566d7d56, "_gpl");
SYMBOL_CRC(p54_rx, 0x2728f312, "_gpl");
SYMBOL_CRC(p54_init_common, 0x8399cce9, "_gpl");
SYMBOL_CRC(p54_register_common, 0x559e901f, "_gpl");
SYMBOL_CRC(p54_free_common, 0x81e082e7, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x9dab0448, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa519264d, "ieee80211_beacon_loss" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcffeb1ca, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x70b2f2d1, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e9a28cd, "__ieee80211_get_tx_led_name" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x158932f5, "__ieee80211_get_rx_led_name" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xe9983781, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xe5dcc1a4, "ieee80211_stop_queue" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xfad0a3b1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x2300ca3e, "__ieee80211_get_assoc_led_name" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");

MODULE_INFO(suserelease, "SLE15-SP6");
