#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(lbs_cmd_copyback, 0x803e4356, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x7e81bd6a, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x3c98533f, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x84b749bb, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x000cd5a9, "_gpl");
SYMBOL_CRC(lbs_resume, 0xabebbb62, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x2267d2fe, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xb97cb8a0, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x2629027d, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xe383586b, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x132a2bf4, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x11dd3f7c, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xef11d787, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0xdc6a5932, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x8c771794, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x8b9e72c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc3c4e361, "cfg80211_scan_done" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7834a9a8, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc3a83859, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0x7769121e, "cfg80211_ibss_joined" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e123739, "cfg80211_michael_mic_failure" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x3389a614, "register_netdev" },
	{ 0x1708ca65, "wiphy_unregister" },
	{ 0x6365d173, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe9aace6c, "cfg80211_get_bss" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf83bb8d, "netdev_alert" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xf3a8a1e9, "cfg80211_inform_bss_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9655db66, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x653201aa, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");

MODULE_INFO(suserelease, "SLE15-SP6");
