#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7615_mac_sta_add, 0xff9f89b4, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xe4c577c5, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x7a17e395, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x7195590a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x0eb35ada, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xc4299daf, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xa7f553d8, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x898094f0, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xbd77daa4, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x4000a73f, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0xbc634d0d, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x80db04e5, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x24ae4270, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x7710ef5d, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x120a335f, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x574fdb40, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xa29fe532, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xb86edb6a, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0xb1ca5cc1, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x73495573, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x5eb02cc5, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x4e36d685, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xa16b4661, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x0150fb03, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x03b9ffcb, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x764f5fed, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x61aeef36, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xfac8ab12, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x4a071aca, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x51836df5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1528aba4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x6b9b0cf, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x87ab84fb, "ieee80211_sta_register_airtime" },
	{ 0xaba79d71, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x5e92d4d2, "mt76_connac_mcu_sta_tlv" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0xcb7df409, "mt76_tx_worker_run" },
	{ 0xa8f37593, "mt76_init_sar_power" },
	{ 0x7aa81763, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x256729d6, "ieee80211_iterate_interfaces" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xd6ce0d74, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x3d85341e, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc75b084a, "mt76_tx_status_skb_get" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xaccbdaa3, "mt76_tx_status_lock" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xedf9ca32, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x18b4c93, "debugfs_create_u16" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x9312f98, "mt76_connac_mcu_set_channel_domain" },
	{ 0x95d55c45, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcc13596a, "mt76_release_buffered_frames" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x5b1e92fa, "mt76_get_txpower" },
	{ 0xf4d86c0, "__tracepoint_mac_txdone" },
	{ 0xd7079f16, "mt76_connac_pm_wake" },
	{ 0x44881250, "mt76_get_rate" },
	{ 0xcce75294, "mt76_wake_tx_queue" },
	{ 0x543fdbbe, "ieee80211_tx_status_ext" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5cf579af, "mt76_connac_mcu_chip_config" },
	{ 0x327fa997, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x81c4a379, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x6d5cca0, "__mt76_tx_complete_skb" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5c919420, "mt76_set_stream_caps" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x39914307, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x2dc66e9, "mt76_connac_mcu_update_arp_filter" },
	{ 0x4573289e, "mt76_connac_mcu_set_vif_ps" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xc255837b, "mt76_mcu_rx_event" },
	{ 0x256012ff, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x72bbe622, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7fe94a77, "mt76_wcid_init" },
	{ 0x4707d179, "mt76_tx_status_check" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xce49a137, "mt76_connac_free_pending_tx_skbs" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x7efa001d, "mt76_connac_power_save_sched" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18a7b70, "ieee80211_send_bar" },
	{ 0x8b45890c, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x483ee49d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf8120484, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x191cd967, "mt76_tx" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x251f0f65, "mt76_connac_mcu_set_mac_enable" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x790a19c2, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x2bb56808, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x40700793, "mt76_rx" },
	{ 0x366bce58, "mt76_connac_mcu_sched_scan_req" },
	{ 0x45a5b1f8, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xd9d83ffb, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5b05e348, "mt76_phy_dfs_state" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x60a1b279, "mt76_connac_mcu_hw_scan" },
	{ 0xfb075b21, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0x6edbb608, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x31b16cf7, "debugfs_create_file_unsafe" },
	{ 0x5a9bf0ea, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x873b3156, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6c4e7432, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x8118da97, "mt76_set_channel" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x56d495ad, "mt76_mcu_send_and_get_msg" },
	{ 0x3a09bc52, "ieee80211_beacon_get_template" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x405c0d9c, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0x2898b570, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x74f9d29b, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5ab241b8, "mt76_connac_mcu_set_pm" },
	{ 0x73944dd5, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa096fbc6, "devm_hwmon_device_register_with_groups" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x17722b03, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x46b39406, "mt76_connac_mcu_start_patch" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbc557b30, "__SCK__tp_func_mac_txdone" },
	{ 0x233fc978, "mt76_sta_state" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4e0551b0, "mt76_connac_mcu_init_download" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x478ac089, "cfg80211_reg_can_beacon" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb617be7b, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x6865057, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x41b12afe, "mt76_get_rate_power_limits" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x187907a4, "ieee80211_sched_scan_results" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x24976e59, "mt76_insert_ccmp_hdr" },
	{ 0x3cfc840, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6158e357, "mt76_sw_scan_complete" },
	{ 0x87d46b1f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7b7b8de1, "mt76_connac_mcu_start_firmware" },
	{ 0x90a6e15d, "____mt76_poll_msec" },
	{ 0x70489a5b, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f7c0301, "mt76_connac_mcu_rdd_cmd" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x91880284, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbac2025f, "mt76_get_sar_power" },
	{ 0x8f3b5b95, "mt76_unregister_phy" },
	{ 0x3907a387, "mt76_register_phy" },
	{ 0xcfed79d3, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xad8bd771, "mt76_put_txwi" },
	{ 0x38515da5, "mt76_wcid_cleanup" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x36b66a34, "ieee80211_radar_detected" },
	{ 0x737135e6, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xe15829e7, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x971aaaa8, "mt76_sw_scan" },
	{ 0xaa4477c6, "mt76_queues_read" },
	{ 0x5420b3d1, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x35ac8227, "mt76_sta_pre_rcu_remove" },
	{ 0xc92be552, "mt76_register_debugfs_fops" },
	{ 0x8b3ca547, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x3017a205, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x2fe65ff6, "mt76_connac_mcu_sta_ba" },
	{ 0xbb8e5087, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x89524df5, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xaff1aa8d, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xaa6c2f8b, "__mt76_poll" },
	{ 0xe900ca6f, "mt76_rx_aggr_stop" },
	{ 0xf2820810, "debugfs_create_u8" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb49184b4, "mt76_get_min_avg_rssi" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f10a6e3, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x77f05ec3, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "30E3BE61C92942D72E5CEF5");

MODULE_INFO(suserelease, "SLE15-SP6");
