#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0xbe27b7bf, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x8a071127, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xe6b01c73, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x56076997, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xabd17d43, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xe34781a3, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x6e998f2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f37593, "mt76_init_sar_power" },
	{ 0x1348b450, "mt76x02_phy_adjust_vga_gain" },
	{ 0x53450367, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9cdb106, "mt76x02_mac_shared_key_setup" },
	{ 0xdedfae07, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0dc12, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x8a51d5bc, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0x6edbb608, "mt76_eeprom_init" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa6f4b1ec, "mt76x02_mac_setaddr" },
	{ 0x67bcf934, "mt76_register_device" },
	{ 0x1e46f1ed, "mt76x02_phy_set_bw" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe7a000a8, "mt76x02_phy_set_band" },
	{ 0x8118da97, "mt76_set_channel" },
	{ 0x70f86d65, "mt76x02_init_device" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x62c5e45, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x1d00088d, "mt76x02_phy_set_rxpath" },
	{ 0xde755d2b, "mt76x02_edcca_init" },
	{ 0x405c0d9c, "mt76_eeprom_override" },
	{ 0xcadd5f70, "mt76x02_get_lna_gain" },
	{ 0x397bd6c7, "mt76x02_init_debugfs" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x178a5ea3, "mt76x02_mac_cc_reset" },
	{ 0x3c09502d, "mt76x02_init_agc_gain" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e0aac2c, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x90a6e15d, "____mt76_poll_msec" },
	{ 0xbd7c96a2, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9edc94e6, "mt76x02_config_mac_addr_list" },
	{ 0xbac2025f, "mt76_get_sar_power" },
	{ 0x5df9fd2c, "mt76x02_eeprom_copy" },
	{ 0x2632f82f, "mt76x02_mcu_calibrate" },
	{ 0xa8a07de1, "mt76x02_mcu_function_select" },
	{ 0x9b0e6027, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xcafb8649, "mt76x02_mac_wcid_setup" },
	{ 0xaa6c2f8b, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc2e0d4c0, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xb49184b4, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "SLE15-SP6");
