#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x70f86d65, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xfe6acda8, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x62dce826, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xebf7e2b7, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x1c4faaa3, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x69a90932, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xdb735879, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xb4ea26d3, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x8660cb09, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x326b8692, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xf0f98812, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x720e32e5, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x19421e83, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xfb7196ca, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x63cb4b94, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x8935d0f2, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x94a5312e, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x9edc94e6, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x0afbc54e, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xd9cdb106, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xcafb8649, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x07583f84, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xa6f4b1ec, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x28ff9f1e, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x9c6c8cbb, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xde755d2b, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x178a5ea3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xaa8d6533, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x088f1e96, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xa8a07de1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x7780d73a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x2632f82f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x2ebc8272, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xd7fea95d, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x5df9fd2c, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x0fa0dc12, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x062c5e45, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xdedfae07, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x8a51d5bc, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xcadd5f70, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x1d00088d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xc2e0d4c0, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x9b0e6027, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x1e46f1ed, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xe7a000a8, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x1348b450, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x3c09502d, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xf2647605, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xcbe6fb2f, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x6460569f, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xe292049e, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x3a8207bd, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x6d58e480, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x35acea15, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xf05ac2c5, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x705508d4, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xf6c2c727, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x759e30cc, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x397bd6c7, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x53450367, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xbd7c96a2, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xc75f7ef6, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x08fe9ca3, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x34b9483e, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x292c94f0, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xab88c2d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87ab84fb, "ieee80211_sta_register_airtime" },
	{ 0x532d9636, "mt76_dma_rx_poll" },
	{ 0x7aa81763, "mt76_tx_status_unlock" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc75b084a, "mt76_tx_status_skb_get" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xaccbdaa3, "mt76_tx_status_lock" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xf1c1bd06, "mt76_csa_check" },
	{ 0xfdbb01e2, "mt76_tx_status_skb_add" },
	{ 0xf4d86c0, "__tracepoint_mac_txdone" },
	{ 0x79f377a9, "mt76_tx_check_agg_ssn" },
	{ 0x543fdbbe, "ieee80211_tx_status_ext" },
	{ 0xd7bb259d, "mt76_stop_tx_queues" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d5cca0, "__mt76_tx_complete_skb" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc528d0c, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc255837b, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7fe94a77, "mt76_wcid_init" },
	{ 0x4707d179, "mt76_tx_status_check" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xd8a567f7, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x341549ac, "ieee80211_get_tx_rates" },
	{ 0x18a7b70, "ieee80211_send_bar" },
	{ 0xe154021e, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf8120484, "debugfs_create_devm_seqfile" },
	{ 0x191cd967, "mt76_tx" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xf7edba8d, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x790a19c2, "mt76_wcid_key_setup" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x40700793, "mt76_rx" },
	{ 0xfa8f2c5, "kthread_unpark" },
	{ 0x5b05e348, "mt76_phy_dfs_state" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0x5fe4c4b, "mt76_init_queue" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x697b19e9, "__mt76_sta_remove" },
	{ 0xfb075b21, "mt76_tx_status_skb_done" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x79c0a8de, "__SCK__tp_func_dev_irq" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x620bd378, "napi_enable" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xd6336d02, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x56d495ad, "mt76_mcu_send_and_get_msg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x99ec26ab, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2898b570, "__mt76_mcu_msg_alloc" },
	{ 0xf11a061d, "mt76_set_irq_mask" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xa5f6b58b, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0xbc557b30, "__SCK__tp_func_mac_txdone" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xbb461723, "mt76_seq_puts_array" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8cf5374, "__tracepoint_dev_irq" },
	{ 0x2fce60b7, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28986ff7, "mt76_mcu_get_response" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x8e0aac2c, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87d46b1f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x90a6e15d, "____mt76_poll_msec" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x38515da5, "mt76_wcid_cleanup" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x36b66a34, "ieee80211_radar_detected" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa4477c6, "mt76_queues_read" },
	{ 0xc92be552, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xaa6c2f8b, "__mt76_poll" },
	{ 0xe900ca6f, "mt76_rx_aggr_stop" },
	{ 0xf2820810, "debugfs_create_u8" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x48e015c, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "1252270F012C17943C7CD87");

MODULE_INFO(suserelease, "SLE15-SP6");
