#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x537e71a1, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x6f4042ff, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x6c16d906, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xaa84ff76, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x0dcf4b8e, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xc89498e3, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x80b64ad0, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x3b045ebf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34b9483e, "mt76x02_update_beacon_iter" },
	{ 0x292c94f0, "mt76x02_enqueue_buffered_bc" },
	{ 0xfb7196ca, "mt76x02_remove_hdr_pad" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8fe9ca3, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa8d6533, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf1c1bd06, "mt76_csa_check" },
	{ 0xfdbb01e2, "mt76_tx_status_skb_add" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e5d5165, "mt76u_single_wr" },
	{ 0x6d5cca0, "__mt76_tx_complete_skb" },
	{ 0xafbc54e, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7edba8d, "mt76_csa_finish" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xab88c2d8, "mt76x02_init_beacon_config" },
	{ 0x2898b570, "__mt76_mcu_msg_alloc" },
	{ 0x7583f84, "mt76x02_mac_write_txwi" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb93e0f12, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56dfc892, "mt76_skb_adjust_pad" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0xc75f7ef6, "mt76x02_mac_set_beacon" },
	{ 0x86b610c8, "hrtimer_active" },
	{ 0xaa6c2f8b, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "59FD432ACB2ABDC31F8F38D");

MODULE_INFO(suserelease, "SLE15-SP6");
