#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0x822809b0, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xf434295c, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x006ed3b8, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xe55fda15, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x89893701, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x4bb47923, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x6298d52f, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x370b750e, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x46225f2e, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x70c0ccff, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xcc2864d0, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xae90c922, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xfffca3bf, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xa2a4d367, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x195732b3, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xc97f4a7a, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xf734c7a6, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xaac974db, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x94fa0782, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x031a96ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f37593, "mt76_init_sar_power" },
	{ 0x1348b450, "mt76x02_phy_adjust_vga_gain" },
	{ 0x53450367, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdedfae07, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0dc12, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8a51d5bc, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x6edbb608, "mt76_eeprom_init" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x62c5e45, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x56d495ad, "mt76_mcu_send_and_get_msg" },
	{ 0x405c0d9c, "mt76_eeprom_override" },
	{ 0xcadd5f70, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbac2025f, "mt76_get_sar_power" },
	{ 0x5df9fd2c, "mt76x02_eeprom_copy" },
	{ 0x2632f82f, "mt76x02_mcu_calibrate" },
	{ 0x9b0e6027, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xb49184b4, "mt76_get_min_avg_rssi" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");

MODULE_INFO(suserelease, "SLE15-SP6");
