#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f0edced, "usb_put_intf" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x6f2f5fd7, "usb_alloc_coherent" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x94c86923, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xedd7f2d8, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1d99bfa1, "usb_kill_anchored_urbs" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x8a84facb, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd3bda221, "usb_free_coherent" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x46251b07, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08CC1E713D251B19867AB6A");

MODULE_INFO(suserelease, "SLE15-SP6");
