#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8eb1fa0, "rt2x00usb_initialize" },
	{ 0xd18113f0, "rt2x00usb_uninitialize" },
	{ 0x53ea28c9, "rt2x00usb_clear_entry" },
	{ 0xfbbb60f5, "rt2x00usb_watchdog" },
	{ 0xb4d2d18b, "rt2x00usb_kick_queue" },
	{ 0xcf7f62af, "rt2x00usb_flush_queue" },
	{ 0x505c6692, "rt2x00mac_tx" },
	{ 0xe04cc969, "rt2x00mac_start" },
	{ 0xd8e2f03d, "rt2x00mac_stop" },
	{ 0x18112253, "rt2x00mac_add_interface" },
	{ 0x6b7e3f29, "rt2x00mac_remove_interface" },
	{ 0x9f0634c2, "rt2x00mac_config" },
	{ 0x7aceb579, "rt2x00mac_bss_info_changed" },
	{ 0x27f3a0c8, "rt2x00mac_configure_filter" },
	{ 0x55d39f56, "rt2x00mac_set_tim" },
	{ 0x772f9610, "rt2x00mac_set_key" },
	{ 0x62840044, "rt2x00mac_sw_scan_start" },
	{ 0x6d5f7c91, "rt2x00mac_sw_scan_complete" },
	{ 0x283c0975, "rt2x00mac_get_stats" },
	{ 0xcf0aebce, "rt2x00mac_conf_tx" },
	{ 0xd6cd5d7a, "rt2x00mac_rfkill_poll" },
	{ 0x95a65f43, "rt2x00mac_flush" },
	{ 0xc594cd74, "rt2x00mac_set_antenna" },
	{ 0xf6a219bf, "rt2x00mac_get_antenna" },
	{ 0xd111c59f, "rt2x00mac_get_ringparam" },
	{ 0xe0899d7, "rt2x00mac_tx_frames_pending" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x22cd2130, "rt2x00usb_probe" },
	{ 0x27211614, "rt2x00usb_vendor_request_buff" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd095029b, "skb_trim" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1de90401, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x99ad3d9a, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xcb2ba8dc, "rt2x00usb_disable_radio" },
	{ 0xf9a482f9, "msleep" },
	{ 0x73187405, "rt2x00usb_vendor_request" },
	{ 0x2ab794e5, "rt2x00lib_set_mac_address" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d8d55dd, "rt2x00usb_disconnect" },
	{ 0xad16e5b2, "rt2x00usb_suspend" },
	{ 0x69a1800c, "rt2x00usb_resume" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "SLE15-SP6");
