#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c0c4541, "rt2800_mcu_request" },
	{ 0xc69dde8f, "rt2800mmio_toggle_irq" },
	{ 0xa9a8fb9b, "rt2800mmio_enable_radio" },
	{ 0xfbf205d2, "rt2x00pci_remove" },
	{ 0xb1ed70e4, "rt2x00pci_pm_ops" },
	{ 0xececca6b, "rt2800mmio_queue_init" },
	{ 0xea93435f, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xf1851a84, "rt2800mmio_probe_hw" },
	{ 0x24007392, "rt2800_check_firmware" },
	{ 0x67a868a1, "rt2800_load_firmware" },
	{ 0xd62d1f6d, "rt2x00mmio_initialize" },
	{ 0x147a715a, "rt2x00mmio_uninitialize" },
	{ 0xae6e1259, "rt2800mmio_get_entry_state" },
	{ 0x52125c02, "rt2800mmio_clear_entry" },
	{ 0xcdb3b494, "rt2800_rfkill_poll" },
	{ 0x1c7eb96a, "rt2800_link_stats" },
	{ 0x74d4c8d3, "rt2800_reset_tuner" },
	{ 0x4fa8ac19, "rt2800_link_tuner" },
	{ 0x1921d82b, "rt2800_gain_calibration" },
	{ 0x7e13f58a, "rt2800_vco_calibration" },
	{ 0x9c683f2e, "rt2800_watchdog" },
	{ 0x60b6f1d9, "rt2800mmio_start_queue" },
	{ 0x68782f7c, "rt2800mmio_kick_queue" },
	{ 0x1bbd2b0e, "rt2800mmio_stop_queue" },
	{ 0xfa129ea8, "rt2800mmio_flush_queue" },
	{ 0x8263e0e8, "rt2800mmio_write_tx_desc" },
	{ 0x926c3184, "rt2800_write_tx_data" },
	{ 0x72a0faeb, "rt2800_write_beacon" },
	{ 0xc31c5a64, "rt2800_clear_beacon" },
	{ 0xb70c53f8, "rt2800mmio_fill_rxdone" },
	{ 0x35e8ccce, "rt2800_config_shared_key" },
	{ 0x53a557b, "rt2800_config_pairwise_key" },
	{ 0xc8dafa94, "rt2800_config_filter" },
	{ 0x1af742a, "rt2800_config_intf" },
	{ 0x409bd62d, "rt2800_config_erp" },
	{ 0x3ac67897, "rt2800_config_ant" },
	{ 0xfa943e6c, "rt2800_config" },
	{ 0xdeab1bd, "rt2800_pre_reset_hw" },
	{ 0x8e507b3a, "rt2x00mmio_regbusy_read" },
	{ 0x719349e4, "rt2800mmio_init_registers" },
	{ 0xbd2933f, "rt2800mmio_get_txwi" },
	{ 0x63388390, "rt2800mmio_get_dma_done" },
	{ 0x505c6692, "rt2x00mac_tx" },
	{ 0xe04cc969, "rt2x00mac_start" },
	{ 0xd8e2f03d, "rt2x00mac_stop" },
	{ 0x18112253, "rt2x00mac_add_interface" },
	{ 0x6b7e3f29, "rt2x00mac_remove_interface" },
	{ 0x9f0634c2, "rt2x00mac_config" },
	{ 0x7aceb579, "rt2x00mac_bss_info_changed" },
	{ 0x27f3a0c8, "rt2x00mac_configure_filter" },
	{ 0x772f9610, "rt2x00mac_set_key" },
	{ 0x62840044, "rt2x00mac_sw_scan_start" },
	{ 0x6d5f7c91, "rt2x00mac_sw_scan_complete" },
	{ 0x283c0975, "rt2x00mac_get_stats" },
	{ 0x80474c7f, "rt2800_get_key_seq" },
	{ 0x62df2202, "rt2800_set_rts_threshold" },
	{ 0x7b63c1f2, "rt2800_sta_add" },
	{ 0x3a2e46da, "rt2800_sta_remove" },
	{ 0xe378c37a, "rt2800_conf_tx" },
	{ 0x9910f896, "rt2800_get_tsf" },
	{ 0x7bd5d5fe, "rt2800_ampdu_action" },
	{ 0xe2c01407, "rt2800_get_survey" },
	{ 0xd6cd5d7a, "rt2x00mac_rfkill_poll" },
	{ 0x95a65f43, "rt2x00mac_flush" },
	{ 0xd111c59f, "rt2x00mac_get_ringparam" },
	{ 0xe0899d7, "rt2x00mac_tx_frames_pending" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6cb74096, "rt2x00mac_reconfig_complete" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xe6281639, "rt2x00pci_probe" },
	{ 0xbc3d9168, "rt2800_efuse_detect" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x362087c9, "rt2800_read_eeprom_efuse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe9983781, "_dev_err" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2CC3E1C5DAB5726F7E0AA45");

MODULE_INFO(suserelease, "SLE15-SP6");
