#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_sdio_pm_ops, 0xd06d459e, "");
SYMBOL_CRC(rtw_sdio_probe, 0x9330e202, "");
SYMBOL_CRC(rtw_sdio_remove, 0xe9d2c1b0, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x85562b3a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6707b821, "rtw_tx_report_enqueue" },
	{ 0xf5202bb5, "sdio_release_host" },
	{ 0xde163f63, "rtw_tx_queue_mapping" },
	{ 0x3aa7853, "sdio_disable_func" },
	{ 0x722ab8ab, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x6b8b4773, "sdio_claim_host" },
	{ 0xd7ef8d9b, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x2802b813, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda334a, "sdio_align_size" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaee38f48, "sdio_release_irq" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x81cb1283, "sdio_set_host_pm_flags" },
	{ 0x6e098ca5, "rtw_chip_info_setup" },
	{ 0xdee9c91b, "ieee80211_purge_tx_queue" },
	{ 0xe0b3e3db, "rtw_unregister_hw" },
	{ 0xe9983781, "_dev_err" },
	{ 0xc1435230, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe92bce64, "skb_push" },
	{ 0x4ee98d1b, "rtw_core_init" },
	{ 0x7fa0fcfb, "sdio_readl" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x3987c6fc, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x547891c, "_dev_warn" },
	{ 0x2e4b8b36, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x96f4a856, "rtw_rx_stats" },
	{ 0x2c32ca45, "rtw_register_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc2cfcc1e, "rtw_dbg" },
	{ 0x2ff90ec5, "rtw_core_deinit" },
	{ 0x523f7e0e, "rtw_ops" },
	{ 0x29c47d5c, "sdio_claim_irq" },
	{ 0xa707f1dc, "skb_copy_header" },
	{ 0x4dd09004, "sdio_enable_func" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xd32c7977, "rtw_power_mode_change" },
	{ 0x4629c44f, "rtw_tx_write_data_h2c_get" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x89f5416, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x7e8b3280, "sdio_readb" },
	{ 0x71ff99bf, "sdio_writeb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mmc_core,mac80211");


MODULE_INFO(srcversion, "4E931D381CC50DB99FA2913");

MODULE_INFO(suserelease, "SLE15-SP6");
