#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xc7fb783b, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0x89389718, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0x18e75cbf, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x5720f408, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x198caf96, "");
SYMBOL_CRC(rsi_hal_device_init, 0x37bc3680, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26698d76, "ieee80211_queue_stopped" },
	{ 0x929e598f, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x65b45cb, "complete" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x4e62c11e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x82cd97ab, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x805094ec, "kthread_complete_and_exit" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x2e47ba61, "ieee80211_generic_frame_duration" },
	{ 0x70b2f2d1, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xe5dcc1a4, "ieee80211_stop_queue" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xfad0a3b1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x86f33044, "wiphy_rfkill_start_polling" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x5c7dc339, "ieee80211_cqm_rssi_notify" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "528FEEFE26F947C4FCF2A3B");

MODULE_INFO(suserelease, "SLE15-SP6");
