#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x34f3b6, "xen_has_pv_nic_devices" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xbef80fda, "__xenbus_register_frontend" },
	{ 0x8c313ef9, "gnttab_end_foreign_access" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x76ed4f54, "xenbus_switch_state" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xd72feba2, "xenbus_read_driver_state" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4b3f8107, "bpf_prog_add" },
	{ 0x248e0751, "bpf_prog_put" },
	{ 0x68646245, "netdev_warn" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xf31c4530, "page_pool_alloc_pages" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x4b931968, "xen_features" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0x754d539c, "strlen" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x111151d0, "xenbus_dev_fatal" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf9a482f9, "msleep" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x93d1d424, "gnttab_free_grant_references" },
	{ 0x347b7105, "page_pool_destroy" },
	{ 0xc2e67c82, "netif_tx_lock" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x2ef0ea88, "netif_tx_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6365d173, "free_netdev" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0x39914307, "__wake_up" },
	{ 0x613397da, "xenbus_frontend_closed" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb6a1c469, "netdev_notify_peers" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f984513, "strrchr" },
	{ 0xd27f215d, "gnttab_alloc_grant_references" },
	{ 0x82969740, "page_pool_create" },
	{ 0x40ba344c, "__xdp_rxq_info_reg" },
	{ 0xd7bf3cd2, "xdp_rxq_info_reg_mem_model" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x620bd378, "napi_enable" },
	{ 0xe9983781, "_dev_err" },
	{ 0x3389a614, "register_netdev" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x4105eef6, "xenbus_setup_ring" },
	{ 0xf5f1ed58, "xenbus_alloc_evtchn" },
	{ 0xf7866b4f, "bind_evtchn_to_irqhandler_lateeoi" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc7c23ff0, "xenbus_exists" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x37914025, "xenbus_write" },
	{ 0x3925ac38, "xenbus_free_evtchn" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xf2abcd8c, "xdp_rxq_info_unreg" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xcc36c4a1, "__tracepoint_xdp_exception" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x96c47339, "xdp_do_redirect" },
	{ 0x3d64d60d, "bpf_warn_invalid_xdp_action" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x466a81e9, "xdp_convert_zc_to_xdp_frame" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x57bc76f1, "skb_checksum_setup" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0xc8285b41, "xdp_return_frame_rx_napi" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x8ff16174, "xdp_master_redirect" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x4cf6d9dc, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x31dca4d8, "gnttab_claim_grant_reference" },
	{ 0xf27d0a7b, "gnttab_grant_foreign_access_ref" },
	{ 0xcda21b, "gnttab_foreach_grant_in_range" },
	{ 0x8c484409, "gnttab_release_grant_reference" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0x7defc870, "gnttab_end_foreign_access_ref" },
	{ 0x53205bb7, "_dev_alert" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x256b5d0a, "netif_skb_features" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xa707f1dc, "skb_copy_header" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x73d84cbd, "netif_tx_stop_all_queues" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x424818cd, "xenbus_unregister_driver" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B532864F665C327CF2305C3");

MODULE_INFO(suserelease, "SLE15-SP6");
