#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0xbbb23890, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xe8909798, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xed1590ec, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x391cfa78, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x128de00d, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xe4346bdc, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x03b3ea83, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x6a2abebc, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x5fea0973, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x52b88f23, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x0a775d92, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xfe4f9635, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x84e4e76d, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x671c72b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8221daf2, "try_module_get" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x58151dff, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xdaba41ff, "module_put" },
	{ 0xb9d57c36, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc3406e22, "device_create" },
	{ 0x92a3aaa, "class_create" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcc8e628, "__nvme_submit_sync_cmd" },
	{ 0xe0dab95c, "nvme_try_sched_reset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x18a114a2, "misc_register" },
	{ 0x6c7f9257, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fce60b7, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x27325cce, "nvme_wait_reset" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xce761558, "up_read" },
	{ 0xd84e7e3, "nvme_tls_key_lookup" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5dc79d47, "nvme_auth_negotiate" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "D46326B0022CC1608425023");

MODULE_INFO(suserelease, "SLE15-SP6");
