#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf35ec33, "nvme_remove_admin_tag_set" },
	{ 0x9de26186, "nvme_uninit_ctrl" },
	{ 0xfac3e4e3, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa7498e42, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x671c72b6, "nvmf_free_options" },
	{ 0x45083f2a, "blk_mq_complete_request_remote" },
	{ 0x36ba5240, "nvme_setup_cmd" },
	{ 0x918828ac, "nvme_start_ctrl" },
	{ 0x9e7d8530, "nvme_alloc_admin_tag_set" },
	{ 0x3b3ea83, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xe8909798, "nvmf_reg_read32" },
	{ 0xdd595895, "nvme_delete_ctrl" },
	{ 0x88c0f8a2, "nvme_disable_ctrl" },
	{ 0x97edc896, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbbb23890, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x979a2601, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7ec7a0b, "nvme_remove_io_tag_set" },
	{ 0x222aa693, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9dcb7f0d, "nvme_mpath_start_request" },
	{ 0x52b88f23, "nvmf_unregister_transport" },
	{ 0x5cf6b519, "put_device" },
	{ 0xe7034fa7, "nvmet_unregister_transport" },
	{ 0x7cd87315, "nvme_change_ctrl_state" },
	{ 0x86155ce7, "nvme_cancel_tagset" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x40a58f21, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x7a769eaa, "nvme_alloc_io_tag_set" },
	{ 0x8ae4d7a2, "nvmet_req_init" },
	{ 0x7deb8a3f, "nvme_fail_nonready_command" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xa6640422, "nvmet_register_transport" },
	{ 0xe8578bc5, "__blk_rq_map_sg" },
	{ 0xed1590ec, "nvmf_reg_read64" },
	{ 0xe4346bdc, "nvmf_connect_admin_queue" },
	{ 0x44222336, "nvme_enable_ctrl" },
	{ 0x802b4f1b, "nvme_unquiesce_admin_queue" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb20d8ee2, "blk_mq_hctx_set_fq_lock_class" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6fb5c7a7, "nvme_unquiesce_io_queues" },
	{ 0x8b002171, "blk_mq_update_nr_hw_queues" },
	{ 0x391cfa78, "nvmf_reg_write32" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xd38ba790, "nvmet_sq_init" },
	{ 0xd251e365, "nvme_complete_async_event" },
	{ 0xda5a2e7e, "__blk_should_fake_timeout" },
	{ 0x5aaf8a46, "nvme_set_queue_count" },
	{ 0x5fea0973, "nvmf_register_transport" },
	{ 0x34736c8d, "blk_mq_start_request" },
	{ 0x55df4cb0, "nvme_quiesce_io_queues" },
	{ 0x9afb893, "nvme_stop_ctrl" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe6bba5b2, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xffc2ab4f, "nvme_quiesce_admin_queue" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12239c70, "__nvme_check_ready" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvmet");


MODULE_INFO(srcversion, "19EBCDE93B89695D0729EC0");

MODULE_INFO(suserelease, "SLE15-SP6");
