#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31134119, "crypto_alloc_ahash" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0xb144f5db, "tls_alert_recv" },
	{ 0x21fac463, "ip_sock_set_tos" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xabdb5f79, "nvmet_req_complete" },
	{ 0xd8ffc5e7, "kernel_bind" },
	{ 0x1ad6a649, "sock_create" },
	{ 0x8fabd9d4, "tls_server_hello_psk" },
	{ 0xd2f4fd5d, "tls_handshake_cancel" },
	{ 0x83f57188, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0xf12186b, "kernel_accept" },
	{ 0x434e8327, "kernel_recvmsg" },
	{ 0x8f9a0401, "sock_alloc_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc06092fd, "sock_set_priority" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x979a2601, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xe7034fa7, "nvmet_unregister_transport" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x8ae4d7a2, "nvmet_req_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xba2f2845, "fput" },
	{ 0x57d78c81, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xeee07332, "kernel_getpeername" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0xb7815070, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc7ab6427, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xa6640422, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xcd192a23, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6c00e291, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1969a052, "tcp_stream_memory_free" },
	{ 0x19922101, "sock_set_reuseaddr" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b51080f, "crypto_ahash_digest" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18a1fe43, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x2473c935, "kernel_listen" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd38ba790, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x11333d88, "sock_release" },
	{ 0xf8be55c2, "tcp_sock_set_nodelay" },
	{ 0xc6117abd, "nvmet_ctrl_fatal_error" },
	{ 0xbd09ae83, "nvmet_req_uninit" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x537e017e, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x253c05f9, "sock_no_linger" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "3687D85C497940E1D3EF31A");

MODULE_INFO(suserelease, "SLE15-SP6");
