#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4fdee897, "i8042_command" },
	{ 0x82340a63, "sysfs_notify" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xe9be1dc5, "device_add_groups" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0x7bc51198, "sparse_keymap_setup" },
	{ 0x39470731, "input_register_device" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd7923c1f, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xfd32a892, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9983781, "_dev_err" },
	{ 0x48d82d, "input_free_device" },
	{ 0x5b2366c3, "backlight_force_update" },
	{ 0xbef4946b, "led_classdev_notify_brightness_hw_changed" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x749f76cf, "sparse_keymap_report_event" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x547891c, "_dev_warn" },
	{ 0xc60ebe94, "wmi_driver_unregister" },
	{ 0xeec290e, "platform_driver_unregister" },
	{ 0x67a539d1, "__wmi_driver_register" },
	{ 0xe868469, "__platform_driver_register" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x5ffdfc0, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xd89985b8, "device_remove_groups" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rfkill,sparse-keymap,platform_profile,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "5BA8149F4AE6CE3529989E7");

MODULE_INFO(suserelease, "SLE15-SP6");
