#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbb796f6, "dpll_device_register" },
	{ 0x5137865f, "dpll_pin_get" },
	{ 0x9ceecbac, "dpll_pin_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x24a830b0, "device_find_any_child" },
	{ 0x25ef940c, "devlink_flash_update_status_notify" },
	{ 0xbd6841d4, "crc16" },
	{ 0x60ea35f7, "mtd_write" },
	{ 0x25e39e8e, "mtd_erase" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc5a2996a, "i2c_verify_adapter" },
	{ 0x14374524, "platform_device_register_full" },
	{ 0x8d40df72, "__clk_hw_register_fixed_rate" },
	{ 0x845c152e, "devm_clk_hw_register_clkdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xea9d9919, "sysfs_create_groups" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xf4cbc4fd, "i2c_verify_client" },
	{ 0xa4b00133, "nvmem_device_find" },
	{ 0x3866e217, "nvmem_device_write" },
	{ 0x8349a895, "nvmem_device_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc697b0f7, "nvmem_device_read" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x754d539c, "strlen" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x7380dffa, "argv_split" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xe0b13336, "argv_free" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe9983781, "_dev_err" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5f25adef, "ptp_clock_event" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x62a0cd5a, "pci_free_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0xa17adba, "sysfs_remove_groups" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcefcd99a, "serial8250_unregister_port" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0xed7e8261, "clk_hw_unregister_fixed_rate" },
	{ 0xf927fd7, "ptp_clock_unregister" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x328a250b, "priv_to_devlink" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x93465d64, "dpll_pin_unregister" },
	{ 0x27cef4c1, "dpll_pin_put" },
	{ 0x49a3a011, "dpll_device_unregister" },
	{ 0x5d4f5f08, "dpll_device_put" },
	{ 0x8f155f60, "devlink_unregister" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x329a1e6, "device_find_child_by_name" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x5ab2593e, "class_register" },
	{ 0x70b12fd4, "i2c_bus_type" },
	{ 0xcc72d2be, "bus_register_notifier" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x4a502446, "bus_unregister_notifier" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdb8e5b33, "dpll_device_change_ntf" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9c99d67f, "devm_ioremap_resource" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xb8d8b6cb, "pci_request_irq" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x3cd61e02, "serial8250_register_8250_port" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8545abe9, "ptp_clock_index" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x57d78c81, "init_net" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x73bcdbe1, "ptp_clock_register" },
	{ 0xf9b4f80, "pps_lookup_dev" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf99caa3b, "devlink_register" },
	{ 0x6cedf5f6, "pci_get_dsn" },
	{ 0xf6cd2ffe, "dpll_device_get" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "crc16,mtd");

MODULE_ALIAS("pci:v00001D9Bd00000400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018D4d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001AD7d0000A000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BE85E9173D23CC578677EA1");

MODULE_INFO(suserelease, "SLE15-SP6");
