#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fcoe_ctlr_init, 0xa70d0744, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xc6f3353f, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x1fbebc5e, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xf8c052e4, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x69f71035, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xcbca692c, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x2042c87a, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xf4ce68cf, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xe35ceb4d, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x80e17abb, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x2c388bac, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xd5b24c12, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xbb739cc7, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x992411d3, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x3a62ac2a, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xb67821b4, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x46551e13, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x1af7db9d, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x7d0fa571, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xb77e5b6d, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x2c664f0b, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x5f998703, "");
SYMBOL_CRC(fcoe_transport_detach, 0x5ce4804f, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x4aa9eea6, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x1a834360, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x8e9085ae, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x3ccc6480, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4213f2dc, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa21f0b20, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xf7b4de5f, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x20ed1197, "fc_rport_logoff" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x826b3da8, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaf618acc, "fc_rport_login" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd6fe4825, "fc_linkdown" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8beb2225, "fc_lport_reset" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xaee6ff31, "fc_lport_set_local_id" },
	{ 0x3dcab739, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0x32b081a9, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc663c1cd, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc8c4a1b7, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1cdfbf30, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x426d0f39, "fc_fcp_init" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x3274205c, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4be4c1d0, "dev_get_by_name" },
	{ 0x38efc576, "skb_clone" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x12f41be2, "fc_rport_create" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x32b67b75, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78f3287f, "fc_linkup" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "13A7103856008F1BFBA633C");

MODULE_INFO(suserelease, "SLE15-SP6");
