#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_register_ha, 0xf20354d7, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x0f7d185a, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xfa8ba754, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x07621177, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x8d344699, "");
SYMBOL_CRC(sas_resume_ha, 0xb863f9eb, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x178cf05e, "");
SYMBOL_CRC(sas_suspend_ha, 0x8c34c8fb, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xa01d58a5, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x5768df59, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x02be24ca, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x79ad340a, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x93e3f268, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x4529badb, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x3b34dd46, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x086c9f6b, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x64ac53f7, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x3d2538f3, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x1cbaf22a, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xd3d4d922, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xc707a29c, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xfc0f96d1, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xb9c3f1c8, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x29f1fec4, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x30a2eb62, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xe4a7264e, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x91abc4b3, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x6a6abd19, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xd5713a39, "_gpl");
SYMBOL_CRC(sas_query_task, 0x4b598946, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x6dce8585, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x3db80b3b, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x3fc5ff76, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x8a008e60, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x9b2aac9e, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x93a86c01, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xdf9557b7, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x9bbe8ab9, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x4cd4e9bc, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x4b0b0aeb, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x610fd374, "ata_qc_complete" },
	{ 0x1ab7312d, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdd0d14cd, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa5006d60, "bsg_job_done" },
	{ 0x5a3dfa99, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xa1d4dec5, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xeab22d58, "ata_sas_tport_add" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xf8362c88, "scsi_schedule_eh" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xa341d53d, "ata_host_init" },
	{ 0x907bb64f, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xc68aa7bd, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbafaa35e, "sas_port_get_phy" },
	{ 0xeb5ef802, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x58892e26, "get_device" },
	{ 0xe0b72a25, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x49dfe86c, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x16e8e737, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x6db35ba1, "sas_phy_free" },
	{ 0x1f3b1af5, "scsi_eh_finish_cmd" },
	{ 0x17bd394e, "ata_noop_qc_prep" },
	{ 0x8e4080aa, "ata_sas_port_alloc" },
	{ 0xc790012b, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3c097bde, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xfece2f31, "sas_port_mark_backlink" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x3d70b84f, "ata_link_abort" },
	{ 0x7eaa9d89, "ata_std_qc_defer" },
	{ 0xaf6f52d3, "ata_scsi_port_error_handler" },
	{ 0x77982166, "ata_change_queue_depth" },
	{ 0x4e47f160, "ata_port_probe" },
	{ 0xe641bfec, "ata_std_error_handler" },
	{ 0x6c48c022, "ata_port_free" },
	{ 0xae56a2d, "sas_end_device_alloc" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x473439ab, "sas_read_port_mode_page" },
	{ 0xb069ab82, "sas_expander_alloc" },
	{ 0x547891c, "_dev_warn" },
	{ 0xd1983d43, "sas_rphy_delete" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x402f0448, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x1519ac33, "scsi_host_busy" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x68ca2de7, "sas_port_delete" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x829a01a4, "ata_sas_port_suspend" },
	{ 0xeeb050e2, "sas_rphy_add" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x6e87927a, "sas_port_delete_phy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfa778781, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5acb37e1, "sas_port_add_phy" },
	{ 0xaa480752, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x64467ad7, "ata_sas_slave_configure" },
	{ 0x40481631, "blk_mq_tagset_busy_iter" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0x9810900f, "scsi_unblock_requests" },
	{ 0x8b8cb4e6, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x80c3d169, "ata_host_put" },
	{ 0x8e2737f0, "sas_port_free" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd7f0fff3, "ata_std_sched_eh" },
	{ 0xb902e94f, "scsi_block_requests" },
	{ 0x495c1773, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4c78b4da, "sas_remove_children" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x98946d2f, "ata_port_wait_eh" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod");


MODULE_INFO(srcversion, "44632034160C388DEDB0AC3");

MODULE_INFO(suserelease, "SLE15-SP6");
