#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0xb2cf7c01, "mraid_mm_unregister_adp" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xf1b63c6b, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2bd89258, "scsi_build_sense" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xf9713907, "mraid_mm_register_adp" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0xf5ba4c80, "scsi_scan_host" },
	{ 0xbd9d3661, "scsi_dma_unmap" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa21fafb9, "mraid_mm_adapter_app_handle" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x39914307, "__wake_up" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,megaraid_mm");

MODULE_ALIAS("pci:v00001028d0000000Esv00001028sd00000123bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00001960sv00001028sd00000520bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00001960sv00001028sd00000518bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000407sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001028d0000000Fsv00001028sd0000014Abc*sc*i*");
MODULE_ALIAS("pci:v00001028d00000013sv00001028sd0000016Cbc*sc*i*");
MODULE_ALIAS("pci:v00001028d00000013sv00001028sd0000016Dbc*sc*i*");
MODULE_ALIAS("pci:v00001028d00000013sv00001028sd0000016Ebc*sc*i*");
MODULE_ALIAS("pci:v00001028d00000013sv00001028sd0000016Fbc*sc*i*");
MODULE_ALIAS("pci:v00001028d00000013sv00001028sd00000170bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000101Ed00001960sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00001960sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000409sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E6C1CEFBFD6DF569701C938");

MODULE_INFO(suserelease, "SLE15-SP6");
