#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_cdns_config_update, 0x892c7dcb, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x7de8015c, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xabf838cf, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xadc4b162, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xff500f10, "");
SYMBOL_CRC(cdns_read_ping_status, 0xb4385708, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x95069d34, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x5ff3286c, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x98ee0f8f, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xdd9918a3, "");
SYMBOL_CRC(sdw_cdns_init, 0x878680c6, "");
SYMBOL_CRC(cdns_bus_conf, 0xb5720afb, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x5bdbaefb, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xb99bde75, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x8c9a73f8, "");
SYMBOL_CRC(sdw_cdns_probe, 0x538f9f02, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x15e4a73c, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x8540170e, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x068a5762, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf866f177, "sdw_bus_prep_clk_stop" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6172783c, "sdw_bus_clk_stop" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59485b84, "sdw_handle_slave_status" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xe9983781, "_dev_err" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x26187315, "sdw_bread_no_pm_unlocked" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x35063ad8, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");

MODULE_INFO(suserelease, "SLE15-SP6");
