#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x199a5436, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x8a62a0f0, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xcf3f38ad, "");
SYMBOL_CRC(sdw_intel_startup, 0x95a2f38e, "");
SYMBOL_CRC(sdw_intel_exit, 0xd7bb948b, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x6805d316, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd9918a3, "sdw_cdns_pdi_init" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xa9e491a9, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x878680c6, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c9a73f8, "sdw_cdns_clock_restart" },
	{ 0xabf838cf, "sdw_cdns_debugfs_init" },
	{ 0x20eed25f, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0x7bb72ff5, "sdw_bus_master_add" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x98ee0f8f, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x11c84897, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x5bdbaefb, "sdw_cdns_is_clock_stop" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x7de8015c, "sdw_cdns_config_update_set_wait" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8540170e, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x1096306b, "auxiliary_driver_unregister" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0xb5720afb, "cdns_bus_conf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x15e4a73c, "cdns_set_sdw_stream" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1739347, "fwnode_property_read_u32_array" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xe33448d9, "sdw_clear_slave_status" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x8fb57584, "sdw_stream_remove_master" },
	{ 0x2205ed8f, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x5ff3286c, "sdw_cdns_exit_reset" },
	{ 0xe9983781, "_dev_err" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x344f9bde, "__auxiliary_device_add" },
	{ 0x68a5762, "sdw_cdns_alloc_pdi" },
	{ 0xb99bde75, "sdw_cdns_clock_stop" },
	{ 0x133b1956, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xff500f10, "cdns_xfer_msg_defer" },
	{ 0xadc4b162, "cdns_xfer_msg" },
	{ 0xe7edac6f, "device_del" },
	{ 0xb4340489, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x80143f5c, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x9ae77587, "sdw_stream_add_master" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb4385708, "cdns_read_ping_status" },
	{ 0xa4945bf, "acpi_fetch_acpi_dev" },
	{ 0x53e98293, "device_get_named_child_node" },
	{ 0x538f9f02, "sdw_cdns_probe" },
	{ 0x892c7dcb, "sdw_cdns_config_update" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xdd1a38b9, "sdw_bus_master_delete" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xe55c5a30, "__auxiliary_driver_register" },
	{ 0x95069d34, "sdw_cdns_check_self_clearing_bits" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x6dc7b6ef, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xde34df6a, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xb523be44, "sdw_master_read_prop" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xc437ed77, "sdw_compute_params" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5ADB870B48C6D340E58AFFC");

MODULE_INFO(suserelease, "SLE15-SP6");
