#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssb_bus_resume, 0xf7003b45, "");
SYMBOL_CRC(ssb_bus_suspend, 0x39ef62d5, "");
SYMBOL_CRC(ssb_bus_unregister, 0xd095f7c7, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xb9a8c86b, "");
SYMBOL_CRC(__ssb_driver_register, 0xed5d73b0, "");
SYMBOL_CRC(ssb_driver_unregister, 0xb16fbab6, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x1abdb5b8, "");
SYMBOL_CRC(ssb_clockspeed, 0xe41527c8, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xb07c31b1, "");
SYMBOL_CRC(ssb_device_enable, 0xd20a8941, "");
SYMBOL_CRC(ssb_device_disable, 0x1f4a3527, "");
SYMBOL_CRC(ssb_dma_translation, 0xe92fab5a, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x9007fbb4, "");
SYMBOL_CRC(ssb_bus_powerup, 0xd24b2a26, "");
SYMBOL_CRC(ssb_commit_settings, 0x86c04a7f, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x2badb777, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x9976e160, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x9ba9befb, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x9148b534, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x1433280d, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xe1e204f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xf5202bb5, "sdio_release_host" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6b8b4773, "sdio_claim_host" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x9e8eeaf0, "sdio_readw" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x894726a2, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xc6a7c796, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xcd5c9b7, "sdio_writew" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0x7e06cc2a, "sdio_readsb" },
	{ 0xda75728, "gpiochip_get_data" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x7fa0fcfb, "sdio_readl" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x32b081a9, "device_register" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2e4b8b36, "sdio_writel" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x30beedd9, "gpiochip_add_data_with_key" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9cc3806, "_dev_emerg" },
	{ 0xd2e8b76f, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x44ea2e05, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x7e8b3280, "sdio_readb" },
	{ 0x71ff99bf, "sdio_writeb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "124DC3E21F839122E3D6D80");

MODULE_INFO(suserelease, "SLE15-SP6");
