#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0xf5202bb5, "sdio_release_host" },
	{ 0x3aa7853, "sdio_disable_func" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x722ab8ab, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x6b8b4773, "sdio_claim_host" },
	{ 0xd7ef8d9b, "sdio_memcpy_fromio" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x1abe41cf, "sdio_register_driver" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x704495ad, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2802b813, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaee38f48, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x815eba6c, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec8352e6, "wireless_send_event" },
	{ 0x3389a614, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6365d173, "free_netdev" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x27ae03e8, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x29c47d5c, "sdio_claim_irq" },
	{ 0x4dd09004, "sdio_enable_func" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7e8b3280, "sdio_readb" },
	{ 0x71ff99bf, "sdio_writeb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "1C3DC7A2F1AF6654C8F9785");

MODULE_INFO(suserelease, "SLE15-SP6");
