#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(atomisp_get_platform_data, 0xcc3e46fc, "_gpl");
SYMBOL_CRC(atomisp_register_i2c_module, 0x22a71551, "_gpl");
SYMBOL_CRC(atomisp_gmin_remove_subdev, 0x695a252a, "_gpl");
SYMBOL_CRC(atomisp_register_sensor_no_gmin, 0x0e6215e1, "_gpl");
SYMBOL_CRC(atomisp_unregister_subdev, 0x57489736, "_gpl");
SYMBOL_CRC(gmin_camera_platform_data, 0x84e77b22, "_gpl");
SYMBOL_CRC(atomisp_gmin_register_vcm_control, 0xfdd97365, "_gpl");
SYMBOL_CRC(gmin_get_var_int, 0x5231b504, "_gpl");
SYMBOL_CRC(v4l2_get_acpi_sensor_info, 0x19986017, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x4ad35c1a, "gpiod_set_value" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x8e25e7cb, "acpi_dev_get_first_match_dev" },
	{ 0x6e0019b6, "device_match_acpi_dev" },
	{ 0x70b12fd4, "i2c_bus_type" },
	{ 0x80159a91, "bus_find_device" },
	{ 0x5cf6b519, "put_device" },
	{ 0xf4cbc4fd, "i2c_verify_client" },
	{ 0xf63f003a, "acpi_gpio_get_io_resource" },
	{ 0x547891c, "_dev_warn" },
	{ 0x615b718a, "gpiod_put" },
	{ 0x69c8a61f, "regulator_put" },
	{ 0x920ad410, "gpio_to_desc" },
	{ 0x4eff8bee, "gpiod_set_raw_value" },
	{ 0xbc306a0f, "regulator_set_voltage" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x92997ed8, "_printk" },
	{ 0x47229b5c, "gpio_request" },
	{ 0xf117e0d4, "gpiod_direction_output_raw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xfddeb056, "efi" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xdd64e639, "strscpy" },
	{ 0x754d539c, "strlen" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x68a9fd5a, "gpiod_get_index" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xa1437a4, "devm_clk_get" },
	{ 0xcde4898c, "regulator_get" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xa2702633, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xe0e32085, "devm_acpi_dev_add_driver_gpios" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x1578677d, "acpi_device_set_power" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9F85BB06039C4E80C428BF");

MODULE_INFO(suserelease, "SLE15-SP6");
