#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(teedev_open, 0x246377e9, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x76f9a9f1, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0xf0ee268c, "_gpl");
SYMBOL_CRC(tee_device_register, 0x93afd218, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x053750f5, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xc9ae7a43, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x8df2ed15, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xa9c41b75, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x80eeabf3, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x656b90fc, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xecd8a09a, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x57a31444, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xb0777b0e, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xf37afbf6, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xf2c8fa4a, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xf82519be, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x99273f1f, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xf2bf4beb, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x4e9efd6a, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x6f22a721, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x85138b25, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xe6fc56ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x434fc55d, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xbb6199f9, "gen_pool_create" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x58151dff, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xa8a98d57, "idr_replace" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x637e933e, "unpin_user_pages" },
	{ 0x39b6dbb1, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6184776, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0x7eb2c8c5, "anon_inode_getfd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x92a3aaa, "class_create" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x24395d7f, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb262a8ef, "gen_pool_free_owner" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa6f3808b, "gen_pool_alloc_algo_owner" },
	{ 0x8923120e, "gen_pool_first_fit_align" },
	{ 0xb70789e, "__might_fault" },
	{ 0xfb090f59, "gen_pool_virt_to_phys" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "91C381F7541002282369E7E");

MODULE_INFO(suserelease, "SLE15-SP6");
