#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tb_ring_enqueue, 0x00581ef3, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x256b6dc8, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x8b69065e, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x891d7c83, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x758b6c19, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x2a5411c8, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x13ee2880, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x964a1621, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xf827507e, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xcd4b4962, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x359c40f6, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x2a4e5608, "_gpl");
SYMBOL_CRC(tb_service_type, 0xf73d5bd5, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x1962b1e0, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x5b1f9a40, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x6947fc43, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xdbc3e2b8, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x34249d1d, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x6a2c0228, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xc49ae1b9, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xe08cbd1a, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x8f219df2, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xbd09c874, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x5065dbe3, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x31d28e20, "pci_find_ext_capability" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x826cc576, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x6ca93f0c, "acpi_find_child_by_adr" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0x426964f9, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xf75c7a84, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x5c17e654, "devm_free_irq" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x8b0cf167, "device_for_each_child_reverse" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa0c9724e, "bus_for_each_dev" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x20c838cb, "pcim_iomap_regions" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x80159a91, "bus_find_device" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa5136d4e, "device_property_read_u8_array" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x881956da, "pci_device_is_present" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x32b081a9, "device_register" },
	{ 0xe7edac6f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x547891c, "_dev_warn" },
	{ 0x56b90c6d, "unregister_acpi_bus_type" },
	{ 0x7512aec5, "acpi_get_first_physical_node" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x7a801643, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbd470bab, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4945bf, "acpi_fetch_acpi_dev" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xf04d252e, "device_iommu_capable" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4daa7ee1, "pci_walk_bus" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x10a7c5da, "nvmem_register" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x1f951530, "pcim_iomap_table" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xe3e6831d, "component_add" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x92003a20, "device_link_add" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "02505D47CD51F93B417C0DD");

MODULE_INFO(suserelease, "SLE15-SP6");
