#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x30beedd9, "gpiochip_add_data_with_key" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xe9983781, "_dev_err" },
	{ 0x7333a6f4, "spi_setup" },
	{ 0x1d1f3d32, "device_get_match_data" },
	{ 0xff7e39f, "__devm_regmap_init_spi" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x38ec2617, "spi_get_device_id" },
	{ 0x3b6a318d, "i2c_client_get_device_id" },
	{ 0x60ec90b3, "__devm_regmap_init_i2c" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xac52aa4d, "nbcon_device_try_acquire" },
	{ 0xa48e40b, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x39914307, "__wake_up" },
	{ 0x4789cce2, "uart_handle_cts_change" },
	{ 0x58f8b220, "uart_handle_dcd_change" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xbb439a12, "uart_get_baud_rate" },
	{ 0x53a174d4, "uart_update_timeout" },
	{ 0x5aabe926, "regmap_noinc_write" },
	{ 0x34d45f0e, "uart_write_wakeup" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc481ddf7, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d6c573, "uart_insert_char" },
	{ 0x765eacaa, "tty_flip_buffer_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x8b5ea523, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x3f01893e, "do_SAK" },
	{ 0x547891c, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58931e48, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x71278931, "i2c_register_driver" },
	{ 0xc978d250, "__spi_register_driver" },
	{ 0x29dea256, "i2c_del_driver" },
	{ 0xfc161cab, "uart_unregister_driver" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x11e71619, "kthread_cancel_delayed_work_sync" },
	{ 0xe2433c61, "uart_remove_one_port" },
	{ 0x8660c8bb, "kthread_flush_worker" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd2e8b76f, "gpiochip_remove" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x230d7fbc, "kthread_queue_work" },
	{ 0xf4ceb83d, "kthread_queue_delayed_work" },
	{ 0xda75728, "gpiochip_get_data" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x2c6c164d, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xff397ac6, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x787c70f9, "sched_set_fifo" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9e350ed0, "uart_add_one_port" },
	{ 0x5e15d115, "regcache_cache_bypass" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi,regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "774B26E84AA48DD4E64A45D");

MODULE_INFO(suserelease, "SLE15-SP6");
