#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0xeaf52665, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x113dc20d, "");
SYMBOL_CRC(ufshcd_hold, 0x6e9b9e04, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x88de0824, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x808354ee, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x89b759b8, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xdb4972df, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xaa9b0e6a, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x1b73a54a, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x0feb2b13, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x907a7ecf, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x49ab7095, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x48772ccb, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xee75099a, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xab3625e3, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xd5bd2c11, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x906db6dd, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x1d3b8305, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x3311b02b, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x614ba338, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xa62bd146, "");
SYMBOL_CRC(ufshcd_system_resume, 0x54bd262c, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xfbde4aca, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xc93da8d6, "");
SYMBOL_CRC(ufshcd_shutdown, 0x447c63d6, "");
SYMBOL_CRC(ufshcd_remove, 0xfdc0f879, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x3ae036a2, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x8c2ccb04, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x99f5b265, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xa3596f19, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x638c9b4c, "");
SYMBOL_CRC(ufshcd_init, 0x26400673, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xe28922ef, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x5d51c2ad, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x3a682669, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x204a8eed, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0xfe08045a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x99f05c65, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x66f32d1d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1b63c6b, "scsi_dma_map" },
	{ 0xf2bb8f78, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0x7ad7988e, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xbe1818ec, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd1df0620, "scsi_autopm_put_device" },
	{ 0xd403aa1e, "scsi_device_get" },
	{ 0xdce2d59, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xddbcd7d2, "bsg_remove_queue" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xa5006d60, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0xeae731ac, "blk_rq_append_bio" },
	{ 0x6d60006b, "param_get_bool" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x26432b5d, "blk_pm_runtime_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xe2fb3efc, "scsi_report_bus_reset" },
	{ 0xa17adba, "sysfs_remove_groups" },
	{ 0x22375383, "hwmon_notify_event" },
	{ 0xbfc97bdc, "up" },
	{ 0xa38e538a, "should_fail" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xea9d9919, "sysfs_create_groups" },
	{ 0xd6df8c03, "dev_pm_opp_add" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd9d3661, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xbbed57f9, "__scsi_iterate_devices" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x58892e26, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0xa1437a4, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xadc3ed9, "blk_mq_alloc_tag_set" },
	{ 0x9fb78ce4, "scsi_device_set_state" },
	{ 0x23c8427c, "devfreq_add_device" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0x9dc2a396, "scsi_register_driver" },
	{ 0x5b5bb3a5, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb089be8c, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0xb0ace66, "blk_mq_free_request" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2a8f4c5, "scsi_device_put" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xd4f308f3, "bio_put" },
	{ 0x4eaee8f2, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x93cacdc1, "down_write" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x36b07821, "blk_queue_update_dma_alignment" },
	{ 0x74ef6e9, "devfreq_remove_device" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0xd4107f3f, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d596460, "mempool_resize" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x54145041, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32a460e8, "down" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9cf849fb, "dev_pm_opp_remove" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xb8d6e311, "sdev_prefix_printk" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xf5ba4c80, "scsi_scan_host" },
	{ 0x5792f848, "strlcpy" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xbdab0685, "device_link_remove" },
	{ 0x2792ea28, "param_set_bool" },
	{ 0xdb1b067a, "blk_mq_alloc_request" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x1041155c, "blk_queue_update_dma_pad" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x66c3e2bd, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x349c444c, "blk_put_queue" },
	{ 0xe7edac6f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x84962937, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6594919c, "regulator_count_voltages" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb3547260, "blk_mq_init_queue" },
	{ 0x3675f1e1, "blk_mq_unique_tag" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x78c7c6a2, "bpf_trace_run10" },
	{ 0x52fc3498, "scsi_device_quiesce" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd6d5f3c8, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xda1e91aa, "scsi_print_command" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x78cb3c03, "param_set_uint_minmax" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x4615b95d, "devfreq_suspend_device" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffcbd502, "blk_mq_destroy_queue" },
	{ 0x9e27704c, "scsi_execute_cmd" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5bb79c78, "devm_blk_crypto_profile_init" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x40481631, "blk_mq_tagset_busy_iter" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x9810900f, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x6ae1b57d, "setup_fault_attr" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6ac06d54, "scsi_remove_device" },
	{ 0xb902e94f, "scsi_block_requests" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0x29fbe30a, "__scsi_add_device" },
	{ 0xd009f7da, "devfreq_resume_device" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x92003a20, "device_link_add" },
	{ 0x6671503c, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0xbb8cb9fc, "fs_bio_set" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "456C0EBAE6FC8960C8F52E2");

MODULE_INFO(suserelease, "SLE15-SP6");
