#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6998bc72, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbbad5dae, "usbatm_usb_disconnect" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd63e7299, "usb_ifnum_to_if" },
	{ 0xb43de48, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfd035fbd, "atm_dev_signal_change" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xb6e7631b, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x4df02057, "crc32_be" },
	{ 0x79169397, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x7e4bfc65, "kernel_param_unlock" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0x39914307, "__wake_up" },
	{ 0xedd7f2d8, "usb_reset_device" },
	{ 0xbde9db45, "usbatm_usb_probe" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B9C478C2711C8FC21F161A7");

MODULE_INFO(suserelease, "SLE15-SP6");
