#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fsg_common_set_sysfs, 0x7e26d4a5, "_gpl");
SYMBOL_CRC(fsg_common_set_num_buffers, 0x1ccb58f7, "_gpl");
SYMBOL_CRC(fsg_common_remove_lun, 0x9208a611, "_gpl");
SYMBOL_CRC(fsg_common_remove_luns, 0x141fce2a, "_gpl");
SYMBOL_CRC(fsg_common_free_buffers, 0x9a0221c7, "_gpl");
SYMBOL_CRC(fsg_common_set_cdev, 0xe30e8db6, "_gpl");
SYMBOL_CRC(fsg_common_create_lun, 0x3c6a07d0, "_gpl");
SYMBOL_CRC(fsg_common_create_luns, 0xd1a3e8e0, "_gpl");
SYMBOL_CRC(fsg_common_set_inquiry_string, 0x6acb4179, "_gpl");
SYMBOL_CRC(fsg_config_from_params, 0xab6c68ac, "_gpl");
SYMBOL_CRC(fsg_intf_desc, 0xb52ba28a, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_in_desc, 0xb54d0d95, "_gpl");
SYMBOL_CRC(fsg_fs_bulk_out_desc, 0x1710b539, "_gpl");
SYMBOL_CRC(fsg_fs_function, 0xa5f99b69, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_in_desc, 0x95cffb3e, "_gpl");
SYMBOL_CRC(fsg_hs_bulk_out_desc, 0x56344daf, "_gpl");
SYMBOL_CRC(fsg_hs_function, 0x857b6dc2, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_desc, 0x2933ee1d, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_in_comp_desc, 0x423845e4, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_desc, 0xf4efc0c8, "_gpl");
SYMBOL_CRC(fsg_ss_bulk_out_comp_desc, 0xa5cae92f, "_gpl");
SYMBOL_CRC(fsg_ss_function, 0x398778e1, "_gpl");
SYMBOL_CRC(fsg_lun_close, 0xd57a2cfb, "_gpl");
SYMBOL_CRC(fsg_lun_open, 0x90d4da54, "_gpl");
SYMBOL_CRC(fsg_lun_fsync_sub, 0xe0eae5d3, "_gpl");
SYMBOL_CRC(store_cdrom_address, 0xb3adf38d, "_gpl");
SYMBOL_CRC(fsg_show_ro, 0x15a811ac, "_gpl");
SYMBOL_CRC(fsg_show_nofua, 0x53c31e50, "_gpl");
SYMBOL_CRC(fsg_show_file, 0x849b090f, "_gpl");
SYMBOL_CRC(fsg_show_cdrom, 0xbd231806, "_gpl");
SYMBOL_CRC(fsg_show_removable, 0xf3fe95e9, "_gpl");
SYMBOL_CRC(fsg_show_inquiry_string, 0x5f3546e4, "_gpl");
SYMBOL_CRC(fsg_store_ro, 0x713e5972, "_gpl");
SYMBOL_CRC(fsg_store_nofua, 0x33cadc72, "_gpl");
SYMBOL_CRC(fsg_store_file, 0xe9ca5a8c, "_gpl");
SYMBOL_CRC(fsg_store_cdrom, 0x90f80355, "_gpl");
SYMBOL_CRC(fsg_store_removable, 0x73974b09, "_gpl");
SYMBOL_CRC(fsg_store_inquiry_string, 0x399aa1d7, "_gpl");
SYMBOL_CRC(fsg_store_forced_eject, 0x24cfc0e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ac62f17, "filp_open" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x62253143, "usb_ep_fifo_flush" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0x17fde491, "usb_interface_id" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xe5f9f14, "usb_assign_descriptors" },
	{ 0x7934d336, "invalidate_mapping_pages" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb7440f2b, "send_sig_info" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x37a0cba, "kfree" },
	{ 0x805094ec, "kthread_complete_and_exit" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xb69c874e, "I_BDEV" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x10e0b738, "config_ep_by_speed" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0xa52e2fb3, "usb_composite_setup_continue" },
	{ 0x3b2edc51, "usb_function_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xd3c8a39, "usb_ep_clear_halt" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xa9f17a3d, "usb_ep_autoconfig" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3b812f0c, "unregister_gadget_item" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x1efbe1cd, "usb_put_function_instance" },
	{ 0x32b081a9, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x547891c, "_dev_warn" },
	{ 0xcf7368ea, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xa56b633f, "usb_function_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0x7a0eaf88, "usb_ep_set_halt" },
	{ 0x23c9ca63, "vfs_fsync" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x40956b6a, "file_path" },
	{ 0x9f1a4dd6, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x162b87ff, "usb_ep_set_wedge" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x9ab56420, "usb_ep_enable" },
	{ 0xc09c4659, "usb_ep_disable" },
	{ 0x349cba85, "strchr" },
	{ 0x3920c6b4, "dequeue_signal" },
	{ 0x7d80c1e6, "usb_free_all_descriptors" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xa27bc90f, "usb_gstrings_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xcd803911, "kernel_write" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libcomposite,configfs");


MODULE_INFO(srcversion, "BF97DFAE3C91AFE87D98D6D");

MODULE_INFO(suserelease, "SLE15-SP6");
