#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x0e5f9f14, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0x7d80c1e6, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x138b7717, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0x7e2a4f3f, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x36d258ef, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xa9f17a3d, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x1150a4d5, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0xf3170bdc, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x532282a4, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x10e0b738, "_gpl");
SYMBOL_CRC(usb_add_function, 0x3e4bfa70, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xc410b66a, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x7c7856cf, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x3f8bc2ff, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x17fde491, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x80d0ca93, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x0510d66b, "_gpl");
SYMBOL_CRC(usb_add_config, 0x3cd66489, "_gpl");
SYMBOL_CRC(usb_string_id, 0x94b11ad1, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x301dcad8, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0xa27bc90f, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x89e29e1f, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x8936fa23, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0xbb1a89fb, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xa52e2fb3, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0xc658a327, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x86f2a492, "_gpl");
SYMBOL_CRC(usb_get_function, 0x6803611d, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x1efbe1cd, "_gpl");
SYMBOL_CRC(usb_put_function, 0x46fd8dc9, "_gpl");
SYMBOL_CRC(usb_function_register, 0x3b2edc51, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0xa56b633f, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x01b1331b, "");
SYMBOL_CRC(unregister_gadget_item, 0x3b812f0c, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x15ab8f10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x8a8e3e7b, "config_group_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x821cf130, "usb_gadget_check_config" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x6a16032e, "usb_gadget_ep_match_desc" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b56e00d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbf4b238a, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc4df4c0, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xbb5fb327, "usb_gadget_vbus_draw" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc00de219, "config_item_set_name" },
	{ 0xdaba41ff, "module_put" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xe9983781, "_dev_err" },
	{ 0x990a1c77, "configfs_register_subsystem" },
	{ 0xbb6604d2, "init_uts_ns" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0x95af02b4, "usb_gadget_activate" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb5dede38, "usb_gadget_clear_selfpowered" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x76569b3c, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1442cb, "usb_gadget_unregister_driver" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xd7eeaca5, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f1a4dd6, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd873949f, "usb_gadget_register_driver_owner" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xf320e0ed, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "1A0EE2F239F57007F54FAD2");

MODULE_INFO(suserelease, "SLE15-SP6");
