#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78a532f3, "usb_hcd_resume_root_hub" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5951ca83, "debugfs_lookup_and_remove" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xe9983781, "_dev_err" },
	{ 0x897143e1, "usb_hc_died" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x44766ff6, "usb_hcd_link_urb_to_ep" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0x1d89ccb1, "usb_hcd_pci_remove" },
	{ 0x7495ff83, "usb_hcd_pci_pm_ops" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0xe21e29e7, "usb_hcd_pci_probe" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x547891c, "_dev_warn" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x349cba85, "strchr" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xf6190990, "usb_hcd_end_port_resume" },
	{ 0x23285de4, "usb_hcd_start_port_resume" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5057e8f3, "usb_hcd_poll_rh_status" },
	{ 0xb2e0531e, "usb_root_hub_lost_power" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbd661105, "no_seek_end_llseek_size" },
	{ 0xe9faa3f6, "uhci_check_and_reset_hc" },
	{ 0x98d90ffb, "uhci_reset_hc" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xf69f68f9, "usb_hcd_unlink_urb_from_ep" },
	{ 0x9a300ff1, "usb_hcd_giveback_urb" },
	{ 0x88e58b21, "usb_hcd_check_unlink_urb" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x39914307, "__wake_up" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i00*");

MODULE_INFO(srcversion, "98950697A621C975DFE1E54");

MODULE_INFO(suserelease, "SLE15-SP6");
