#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xhci_run, 0x163ce43b, "_gpl");
SYMBOL_CRC(xhci_stop, 0x577d2627, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x84cb2add, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xefab4fe4, "_gpl");
SYMBOL_CRC(xhci_resume, 0xb6db92d2, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x12685614, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x46d8f3af, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0xb1c95c50, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xedc099e9, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0xbda209a6, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0xe801a709, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xee8caa95, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x4d5099da, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0xffa2dc11, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0xad98c45c, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x5eb31929, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0xbb632488, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xd2dcbb79, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xc26a2304, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x80dca6fb, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x646ed1af, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x645f63d6, "param_ops_ullong" },
	{ 0x4dd66962, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x10b56a85, "usb_asmedia_modifyflowcontrol" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0x9ab1e254, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78a532f3, "usb_hcd_resume_root_hub" },
	{ 0xf69f68f9, "usb_hcd_unlink_urb_from_ep" },
	{ 0x23285de4, "usb_hcd_start_port_resume" },
	{ 0xaebabc63, "usb_amd_pt_check_port" },
	{ 0x897143e1, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x912423dd, "radix_tree_lookup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeb129136, "usb_wakeup_notification" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xbd299a16, "usb_hcd_map_urb_for_dma" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf64b668e, "kmalloc_node_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x12589a25, "debugfs_create_regset32" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x64d7e938, "platform_device_add_resources" },
	{ 0x88e58b21, "usb_hcd_check_unlink_urb" },
	{ 0x81161147, "iommu_get_domain_for_dev" },
	{ 0xd9d9b062, "radix_tree_delete" },
	{ 0x3abe92a0, "device_create_managed_software_node" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0xf6190990, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xd0b6a5f5, "platform_device_add" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xded29f09, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x44766ff6, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa9a4d8a1, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xdeba28c1, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa1a06cdf, "usb_hub_clear_tt_buffer" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xc7975de0, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x9a300ff1, "usb_hcd_giveback_urb" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5057e8f3, "usb_hcd_poll_rh_status" },
	{ 0x65501c93, "usb_acpi_set_power_state" },
	{ 0x3b892a21, "usb_disable_xhci_ports" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x889ce140, "usb_hcd_unmap_urb_for_dma" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xb2e0531e, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "B8F24FA4318D36D82A25E58");

MODULE_INFO(suserelease, "SLE15-SP6");
