#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84cb2add, "xhci_shutdown" },
	{ 0xad98c45c, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xe9983781, "_dev_err" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xb6db92d2, "xhci_resume" },
	{ 0x99121f60, "usb_enable_intel_xhci_ports" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xefab4fe4, "xhci_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x445272df, "pci_d3cold_disable" },
	{ 0xbda209a6, "xhci_update_hub_device" },
	{ 0x5bcdc694, "usb_acpi_port_lpm_incapable" },
	{ 0xa916b694, "strnlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x163ce43b, "xhci_run" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0xbb632488, "xhci_dbg_trace" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xe801a709, "xhci_gen_setup" },
	{ 0x21bce80f, "pci_set_mwi" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd2dcbb79, "__tracepoint_xhci_dbg_quirks" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf2886cae, "__devm_reset_control_get" },
	{ 0xe21e29e7, "usb_hcd_pci_probe" },
	{ 0xdb8557d6, "usb_create_shared_hcd" },
	{ 0xffa2dc11, "xhci_ext_cap_init" },
	{ 0x11da587f, "renesas_xhci_check_request_fw" },
	{ 0xbc7dffb1, "usb_add_hcd" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0x80dca6fb, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x7d529e4c, "usb_hcd_pci_shutdown" },
	{ 0x7495ff83, "usb_hcd_pci_pm_ops" },
	{ 0x646ed1af, "__SCK__tp_func_xhci_dbg_init" },
	{ 0xc26a2304, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee8caa95, "xhci_init_driver" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xa9a4d8a1, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15249daf, "pci_choose_state" },
	{ 0x9c127eac, "usb_remove_hcd" },
	{ 0xa244c557, "usb_put_hcd" },
	{ 0x1d89ccb1, "usb_hcd_pci_remove" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x577d2627, "xhci_stop" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "DE57D847C2C44B3E34C46D5");

MODULE_INFO(suserelease, "SLE15-SP6");
