#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(musb_get_mode, 0x1f451d5d, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x565830cc, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x3b926c00, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x2f8e8387, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0xc7c87719, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x75124be7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe497b33c, "devm_platform_ioremap_resource" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x78a532f3, "usb_hcd_resume_root_hub" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf69f68f9, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeec290e, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5611830c, "usb_get_dr_mode" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x82340a63, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8eeea42f, "platform_get_irq_byname" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x88e58b21, "usb_hcd_check_unlink_urb" },
	{ 0x1bf60402, "device_wakeup_disable" },
	{ 0x317863c, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x131d805f, "sg_miter_stop" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x49b9dac, "sg_miter_start" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x44766ff6, "usb_hcd_link_urb_to_ep" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa244c557, "usb_put_hcd" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe868469, "__platform_driver_register" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x6df41d52, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x9a300ff1, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb93a47b9, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5057e8f3, "usb_hcd_poll_rh_status" },
	{ 0x27f30526, "usb_create_hcd" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x9c127eac, "usb_remove_hcd" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x889ce140, "usb_hcd_unmap_urb_for_dma" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xbc7dffb1, "usb_add_hcd" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "25D8F808F4E9C2137A905CE");

MODULE_INFO(suserelease, "SLE15-SP6");
