#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb46aa67, "request_firmware" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd47e808e, "usb_driver_set_configuration" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xedd7f2d8, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x37f17483, "tty_encode_baud_rate" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x8f74a5c8, "usb_clear_halt" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf2f2a5bd, "tty_port_tty_wakeup" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf15764e3, "usb_serial_generic_tiocmiwait" },
	{ 0x2d53450d, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0449dc5, "usb_serial_register_drivers" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x59a98592, "tty_port_tty_get" },
	{ 0x50b7f300, "tty_kref_put" },
	{ 0xe9983781, "_dev_err" },
	{ 0x39914307, "__wake_up" },
	{ 0x60478c03, "tty_wakeup" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3de51d84, "usb_serial_deregister_drivers" },
	{ 0x8d96f24f, "tty_insert_flip_string_fixed_flag" },
	{ 0x765eacaa, "tty_flip_buffer_push" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3420d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10ACp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B0p3410d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "3EAB707EC88EEDEE1E08BBB");

MODULE_INFO(suserelease, "SLE15-SP6");
