#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x22891f71, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21831abd, "typec_get_fw_cap" },
	{ 0xc450d758, "fwnode_property_present" },
	{ 0x2ec49633, "fwnode_get_named_child_node" },
	{ 0x2f362900, "fwnode_get_next_child_node" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0xa83d2609, "fwnode_property_read_string" },
	{ 0xb1739347, "fwnode_property_read_u32_array" },
	{ 0x875033fa, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x6f26fcf9, "devm_power_supply_register" },
	{ 0xf1275e7f, "usb_power_delivery_register" },
	{ 0x1b39f659, "usb_power_delivery_register_capabilities" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x543623c5, "fwnode_usb_role_switch_get" },
	{ 0x9cff0397, "typec_register_port" },
	{ 0x298a28c9, "typec_port_register_altmodes" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x52e282aa, "typec_get_negotiated_svdm_version" },
	{ 0x1105edc9, "typec_match_altmode" },
	{ 0xd68b7a60, "typec_altmode_vdm" },
	{ 0xd6668119, "typec_altmode_attention" },
	{ 0x89673038, "typec_altmode_notify" },
	{ 0x8e5f1e54, "typec_partner_set_identity" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x51bb173, "typec_partner_register_altmode" },
	{ 0xc0eaa274, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x65b45cb, "complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xeb3cb806, "power_supply_changed" },
	{ 0x230d7fbc, "kthread_queue_work" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb5b26074, "typec_unregister_altmode" },
	{ 0x5cbda183, "typec_get_drvdata" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6e4f96cc, "power_supply_get_drvdata" },
	{ 0xcb35864f, "usb_power_delivery_unregister_capabilities" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0x5aa5c604, "usb_power_delivery_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x26b8f259, "typec_port_set_usb_power_delivery" },
	{ 0x9d76bac, "typec_partner_set_svdm_version" },
	{ 0x1a7f4659, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x3b857f12, "typec_set_mode" },
	{ 0x428b0d0c, "typec_partner_set_usb_power_delivery" },
	{ 0xc23148fd, "typec_unregister_partner" },
	{ 0x356b93e6, "kthread_destroy_worker" },
	{ 0x8bf29864, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x3f3500ac, "typec_set_data_role" },
	{ 0x3ecfe123, "typec_set_pwr_role" },
	{ 0xe0fd4748, "typec_register_partner" },
	{ 0xe9983781, "_dev_err" },
	{ 0x18173bf1, "typec_set_vconn_role" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xbdc99f0a, "kthread_create_worker" },
	{ 0x787c70f9, "sched_set_fifo" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4e3ada01, "fw_devlink_purge_absent_suppliers" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "BBDEF58948A0038C658E175");

MODULE_INFO(suserelease, "SLE15-SP6");
