#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(typec_altmode_update_active, 0x6d27a9d4, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xf8e99397, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xb5b26074, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x8e5f1e54, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x7333bd8d, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x428b0d0c, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xbd776d22, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x051bb173, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x09d76bac, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xb9d2880d, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xe0fd4748, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xc23148fd, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xab02a40d, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x1d78385f, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x50bb8100, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xab7ef2e1, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x04f20f7d, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x8cc97e3a, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xcacf8eeb, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x7cff4555, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xed3bbd68, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xc5c263c1, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x26b8f259, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x3f3500ac, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x3ecfe123, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x18173bf1, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0xc0eaa274, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x1a7f4659, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x1784175a, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x3b857f12, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x52e282aa, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x5cbda183, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x21831abd, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x35aacc1d, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x298a28c9, "_gpl");
SYMBOL_CRC(typec_register_port, 0x9cff0397, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x8bf29864, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xffc41404, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x568affdf, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xbf3e255b, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x66cf49d3, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x19cedc67, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x70274b3d, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xc0237bd2, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x4e3b596d, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x4d12a2b0, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x8f3e2d16, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x89673038, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xa61450e8, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xed4bdbad, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xd6668119, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xd68b7a60, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x39d40b6f, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x0fbb6cde, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x75dd097d, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xe495c1ce, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xafaab852, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x1105edc9, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x1b39f659, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xcb35864f, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xf1275e7f, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x5aa5c604, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x55682249, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xd3eeabf7, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x000c2f31, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x4608c492, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xf1c18046, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x6d3390ec, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x25266295, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x651324b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c727f04, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7efef948, "acpi_bus_for_each_dev" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc10b7adc, "fwnode_connection_find_match" },
	{ 0x2f362900, "fwnode_get_next_child_node" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82340a63, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd442e233, "device_match_fwnode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1739347, "fwnode_property_read_u32_array" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x7ed06bd6, "fwnode_get_name" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0x7e149fed, "sysfs_update_group" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0xed84ea82, "fwnode_property_read_u16_array" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x32b081a9, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa83d2609, "fwnode_property_read_string" },
	{ 0xc450d758, "fwnode_property_present" },
	{ 0x29135756, "component_master_del" },
	{ 0xa0d05a35, "component_match_add_release" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x53e98293, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5a93f97a, "component_bind_all" },
	{ 0x32cff835, "device_match_name" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0x43ee1e4c, "fwnode_connection_find_matches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0xd52c6232, "component_unbind_all" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0698D47150F1ABCFA1FE576");

MODULE_INFO(suserelease, "SLE15-SP6");
