#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ucsi_send_command, 0x8d0c2b25, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x20fb7c8e, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x99acac9b, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x68489a49, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x8cdd97a4, "_gpl");
SYMBOL_CRC(ucsi_create, 0x5dcb4498, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x8e504611, "_gpl");
SYMBOL_CRC(ucsi_register, 0xc34c9555, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xcb5031ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98c178d2, "completion_done" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe0fd4748, "typec_register_partner" },
	{ 0x26b8f259, "typec_port_set_usb_power_delivery" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x35aacc1d, "typec_port_register_altmode" },
	{ 0xc2ee2293, "power_supply_register" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x39d40b6f, "typec_altmode_get_partner" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x543623c5, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xf8e99397, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf1275e7f, "usb_power_delivery_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x51bb173, "typec_partner_register_altmode" },
	{ 0xbd776d22, "typec_partner_set_num_altmodes" },
	{ 0xc23148fd, "typec_unregister_partner" },
	{ 0xc0eaa274, "typec_set_pwr_opmode" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x6d27a9d4, "typec_altmode_update_active" },
	{ 0xa5136d4e, "device_property_read_u8_array" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x1b39f659, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5aa5c604, "usb_power_delivery_unregister" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x3f3500ac, "typec_set_data_role" },
	{ 0x52e282aa, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd68b7a60, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8bf29864, "typec_unregister_port" },
	{ 0x6e4f96cc, "power_supply_get_drvdata" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9cff0397, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x428b0d0c, "typec_partner_set_usb_power_delivery" },
	{ 0xeb3cb806, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x9d76bac, "typec_partner_set_svdm_version" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5b26074, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcb35864f, "usb_power_delivery_unregister_capabilities" },
	{ 0x5cbda183, "typec_get_drvdata" },
	{ 0xe88cf83d, "power_supply_unregister" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x3ecfe123, "typec_set_pwr_role" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0xf82f9872, "device_get_next_child_node" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "F753BFC15AF43F6456A548B");

MODULE_INFO(suserelease, "SLE15-SP6");
