#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xb5869872, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x9282d3db, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x4b19d06c, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x7070add0, "_gpl");
SYMBOL_CRC(vhost_vq_flush, 0x26509858, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x21c6328d, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x3504aeb5, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xb187e1db, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xd7fa403e, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x78425286, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x3e4db0e9, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x931996ab, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x26ecb7e4, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0xb4b2b8cf, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xd41176a7, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xfd6deb11, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xc38b3d3a, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x9895076d, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x7eaa4a07, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x090ec899, "");
SYMBOL_CRC(vhost_chr_poll, 0x336a338f, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x095493fd, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xe8e4ff97, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x2457d0ff, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x348b24d4, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x7aaf01e1, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x80169026, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x18a18d58, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x463cf521, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xd2a62819, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x1f22c9d6, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xff3196bb, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xe6d943c0, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xbe1a81a5, "_gpl");
SYMBOL_CRC(vhost_signal, 0x224d49cc, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xee0dc725, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x4504e6fa, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x5169cdf6, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x087bf7ae, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xa772b83d, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x11ed780c, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xe43b234e, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x3ae77395, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xc14d37e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65b45cb, "complete" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x39914307, "__wake_up" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x434fc55d, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x3de0b6c6, "unpin_user_pages_dirty_lock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb80cabd9, "iov_iter_advance" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xf83382cc, "mmput" },
	{ 0x78ace05f, "__mmdrop" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xb70789e, "__might_fault" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4557ed62, "iov_iter_init" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbe3dbe0, "vhost_task_create" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x8415c193, "finish_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xba2f2845, "fput" },
	{ 0xae367003, "xa_destroy" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5c3552aa, "eventfd_fget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe1f07667, "get_task_mm" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A6CD037682135ACEC716EDC");

MODULE_INFO(suserelease, "SLE15-SP6");
