#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x78517016, "generic_fillattr" },
	{ 0x32195cd1, "setattr_prepare" },
	{ 0xc7240f05, "clear_nlink" },
	{ 0x592bc57a, "vfs_fileattr_get" },
	{ 0xa1091bc6, "d_instantiate" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x765e4fb5, "clear_inode" },
	{ 0xd117618b, "notify_change" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc5fb9cb5, "grab_cache_page_write_begin" },
	{ 0xc7edf2be, "vfs_getattr" },
	{ 0x8b47588a, "vfs_rename" },
	{ 0xf02758bc, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xe1eb814b, "init_special_inode" },
	{ 0x75c5fb5e, "unregister_filesystem" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd09bc922, "iterate_dir" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x1c8a023e, "d_make_root" },
	{ 0x980273cb, "d_splice_alias" },
	{ 0xe550cf8d, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf7c1316, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x4f3f28c, "__vfs_getxattr" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0xb7169fcc, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x62f5fd88, "fsstack_copy_attr_all" },
	{ 0xb00ffcb, "register_filesystem" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x1c9d3173, "vfs_unlink" },
	{ 0x48cbda9, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xf75b9c6f, "vfs_mkdir" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x559842b7, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8950fec3, "inode_newsize_ok" },
	{ 0x4e71231, "d_drop" },
	{ 0x9bee7e2a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x60f74349, "block_invalidate_folio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0x78ddc178, "truncate_inode_pages_final" },
	{ 0x779e5862, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2bdf56fa, "key_type_encrypted" },
	{ 0x3cb841a8, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x31356db6, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf847656, "inode_init_once" },
	{ 0xf7786888, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb9d57c36, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68332089, "vfs_get_link" },
	{ 0x49608959, "migrate_disable" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd4107f3f, "up_write" },
	{ 0xb5953621, "generic_file_read_iter" },
	{ 0x1fc1de61, "unlock_page" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0xdf62c4bd, "set_nlink" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xdd056b05, "lock_rename" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x3e6a626c, "__vfs_setxattr_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xde30dee0, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1420888f, "sget" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x5ed07014, "block_dirty_folio" },
	{ 0xf916e23c, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x6b2d0c5f, "kern_path" },
	{ 0x3c44616a, "vfs_set_acl" },
	{ 0x18a114a2, "misc_register" },
	{ 0xcf7368ea, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x7b7f3ef9, "key_validate" },
	{ 0x9a9dad6d, "unlock_rename" },
	{ 0x7b3338bb, "vfs_rmdir" },
	{ 0x2e0caabf, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0xb0cfc4d0, "truncate_setsize" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4b40aa92, "vfs_symlink" },
	{ 0xc87467fa, "super_setup_bdi" },
	{ 0xf19b052, "igrab" },
	{ 0x5a56f217, "generic_read_dir" },
	{ 0x52939286, "d_instantiate_new" },
	{ 0x2f247c14, "d_add" },
	{ 0x23c9ca63, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x51077e43, "vfs_mknod" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x434731e2, "dentry_open" },
	{ 0x76fc5bf4, "request_key_tag" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x3274205c, "__folio_put" },
	{ 0x15ecf9c3, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x72fb2dff, "dput" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0x381098cc, "deactivate_locked_super" },
	{ 0xfb18af, "touch_atime" },
	{ 0x2d47c5bc, "lookup_one_len_unlocked" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa07a2ed7, "vfs_llseek" },
	{ 0xf5984450, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60bceb4e, "filemap_splice_read" },
	{ 0x1062d9b1, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x1575a819, "key_type_user" },
	{ 0x9e108f28, "kill_anon_super" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xdca4b5af, "iget5_locked" },
	{ 0x318746ef, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf77c7e9d, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x618002b9, "inode_permission" },
	{ 0xea13260b, "mntget" },
	{ 0xf64e0f38, "kmem_cache_alloc_lru" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0xa60ecffb, "__mark_inode_dirty" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x93afd21, "make_bad_inode" },
	{ 0x8314e806, "vfs_get_acl" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4bfe7737, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2c9237c6, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xfc7150c1, "iget_failed" },
	{ 0xcd803911, "kernel_write" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0x25f03508, "vfs_create" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4AA075A0BDC29B59995AE65");

MODULE_INFO(suserelease, "SLE15-SP6");
