#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x920f231a, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x0f9a846a, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x0715a2ac, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x7b15f4bf, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x80d8f6a8, "");
SYMBOL_CRC(fuse_abort_conn, 0xdfea6088, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x0a66b29b, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x8341e7a4, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x32a1af85, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xd5b09360, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa640e796, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xaae89816, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xace00ecf, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x04451c7f, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x99f07c75, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xc478bec2, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x2739c9bd, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x8da2804e, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x115a2015, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x59ef128f, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x90a7208e, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xcb2faa22, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xb8d4da28, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x3fdb8e71, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xbf6aaa0a, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x57e9b2b5, "");
SYMBOL_CRC(fuse_do_ioctl, 0x9becdf38, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x44bd690c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd08f9b34, "super_setup_bdi_name" },
	{ 0x6b3e1883, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x43099b40, "truncate_inode_pages" },
	{ 0x6c0e8768, "generic_copy_file_range" },
	{ 0xc5f68acb, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x191b72c7, "pipe_lock" },
	{ 0x78517016, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa1452928, "vfs_fsync_range" },
	{ 0x32195cd1, "setattr_prepare" },
	{ 0xc7240f05, "clear_nlink" },
	{ 0xea7411ab, "file_check_and_advance_wb_err" },
	{ 0x37b7e0cb, "d_alloc_parallel" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0xa1091bc6, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0xda6a9bbf, "make_vfsgid" },
	{ 0x765e4fb5, "clear_inode" },
	{ 0xaf989c35, "inode_to_bdi" },
	{ 0xaa156a87, "find_pid_ns" },
	{ 0xc5fb9cb5, "grab_cache_page_write_begin" },
	{ 0x87f818f6, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x44c3538f, "pipe_unlock" },
	{ 0xaf604561, "fs_param_is_string" },
	{ 0x5ba2d500, "folio_unlock" },
	{ 0xea86abc4, "new_inode" },
	{ 0x65b45cb, "complete" },
	{ 0xa503400a, "filemap_map_pages" },
	{ 0xc8286b09, "dump_page" },
	{ 0x43a932fd, "forget_all_cached_acls" },
	{ 0xe1eb814b, "init_special_inode" },
	{ 0x75c5fb5e, "unregister_filesystem" },
	{ 0x23a25d4f, "task_active_pid_ns" },
	{ 0xf70bd27e, "iov_iter_single_seg_count" },
	{ 0xc17ed774, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4bcdb9d5, "filemap_fdatawrite_range" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xd324ecb2, "d_alloc_name" },
	{ 0x5571d7e9, "replace_page_cache_folio" },
	{ 0x950ac0b2, "inode_query_iversion" },
	{ 0xb80cabd9, "iov_iter_advance" },
	{ 0xcb739b47, "kill_fasync" },
	{ 0x1c8a023e, "d_make_root" },
	{ 0x1fa2d099, "sb_set_blocksize" },
	{ 0x437d1598, "fget" },
	{ 0x42b5ce71, "simple_fill_super" },
	{ 0x648da7d3, "xas_find" },
	{ 0xac89d975, "sync_filesystem" },
	{ 0x428e52ca, "noop_dirty_folio" },
	{ 0xd7cca7ad, "sget_fc" },
	{ 0xad02dfb6, "param_set_uint" },
	{ 0x980273cb, "d_splice_alias" },
	{ 0x7b11bdb4, "iov_iter_get_pages2" },
	{ 0x6f883acc, "current_time" },
	{ 0xa2949cf5, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76f1d15a, "page_get_link" },
	{ 0x34eaf68b, "generic_permission" },
	{ 0xc95ade4c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x690c78fb, "invalidate_inode_pages2_range" },
	{ 0xad37cdde, "posix_lock_file" },
	{ 0x791847a2, "finish_open" },
	{ 0x73017626, "dax_iomap_rw" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x822a4a3e, "logfc" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xc461dd9f, "iter_file_splice_write" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xfc38a9d5, "init_pid_ns" },
	{ 0x1dade06, "dax_iomap_fault" },
	{ 0x4557ed62, "iov_iter_init" },
	{ 0x31a3d8d8, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x9f55e3fb, "sysfs_create_mount_point" },
	{ 0xb7169fcc, "generic_file_write_iter" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb00ffcb, "register_filesystem" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa4639a09, "folio_add_lru" },
	{ 0x514d0d3f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc7723cdc, "sync_inode_metadata" },
	{ 0xb727d5fb, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x84be9dbe, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b9f3db5, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x450dd210, "get_tree_nodev" },
	{ 0x1bd62964, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6adce625, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf00cf1ba, "fs_param_is_u32" },
	{ 0x8950fec3, "inode_newsize_ok" },
	{ 0x4e71231, "d_drop" },
	{ 0x3491875f, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x9bee7e2a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1ef27a39, "bdi_put" },
	{ 0x7cd375e0, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xb089be8c, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa483c048, "make_kuid" },
	{ 0x78ddc178, "truncate_inode_pages_final" },
	{ 0x779e5862, "fs_kobj" },
	{ 0x3242ab36, "__filemap_set_wb_err" },
	{ 0x9839a73f, "simple_dir_operations" },
	{ 0x3cb841a8, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x9f3a049, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x6ebafb00, "setattr_should_drop_suidgid" },
	{ 0x7df98271, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd523c99, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8069b9b5, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x3b2cfa15, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdf847656, "inode_init_once" },
	{ 0xf7786888, "file_write_and_wait_range" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5589d4fa, "nosteal_pipe_buf_ops" },
	{ 0xd2498e2f, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x971c5569, "inode_nohighmem" },
	{ 0xc9a17cdd, "release_pages" },
	{ 0xf4d03a37, "generic_file_direct_write" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0xb5953621, "generic_file_read_iter" },
	{ 0x2d8bcec1, "inode_maybe_inc_iversion" },
	{ 0x1fc1de61, "unlock_page" },
	{ 0xc816a5c7, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x186840d3, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xec227335, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xba912a84, "dec_node_page_state" },
	{ 0xceace85f, "write_cache_pages" },
	{ 0x68aecb17, "file_update_time" },
	{ 0xdf62c4bd, "set_nlink" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xb4dd2aa8, "from_kgid" },
	{ 0xf5876759, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2f689545, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4e53164a, "write_inode_now" },
	{ 0x8cacb297, "dax_writeback_mapping_range" },
	{ 0x53d99655, "d_obtain_alias" },
	{ 0xa219eaf6, "file_modified" },
	{ 0x5d0328e6, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x4638b850, "finish_no_open" },
	{ 0xa6e213fb, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x36d43861, "kill_litter_super" },
	{ 0xdd0204a6, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x73f26e5d, "current_in_userns" },
	{ 0xf47c3750, "fc_mount" },
	{ 0x964b416f, "sysfs_remove_mount_point" },
	{ 0x18a114a2, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x46e50e72, "d_delete" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x311472c6, "from_kgid_munged" },
	{ 0xf484da5d, "end_page_writeback" },
	{ 0x1b9661b7, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2e0caabf, "kobject_create_and_add" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d9da32d, "wb_writeout_inc" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0x62685f3c, "dax_finish_sync_fault" },
	{ 0x467b457c, "set_page_dirty" },
	{ 0x1158c3be, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45c68f70, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x75a54cfb, "noop_direct_IO" },
	{ 0xf19b052, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a56f217, "generic_read_dir" },
	{ 0x2f247c14, "d_add" },
	{ 0xf2488832, "set_page_writeback" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x22d4b2, "d_find_alias" },
	{ 0xe6966af8, "invalidate_inode_pages2" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x339a8624, "inc_nlink" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77e1a7c0, "get_tree_bdev" },
	{ 0x229d70e6, "set_anon_super_fc" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x72fb2dff, "dput" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x518576e5, "generic_delete_inode" },
	{ 0x381098cc, "deactivate_locked_super" },
	{ 0xfb18af, "touch_atime" },
	{ 0xe980de3e, "__percpu_down_read" },
	{ 0x534198dc, "__d_lookup_unhash_wake" },
	{ 0x17e1faa2, "set_page_dirty_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x1071c0a0, "pid_nr_ns" },
	{ 0x3b4aba61, "generic_file_open" },
	{ 0x95e2cef4, "truncate_inode_pages_range" },
	{ 0x30f18130, "__put_user_ns" },
	{ 0xf5984450, "__folio_lock" },
	{ 0xcc0d7e96, "filemap_dirty_folio" },
	{ 0x6c5ff3f2, "pagecache_get_page" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xbd9c61b5, "stream_open" },
	{ 0x3ef547dd, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xbafc2a1c, "__wake_up_sync" },
	{ 0x5651f1f3, "add_to_pipe" },
	{ 0x61775554, "__fs_parse" },
	{ 0x4e05d059, "dax_layout_busy_page_range" },
	{ 0x60bceb4e, "filemap_splice_read" },
	{ 0xfa8117c, "posix_acl_to_xattr" },
	{ 0xb3e2ebf4, "dget_parent" },
	{ 0x9e108f28, "kill_anon_super" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xdca4b5af, "iget5_locked" },
	{ 0x56832eb6, "security_dentry_init_security" },
	{ 0x318746ef, "filemap_write_and_wait_range" },
	{ 0x30ce3af4, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3de2da7, "generic_write_checks" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0xeeb3e79, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xea13260b, "mntget" },
	{ 0xf64e0f38, "kmem_cache_alloc_lru" },
	{ 0x3a50aba4, "filemap_fault" },
	{ 0x44074a7, "d_invalidate" },
	{ 0xa60ecffb, "__mark_inode_dirty" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x50f8a35a, "drop_nlink" },
	{ 0x82c759d5, "fault_in_iov_iter_readable" },
	{ 0x960fe96f, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7b13b5f2, "bdi_set_max_ratio" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70DCB6A1292B37026556F4F");

MODULE_INFO(suserelease, "SLE15-SP6");
