#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0x65f30d18, "");
SYMBOL_CRC(jbd2_journal_start, 0xc03c2c6d, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xd14994ee, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xd304ae11, "");
SYMBOL_CRC(jbd2__journal_restart, 0xe3f0e680, "");
SYMBOL_CRC(jbd2_journal_restart, 0x81f660c8, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x110452e1, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x473aac10, "");
SYMBOL_CRC(jbd2_journal_extend, 0x5bf6363b, "");
SYMBOL_CRC(jbd2_journal_stop, 0x91c7644e, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x6581e132, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x4dc8f176, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xa359d020, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xc28fac0b, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x52871d8f, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xd5362305, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x191bbbeb, "");
SYMBOL_CRC(jbd2_journal_forget, 0x31b7a146, "");
SYMBOL_CRC(jbd2_journal_flush, 0x45c8cddb, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xc0b5725f, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xf26efd37, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xe24be101, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x0459d5bd, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xf43a3e5c, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x61d6c4e7, "");
SYMBOL_CRC(jbd2_journal_load, 0x221a75f5, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x094a8373, "");
SYMBOL_CRC(jbd2_journal_abort, 0x75a96759, "");
SYMBOL_CRC(jbd2_journal_errno, 0x4774f9e0, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x03b4c9d2, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xeddc53a2, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x5258f422, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x321d0b74, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xfd3135c2, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x74b389bf, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x415b0e1d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x04c05956, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x52a35847, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xd9dca4c2, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x29f67644, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x280d3230, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x28e766ae, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x97a87acd, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xdc99381a, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x55f147f8, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xfb9a9209, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x0f97aa06, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x051a9ab5, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x0eb570d4, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x163d3a9f, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xf5f28eee, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x1894d8b6, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xa4444eab, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x203fefab, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x382fa931, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x98ef42e7, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x272913b8, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x5227c68c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x6d667931, "bh_uptodate_or_lock" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5ba2d500, "folio_unlock" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x266ad31c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0x5a273696, "mark_buffer_dirty" },
	{ 0xab39d46d, "__find_get_block" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x4bcdb9d5, "filemap_fdatawrite_range" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xedf930cb, "__bforget" },
	{ 0xd600fb05, "write_dirty_buffer" },
	{ 0xd3fd64ff, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7c80cf64, "blockdev_superblock" },
	{ 0xaa75b5b7, "proc_create_data" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x4d83c123, "bpf_trace_run8" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x802f5a58, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x12f59aeb, "alloc_buffer_head" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a9273f4, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa1137289, "try_to_free_buffers" },
	{ 0x4e7e412a, "sync_blockdev" },
	{ 0x67711f60, "free_buffer_head" },
	{ 0x2c56f4fb, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0x9454e5d2, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7b129d03, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f4dd81e, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc4d7281f, "__bh_read_batch" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0x22045f2f, "__wait_on_buffer" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x5211a7ed, "__bh_read" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x40cd1b49, "blkdev_issue_zeroout" },
	{ 0xe5b3fca9, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb6e7631b, "freezing_slow_path" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x5f092507, "set_bh_page" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x22e41345, "unlock_buffer" },
	{ 0x7f5d18e, "__getblk_gfp" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xffb1e0b0, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x3274205c, "__folio_put" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x5f851b39, "__lock_buffer" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x95e2cef4, "truncate_inode_pages_range" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xda5dac96, "end_buffer_write_sync" },
	{ 0x35de9455, "seq_open" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf77c7e9d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xa726ab34, "blkdev_issue_discard" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A2CB754F67607D88BF351D");

MODULE_INFO(suserelease, "SLE15-SP6");
