#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_unregister_domain, 0x34bc7d1c, "_gpl");
SYMBOL_CRC(dlm_register_domain, 0x00ab9829, "_gpl");
SYMBOL_CRC(dlm_setup_eviction_cb, 0x7a1211f8, "_gpl");
SYMBOL_CRC(dlm_register_eviction_cb, 0x7cb132a8, "_gpl");
SYMBOL_CRC(dlm_unregister_eviction_cb, 0xd8fa57a6, "_gpl");
SYMBOL_CRC(dlm_print_one_lock, 0xf8839058, "_gpl");
SYMBOL_CRC(dlm_errmsg, 0xd7ba575e, "_gpl");
SYMBOL_CRC(dlm_errname, 0xfb86b96f, "_gpl");
SYMBOL_CRC(dlmlock, 0x8c4fc001, "_gpl");
SYMBOL_CRC(dlmunlock, 0x2f1de9cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xb6ebf62a, "o2nm_this_node" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbd13ee5d, "o2hb_check_node_heartbeating_no_sem" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf696d5d4, "o2nm_get_node_by_num" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x9454e5d2, "__cond_resched_lock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x922435df, "o2hb_setup_callback" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xbfd7d7a2, "o2hb_global_heartbeat_active" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xc6512d4e, "__seq_open_private" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x5e95a4b2, "o2net_send_message_vec" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa941cb47, "o2hb_fill_node_map" },
	{ 0xf1a5611d, "o2net_unregister_handler_list" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf982e6db, "o2net_send_message" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xfe1298f3, "o2net_register_handler" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe9247740, "seq_release_private" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4634ced4, "o2hb_register_callback" },
	{ 0x58c88ff2, "o2hb_get_all_regions" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xce761558, "up_read" },
	{ 0xe8e9397, "o2hb_unregister_callback" },
	{ 0xa21aa0df, "o2nm_node_put" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_nodemanager");


MODULE_INFO(srcversion, "4D58548906AB5C0CADC5A88");

MODULE_INFO(suserelease, "SLE15-SP6");
