#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(objagg_obj_root_priv, 0x24ca5ca9, "");
SYMBOL_CRC(objagg_obj_delta_priv, 0x342aefe2, "");
SYMBOL_CRC(objagg_obj_raw, 0x0363233d, "");
SYMBOL_CRC(objagg_obj_get, 0xb17ab162, "");
SYMBOL_CRC(objagg_obj_put, 0x6691f29d, "");
SYMBOL_CRC(objagg_create, 0x679e8cc2, "");
SYMBOL_CRC(objagg_destroy, 0x23865923, "");
SYMBOL_CRC(objagg_stats_get, 0xdaa3ee68, "");
SYMBOL_CRC(objagg_stats_put, 0xf5511527, "");
SYMBOL_CRC(objagg_hints_get, 0xfaa9d1a8, "");
SYMBOL_CRC(objagg_hints_put, 0x3c58e78f, "");
SYMBOL_CRC(objagg_hints_stats_get, 0x352633f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb7c0f443, "sort" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7CA91FCBE3AEBE31A011F62");

MODULE_INFO(suserelease, "SLE15-SP6");
