#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_sock_reclassify_lock, 0xb4e784d0, "");
SYMBOL_CRC(bt_sock_register, 0xebb738f8, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xc7b432be, "");
SYMBOL_CRC(bt_sock_link, 0x163b5661, "");
SYMBOL_CRC(bt_sock_unlink, 0x056d7be8, "");
SYMBOL_CRC(bt_sock_linked, 0x726c9a5a, "");
SYMBOL_CRC(bt_accept_enqueue, 0x0833cdce, "");
SYMBOL_CRC(bt_accept_unlink, 0x9c350682, "");
SYMBOL_CRC(bt_accept_dequeue, 0x96f6b34d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x0abe73bd, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x6333c3dc, "");
SYMBOL_CRC(bt_sock_poll, 0x4791d580, "");
SYMBOL_CRC(bt_sock_ioctl, 0xd8fd87db, "");
SYMBOL_CRC(bt_sock_wait_state, 0xee8addb5, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x8070b017, "");
SYMBOL_CRC(bt_procfs_init, 0x2cd04c79, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xcbdd8799, "");
SYMBOL_CRC(bt_debugfs, 0x682366a1, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x0ac0db63, "");
SYMBOL_CRC(hci_free_dev, 0x3dfafa29, "");
SYMBOL_CRC(hci_register_dev, 0x5c33cd7c, "");
SYMBOL_CRC(hci_unregister_dev, 0xb623f2f1, "");
SYMBOL_CRC(hci_release_dev, 0x9655c63b, "");
SYMBOL_CRC(hci_suspend_dev, 0x642399d3, "");
SYMBOL_CRC(hci_resume_dev, 0xb2e01433, "");
SYMBOL_CRC(hci_reset_dev, 0x2799a275, "");
SYMBOL_CRC(hci_recv_frame, 0x8dfbd680, "");
SYMBOL_CRC(hci_recv_diag, 0x714f7d46, "");
SYMBOL_CRC(hci_set_hw_info, 0x23275cbf, "");
SYMBOL_CRC(hci_set_fw_info, 0x6b860699, "");
SYMBOL_CRC(hci_register_cb, 0xdf85faaa, "");
SYMBOL_CRC(hci_unregister_cb, 0x2cc5054f, "");
SYMBOL_CRC(__hci_cmd_send, 0x93f5dc4a, "");
SYMBOL_CRC(hci_get_route, 0xf00d9a8c, "");
SYMBOL_CRC(hci_conn_security, 0xf1666caf, "");
SYMBOL_CRC(hci_conn_check_secure, 0xbfbefc1d, "");
SYMBOL_CRC(hci_conn_switch_role, 0x446c1ca1, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x92fb92d3, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x1d24986b, "");
SYMBOL_CRC(l2cap_add_psm, 0xc5a4ea48, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x1c528176, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x4a9d3657, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xf861e0f0, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x52115f48, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x91049319, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xebe4d040, "");
SYMBOL_CRC(l2cap_register_user, 0xd4951861, "");
SYMBOL_CRC(l2cap_unregister_user, 0x88d1ca02, "");
SYMBOL_CRC(l2cap_conn_get, 0x8d867112, "");
SYMBOL_CRC(l2cap_conn_put, 0x79829a31, "");
SYMBOL_CRC(l2cap_chan_send, 0x07b4a619, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x65c954dd, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xcb8aa59b, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xce34bc44, "");
SYMBOL_CRC(__hci_cmd_sync, 0x8e5be33f, "");
SYMBOL_CRC(hci_cmd_sync, 0x1930231f, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xb04e5a24, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x40057deb, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xc3f3c895, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x91db7af1, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x22e7ffa7, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x4ac0e7f9, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x43967cc8, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x8f339145, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xc78e9aad, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x5bb8f50d, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x923b6033, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xa33c9b85, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x98e822ac, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x60e95434, "");
SYMBOL_CRC(hci_devcd_init, 0x2d29bf32, "");
SYMBOL_CRC(hci_devcd_append, 0x4de3178c, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x1e7f9ee1, "");
SYMBOL_CRC(hci_devcd_complete, 0x462576bf, "");
SYMBOL_CRC(hci_devcd_abort, 0xde054e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x675d7f6d, "skb_free_datagram" },
	{ 0xfbe33783, "sock_queue_rcv_skb_reason" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x29a8a417, "sock_i_uid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xf02758bc, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x960dc0b5, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x24a830b0, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6d922a6c, "add_wait_queue_exclusive" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x826b3267, "sock_no_connect" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x7fc1f20, "led_trigger_unregister_simple" },
	{ 0x39914307, "__wake_up" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x58892e26, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x5eb7093a, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a42baa6, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7528852d, "sock_register" },
	{ 0x40fa02dc, "datagram_poll" },
	{ 0x16764e60, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xdaba41ff, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xbbeb3020, "__sock_recv_timestamp" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0x69bfb4ec, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x57d78c81, "init_net" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbb6604d2, "init_uts_ns" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x198bfaab, "device_move" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xe501f479, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0xd7923c1f, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xe7edac6f, "device_del" },
	{ 0x91d78b31, "__sock_queue_rcv_skb" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xe7983274, "__sock_recv_wifi_status" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xab1a4bcd, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd095029b, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7204167c, "sock_i_ino" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x60c11062, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7333e075, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xd46cf965, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x9c7495fd, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0xf9e62a5e, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1e6e5b54, "sock_gettstamp" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x5ea16991, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1c839999, "proc_create_seq_private" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x98ae59dd, "fwnode_property_read_u8_array" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill,crc16");


MODULE_INFO(srcversion, "268AB4FFE70C6AFBBADCD87");

MODULE_INFO(suserelease, "SLE15-SP6");
