#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_br_ops, 0x58a570f1, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x0f4b9b13, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xc05f5e0a, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x444566e9, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x161a65a1, "_gpl");
SYMBOL_CRC(br_forward, 0x1a91a971, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xc47dd61c, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x2051534f, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xa9465ac6, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xbcacaf34, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x686030d5, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x1443e614, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x57425572, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xfa03f7e4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x32a750b9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xbf637e63, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xa9994a91, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xe903c5ab, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xe2a841fb, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x4714875f, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x6566769f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x62bc7e75, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xb6b9df0a, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7d0abc1b, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xc470e6d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x40ef7041, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0x597f69f4, "switchdev_port_attr_set" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb02f5dc8, "ipv6_mc_check_mld" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0x7349a40c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5521af93, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x8fd561d5, "dev_uc_del" },
	{ 0x38e020ec, "netpoll_send_skb" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcbf03621, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x80087f60, "switchdev_port_obj_act_is_deferred" },
	{ 0x5d1b19d3, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9d25ec47, "netdev_state_change" },
	{ 0xfb400715, "__dev_get_by_name" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3ba81ad9, "brioctl_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x7de5dd63, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xa5203b45, "passthru_features_check" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa54b4677, "__SCK__tp_func_br_mdb_full" },
	{ 0x650dfe87, "rtnl_af_register" },
	{ 0x355a078c, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x9495f3af, "rtnl_set_sk_err" },
	{ 0x8f16efa7, "skb_vlan_pop" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xea4fa1fe, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0xfbb4bbd5, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x490ccf62, "dev_get_port_parent_id" },
	{ 0x57d78c81, "init_net" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0xb335316b, "inet_confirm_addr" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x770e295f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2473063a, "__SCK__tp_func_br_fdb_add" },
	{ 0x9f4984b4, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1ac8266a, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8a2f6c35, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x49b3a0b5, "br_fdb_test_addr_hook" },
	{ 0xd09cf2a8, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0x60d8d1ca, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x202659dd, "llc_mac_hdr_init" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6365d173, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8a3d1c4c, "__SCK__tp_func_fdb_delete" },
	{ 0xb0144b1b, "kobject_init_and_add" },
	{ 0x40e17c55, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x4f1f29e, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x2ad66810, "arp_create" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb5d7e448, "stp_proto_register" },
	{ 0x1869ff99, "rtnl_register_module" },
	{ 0xe71a5fbf, "__tracepoint_br_fdb_update" },
	{ 0x1bef3f61, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdf95354c, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xe64f5ec8, "ip_mc_check_igmp" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xafee1353, "switchdev_port_obj_del" },
	{ 0x5598299a, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2e0caabf, "kobject_create_and_add" },
	{ 0xd095029b, "skb_trim" },
	{ 0x2c28bdc1, "nf_hook_slow" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9120aa9f, "__ip_mc_inc_group" },
	{ 0x560c6b28, "netdev_walk_all_upper_dev_rcu" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xec930675, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x24617643, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x466510ac, "__netpoll_setup" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70b375fb, "vlan_vid_add" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x3019314e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x6f1efc87, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x118986de, "__SCK__tp_func_br_fdb_update" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0x5bffa97f, "is_skb_forwardable" },
	{ 0x3abc7b8f, "vlan_vid_del" },
	{ 0x71f8c913, "dev_set_allmulti" },
	{ 0xab4e8340, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0x6e2f0fe3, "ipv6_dev_mc_inc" },
	{ 0x3aac1471, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6300002f, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x38efc576, "skb_clone" },
	{ 0x388c4eed, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0xca606480, "dst_release" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0x8ec84efd, "arp_tbl" },
	{ 0x9fb2ca0f, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0xa171522f, "dev_uc_add" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc712325d, "netif_set_tso_max_size" },
	{ 0x8d4d27ea, "dev_disable_lro" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x8b6f572a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcf570d4d, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf2786983, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x8f3c4fa8, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xc3818c92, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x565581a, "skb_ext_add" },
	{ 0xf71cb810, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7704194b, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x5a963254, "neigh_lookup" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "8B42868C75CEB29353C03EB");

MODULE_INFO(suserelease, "SLE15-SP6");
