#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ebt_register_template, 0x2a56d714, "");
SYMBOL_CRC(ebt_unregister_template, 0x3c9c3247, "");
SYMBOL_CRC(ebt_unregister_table_pre_exit, 0xc730de3f, "");
SYMBOL_CRC(ebt_register_table, 0xf1f9c8b5, "");
SYMBOL_CRC(ebt_unregister_table, 0xa0c39fdc, "");
SYMBOL_CRC(ebt_do_table, 0x8c7e18a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x7374e3df, "xt_check_target" },
	{ 0x5b5e3a2a, "xt_find_match" },
	{ 0xdaba41ff, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d53f21b, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8f8b1329, "xt_request_find_target" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xdd64e639, "strscpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x68c52497, "xt_register_target" },
	{ 0x2537d12, "nf_register_sockopt" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x552fcfbc, "xt_compat_match_offset" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5344cf07, "xt_request_find_match" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x999e8297, "vfree" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x92997ed8, "_printk" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x4e27719, "xt_compat_flush_offsets" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa26d0983, "nf_register_net_hooks" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6aaa95ec, "nf_unregister_net_hooks" },
	{ 0x14cace84, "xt_compat_target_offset" },
	{ 0xa916b694, "strnlen" },
	{ 0xb70789e, "__might_fault" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bce4603, "xt_data_to_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa7bdd455, "nf_unregister_sockopt" },
	{ 0x57b34457, "xt_unregister_target" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "B2AB406EE00906E8A7A4A92");

MODULE_INFO(suserelease, "SLE15-SP6");
