#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(get_cfcnfg, 0xc2cc52db, "");
SYMBOL_CRC(caif_enroll_dev, 0xcbd9628c, "");
SYMBOL_CRC(caif_disconnect_client, 0x55bae108, "");
SYMBOL_CRC(caif_connect_client, 0x1fb55063, "");
SYMBOL_CRC(cfcnfg_add_phy_layer, 0xa23f1c07, "");
SYMBOL_CRC(cfcnfg_set_phy_state, 0x839ddb7b, "");
SYMBOL_CRC(cfcnfg_del_phy_layer, 0x38701a7c, "");
SYMBOL_CRC(caif_free_client, 0xb7b6874e, "");
SYMBOL_CRC(caif_client_register_refcnt, 0x1446b60a, "");
SYMBOL_CRC(cfpkt_fromnative, 0x2a09f713, "");
SYMBOL_CRC(cfpkt_tonative, 0x4a237e57, "");
SYMBOL_CRC(cfpkt_extr_head, 0x40babbe0, "");
SYMBOL_CRC(cfpkt_add_head, 0x3fa84493, "");
SYMBOL_CRC(cfpkt_info, 0x329dbd06, "");
SYMBOL_CRC(cfpkt_set_prio, 0x9e3e305d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x5d96a29a, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdd64e639, "strscpy" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xdd3ec5fb, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3B9B11029E0F65D02AEED78");

MODULE_INFO(suserelease, "SLE15-SP6");
