#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x208e5533, "");
SYMBOL_CRC(ceph_compare_options, 0x52ab6f75, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x306c5a24, "");
SYMBOL_CRC(ceph_parse_param, 0x6afc37f1, "");
SYMBOL_CRC(ceph_print_client_options, 0xe7c2fa55, "");
SYMBOL_CRC(ceph_client_addr, 0x89d73c62, "");
SYMBOL_CRC(ceph_client_gid, 0xac533b1d, "");
SYMBOL_CRC(ceph_create_client, 0xd25e2810, "");
SYMBOL_CRC(ceph_destroy_client, 0x2602a106, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x0299c52c, "");
SYMBOL_CRC(__ceph_open_session, 0x093ea030, "");
SYMBOL_CRC(ceph_open_session, 0xd51d76e8, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x0c5d36ee, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x42ba8cd5, "");
SYMBOL_CRC(ceph_con_open, 0x2b8ac4f2, "");
SYMBOL_CRC(ceph_con_init, 0xb2a100ab, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x8a8c5165, "");
SYMBOL_CRC(ceph_con_keepalive, 0xb6fdf0d8, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0xd28f2470, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0xf7285be6, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x3d3a350d, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x1975ebf9, "");
SYMBOL_CRC(ceph_msg_new2, 0xc35cd66d, "");
SYMBOL_CRC(ceph_msg_new, 0xa4eaeedb, "");
SYMBOL_CRC(ceph_msg_get, 0x8b697eb2, "");
SYMBOL_CRC(ceph_msg_put, 0xbcd6def4, "");
SYMBOL_CRC(ceph_msg_dump, 0x8f4c93ed, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xf03fe862, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xc366bfa1, "");
SYMBOL_CRC(ceph_monc_want_map, 0xf3e61443, "");
SYMBOL_CRC(ceph_monc_got_map, 0xbb4e1243, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xb292366c, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x9871a11f, "");
SYMBOL_CRC(ceph_monc_open_session, 0x186a5079, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x228701d7, "");
SYMBOL_CRC(ceph_monc_get_version, 0x8dce1643, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0xf4612404, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0xbab61f3b, "");
SYMBOL_CRC(ceph_monc_init, 0xca6a0a7f, "");
SYMBOL_CRC(ceph_monc_stop, 0x9f897924, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0xc9ad6592, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0x2c9fd881, "");
SYMBOL_CRC(ceph_cls_unlock, 0xbaf06d14, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x37d825e4, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0x6508fe6c, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x5fcb5b71, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0x79a1acae, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x60c354e7, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xcd5efe05, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xdfef41b6, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0x90cc7915, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0x1d9cf296, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xb96c0fac, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x867a009d, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x03af2219, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x0fa06c41, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x2157ac6d, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0xa1684238, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xa72963c7, "");
SYMBOL_CRC(ceph_osdc_get_request, 0x524dfd9f, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x97f59400, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x9eb57be3, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x27bed72a, "");
SYMBOL_CRC(osd_req_op_init, 0x86b7bff2, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xa9c1c55d, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x5c1984c7, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xabd60e18, "");
SYMBOL_CRC(osd_req_op_cls_init, 0xdc1795fc, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x7adfda15, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xaa0feb0b, "");
SYMBOL_CRC(ceph_osdc_new_request, 0xeffdd956, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xf72e8e5b, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xe22cc82d, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x82d69723, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x39464ff4, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x327a1e74, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x15ee30f0, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x02e67974, "");
SYMBOL_CRC(ceph_osdc_sync, 0x65f4fc3f, "");
SYMBOL_CRC(ceph_osdc_watch, 0x81eaaf71, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x4b082374, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x281d81ce, "");
SYMBOL_CRC(ceph_osdc_notify, 0x4e02dd34, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x54a4fa2b, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xda00301c, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0xaaa24ccb, "");
SYMBOL_CRC(ceph_osdc_call, 0x54dc358d, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x447ec7f7, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x5127ef8c, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x1a5c2641, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0xbae292c6, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xb7f9934e, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x9bcee309, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x623fa3aa, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x988daa20, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x891da74b, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xdf9744b9, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x4386c3d6, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0xc6997474, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x28194617, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x81f2eca6, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x1fe4503c, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x3932716d, "");
SYMBOL_CRC(ceph_release_page_vector, 0x20018577, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0x3383491b, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x1be1f89e, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0xaa1d2166, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x0d572252, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0xc854b470, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x98c178d2, "completion_done" },
	{ 0x7d8c5b77, "tcp_sock_set_cork" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf604561, "fs_param_is_string" },
	{ 0xa22aa36e, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xb80cabd9, "iov_iter_advance" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xe17b011e, "unregister_key_type" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x7b11bdb4, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xabad73d6, "fs_param_is_enum" },
	{ 0x822a4a3e, "logfc" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x39914307, "__wake_up" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x1c011b39, "register_key_type" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf00cf1ba, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa0ec76a0, "filemap_alloc_folio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb5e81004, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb9d57c36, "key_put" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x93cacdc1, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd4107f3f, "up_write" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xe501f479, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6c00e291, "sock_sendmsg" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1969a052, "tcp_stream_memory_free" },
	{ 0xda09f493, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c2e2969, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xedbcbb64, "crypto_alloc_sync_skcipher" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x44e77e3, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x76fc5bf4, "request_key_tag" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x87340b0d, "generic_key_instantiate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0x3274205c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x17e1faa2, "set_page_dirty_lock" },
	{ 0x11333d88, "sock_release" },
	{ 0x8f12f6d2, "iov_iter_discard" },
	{ 0x18c788bb, "downgrade_write" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf8be55c2, "tcp_sock_set_nodelay" },
	{ 0x61775554, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "A9086E5411A85361B5A4E01");

MODULE_INFO(suserelease, "SLE15-SP6");
