#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0x36753c1a, "");
SYMBOL_CRC(is_hsr_master, 0xbb191990, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xce3e8e6c, "eth_header" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x68646245, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0x261de386, "netlink_ack" },
	{ 0x9d25ec47, "netdev_state_change" },
	{ 0x5eb7093a, "__pskb_copy_fclone" },
	{ 0x843e3f04, "ether_setup" },
	{ 0x7c57aa4c, "netlink_broadcast_filtered" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0x3e1cc109, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x7df29a7d, "netdev_printk" },
	{ 0xe92bce64, "skb_push" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2fce60b7, "seq_read" },
	{ 0xe58d8f3d, "debugfs_rename" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0x970abf22, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x38efc576, "skb_clone" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x8d4d27ea, "dev_disable_lro" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x37279fa2, "netdev_core_stats_inc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3843624DF97E98A5E44D05F");

MODULE_INFO(suserelease, "SLE15-SP6");
