#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(esp6_output_head, 0x6133688e, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x11a8813e, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xdfde10dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74ea8083, "xfrm_input_resume" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xb3a5c81d, "xfrm6_protocol_deregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8b17296, "xfrm_unregister_type" },
	{ 0x23c028e2, "xfrm_register_type" },
	{ 0xb412f56, "xfrm6_protocol_register" },
	{ 0xcb1de92a, "xfrm_state_lookup" },
	{ 0xa483c048, "make_kuid" },
	{ 0x58f7cb50, "ip6_update_pmtu" },
	{ 0x2b3d6609, "ip6_redirect" },
	{ 0x644b3e7e, "__xfrm_state_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc402a5d9, "skb_to_sgvec" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x5d96a29a, "skb_cow_data" },
	{ 0xe92bce64, "skb_push" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf35a784a, "__inet6_lookup_established" },
	{ 0xa26849aa, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x33a26c00, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e9c728c, "espintcp_queue_out" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf4dd23d3, "napi_pp_put_page" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x3274205c, "__folio_put" },
	{ 0x369744ec, "xfrm_output_resume" },
	{ 0x74871d55, "__skb_ext_del" },
	{ 0x6efc0fd4, "xfrm_dev_resume" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0x981b77fe, "skb_page_frag_refill" },
	{ 0xdd3ec5fb, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x27a15b6c, "xfrm_state_mtu" },
	{ 0x48d8054e, "xfrm6_rcv" },
	{ 0x400c2709, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf5b4c93d, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9c2fb540, "ipv6_skip_exthdr" },
	{ 0x70f29e28, "km_new_mapping" },
	{ 0xcdf97f86, "skb_pull_rcsum" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "2B6E9FD2B89E854E7AC14BB");

MODULE_INFO(suserelease, "SLE15-SP6");
