#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x57d78c81, "init_net" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0x3389a614, "register_netdev" },
	{ 0x6365d173, "free_netdev" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x771bd0a9, "skb_scrub_packet" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfa3b70fb, "__xfrm_policy_check" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xdc13a28c, "__xfrm_decode_session" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x701e72d5, "ip6_route_output_flags" },
	{ 0x5704564e, "xfrm_lookup_route" },
	{ 0x310818d7, "ip6_tnl_xmit_ctl" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x38cbf488, "ip6_output" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xbe49e9c1, "ip_route_output_key_hash" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x455fa474, "ip_output" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3b716695, "icmpv6_ndo_send" },
	{ 0x5d20e8b9, "icmp_ndo_send" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcb1de92a, "xfrm_state_lookup" },
	{ 0xa483c048, "make_kuid" },
	{ 0x58f7cb50, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x644b3e7e, "__xfrm_state_destroy" },
	{ 0x2b3d6609, "ip6_redirect" },
	{ 0xb7a3cc7d, "ip6_tnl_rcv_ctl" },
	{ 0x400c2709, "xfrm_input" },
	{ 0x83275c40, "xfrm6_tunnel_spi_lookup" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x2c8843c1, "ip6_tnl_get_iflink" },
	{ 0x4e2aea8a, "ip6_tnl_get_link_net" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0xb412f56, "xfrm6_protocol_register" },
	{ 0xa7afb657, "xfrm6_tunnel_register" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0xd33c622d, "xfrm6_tunnel_deregister" },
	{ 0xb3a5c81d, "xfrm6_protocol_deregister" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xe0971a32, "ip6_tnl_get_cap" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd11a1a18, "rt6_lookup" },
	{ 0xca606480, "dst_release" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d25ec47, "netdev_state_change" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdca48449, "ip_tunnel_header_ops" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ip6_tunnel,xfrm6_tunnel,tunnel6");


MODULE_INFO(srcversion, "D2217898C56797AA19FD996");

MODULE_INFO(suserelease, "SLE15-SP6");
