#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x1e85c526, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xfcc4133a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x78d87f18, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x1fdefa24, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x9019efba, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xdac5cb0b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x6c2245da, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x411c645a, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x0550bb9a, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xfc754190, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xb6c67169, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x842922dd, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xea2fa6e0, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xc93b1bc8, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xe8fbade0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xe1608849, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xeb6b0041, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc47c5a75, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xe7abdd6e, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xae39535b, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xda7bebd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xd8ffc5e7, "kernel_bind" },
	{ 0x8c2e2969, "kernel_connect" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xc7ab6427, "kernel_sock_shutdown" },
	{ 0x11333d88, "sock_release" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x42f76e14, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xd9d8496a, "idr_alloc_u32" },
	{ 0x86d38010, "sockfd_lookup" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x93792161, "release_sock" },
	{ 0xa8a98d57, "idr_replace" },
	{ 0xba2f2845, "fput" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x2d14513a, "udp_set_csum" },
	{ 0xfa2a4012, "ip_queue_xmit" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x3e8ece4f, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32e67dab, "udp6_set_csum" },
	{ 0xca606480, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "4583EC78E1FA52F20EA565C");

MODULE_INFO(suserelease, "SLE15-SP6");
