#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ieee802154_alloc_hw, 0x3acc19db, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x1ce842c9, "");
SYMBOL_CRC(ieee802154_free_hw, 0x7da91c65, "");
SYMBOL_CRC(ieee802154_register_hw, 0xed811342, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x368f15fd, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x9b6355ae, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xc04c1adc, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x3a5dda0f, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x2d0f9880, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x858fae1b, "nl802154_beaconing_done" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0x704495ad, "dev_alloc_name" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x68646245, "netdev_warn" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x39914307, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x18b298c3, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8edb718, "wpan_phy_unregister" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xf0e32dd5, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6b3ae045, "nl802154_scan_started" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14ff06ff, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xbc170364, "ieee802154_hdr_peek" },
	{ 0x52238b53, "wpan_phy_free" },
	{ 0x60d8d1ca, "netif_receive_skb" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6365d173, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa207fe03, "ieee802154_hdr_pull" },
	{ 0x557531e6, "nl802154_scan_event" },
	{ 0xedbcbb64, "crypto_alloc_sync_skcipher" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x96ec5187, "ieee802154_beacon_push" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad602da5, "wpan_phy_new" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0x81c4fcd2, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "589197BD7007FCA534BDE4A");

MODULE_INFO(suserelease, "SLE15-SP6");
