#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0x47f99197, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xe28061c9, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x3a1c25d9, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xa3244346, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xefbc24bc, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3b8452a6, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xeb4de073, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xdf6f33bb, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x891072a3, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xb3b8c876, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x89a88a13, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x854fe8ef, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x74dab3c9, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xb998d7bc, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x917d4e8c, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xfa4f8e55, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x24f8eee0, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xb021fde6, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xcebe8caa, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x8ab2b303, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xff116db6, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xa245e687, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x74c92cda, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x0b055321, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xa2ad5600, "_gpl");
SYMBOL_CRC(print_tuple, 0x359ea0fd, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x580e1a75, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x89ce77dd, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xf779f585, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x13ce2833, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x91333a76, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xc695766e, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xfbf003d0, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x2bdddf9c, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xcdb42bf7, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x47e5d346, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xac70747f, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xc13b96fa, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x02175424, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x8bc000a5, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xd01b3e10, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xdae137d3, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x25d07d18, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x30895c7f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x52855c68, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x2a9475a5, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xd895325a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x249c1786, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xfef2e71b, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xee54c267, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x94a902a3, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xb5026982, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xf9adb6ad, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xf3e6bba7, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x4ab729e9, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x4413c0f1, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xfb1da41f, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x53ec0c97, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xb89e2ad8, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x8d7e3040, "_gpl");
SYMBOL_CRC(nf_confirm, 0x65e01bca, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x26fb9e26, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x55fea95a, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd29cf6a8, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x8291a82a, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x3ab54553, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x917fd734, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xcbbf4824, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x2204591d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x448d5c55, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xd3da4ea0, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x863e8f0e, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x1e90b7dc, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xd2ce5c36, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xf5d144f3, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x75d3dbfb, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x967eb6bd, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x31a4969c, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xed0d3881, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xac52c13a, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xd8d438e4, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x50ee7729, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xd5f933ef, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x9fbd10bd, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x0c1c592e, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xc9708129, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xc8dccc2f, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xe1f0d54f, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x233410fb, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xc5ca1b31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf60aae43, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9071c75e, "nf_defrag_ipv4_disable" },
	{ 0xf8aae3ae, "nf_ip6_checksum" },
	{ 0xc31cc0dd, "proc_dou8vec_minmax" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x5fee990b, "proc_dointvec_jiffies" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2537d12, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8964174d, "nfct_btf_struct_access" },
	{ 0xad02dfb6, "param_set_uint" },
	{ 0xcab1219d, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc18275a5, "nf_ct_frag6_gather" },
	{ 0x79328a49, "get_net_ns_by_id" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xc3a4b566, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa7bdd455, "nf_unregister_sockopt" },
	{ 0xb089be8c, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa483c048, "make_kuid" },
	{ 0x4a975252, "nf_defrag_ipv6_disable" },
	{ 0x9c2fb540, "ipv6_skip_exthdr" },
	{ 0xa26d0983, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xdaba41ff, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5485ff71, "nf_checksum" },
	{ 0x2a8d2981, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x57d78c81, "init_net" },
	{ 0x8b87e52b, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xe501f479, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9e859fd5, "nf_checksum_partial" },
	{ 0xccfc3e41, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x6aaa95ec, "nf_unregister_net_hooks" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfba17484, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x48dbac6f, "nf_log_packet" },
	{ 0x6d12d907, "make_kgid" },
	{ 0x6f448452, "nf_ip_checksum" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x4719cfc3, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xb9c129a7, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x44e77e3, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x16be3d47, "__skb_checksum" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc9550e63, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb991687c, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcf43f828, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x94c069c5, "nf_nat_hook" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4467cf7b, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa71cc8dd, "pskb_trim_rcsum_slow" },
	{ 0xce761558, "up_read" },
	{ 0xee00b514, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "3FE1F4E589CA9E38A95D0B3");

MODULE_INFO(suserelease, "SLE15-SP6");
