#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0xa4188b0f, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0xd5a7619a, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x0a248699, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x0dfb189f, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xf22c4348, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xb53919a4, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x1cc3a6e2, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x64468597, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe2556d51, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xd6f7a596, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x4565379e, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x7008e446, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x5303ed81, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x69f102a3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xaa4b46e2, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x51515b77, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xc04495f3, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xab3b6de7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x8460ce55, "flow_rule_alloc" },
	{ 0xd3ab236a, "ip6_dst_check" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x594c23a1, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x455fa474, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c63c05, "neigh_xmit" },
	{ 0x22de2b9, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x38cbf488, "ip6_output" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6a8fe7d3, "flow_indr_dev_setup_offload" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xa60b94b6, "down_read" },
	{ 0xcf9d6114, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb991687c, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x89a88a13, "nf_ct_acct_add" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca606480, "dst_release" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd4ba3270, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xce761558, "up_read" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "8F4C0BC8DB3E747A2C2AC0E");

MODULE_INFO(suserelease, "SLE15-SP6");
