#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x7edb9fa7, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x2c7a8558, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xb0344f13, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x586cef09, "");
SYMBOL_CRC(nfc_hci_free_device, 0xf2b67bf9, "");
SYMBOL_CRC(nfc_hci_register_device, 0xd8679b76, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x0a893030, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x700dadb5, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x1077e700, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0xf7572b97, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x7e039edb, "");
SYMBOL_CRC(nfc_hci_send_event, 0x579a75c2, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x83e7941b, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xa0f1f941, "");
SYMBOL_CRC(nfc_hci_set_param, 0xb406c7d3, "");
SYMBOL_CRC(nfc_hci_get_param, 0x2141122e, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x648eafb7, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x93fea949, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x01270923, "");
SYMBOL_CRC(nfc_llc_start, 0x4f083b20, "");
SYMBOL_CRC(nfc_llc_stop, 0xf00bbcc7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x88690313, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x5e2c385b, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa9e87766, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6618e723, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf5254643, "nfc_targets_found" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x17f6ffd, "nfc_driver_failure" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x6e708c5a, "nfc_register_device" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "SLE15-SP6");
