#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x6782ffaa, "");
SYMBOL_CRC(nci_req_complete, 0x21d68abf, "");
SYMBOL_CRC(nci_prop_cmd, 0xb03b7907, "");
SYMBOL_CRC(nci_core_cmd, 0x36bd3096, "");
SYMBOL_CRC(nci_core_reset, 0xcd4471b8, "");
SYMBOL_CRC(nci_core_init, 0x0314289b, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x7812a797, "");
SYMBOL_CRC(nci_set_config, 0xd95c9234, "");
SYMBOL_CRC(nci_nfcee_discover, 0x82c0175f, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x878f6c61, "");
SYMBOL_CRC(nci_core_conn_create, 0xb17354ac, "");
SYMBOL_CRC(nci_core_conn_close, 0x5f03f815, "");
SYMBOL_CRC(nci_allocate_device, 0xdec1a2fc, "");
SYMBOL_CRC(nci_free_device, 0xc5072d86, "");
SYMBOL_CRC(nci_register_device, 0xbfda967c, "");
SYMBOL_CRC(nci_unregister_device, 0x02d66616, "");
SYMBOL_CRC(nci_recv_frame, 0x94cf6dd2, "");
SYMBOL_CRC(nci_send_frame, 0xb08c88da, "");
SYMBOL_CRC(nci_send_cmd, 0x49e8b919, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x5a10d1b1, "");
SYMBOL_CRC(nci_send_data, 0xc197621c, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xb4357e29, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x5797cc86, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xf4e35ac1, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x4f45cf6c, "");
SYMBOL_CRC(nci_hci_set_param, 0x7a27b598, "");
SYMBOL_CRC(nci_hci_get_param, 0x0fd19367, "");
SYMBOL_CRC(nci_hci_connect_gate, 0xc79538bc, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0xec3a2742, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x88690313, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5e2c385b, "nfc_allocate_device" },
	{ 0x76acd459, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x131fc8c4, "nfc_tm_deactivated" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9e87766, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x2aa0c217, "nfc_get_local_general_bytes" },
	{ 0x98c8f1e9, "nfc_set_remote_general_bytes" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1acfd0fd, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5254643, "nfc_targets_found" },
	{ 0x9facf3d9, "nfc_dep_link_is_up" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x9f98bec4, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x6e708c5a, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "06FB23104C3D193F23544D9");

MODULE_INFO(suserelease, "SLE15-SP6");
