#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0x52e62936, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x3129c1de, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x14a943fd, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x675d7f6d, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfbe33783, "sock_queue_rcv_skb_reason" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x9ab1e254, "radix_tree_insert" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x912423dd, "radix_tree_lookup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xd8ffc5e7, "kernel_bind" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0x39914307, "__wake_up" },
	{ 0x434e8327, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0xc3ece45d, "radix_tree_iter_delete" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0x7528852d, "sock_register" },
	{ 0x40fa02dc, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xf894b3c3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x139eaa96, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0xb7815070, "kernel_getsockname" },
	{ 0xb9c1a57b, "do_wait_intr_irq" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0xd46cf965, "skb_recv_datagram" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x11333d88, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x1e6e5b54, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "SLE15-SP6");
