#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0xcdf47b0d, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x90d39d08, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0x92e37236, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x80b19a03, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0xb45ca459, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x40e5c2e1, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x2db65d43, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xc61b3cf4, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0xb25dc23e, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x69c76e2b, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x016e9af4, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xc3e57956, "_gpl");
SYMBOL_CRC(rds_message_put, 0xf0b8eb3f, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x7b64b09e, "_gpl");
SYMBOL_CRC(rds_inc_init, 0xf9840de2, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xfb1b039e, "_gpl");
SYMBOL_CRC(rds_inc_put, 0x9c09af30, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xf42963a5, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x8d9e208d, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xfcc71c2d, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x3b4d6031, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0xf848e480, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0xb3c5deb3, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x22434530, "_gpl");
SYMBOL_CRC(rds_send_ping, 0x38dfbf41, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x88a8b25d, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0xf92be5bf, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x877ddb36, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x958d1d7e, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x434fc55d, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xf60aae43, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3de0b6c6, "unpin_user_pages_dirty_lock" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x637e933e, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7b11bdb4, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x7528852d, "sock_register" },
	{ 0x6dd005c6, "mm_account_pinned_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xf894b3c3, "proto_register" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0x93cacdc1, "down_write" },
	{ 0x57d78c81, "init_net" },
	{ 0xd4107f3f, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3e878b5b, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe2cbc4ef, "sock_recv_errqueue" },
	{ 0xa241a1c3, "mm_unaccount_pinned_pages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x5d0328e6, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x5f073b69, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1158c3be, "copy_page_from_iter" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x7204167c, "sock_i_ino" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x3274205c, "__folio_put" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xce761558, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "SLE15-SP6");
