#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rfkill_get_led_trigger_name, 0xaa6f23ad, "");
SYMBOL_CRC(rfkill_set_led_trigger_name, 0x9cab34a6, "");
SYMBOL_CRC(rfkill_set_hw_state_reason, 0x0cdce87c, "");
SYMBOL_CRC(rfkill_set_sw_state, 0x8a490c90, "");
SYMBOL_CRC(rfkill_init_sw_state, 0xaad6d92f, "");
SYMBOL_CRC(rfkill_set_states, 0x85b5e625, "");
SYMBOL_CRC(rfkill_find_type, 0x50b73ce2, "");
SYMBOL_CRC(rfkill_pause_polling, 0x3939f8f0, "");
SYMBOL_CRC(rfkill_resume_polling, 0xc781bd9f, "");
SYMBOL_CRC(rfkill_blocked, 0xc0763484, "");
SYMBOL_CRC(rfkill_soft_blocked, 0xd24108d4, "");
SYMBOL_CRC(rfkill_alloc, 0xd7923c1f, "");
SYMBOL_CRC(rfkill_register, 0xff282521, "");
SYMBOL_CRC(rfkill_unregister, 0x083eb21c, "");
SYMBOL_CRC(rfkill_destroy, 0xdb68bbad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xa60a755d, "input_register_handle" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x8a2483, "input_open_device" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x26612c68, "led_trigger_unregister" },
	{ 0x82a36f16, "input_close_device" },
	{ 0xe7edac6f, "device_del" },
	{ 0xc9327fe5, "input_unregister_handler" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x18a114a2, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xedc32b4c, "input_register_handler" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2dfb9cdc, "led_trigger_register" },
	{ 0xa472a6da, "input_unregister_handle" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xb70789e, "__might_fault" },
	{ 0xbd9c61b5, "stream_open" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x5ea16991, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B2796A958C6695D87982AB");

MODULE_INFO(suserelease, "SLE15-SP6");
