#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ife_encode_meta_u16, 0x2ba071dc, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x915ed6d7, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0x353f00e7, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0xe3a2a576, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xa837910b, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x9d73ae20, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0x38c8b977, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0x3fc5c2b7, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x30f0e4ec, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x7c0794b1, "_gpl");
SYMBOL_CRC(register_ife_op, 0xf0883f4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf37c0e8c, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72f09629, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd095029b, "skb_trim" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x14b54b28, "tcf_unregister_action" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x59846058, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xcda3ed69, "ife_encode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xdaba41ff, "module_put" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2a66b850, "tcf_idr_check_alloc" },
	{ 0x2acccd3b, "tcf_action_check_ctrlact" },
	{ 0x32226295, "tcf_action_set_ctrlact" },
	{ 0xfe4ae0ef, "tcf_chain_put_by_act" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7099c122, "tcf_idr_create" },
	{ 0x4bfefec3, "tcf_idr_release" },
	{ 0x85c691b4, "tcf_idr_cleanup" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "96E5BF3BD788CA0B99B33FE");

MODULE_INFO(suserelease, "SLE15-SP6");
