#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0xd350a34d, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xe92d5b14, "_gpl");
SYMBOL_CRC(smc_proto, 0xfef50c24, "_gpl");
SYMBOL_CRC(smc_proto6, 0xc9096b4f, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xeca0213b, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x1b88faee, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x503589cb, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x87e1d2d8, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xe4a5d7d6, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x1befe246, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x0540cf39, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xd0ef72c4, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x994effa7, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xd3c9c826, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x0b119e5b, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x4fc7f8b8, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4180db8a, "sk_send_sigurg" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0xa37eb10e, "ib_unregister_client" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5fee990b, "proc_dointvec_jiffies" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa22aa36e, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x34d1f124, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x93a060b2, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xd8ffc5e7, "kernel_bind" },
	{ 0x6d922a6c, "add_wait_queue_exclusive" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9541c8f6, "ib_dereg_mr_user" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xf12186b, "kernel_accept" },
	{ 0xa8ee00fc, "rdma_dev_access_netns" },
	{ 0x712ffdbb, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x58892e26, "get_device" },
	{ 0x25e218c0, "sk_stream_error" },
	{ 0x25f3e12f, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x642c6c71, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x4a0b42da, "tcp_abort" },
	{ 0xb4bd06cb, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x8041405b, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7528852d, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x8f734e9d, "ib_register_event_handler" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x743f9dc4, "ib_unregister_event_handler" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x61db6a81, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c10c4fe, "__wake_up_sync_key" },
	{ 0x9c2407be, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x484c6deb, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xddb7358d, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xc97d28a8, "ib_set_client_data" },
	{ 0x93cacdc1, "down_write" },
	{ 0x57d78c81, "init_net" },
	{ 0xd4107f3f, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0xd703fb56, "rdma_put_gid_attr" },
	{ 0xb7815070, "kernel_getsockname" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xe416fb6c, "sock_wake_async" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xc7ab6427, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x54cdf81c, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xca7bf695, "proc_douintvec_minmax" },
	{ 0xbdecc231, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe3ccdde8, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xb8db71cd, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x8c2e2969, "kernel_connect" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x688de2f6, "sk_wait_data" },
	{ 0x4ca820d0, "proc_douintvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x48837655, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x70ba32eb, "ib_destroy_cq_user" },
	{ 0xa60b94b6, "down_read" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x567547bc, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7bcfe419, "tcp_register_ulp" },
	{ 0x3d5e149c, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x2473c935, "kernel_listen" },
	{ 0xae07ba67, "ib_dma_virt_map_sg" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3274205c, "__folio_put" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4be4c1d0, "dev_get_by_name" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x2c62c410, "sk_stream_wait_connect" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x11333d88, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d43a54a, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xfd7d073b, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7344e9ae, "vlan_dev_vlan_id" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x9fe16317, "ib_dealloc_pd_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb48bd4c6, "rdma_get_gid_attr" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "A30AC3DF492F704E2088240");

MODULE_INFO(suserelease, "SLE15-SP6");
