#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xf42d08d4, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x69246fb8, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x12fe958e, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x7def2091, "");
SYMBOL_CRC(gss_mech_put, 0x0d55bf33, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x516e3149, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x9610ffbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbda2f2b, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x11f4f791, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9dd43fbf, "xdr_buf_from_iov" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x25e5fa9d, "xdr_stream_decode_opaque_auth" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdfa255f, "xdr_write_pages" },
	{ 0x41beccd1, "rpc_shutdown_client" },
	{ 0xd9e87799, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9d6bd06f, "xdr_inline_decode" },
	{ 0xbc553546, "cache_create_net" },
	{ 0xfab388b2, "rpcauth_destroy_credcache" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0x668a2ab4, "rpc_net_ns" },
	{ 0xfbb1f52a, "read_bytes_from_xdr_buf" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xf014824f, "rpc_wake_up" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d6adeed, "sunrpc_cache_lookup_rcu" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xaa75b5b7, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xed1c2c2f, "xdr_truncate_decode" },
	{ 0x3f634a32, "rpcauth_unregister" },
	{ 0x39914307, "__wake_up" },
	{ 0x9694cb79, "__xdr_commit_encode" },
	{ 0x712ffdbb, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe8b21154, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf22662c, "__put_cred" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc491612, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb8601bf, "rpc_release_client" },
	{ 0xaddd4cbd, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbbf9617e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa4e03292, "svc_auth_register" },
	{ 0xae247691, "xdr_stream_encode_opaque_auth" },
	{ 0xa483c048, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x61031b1c, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0xcf0dd4cc, "rpc_pipe_generic_upcall" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfcc47975, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x76507bda, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e3eec2, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x7ed4839d, "rpcauth_init_credcache" },
	{ 0x40c243e9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x560c3f35, "xdr_init_decode" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x75317bad, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x27b8ad14, "rpc_sleep_on_timeout" },
	{ 0xdba1812f, "rpc_create" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x31bd6feb, "rpc_call_sync" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x383785b1, "rpc_queue_upcall" },
	{ 0x3a9c104f, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3277eb71, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb1879e90, "svcauth_unix_set_client" },
	{ 0x4c244900, "xdr_buf_subsegment" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x6f60bd76, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xb7441a1f, "xdr_reserve_space" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x44e77e3, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbf5f2de1, "rpc_mkpipe_dentry" },
	{ 0x6097bd96, "rpc_mkpipe_data" },
	{ 0xf1171fe5, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x5ab9a40e, "cache_register_net" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe1c52de1, "xdr_inline_pages" },
	{ 0x3274205c, "__folio_put" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x404836b, "rpc_init_wait_queue" },
	{ 0xe8aa3308, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xaf06dead, "rpc_unlink" },
	{ 0xd51097de, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x8eb46a16, "rpcauth_init_cred" },
	{ 0x8c82d6f5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf3e11ee7, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xbdafcaf9, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7bd81984, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x5a9fab55, "sunrpc_cache_update" },
	{ 0xedfe0651, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5d63f19f, "rpc_destroy_wait_queue" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x180f6ea0, "auth_domain_put" },
	{ 0xfe7003e, "rpcauth_unwrap_resp_decode" },
	{ 0x8412dd4b, "rpcauth_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "SLE15-SP6");
