#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0x5413625b, "");
SYMBOL_CRC(tipc_dump_start, 0xb068c6ec, "");
SYMBOL_CRC(tipc_dump_done, 0x5084c727, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x2f0342c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d6b89db, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x29a8a417, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x76b52ce7, "ip6_dst_hoplimit" },
	{ 0xd69ffb7c, "trace_output_call" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe622a12, "__ip_dev_find" },
	{ 0x5805e6c2, "dst_cache_set_ip4" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x41b4f7f3, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0x68646245, "netdev_warn" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0xf12186b, "kernel_accept" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5eb7093a, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x7528852d, "sock_register" },
	{ 0x7b87fcdf, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x805b5646, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x2c9154e8, "skb_try_coalesce" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7c10c4fe, "__wake_up_sync_key" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xdaba41ff, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xc7ab6427, "kernel_sock_shutdown" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xe92bce64, "skb_push" },
	{ 0xc6fb263, "dst_cache_get" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa3f67915, "proc_doulongvec_minmax" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xab13e426, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xb87932b2, "kfree_skb_partial" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x88a40c7f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x5d96a29a, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x21a4534e, "sock_rfree" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7204167c, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2473c935, "kernel_listen" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xfc9c6063, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x968c0736, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9496cb0, "dst_cache_set_ip6" },
	{ 0xdd3ec5fb, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x19a6ea1c, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x38efc576, "skb_clone" },
	{ 0x4be4c1d0, "dev_get_by_name" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x11333d88, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x7bfac7e9, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1825599e, "sk_stop_timer" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc402a5d9, "skb_to_sgvec" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FF03E52B5648E999D223DF8");

MODULE_INFO(suserelease, "SLE15-SP6");
