#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x6d05827b, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xb9c5c9b8, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x77933dc3, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x08fd64f3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x9cf8103a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xc1013959, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x5921c482, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xebfdd30f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xad54520f, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x5369bb88, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x60f999a8, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x84affb5a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xe532327a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x202a5d24, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xeeb1c219, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x97418eac, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xeb90df77, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x42b06841, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2f7135d1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x81ed160d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x27fe86ad, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x187dcbe0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x1319a899, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x648be581, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x38c87b97, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xeff1ae68, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x5a23e46f, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xfc04837a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xa206a3f7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x3808107f, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xd06dd145, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x2cf30414, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xb82ceec2, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xc1b9d195, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x0b425197, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xa23c9aec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad43cf99, "vsock_enqueue_accept" },
	{ 0xcf2543c8, "vsock_insert_connected" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb929af4d, "vsock_remove_sock" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x6699d489, "vsock_deliver_tap" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc0c3203d, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x54e07977, "__skb_recv_datagram" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0868478, "vsock_stream_has_data" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x8813c427, "bpf_trace_run9" },
	{ 0xe1fd2012, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e93ac46, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x78c7c6a2, "bpf_trace_run10" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x709e6165, "vsock_core_get_transport" },
	{ 0x7e8a3b71, "__zerocopy_sg_from_iter" },
	{ 0xa055763c, "vsock_stream_has_space" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x46f01bec, "msg_zerocopy_realloc" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x428557b5, "vsock_create_connected" },
	{ 0xb18e0176, "vsock_assign_transport" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2008a1a, "vsock_data_ready" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "04A541FE31467A1010C4E31");

MODULE_INFO(suserelease, "SLE15-SP6");
