#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x7c57aa4c, "netlink_broadcast_filtered" },
	{ 0x57d78c81, "init_net" },
	{ 0xddb15fa4, "__fib6_flush_trees" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x7ad90c2d, "xfrm_state_lookup_byaddr" },
	{ 0xcb1de92a, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xbeb63525, "xfrm_audit_state_delete" },
	{ 0x644b3e7e, "__xfrm_state_destroy" },
	{ 0x99d263b1, "xfrm_state_delete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3443b8dd, "km_state_expired" },
	{ 0x6e0f554e, "__xfrm_state_delete" },
	{ 0x1a2faf9a, "xfrm_policy_destroy" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xdfef860b, "xfrm_dev_policy_add" },
	{ 0x709dba1e, "xfrm_state_alloc" },
	{ 0xc8b316d3, "xfrm_state_free" },
	{ 0x9a0c87ad, "km_query" },
	{ 0x8f082210, "xfrm_policy_insert" },
	{ 0x4433f3d7, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xe9b92dc5, "xfrm_find_acq_byseq" },
	{ 0x7856d32, "xfrm_alloc_spi" },
	{ 0xd1a5c79f, "xfrm_find_acq" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xf7ef7b8a, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xac0ac962, "xfrm_init_replay" },
	{ 0x85f63379, "xfrm_dev_state_add" },
	{ 0xd12fedf7, "xfrm_state_update" },
	{ 0xc4151154, "xfrm_audit_state_add" },
	{ 0x17cd641d, "xfrm_state_add" },
	{ 0x262ab0c7, "xfrm_dev_state_delete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x94343bea, "xfrm_policy_byid" },
	{ 0x3b702baf, "km_policy_expired" },
	{ 0x46fd55e5, "xfrm_policy_bysel_ctx" },
	{ 0xfff24854, "xfrm_policy_delete" },
	{ 0xd1e62daa, "xfrm_audit_policy_delete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x4fdb222c, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ee2a31b, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xf8aadb95, "netlink_kernel_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xa12bb0b, "netlink_rcv_skb" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x34243049, "xfrm_spd_getinfo" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3a05b874, "xfrm_policy_hash_rebuild" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc1411c26, "xfrm_sad_getinfo" },
	{ 0x196725e9, "xfrm_state_flush" },
	{ 0x8b0bc16e, "km_state_notify" },
	{ 0xdf1c6a7b, "xfrm_policy_walk_done" },
	{ 0x3ce4c5b7, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xfa940c35, "xfrm_state_walk_done" },
	{ 0xd5f32bbc, "__netlink_kernel_create" },
	{ 0x46cc0b4f, "xfrm_unregister_km" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37d53212, "xfrm_migrate" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8a49599, "xfrm_policy_flush" },
	{ 0x6ba2f0cc, "km_policy_notify" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x7d6b89db, "netlink_net_capable" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xce9641e3, "xfrm_get_translator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xa1c290ba, "xfrm_put_translator" },
	{ 0x530ba786, "__netlink_dump_start" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x1eafa95a, "xfrm_state_walk" },
	{ 0x417dc92f, "xfrm_policy_alloc" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "7412D137A39C7D8785AFCD2");

MODULE_INFO(suserelease, "SLE15-SP6");
