#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0x09fadfd7, "");
SYMBOL_CRC(snd_timer_instance_free, 0x3e483413, "");
SYMBOL_CRC(snd_timer_open, 0x58fa98d4, "");
SYMBOL_CRC(snd_timer_close, 0x3fac45c6, "");
SYMBOL_CRC(snd_timer_resolution, 0x66a69e43, "");
SYMBOL_CRC(snd_timer_start, 0xd2968200, "");
SYMBOL_CRC(snd_timer_stop, 0x807d196e, "");
SYMBOL_CRC(snd_timer_continue, 0x0addf31c, "");
SYMBOL_CRC(snd_timer_pause, 0x3e64fc6e, "");
SYMBOL_CRC(snd_timer_interrupt, 0xc209ef65, "");
SYMBOL_CRC(snd_timer_new, 0x7ff14b5a, "");
SYMBOL_CRC(snd_timer_notify, 0x43b13bb4, "");
SYMBOL_CRC(snd_timer_global_new, 0x7fa0d767, "");
SYMBOL_CRC(snd_timer_global_free, 0x8cd27fa5, "");
SYMBOL_CRC(snd_timer_global_register, 0xe9358b66, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8221daf2, "try_module_get" },
	{ 0x3c300879, "snd_info_register" },
	{ 0xda51b8b2, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x525c1a11, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xaa6688a1, "snd_fasync_helper" },
	{ 0x39914307, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x58892e26, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x60f6216b, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe6c1fb37, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xb70789e, "__might_fault" },
	{ 0x19497daf, "snd_device_initialize" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xbd9c61b5, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xe245e2f8, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "65D956B1B7736AA8075F991");

MODULE_INFO(suserelease, "SLE15-SP6");
