#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xedf8d660, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0xe245e2f8, "");
SYMBOL_CRC(snd_unregister_device, 0x60f6216b, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0xa58f844a, "");
SYMBOL_CRC(snd_device_initialize, 0x19497daf, "_gpl");
SYMBOL_CRC(snd_card_new, 0x82aee40d, "");
SYMBOL_CRC(snd_devm_card_new, 0xda9f6040, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xd9bfacb8, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x3dae72f6, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x224dc668, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xa4706765, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x7dc27f36, "");
SYMBOL_CRC(snd_card_free, 0xd1f4bb83, "");
SYMBOL_CRC(snd_card_set_id, 0x6df33e69, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xc13741cc, "_gpl");
SYMBOL_CRC(snd_card_register, 0x29a77595, "");
SYMBOL_CRC(snd_component_add, 0xbab7ed15, "");
SYMBOL_CRC(snd_card_file_add, 0xc5922565, "");
SYMBOL_CRC(snd_card_file_remove, 0xea5c3157, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xcc84c38a, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x48943864, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(snd_ctl_notify, 0x17b80cb7, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xb3100843, "");
SYMBOL_CRC(snd_ctl_new1, 0x773b144e, "");
SYMBOL_CRC(snd_ctl_free_one, 0x1a29d59d, "");
SYMBOL_CRC(snd_ctl_add, 0x24b79231, "");
SYMBOL_CRC(snd_ctl_replace, 0xe7a5592f, "");
SYMBOL_CRC(snd_ctl_remove, 0x6db8d7d1, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x6456b602, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x9dedc466, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0xd3960ce9, "");
SYMBOL_CRC(snd_ctl_rename, 0xc4010cbc, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x1dc9a900, "");
SYMBOL_CRC(snd_ctl_find_id, 0x9b7f3741, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x3a314387, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x380b655e, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x18996826, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xfed0fb93, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x6e7550ed, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x0149c857, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x36266ed0, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xcfa36d91, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x0586e0a0, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x39b1faba, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xe18b36aa, "");
SYMBOL_CRC(snd_fasync_helper, 0xaa6688a1, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xe6c1fb37, "");
SYMBOL_CRC(snd_device_disconnect, 0x49fc4bf8, "_gpl");
SYMBOL_CRC(snd_device_free, 0x89545053, "");
SYMBOL_CRC(snd_device_register, 0x35323cf3, "");
SYMBOL_CRC(snd_device_get_state, 0x83f87181, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x11249cc8, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xda51b8b2, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x129f5b65, "");
SYMBOL_CRC(snd_info_free_entry, 0x525c1a11, "");
SYMBOL_CRC(snd_info_register, 0x3c300879, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x7ec2b98f, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x7d5bf7b1, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xf2c6dade, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xc3ab7050, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x1288a4d2, "");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xf54af5fc, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xd4791a49, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x844f2116, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xc18899cf, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xd999765f, "");
SYMBOL_CRC(snd_jack_new, 0xa93a51d2, "");
SYMBOL_CRC(snd_jack_set_parent, 0x4ebaf0f7, "");
SYMBOL_CRC(snd_jack_set_key, 0xe90cc34c, "");
SYMBOL_CRC(snd_jack_report, 0xd924b09e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x890771c2, "input_allocate_device" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb739b47, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x45bd98d5, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0xe5d67b00, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xaa75b5b7, "proc_create_data" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xed1cd6e4, "devm_remove_action" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x8996668a, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbec47979, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48d82d, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x39470731, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x322b56b5, "register_sound_special_device" },
	{ 0x9f984513, "strrchr" },
	{ 0xdaba41ff, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbb6604d2, "init_uts_ns" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x393b9a45, "input_set_capability" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0xdcb4d2c2, "dma_spin_lock" },
	{ 0xf5876759, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe7edac6f, "device_del" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb1bee6, "input_event" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x6d9e6658, "proc_remove" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xae367003, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3a8f28ba, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x840c8b30, "__register_chrdev" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x48adeae3, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x18c788bb, "downgrade_write" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xbd9c61b5, "stream_open" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xdc9d1d6b, "pid_vnr" },
	{ 0x201f85c1, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0xa95506ef, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xfd01c40, "proc_symlink" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xc48c9779, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "17A8F58167AB4A41BBDC104");

MODULE_INFO(suserelease, "SLE15-SP6");
