#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_vx_check_reg_bit, 0x56884b29, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0x14845bae, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0x9bfe0744, "");
SYMBOL_CRC(snd_vx_dsp_load, 0xa41ba7fa, "");
SYMBOL_CRC(snd_vx_suspend, 0xd24571b2, "");
SYMBOL_CRC(snd_vx_resume, 0x9d7e5dce, "");
SYMBOL_CRC(snd_vx_create, 0x68c5add8, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0x16539d78, "");
SYMBOL_CRC(snd_vx_free_firmware, 0x18ff11ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ec2b98f, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0x39914307, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x614c7976, "__snd_printk" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0x586e0a0, "snd_ctl_boolean_stereo_info" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x5b82f909, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm");


MODULE_INFO(srcversion, "6114A225541791D3BFCBEDD");

MODULE_INFO(suserelease, "SLE15-SP6");
