#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59e6b17, "cmp_connection_reserve" },
	{ 0xf2bb376d, "fw_run_transaction" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x547b8e9f, "amdtp_am824_set_parameters" },
	{ 0x16b13373, "snd_fw_transaction" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4b615586, "cmp_connection_check_used" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8576d7d0, "amdtp_am824_midi_trigger" },
	{ 0xf79bf5b8, "cmp_connection_release" },
	{ 0x4fc3d8fb, "amdtp_am824_init" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xd1f4bb83, "snd_card_free" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x59211546, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0xec4dad46, "cmp_connection_init" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xecd9b401, "cmp_connection_break" },
	{ 0x3cc3e261, "fcp_bus_reset" },
	{ 0xb51024f9, "amdtp_domain_stream_pcm_pointer" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xc23eff2d, "amdtp_domain_init" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xeb6fcb4, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7abbd6a, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x684533b0, "snd_pcm_hw_rule_add" },
	{ 0xec3dbf5c, "amdtp_domain_stop" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x82aee40d, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0xeaaaf8bb, "snd_hwdep_new" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc85b4505, "amdtp_stream_destroy" },
	{ 0x17b80cb7, "snd_ctl_notify" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x5ea1eaaa, "amdtp_domain_add_stream" },
	{ 0xdf05d2b7, "avc_general_get_sig_fmt" },
	{ 0xeef01980, "cmp_connection_establish" },
	{ 0x625cb214, "amdtp_stream_get_max_payload" },
	{ 0xe3a4322b, "avc_general_get_plug_info" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x67d5ac2e, "fcp_avc_transaction" },
	{ 0xdda5a870, "cmp_connection_destroy" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x55bad6f0, "snd_rawmidi_new" },
	{ 0xdd64e639, "strscpy" },
	{ 0x21c83086, "snd_rawmidi_set_ops" },
	{ 0x73394cad, "fw_schedule_bus_reset" },
	{ 0x5b823769, "amdtp_am824_set_pcm_position" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x2203cefe, "amdtp_am824_set_midi_position" },
	{ 0x2398736b, "fw_bus_type" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x129f5b65, "snd_info_create_card_entry" },
	{ 0x666da038, "avc_general_set_sig_fmt" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7c50efe2, "amdtp_domain_stream_pcm_ack" },
	{ 0x6b26abc4, "amdtp_domain_destroy" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xfc77920d, "amdtp_domain_start" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-firewire-lib,firewire-core,snd,snd-pcm,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven000040ABmo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000040ABmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010066sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010065sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001260mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000022Emo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001204sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001604sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001616sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000610sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001EEEEsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000F1Bmo00010064sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000000Amo00030000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00050000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00060000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00070000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00080000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000019E5mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001A9Emo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo0000ADA8sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000004sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000007sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000005sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000002sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Bsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Csp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010058sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010046sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010060sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010062sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo0000000Asp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010081sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo000100A1sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010070sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010071sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010091sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A07Emo000000A9sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00002327mo00020002sp0000A02Dver*");

MODULE_INFO(srcversion, "0CC10363E8E0B9E925F82B8");

MODULE_INFO(suserelease, "SLE15-SP6");
