#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd40abeb2, "fw_send_response" },
	{ 0x1aa2e71d, "snd_rawmidi_receive" },
	{ 0xc72fd49e, "fw_iso_resources_free" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0xf32702b0, "snd_rawmidi_transmit" },
	{ 0x16b13373, "snd_fw_transaction" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x53ca18e8, "amdtp_rate_table" },
	{ 0x9872ca80, "amdtp_stream_add_pcm_hw_constraints" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xd1f4bb83, "snd_card_free" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x40f0c103, "amdtp_stream_init" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xb914ddae, "amdtp_stream_set_parameters" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xb51024f9, "amdtp_domain_stream_pcm_pointer" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x7c51f643, "fw_core_remove_address_handler" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xc23eff2d, "amdtp_domain_init" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0x4d90e666, "fw_iso_resources_allocate" },
	{ 0xeb6fcb4, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d32048, "fw_core_add_address_handler" },
	{ 0x7abbd6a, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x684533b0, "snd_pcm_hw_rule_add" },
	{ 0x53efb9ed, "fw_iso_resources_destroy" },
	{ 0xec3dbf5c, "amdtp_domain_stop" },
	{ 0x82aee40d, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeaaaf8bb, "snd_hwdep_new" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc85b4505, "amdtp_stream_destroy" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x5ea1eaaa, "amdtp_domain_add_stream" },
	{ 0x2f15aeec, "amdtp_stream_update" },
	{ 0x625cb214, "amdtp_stream_get_max_payload" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x55bad6f0, "snd_rawmidi_new" },
	{ 0xdd64e639, "strscpy" },
	{ 0x21c83086, "snd_rawmidi_set_ops" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x2398736b, "fw_bus_type" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xdb395aa0, "fw_iso_resources_init" },
	{ 0x129f5b65, "snd_info_create_card_entry" },
	{ 0x185cedd4, "snd_pcm_hw_constraint_msbits" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0x7c50efe2, "amdtp_domain_stream_pcm_ack" },
	{ 0x6b26abc4, "amdtp_domain_destroy" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x6d5353d3, "fw_iso_resources_update" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfc77920d, "amdtp_domain_start" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-firewire-lib,snd-pcm,snd,snd-hwdep");

MODULE_ALIAS("ieee1394:ven0000A07Emo00000001sp*ver00000001*");
MODULE_ALIAS("ieee1394:ven0000A07Emo00000002sp*ver00000001*");

MODULE_INFO(srcversion, "3C12D4E6C5127D16B5E846F");

MODULE_INFO(suserelease, "SLE15-SP6");
