#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x8539f1ca, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0xe63d4a54, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x975ed2bb, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0xcadffeeb, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xe91ef84c, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0x8d997dd8, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x7231b5cc, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x7d7eede8, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xea1bca85, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x1aa2e71d, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1436e465, "snd_dma_alloc_dir_pages" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf32702b0, "snd_rawmidi_transmit" },
	{ 0x7b4c2dd1, "snd_ac97_write_cache" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xac602f21, "snd_ac97_resume" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe4ca19c2, "snd_seq_device_new" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x5bc10a47, "snd_devm_alloc_dir_pages" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xc209ef65, "snd_timer_interrupt" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ec2b98f, "snd_card_rw_proc_new" },
	{ 0xa9719d2a, "snd_ac97_update_bits" },
	{ 0xea5e9738, "snd_ac97_mixer" },
	{ 0x39914307, "__wake_up" },
	{ 0xbf0b178d, "snd_sgbuf_get_addr" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x6db8d7d1, "snd_ctl_remove" },
	{ 0xd762476a, "snd_ac97_bus" },
	{ 0x9b7f3741, "snd_ctl_find_id" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x621c1a2a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6456b602, "snd_ctl_remove_id" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81161147, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe49d4b8d, "snd_ac97_suspend" },
	{ 0x40d148bb, "snd_pcm_lib_malloc_pages" },
	{ 0xf8f5e116, "__snd_util_mem_alloc" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8afd87f0, "snd_util_memhdr_new" },
	{ 0xd4107f3f, "up_write" },
	{ 0x8f2bf7ab, "snd_pcm_lib_free_pages" },
	{ 0xeaaaf8bb, "snd_hwdep_new" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x17b80cb7, "snd_ctl_notify" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x65905936, "snd_pcm_set_managed_buffer" },
	{ 0x7ff14b5a, "snd_timer_new" },
	{ 0xc4010cbc, "snd_ctl_rename" },
	{ 0x7232f0fa, "snd_pcm_hw_constraint_list" },
	{ 0xf12c4438, "snd_ac97_update" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x55bad6f0, "snd_rawmidi_new" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xeefebbc6, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xefd39b90, "__snd_util_mem_free" },
	{ 0x21c83086, "snd_rawmidi_set_ops" },
	{ 0x72cebe41, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xda9f6040, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xae142baf, "snd_util_memhdr_free" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x129f5b65, "snd_info_create_card_entry" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x89545053, "snd_device_free" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x83ac16f5, "__snd_util_memblk_new" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeac747, "snd_pcm_hw_rule_noresample" },
	{ 0xfa8e8471, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "62DEFFC51F51A904CF9690C");

MODULE_INFO(suserelease, "SLE15-SP6");
