#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5dd17694, "snd_hda_add_new_ctls" },
	{ 0x12ac1abe, "snd_hda_gen_build_controls" },
	{ 0xfc660fbe, "snd_hda_gen_mic_autoswitch" },
	{ 0x25aa0309, "query_amp_caps" },
	{ 0x48179ce1, "snd_hda_mixer_amp_volume_info" },
	{ 0xc8e68026, "snd_hdac_regmap_read_raw" },
	{ 0xbaccafd9, "snd_hda_jack_detect_state_mst" },
	{ 0x3f840bf6, "snd_hda_gen_spec_init" },
	{ 0x8a0a0895, "snd_hda_mixer_amp_switch_info" },
	{ 0x6ac96603, "hda_codec_driver_unregister" },
	{ 0xc7ee2ba4, "snd_hda_add_new_path" },
	{ 0xc628b1d, "snd_hdac_codec_write" },
	{ 0x9a385d9b, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb1a3918b, "snd_hda_gen_add_kctl" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf3216ba, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdbb7d802, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0x6dc5a166, "snd_hda_override_amp_caps" },
	{ 0x45bfc102, "__hda_codec_driver_register" },
	{ 0x5911c400, "snd_hda_jack_set_gating_jack" },
	{ 0xd87fc745, "snd_hda_parse_pin_defcfg" },
	{ 0x4adce8d0, "snd_hda_gen_init" },
	{ 0x1378dafd, "snd_hda_activate_path" },
	{ 0xa19c975d, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x3accf132, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x85eaffa0, "snd_hda_codec_set_pin_target" },
	{ 0xebe419c0, "snd_hda_gen_check_power_status" },
	{ 0xada3e94f, "_snd_hda_set_pin_ctl" },
	{ 0xb41b709c, "snd_hdac_regmap_write_raw" },
	{ 0x438d174e, "snd_hda_mixer_amp_volume_get" },
	{ 0x448c4dfa, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3a68dd2, "snd_hda_get_path_from_idx" },
	{ 0xaaaa1dc9, "snd_hda_gen_update_outputs" },
	{ 0x577828d5, "snd_hda_codec_set_pincfg" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x93875087, "snd_hda_jack_unsol_event" },
	{ 0x9f980ae0, "snd_hda_gen_build_pcms" },
	{ 0xed3bfad8, "snd_hda_mixer_amp_tlv" },
	{ 0x69b1bd02, "snd_hda_pick_fixup" },
	{ 0xb4e90faf, "snd_hda_apply_fixup" },
	{ 0xf2f32322, "snd_hda_gen_parse_auto_config" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x557a5298, "snd_hdac_codec_read" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xa731c103, "snd_hda_mixer_amp_volume_put" },
	{ 0xbc77c8d9, "snd_hda_codec_get_pin_target" },
	{ 0x37cdd8df, "snd_hda_gen_free" },
	{ 0xd76f4738, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "AF5DE41A22B395E5E58D8F0");

MODULE_INFO(suserelease, "SLE15-SP6");
