#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hda_gen_spec_init, 0x3f840bf6, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xb1a3918b, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xc7d7a039, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xe3a68dd2, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xc7ee2ba4, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x1378dafd, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xd76f4738, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xa19c975d, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x5e73d849, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xaaaa1dc9, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xcfb6e7a0, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x9b5d5c0b, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xfc660fbe, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x2ab30bc5, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x577617b6, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x60bd4173, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xf2f32322, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x12ac1abe, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x9f980ae0, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x4adce8d0, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x37cdd8df, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xebe419c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcc6e6cc, "snd_hda_apply_verbs" },
	{ 0xeb8772f5, "snd_hda_codec_amp_update" },
	{ 0x5dd17694, "snd_hda_add_new_ctls" },
	{ 0x9b6384f9, "snd_hda_get_connections" },
	{ 0xec9b802, "snd_hda_codec_amp_init_stereo" },
	{ 0xe1cf9f6c, "snd_hda_set_vmaster_tlv" },
	{ 0xd237eca2, "hda_get_autocfg_input_label" },
	{ 0x25aa0309, "query_amp_caps" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x48179ce1, "snd_hda_mixer_amp_volume_info" },
	{ 0xc8e68026, "snd_hdac_regmap_read_raw" },
	{ 0xbaccafd9, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x17353ae9, "snd_hda_codec_setup_stream" },
	{ 0x8a0a0895, "snd_hda_mixer_amp_switch_info" },
	{ 0x6ac96603, "hda_codec_driver_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4c9670f4, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc628b1d, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x60056660, "snd_hda_jack_tbl_get_mst" },
	{ 0x78f19b47, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x578d9214, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0xe5813d6e, "snd_hda_codec_pcm_new" },
	{ 0x8e558422, "__snd_hda_codec_cleanup_stream" },
	{ 0x844f2116, "snd_ctl_sync_vmaster" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x5c3fbc8, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d3614dc, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa49cc17, "snd_hda_add_imux_item" },
	{ 0x6cb5f5cc, "snd_hda_correct_pin_ctl" },
	{ 0xdbb7d802, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8414394f, "snd_hda_create_dig_out_ctls" },
	{ 0x36e48466, "snd_hda_multi_out_dig_close" },
	{ 0x837bf23e, "snd_hda_get_conn_index" },
	{ 0x89e58bed, "snd_hda_multi_out_analog_open" },
	{ 0x9a6f4415, "snd_hda_get_bool_hint" },
	{ 0x778b291d, "snd_hda_create_spdif_share_sw" },
	{ 0xfb5beff6, "snd_hda_find_mixer_ctl" },
	{ 0x246e22e1, "snd_hda_get_int_hint" },
	{ 0xe9983781, "_dev_err" },
	{ 0x45bfc102, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xd87fc745, "snd_hda_parse_pin_defcfg" },
	{ 0x6fd7da7b, "snd_hda_codec_amp_init" },
	{ 0xc8d6ca8e, "snd_hda_create_spdif_in_ctls" },
	{ 0x6788ad96, "is_jack_detectable" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc0f58d34, "snd_hda_multi_out_analog_cleanup" },
	{ 0xbf6694e, "snd_hda_multi_out_analog_prepare" },
	{ 0x586e0a0, "snd_ctl_boolean_stereo_info" },
	{ 0xe9708b3c, "snd_hda_get_conn_list" },
	{ 0x8190833a, "snd_hda_mixer_amp_switch_get" },
	{ 0x85eaffa0, "snd_hda_codec_set_pin_target" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0x6be1b121, "snd_hda_attach_beep_device" },
	{ 0xada3e94f, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb41b709c, "snd_hdac_regmap_write_raw" },
	{ 0x438d174e, "snd_hda_mixer_amp_volume_get" },
	{ 0x448c4dfa, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x547891c, "_dev_warn" },
	{ 0x3a9606a3, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x652c5577, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x93875087, "snd_hda_jack_unsol_event" },
	{ 0x98720a7f, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x76ebd66a, "snd_hda_jack_add_kctls" },
	{ 0xed3bfad8, "snd_hda_mixer_amp_tlv" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xe8a5e77, "__snd_hda_add_vmaster" },
	{ 0xefc11ee2, "snd_hda_codec_amp_stereo" },
	{ 0x947da178, "snd_hda_sync_vmaster_hook" },
	{ 0xb4e90faf, "snd_hda_apply_fixup" },
	{ 0x48f52bb2, "snd_hda_enum_helper_info" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe52b0729, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x557a5298, "snd_hdac_codec_read" },
	{ 0xa731c103, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x662661f2, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xbc77c8d9, "snd_hda_codec_get_pin_target" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2bc47b09, "snd_hdac_regmap_sync" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "50C5AD67BE1339B01F71C6D");

MODULE_INFO(suserelease, "SLE15-SP6");
