#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7925b84, "snd_hda_shutup_pins" },
	{ 0x9b6384f9, "snd_hda_get_connections" },
	{ 0x12ac1abe, "snd_hda_gen_build_controls" },
	{ 0x48179ce1, "snd_hda_mixer_amp_volume_info" },
	{ 0xc8e68026, "snd_hdac_regmap_read_raw" },
	{ 0x3f840bf6, "snd_hda_gen_spec_init" },
	{ 0x8a0a0895, "snd_hda_mixer_amp_switch_info" },
	{ 0x6ac96603, "hda_codec_driver_unregister" },
	{ 0x4c9670f4, "snd_hda_codec_get_pincfg" },
	{ 0xc628b1d, "snd_hdac_codec_write" },
	{ 0x9a385d9b, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xb1a3918b, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf3216ba, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xdbb7d802, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9a6f4415, "snd_hda_get_bool_hint" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0x6dc5a166, "snd_hda_override_amp_caps" },
	{ 0x45bfc102, "__hda_codec_driver_register" },
	{ 0xd87fc745, "snd_hda_parse_pin_defcfg" },
	{ 0x4adce8d0, "snd_hda_gen_init" },
	{ 0x8190833a, "snd_hda_mixer_amp_switch_get" },
	{ 0x288e5a58, "snd_hda_codec_set_name" },
	{ 0x438d174e, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x652c5577, "snd_hda_mixer_amp_switch_put" },
	{ 0x577828d5, "snd_hda_codec_set_pincfg" },
	{ 0x93875087, "snd_hda_jack_unsol_event" },
	{ 0x98720a7f, "snd_hda_check_amp_list_power" },
	{ 0x93f98da6, "snd_hda_override_conn_list" },
	{ 0x9f980ae0, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xed3bfad8, "snd_hda_mixer_amp_tlv" },
	{ 0x69b1bd02, "snd_hda_pick_fixup" },
	{ 0xc860b8fb, "snd_hda_add_verbs" },
	{ 0xb4e90faf, "snd_hda_apply_fixup" },
	{ 0xf2f32322, "snd_hda_gen_parse_auto_config" },
	{ 0x48f52bb2, "snd_hda_enum_helper_info" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x557a5298, "snd_hdac_codec_read" },
	{ 0xa731c103, "snd_hda_mixer_amp_volume_put" },
	{ 0x37cdd8df, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2bc47b09, "snd_hdac_regmap_sync" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "81DDA03377ECDC4DE54E7EF");

MODULE_INFO(suserelease, "SLE15-SP6");
