#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l41_hda_probe, 0xba3d50f8, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x5022fe3a, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xeb881cb2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e25e7cb, "acpi_dev_get_first_match_dev" },
	{ 0x44bc0cdf, "gpiod_get_value_cansleep" },
	{ 0xf31fe291, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x615b718a, "gpiod_put" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd2bdcb38, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab77f5ee, "cs_dsp_stop" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xb28952b1, "cs35l41_register_errata_patch" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0x911ed6df, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x68a9fd5a, "gpiod_get_index" },
	{ 0x826cc576, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa3e0ff10, "cs35l41_init_boost" },
	{ 0x2b17dfee, "cs35l41_enter_hibernate" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc71cf7e3, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f808151, "fwnode_gpiod_get_index" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfddeb056, "efi" },
	{ 0xe0e32085, "devm_acpi_dev_add_driver_gpios" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdc77ad29, "cs_dsp_halo_init" },
	{ 0x4cdcfeb0, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xbdab0685, "device_link_remove" },
	{ 0x14db5351, "cs35l41_test_key_unlock" },
	{ 0xf06ae0cb, "hda_cs_dsp_add_controls" },
	{ 0xaaa93a2b, "cs35l41_test_key_lock" },
	{ 0x7e7e9d96, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x7512aec5, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb66c1fa, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6030454f, "hda_cs_dsp_write_ctl" },
	{ 0x3fcfc8a2, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xac322dcd, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0x72f6b172, "cs35l41_exit_hibernate" },
	{ 0x7333a6f4, "spi_setup" },
	{ 0x999e8297, "vfree" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x22bd31fe, "cs_dsp_run" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x330aeb63, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc60f0c85, "cs35l41_write_fs_errata" },
	{ 0xe58a03cb, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x45568685, "cs35l41_configure_cs_dsp" },
	{ 0x437718d, "_dev_crit" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x1051da22, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xe3e6831d, "component_add" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xe5179933, "cs35l41_set_channels" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x92003a20, "device_link_add" },
	{ 0x12497609, "pm_runtime_force_suspend" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "9D6020FECE6BD4E5C298040");

MODULE_INFO(suserelease, "SLE15-SP6");
