#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_trident_start_voice, 0xf1827f27, "");
SYMBOL_CRC(snd_trident_stop_voice, 0x5228058c, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xf99d562e, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x03042d77, "");
SYMBOL_CRC(snd_trident_free_voice, 0xc0d61868, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xac602f21, "snd_ac97_resume" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5bc10a47, "snd_devm_alloc_dir_pages" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ec2b98f, "snd_card_rw_proc_new" },
	{ 0xea5e9738, "snd_ac97_mixer" },
	{ 0x39914307, "__wake_up" },
	{ 0xbf0b178d, "snd_sgbuf_get_addr" },
	{ 0xd762476a, "snd_ac97_bus" },
	{ 0xeb6fcb4, "snd_pcm_set_sync" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe49d4b8d, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8afd87f0, "snd_util_memhdr_new" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x17b80cb7, "snd_ctl_notify" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x65905936, "snd_pcm_set_managed_buffer" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xefd39b90, "__snd_util_mem_free" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xda9f6040, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xae142baf, "snd_util_memhdr_free" },
	{ 0x8790ee67, "snd_mpu401_uart_new" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x83ac16f5, "__snd_util_memblk_new" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x3209b422, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-ac97-codec,snd-pcm,snd-util-mem,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");

MODULE_INFO(suserelease, "SLE15-SP6");
