#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l45_probe, 0x9c905199, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xc389576a, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x57ed8d71, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x72b2da32, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xfe07e4a4, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xbd3f25e8, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bc95ddd, "snd_soc_dapm_put_enum_double" },
	{ 0xbb01181c, "wm_adsp_fw_put" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xe3acc2c4, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x1db57319, "snd_soc_info_volsw" },
	{ 0xe9983781, "_dev_err" },
	{ 0xadee1e1b, "wm_adsp_event" },
	{ 0x2fd8877a, "wm_adsp_fw_enum" },
	{ 0x547891c, "_dev_warn" },
	{ 0x109b5d6d, "wm_adsp2_component_probe" },
	{ 0xc6f97051, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5370a6b, "wm_adsp2_preloader_get" },
	{ 0x9ef59ef4, "snd_soc_info_enum_double" },
	{ 0x8bd606ff, "wm_adsp2_component_remove" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xac322dcd, "devm_regmap_add_irq_chip" },
	{ 0xf6179d8b, "snd_soc_get_volsw" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x6e744ba2, "snd_soc_put_volsw" },
	{ 0xd8cf6226, "wm_adsp_fw_get" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x1051da22, "regmap_multi_reg_write" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x5abb1118, "regmap_register_patch" },
	{ 0x2ca4052a, "snd_soc_dapm_get_enum_double" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xaf8b8815, "wm_halo_init" },
	{ 0xb5120b6a, "wm_adsp_early_event" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "B2CDE7550098D5749DEEBA5");

MODULE_INFO(suserelease, "SLE15-SP6");
