#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs42l42_readable_register, 0x42eb9492, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x4d2275ff, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x9f2ba9a8, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x576ef628, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xadf67d5e, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x7d07f67c, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x236494c5, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x43e2cf40, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x97e78bc9, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xd3bc900f, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x85af4699, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x97ba9a33, "_gpl");
SYMBOL_CRC(cs42l42_init, 0xd7432fb9, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x09cb18d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x9772dd2d, "device_property_present" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xaf043e4, "snd_soc_jack_report" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xd3c16a1d, "regcache_sync_region" },
	{ 0x1904e134, "snd_soc_put_enum_double" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6b4a2c74, "regulator_bulk_disable" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0xe5818e96, "snd_soc_get_enum_double" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x1db57319, "snd_soc_info_volsw" },
	{ 0xe1659500, "regcache_drop_region" },
	{ 0xe9983781, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ef59ef4, "snd_soc_info_enum_double" },
	{ 0xf211404d, "regulator_bulk_enable" },
	{ 0xede8b412, "devm_regulator_bulk_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf6179d8b, "snd_soc_get_volsw" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x6e744ba2, "snd_soc_put_volsw" },
	{ 0x3585d781, "snd_soc_component_update_bits" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x1051da22, "regmap_multi_reg_write" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "ABDF760A37EB1899A58220A");

MODULE_INFO(suserelease, "SLE15-SP6");
