#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sst_alloc_drv_context, 0xf7fd98f6, "_gpl");
SYMBOL_CRC(sst_context_init, 0x6419f621, "_gpl");
SYMBOL_CRC(sst_context_cleanup, 0x56f29fd8, "_gpl");
SYMBOL_CRC(sst_configure_runtime_pm, 0xe1480d55, "_gpl");
SYMBOL_CRC(intel_sst_pm, 0x1e9aa9bc, "_gpl");
SYMBOL_CRC(relocate_imr_addr_mrfld, 0x709cd25f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7eb6f79, "cpu_latency_qos_remove_request" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x69acdf38, "memcpy" },
	{ 0x587cd2d, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x380fb568, "cpu_latency_qos_update_request" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb578fc5, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x408ca79f, "sst_unregister_dsp" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x59e2ab86, "sst_register_dsp" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sst-atom-hifi2-platform");


MODULE_INFO(srcversion, "0446CD852B8047870C029DD");

MODULE_INFO(suserelease, "SLE15-SP6");
