#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x023b6501, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xdf637c4e, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x1b2a7217, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x32db9b19, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x9663cb12, "_gpl");
SYMBOL_CRC(line6_read_data, 0x4822f3b7, "_gpl");
SYMBOL_CRC(line6_write_data, 0xef38337d, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xdf92b3f4, "_gpl");
SYMBOL_CRC(line6_probe, 0x20d887f1, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x0db4e313, "_gpl");
SYMBOL_CRC(line6_suspend, 0x10064b7c, "_gpl");
SYMBOL_CRC(line6_resume, 0x0866caa5, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x699dd25b, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0xe2da2f16, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x30817a18, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x6d66ea37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x1aa2e71d, "snd_rawmidi_receive" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xed4dd79d, "usb_control_msg_send" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc273ff75, "usb_control_msg_recv" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1767671, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa42df8bd, "snd_rawmidi_transmit_ack" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x2ba3a6bc, "snd_pcm_hw_constraint_ratdens" },
	{ 0x82aee40d, "snd_card_new" },
	{ 0x895b308c, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0xeaaaf8bb, "snd_hwdep_new" },
	{ 0xcf589980, "snd_rawmidi_transmit_peek" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x7dc27f36, "snd_card_free_when_closed" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x55bad6f0, "snd_rawmidi_new" },
	{ 0x224dc668, "snd_card_disconnect" },
	{ 0xfad405d9, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21c83086, "snd_rawmidi_set_ops" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "SLE15-SP6");
