#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x1a476c7a, "usb_get_current_frame_number" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0xd63e7299, "usb_ifnum_to_if" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xd1f4bb83, "snd_card_free" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x16756dc0, "snd_usbmidi_input_start" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x82aee40d, "snd_card_new" },
	{ 0x895b308c, "usb_urb_ep_type_check" },
	{ 0x614c7976, "__snd_printk" },
	{ 0x4621ba98, "__snd_usbmidi_create" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0xeaaaf8bb, "snd_hwdep_new" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x7dc27f36, "snd_card_free_when_closed" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x65905936, "snd_pcm_set_managed_buffer" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xfb578fc5, "memset" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x63343b1d, "snd_usbmidi_input_stop" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x224dc668, "snd_card_disconnect" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xab8c9fda, "snd_pcm_stop_xrun" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd9d2bb03, "snd_usbmidi_disconnect" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-pcm,snd,snd-usbmidi-lib,snd-hwdep");

MODULE_ALIAS("usb:v1604p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1604p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1604p8005d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E2E760A3F404C7D17E9EFFE");

MODULE_INFO(suserelease, "SLE15-SP6");
