#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x0b30fa3f, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x255ca9db, "_gpl");
SYMBOL_CRC(af_alg_release, 0x97347aed, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xf83f60ed, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xe02bbb8e, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x6905717b, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x4f5a4b5d, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x61806ada, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xff4075d4, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x0741d5e5, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x6a0e469d, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xc16470ac, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x17df3bee, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xce2c806d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd4107f3f, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0x91f95147, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xbdec99fc, "extract_iter_to_sg" },
	{ 0xdaba41ff, "module_put" },
	{ 0xa60b94b6, "down_read" },
	{ 0xce761558, "up_read" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x93792161, "release_sock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0x5f073b69, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x7528852d, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x48a4e514, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3274205c, "__folio_put" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7c10c4fe, "__wake_up_sync_key" },
	{ 0xe416fb6c, "sock_wake_async" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xae7bf565, "sock_kzfree_s" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xb9d57c36, "key_put" },
	{ 0x826b3267, "sock_no_connect" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x5d3de13b, "sock_no_getname" },
	{ 0xf81962fa, "sock_no_ioctl" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0xe822fe8c, "sock_no_sendmsg" },
	{ 0x1e01c76, "sock_no_recvmsg" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLE15-SP6");
