#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0xa77109df, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x50cca2ce, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x7fd12d69, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x1bccf827, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xd7aea257, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xf15634b6, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xb7dbb1e9, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x16d8838f, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x5a3a32c2, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x71b13e46, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xebf0f583, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x115057f7, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x2c704803, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77e81802, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d25624, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xf7bcca3a, "crypto_grab_shash" },
	{ 0x296f2f2, "crypto_grab_skcipher" },
	{ 0xc68523a6, "skcipher_register_instance" },
	{ 0xe7a09d90, "crypto_grab_aead" },
	{ 0x645e69, "aead_register_instance" },
	{ 0xef063239, "shash_no_setkey" },
	{ 0xc93e268c, "ahash_register_instance" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0xae0e44f, "shash_ahash_digest" },
	{ 0xa0c2517, "shash_ahash_finup" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0xf523e0c6, "shash_ahash_update" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x31134119, "crypto_alloc_ahash" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x817bcf36, "crypto_spawn_tfm2" },
	{ 0x7d0179b4, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x1049547, "crypto_clone_shash" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe3d2b4d4, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7c284050, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "SLE15-SP6");
