#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x983c9298, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x0188ce99, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xfc0e4bb7, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x4f5f8323, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x71b13e46, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xebf0f583, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x35d8cb46, "crypto_register_aead" },
	{ 0x2629a50f, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b0c091e, "crypto_register_aeads" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf99d602, "crypto_unregister_aeads" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x50cca2ce, "cryptd_skcipher_child" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xa77109df, "cryptd_alloc_skcipher" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xbade8f8b, "crypto_register_skcipher" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0x115057f7, "cryptd_aead_queued" },
	{ 0x30e7df68, "crypto_unregister_skcipher" },
	{ 0x19ec3a1d, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fd12d69, "cryptd_skcipher_queued" },
	{ 0x2c704803, "cryptd_free_aead" },
	{ 0x9ff02c8, "crypto_unregister_skciphers" },
	{ 0x1bccf827, "cryptd_free_skcipher" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "AA924B3ED56BBDE545A3CD0");

MODULE_INFO(suserelease, "SLE15-SP6");
