#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(acpi_video_get_levels, 0xcf8be0fb, "");
SYMBOL_CRC(acpi_video_get_edid, 0xcb6d69a3, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x7de7bf50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0x8e25e7cb, "acpi_dev_get_first_match_dev" },
	{ 0x1b7eb4a4, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x5ffdfc0, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x5b2366c3, "backlight_force_update" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7408283b, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5aa70984, "acpi_reduced_hardware" },
	{ 0xedc03953, "iounmap" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x5596f78c, "acpi_device_fix_up_power_children" },
	{ 0x162631b, "acpi_dev_remove_notify_handler" },
	{ 0x4a5f1cb5, "thermal_cooling_device_register" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x48d82d, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x39470731, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xa28b7c95, "pnp_get_resource" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x34af3187, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xe9983781, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x34e12c66, "acpi_get_pci_dev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7512aec5, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb1bee6, "input_event" },
	{ 0x414671b7, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe39d749f, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4945bf, "acpi_fetch_acpi_dev" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xf7fde3ad, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd32a892, "backlight_device_register" },
	{ 0xd7318333, "acpi_dev_for_each_child" },
	{ 0xfc82f14d, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cba3a6a, "acpi_bus_register_driver" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "C1CF2BEFDF846AFFFC717CA");

MODULE_INFO(suserelease, "SLE15-SP6");
