#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xaadc4575, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x2257cfc6, "_gpl");
SYMBOL_CRC(ahci_ops, 0xf0072384, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x151b912d, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x1ab5d647, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x80fc6d8b, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xa2df8cb5, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x63b6ead0, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x72dfd531, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x518c10ee, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xb47b0ff8, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x03be34eb, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x897cae84, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xfe596a26, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x89d23aa5, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x329e4ce5, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xfe6d1d2c, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xe996edd5, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xe153f3c8, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xe5c31179, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x895e4bdd, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x176086b7, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x34f395c6, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xd2b4a3e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x7eaa9d89, "ata_std_qc_defer" },
	{ 0xed79d25e, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xc48995c6, "ata_port_classify" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27a5779b, "sata_pmp_error_handler" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x547891c, "_dev_warn" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x16d225ba, "ata_qc_complete_multiple" },
	{ 0xf82a4a38, "ata_port_freeze" },
	{ 0x573fcc20, "sata_lpm_ignore_phy_events" },
	{ 0x14d13df5, "sata_async_notification" },
	{ 0xb0229163, "ata_ehi_clear_desc" },
	{ 0x5aec5ea0, "ata_ehi_push_desc" },
	{ 0x6a80434c, "ata_port_abort" },
	{ 0x3d70b84f, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x7a9ae5a9, "ata_host_start" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xe61d9055, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8f139011, "ata_host_register" },
	{ 0x89363cc6, "ata_host_activate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe0b72a25, "ata_wait_after_reset" },
	{ 0x50d897a2, "ata_dummy_port_ops" },
	{ 0x78cf88a6, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xd57fe0af, "sata_link_hardreset" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb1e3062a, "sata_pmp_port_ops" },
	{ 0x18ac85a1, "dev_attr_sw_activity" },
	{ 0xb296cf31, "dev_attr_unload_heads" },
	{ 0x6d34b5e, "dev_attr_ncq_prio_supported" },
	{ 0x61bd6451, "dev_attr_ncq_prio_enable" },
	{ 0xd75bd756, "dev_attr_link_power_management_policy" },
	{ 0xb99ea382, "dev_attr_em_message_type" },
	{ 0xe773aefa, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7759091f, "ata_link_next" },
	{ 0x9589aa63, "ata_wait_register" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xfd92120d, "ata_dev_set_feature" },
	{ 0x21957ccf, "sata_link_scr_lpm" },
	{ 0x9263fc0d, "ata_msleep" },
	{ 0xe9983781, "_dev_err" },
	{ 0x2b34e8f0, "ata_std_postreset" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLE15-SP6");
