#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_platform_ops, 0xd641c5fa, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xcbb3f306, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x5e8d3787, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xa6d33282, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x5056379a, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xc568f31b, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x40108656, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xb1b7c99b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xb2502f0e, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x900553e1, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x39b8074e, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x6ed251f8, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xf2de2417, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xd9c13f6b, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x2a1e0112, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xaeeeb4ea, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x25d4507e, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x9d323e86, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x800ff453, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6df41d52, "phy_set_mode_ext" },
	{ 0xdd68dd9c, "phy_power_on" },
	{ 0xd7037c78, "phy_init" },
	{ 0x444b0211, "phy_power_off" },
	{ 0xaebdeb4b, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x69c8a61f, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x835d5300, "ata_host_suspend" },
	{ 0xe9983781, "_dev_err" },
	{ 0xe9a37c7c, "ata_host_resume" },
	{ 0x72dfd531, "ahci_reset_controller" },
	{ 0xb47b0ff8, "ahci_init_controller" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x9b0b87f6, "platform_get_irq" },
	{ 0x1ab5d647, "ahci_save_initial_config" },
	{ 0x34f395c6, "ahci_set_em_messages" },
	{ 0x2ab7995f, "ata_host_alloc_pinfo" },
	{ 0x50d897a2, "ata_dummy_port_ops" },
	{ 0x566061f4, "platform_get_resource" },
	{ 0xe61d9055, "ata_port_desc" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x176086b7, "ahci_print_info" },
	{ 0xd2b4a3e2, "ahci_host_activate" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x518c10ee, "ahci_reset_em" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4c9d942c, "devres_open_group" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0x8996668a, "devres_add" },
	{ 0x2392bfe9, "platform_get_resource_byname" },
	{ 0x5ec25b8a, "devm_platform_ioremap_resource_byname" },
	{ 0xc3b0c720, "devm_clk_bulk_get_all" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6daa3205, "devm_of_phy_get" },
	{ 0xcde4898c, "regulator_get" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x1de57a4e, "devres_remove_group" },
	{ 0xb3690cb6, "devres_release_group" },
	{ 0xe497b33c, "devm_platform_ioremap_resource" },
	{ 0x101e456c, "devm_reset_control_array_get" },
	{ 0x2c6c164d, "devm_clk_get_optional" },
	{ 0xf0072384, "ahci_ops" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "5BF15F90DA51A7755BC60C0");

MODULE_INFO(suserelease, "SLE15-SP6");
