#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc48464ce, "sata_set_spd" },
	{ 0x3ff6ddde, "ata_link_online" },
	{ 0xc428068d, "sata_deb_timing_long" },
	{ 0xc35c398d, "sata_link_debounce" },
	{ 0x28cb7515, "ata_link_offline" },
	{ 0x9263fc0d, "ata_msleep" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x7eaa9d89, "ata_std_qc_defer" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc48995c6, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x20c838cb, "pcim_iomap_regions" },
	{ 0x1f951530, "pcim_iomap_table" },
	{ 0x2ab7995f, "ata_host_alloc_pinfo" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x9f45c36, "ata_print_version" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x9a428955, "pcie_set_readrq" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x89363cc6, "ata_host_activate" },
	{ 0xdd69df0, "pci_enable_msi" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x1d00bdf4, "pci_intx" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb1e3062a, "sata_pmp_port_ops" },
	{ 0xdc09597a, "ata_scsi_queuecmd" },
	{ 0x88b42a17, "ata_scsi_ioctl" },
	{ 0xe98bd775, "ata_scsi_slave_alloc" },
	{ 0xc83b2727, "ata_scsi_slave_config" },
	{ 0xd40c7a3f, "ata_scsi_slave_destroy" },
	{ 0x91c288c5, "ata_scsi_change_queue_depth" },
	{ 0x9adaab52, "ata_scsi_dma_need_drain" },
	{ 0xc90c8f4a, "ata_std_bios_param" },
	{ 0x95f4404e, "ata_scsi_unlock_native_capacity" },
	{ 0x5ec0dfb5, "ata_ncq_sdev_groups" },
	{ 0x15c553fd, "ata_pci_remove_one" },
	{ 0xef95380, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x9589aa63, "ata_wait_register" },
	{ 0xe9983781, "_dev_err" },
	{ 0xe6cdef33, "ata_pci_device_do_resume" },
	{ 0xe9a37c7c, "ata_host_resume" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x16d225ba, "ata_qc_complete_multiple" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xb0229163, "ata_ehi_clear_desc" },
	{ 0x5aec5ea0, "ata_ehi_push_desc" },
	{ 0x3d70b84f, "ata_link_abort" },
	{ 0xf82a4a38, "ata_port_freeze" },
	{ 0x14d13df5, "sata_async_notification" },
	{ 0x6a80434c, "ata_port_abort" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x314c392b, "ata_port_pbar_desc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa28ee6e3, "ata_eh_freeze_port" },
	{ 0x27a5779b, "sata_pmp_error_handler" },
	{ 0x12ca7358, "sata_std_hardreset" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2F8731E583929D31DA3D93D");

MODULE_INFO(suserelease, "SLE15-SP6");
