#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bcma_find_core_unit, 0x17d16c56, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xb3692350, "");
SYMBOL_CRC(__bcma_driver_register, 0x8ee1e49c, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x019d4586, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x9e0c040f, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x92203db6, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xd85502b4, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x99237290, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x7701dea4, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x353acf33, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xf0db97ed, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x719b0ba2, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xdd0889e1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xa3c927cd, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xd3cf8b4e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x491280de, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xd748910d, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x1926ed99, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x7c9a01c8, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x054fa43f, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xe24906f4, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x99c5f781, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xcef424e8, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x68261abc, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x4f2c01b1, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x2e72c1af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xda75728, "gpiochip_get_data" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x30beedd9, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd2e8b76f, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x14374524, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x9a428955, "pcie_set_readrq" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfd12f11b, "__dev_fwnode" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "09D4811241F40B0A5B45025");

MODULE_INFO(suserelease, "SLE15-SP6");
