#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mhi_register_controller, 0xb8853a70, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x23a87146, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x0498b503, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xba45b9b6, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x9b059686, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x4e75e151, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xcd035cd9, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x8e194a5d, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xb2950bc1, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x3fcafae0, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x9aaf57fc, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x77cfbd75, "_gpl");
SYMBOL_CRC(mhi_notify, 0xab9f5c70, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x49e36a14, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x30e05d7a, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xf86c2fb2, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x581c80a2, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xc3f6538f, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x65ddded9, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xe469afda, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xad90d6be, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x8a32b3e6, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xe526bbe7, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xb9b60688, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xc83df861, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x74a486c8, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x77d96aca, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x1f8dfdf4, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xc0fbd28d, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xc6eaf1dc, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xbe68b174, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xb5e932d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe7edac6f, "device_del" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DF870BF7A1CF42007D25AFF");

MODULE_INFO(suserelease, "SLE15-SP6");
