#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0x65b45cb, "complete" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x35d8cb46, "crypto_register_aead" },
	{ 0x2fe8f48c, "cxgb4_port_e2cchan" },
	{ 0x2629a50f, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8b09af6e, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xb10067cc, "crypto_unregister_ahash" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xbade8f8b, "crypto_register_skcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x97123911, "cxgb4_crypto_send" },
	{ 0x98ce6d80, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0x30e7df68, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,gf128mul,authenc");


MODULE_INFO(srcversion, "C9EE9C2B287E0FA4D6BF3CF");

MODULE_INFO(suserelease, "SLE15-SP6");
