#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x011b0f70, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x5f18d044, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x818e4497, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x5fd2e2f9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x6aa60840, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x972552c3, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x7b245830, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x14537dd5, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x8663ea3b, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xdf607848, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xedc99f71, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xfb66c1fa, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x4cdcfeb0, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x22bd31fe, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xab77f5ee, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x40fdf70a, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xdc77ad29, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x7e7e9d96, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xb096c710, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x0136e905, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xe168fa7c, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x02c4556d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xc911f20a, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x9ab0bb13, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xc2ebc8f1, "regmap_raw_write" },
	{ 0xb369e532, "regmap_raw_read" },
	{ 0x547891c, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x999e8297, "vfree" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x1051da22, "regmap_multi_reg_write" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2b6e59f4, "regmap_raw_write_async" },
	{ 0xc94f56ce, "regmap_async_complete" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x91df4b40, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xe9983781, "_dev_err" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6CA5CFE49DEE46606C8B93A");

MODULE_INFO(suserelease, "SLE15-SP6");
