#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pmbus_clear_cache, 0x40637d01, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x5a5af159, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x238d8e48, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x0935b0d0, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xa0a86ce1, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x3b07fae3, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x28d3277b, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x9e8af320, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x417ee1ad, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x792102f3, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xcbb5b030, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xb8f13f89, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x742dc82c, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xf5bddf4c, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x7ac9bd2c, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xbe0d3162, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x91cdf9d0, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xae45174c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xd4956803, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xd6e76855, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x098d40b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82340a63, "sysfs_notify" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xc706b1c, "regulator_notifier_call_chain" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd63f7dc9, "i2c_smbus_xfer" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0xa0bc9f6c, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa096fbc6, "devm_hwmon_device_register_with_groups" },
	{ 0x72b70169, "devm_regulator_register" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x96848186, "scnprintf" },
	{ 0x547891c, "_dev_warn" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x91df4b40, "simple_open" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7ec1a1e, "i2c_smbus_write_byte_data" },
	{ 0x45e97478, "i2c_smbus_read_byte_data" },
	{ 0x85a9d7ae, "i2c_smbus_write_byte" },
	{ 0xbf49a21a, "i2c_smbus_write_word_data" },
	{ 0x4c5655e2, "i2c_smbus_read_word_data" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x47d6c4aa, "devm_krealloc" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd888f611, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x55afb3c1, "rdev_get_dev" },
	{ 0xc582d483, "rdev_get_id" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9E29371C4049A49D09728B9");

MODULE_INFO(suserelease, "SLE15-SP6");
