#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xfad7c301, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x4a8c4cb0, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x055b459b, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x5af61f66, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xd32740b0, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x1d7435da, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xaa57f3f0, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x2e66a5ee, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0xb360cf0a, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x918cf054, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xa3e5d776, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xbbf5a057, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xad08d49b, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x3e97db2f, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xc2ddfa82, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xe13e56d6, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x1f16eaa7, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x41683667, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xfb3f1c46, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x0cc63406, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x7ae749e4, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xf49e1370, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x3bfa1dea, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xe8dc43f8, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x83382408, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a502446, "bus_unregister_notifier" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xac7cbd98, "i2c_client_type" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xcc72d2be, "bus_register_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x70b12fd4, "i2c_bus_type" },
	{ 0x32b081a9, "device_register" },
	{ 0xe7edac6f, "device_del" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xce761558, "up_read" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C34237913E0A3F38B0B14BA");

MODULE_INFO(suserelease, "SLE15-SP6");
