#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xfa1fa70c, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x53b1f59b, "");
SYMBOL_CRC(ib_cm_listen, 0x05e14051, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xffcc3811, "");
SYMBOL_CRC(ib_send_cm_req, 0x90603843, "");
SYMBOL_CRC(ib_send_cm_rep, 0x7e2f5ec8, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x1628ccf4, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xfcfc996d, "");
SYMBOL_CRC(ib_send_cm_drep, 0xd5d3bcfa, "");
SYMBOL_CRC(ib_send_cm_rej, 0x0ffe1ccb, "");
SYMBOL_CRC(ib_send_cm_mra, 0xb955509f, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x9cb44dc0, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x0e9da7d0, "");
SYMBOL_CRC(ib_cm_notify, 0x3d6e954b, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xd85587ef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa37eb10e, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc487afdf, "ib_init_ah_attr_from_path" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xba4c9be4, "rdma_query_gid" },
	{ 0xdae89fda, "ib_port_register_client_groups" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa08033fd, "ib_modify_port" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x99df9723, "rdma_create_ah" },
	{ 0xd5ec3c28, "ib_init_ah_attr_from_wc" },
	{ 0x29427c70, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x9c2407be, "ib_register_client" },
	{ 0x58b5d7df, "ib_unregister_mad_agent" },
	{ 0xd9c81fda, "ib_post_send_mad" },
	{ 0x9450f3f5, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x61baa213, "rdma_destroy_ah_attr" },
	{ 0xc97d28a8, "ib_set_client_data" },
	{ 0xa81ab3bf, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xd703fb56, "rdma_put_gid_attr" },
	{ 0xc739a21, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5d83ae5a, "rdma_destroy_ah_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x18a5c0d, "ib_free_send_mad" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xddcaee39, "ib_port_unregister_client_groups" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x8575e1db, "rdma_move_ah_attr" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xe81eafc, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x73ad2a46, "ib_free_recv_mad" },
	{ 0x8a28a9a4, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x2d8b2a2e, "ib_modify_mad" },
	{ 0x188deae0, "ib_create_ah_from_wc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "69CE627D45041345621FB15");

MODULE_INFO(suserelease, "SLE15-SP6");
