#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x038c2beb, "");
SYMBOL_CRC(flow_resources_alloc, 0xe02dcd88, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x73552ce4, "");
SYMBOL_CRC(flow_resources_add, 0xa0c820ca, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x113b0f25, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x8c6df241, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xeca55444, "");
SYMBOL_CRC(uverbs_idr_class, 0x707923c6, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x789e790e, "");
SYMBOL_CRC(uverbs_fd_class, 0x832c5104, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xfa2607ce, "");
SYMBOL_CRC(_uverbs_alloc, 0x82f3a19c, "");
SYMBOL_CRC(uverbs_get_flags64, 0x309f8d4b, "");
SYMBOL_CRC(uverbs_get_flags32, 0x03b8dbe8, "");
SYMBOL_CRC(uverbs_copy_to, 0x1847431f, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x5db39561, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x70a0d7e1, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xabbcfa8f, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xb29a8e53, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x1a8e3b5e, "");
SYMBOL_CRC(ib_umem_get, 0x1c03b678, "");
SYMBOL_CRC(ib_umem_release, 0xd0cd4ba9, "");
SYMBOL_CRC(ib_umem_copy_from, 0x6cffcfc1, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xebad965f, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xbd401fbf, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x7a1a90a9, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x7bcd8f31, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xab381972, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xc7ead240, "");
SYMBOL_CRC(ib_umem_odp_get, 0x5c6b64ff, "");
SYMBOL_CRC(ib_umem_odp_release, 0xaea1fe9d, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xe454e689, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x9a34a504, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x434fc55d, "pin_user_pages_fast" },
	{ 0x609277c3, "mmu_interval_notifier_remove" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xda2d1cd6, "anon_inode_getfile" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0xa37eb10e, "ib_unregister_client" },
	{ 0x6f00f38a, "show_class_attr_string" },
	{ 0x3de0b6c6, "unpin_user_pages_dirty_lock" },
	{ 0x9ab1e254, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6feb206f, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2a244557, "mmu_interval_read_begin" },
	{ 0xcfd8c582, "ib_create_qp_user" },
	{ 0xd24f80a0, "dma_resv_wait_timeout" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x912423dd, "radix_tree_lookup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x64a0466a, "get_pid_task" },
	{ 0x8415c193, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xcb739b47, "kill_fasync" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x503c48e2, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x437d1598, "fget" },
	{ 0x5a1a5d82, "__put_task_struct" },
	{ 0x5eb78fa6, "ib_query_srq" },
	{ 0x5504f50d, "ww_mutex_unlock" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x4a9da864, "__dynamic_ibdev_dbg" },
	{ 0x4a8cf234, "ib_rdmacg_try_charge" },
	{ 0x2f8f4eb1, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7b6a562f, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x6439d9c1, "unpin_user_page_range_dirty_lock" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x625430c0, "dma_buf_unpin" },
	{ 0xc897367d, "zap_vma_ptes" },
	{ 0x9541c8f6, "ib_dereg_mr_user" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x4c04334a, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x39914307, "__wake_up" },
	{ 0xd829ff37, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa8ee00fc, "rdma_dev_access_netns" },
	{ 0x58892e26, "get_device" },
	{ 0x25f3e12f, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa1ca74f0, "__tracepoint_mmap_lock_released" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0x88461b47, "dma_buf_dynamic_attach" },
	{ 0xa318314f, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc3ece45d, "radix_tree_iter_delete" },
	{ 0xf94e969f, "ib_destroy_srq_user" },
	{ 0xb4bd06cb, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x2d6e8004, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6bb65559, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x5cf6b519, "put_device" },
	{ 0xed5c3a88, "radix_tree_lookup_slot" },
	{ 0x87452328, "ib_modify_qp_with_udata" },
	{ 0x8f734e9d, "ib_register_event_handler" },
	{ 0x5906d7db, "ib_detach_mcast" },
	{ 0x4cdc462d, "dma_buf_map_attachment" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x743f9dc4, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0x9c2407be, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xa7ad4322, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x62fd6b89, "__task_pid_nr_ns" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf8d118de, "init_srcu_struct" },
	{ 0xba2f2845, "fput" },
	{ 0xc97d28a8, "ib_set_client_data" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xd1c1a6ee, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x139eaa96, "radix_tree_next_chunk" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd231bdbb, "xa_load" },
	{ 0xd703fb56, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x763d62f6, "dma_buf_get" },
	{ 0x54cdf81c, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xed462034, "ww_mutex_lock" },
	{ 0xf5876759, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6dab4297, "ib_qp_usecnt_inc" },
	{ 0xf424e131, "dma_buf_put" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x47278168, "cleanup_srcu_struct" },
	{ 0xb8db71cd, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa731e253, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x52fe87a6, "rdma_create_user_ah" },
	{ 0x5d83ae5a, "rdma_destroy_ah_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xc9d41f8a, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x70ba32eb, "ib_destroy_cq_user" },
	{ 0xa60b94b6, "down_read" },
	{ 0x78ace05f, "__mmdrop" },
	{ 0x49be9ae0, "rdma_restrack_del" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xac6cfb0b, "__xa_cmpxchg" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x467b457c, "set_page_dirty" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xa2b6f20e, "__mmap_lock_do_trace_start_locking" },
	{ 0x4280fd53, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf19b052, "igrab" },
	{ 0xae07ba67, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf83382cc, "mmput" },
	{ 0xf5712547, "dma_map_sgtable" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xae367003, "xa_destroy" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66028965, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x634d289e, "__mmap_lock_do_trace_released" },
	{ 0x184c7ca3, "ib_alloc_xrcd_user" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x618da890, "rdma_set_cq_moderation" },
	{ 0xfe99907c, "ib_dealloc_xrcd_user" },
	{ 0x95c4ac90, "dma_buf_detach" },
	{ 0xbd9c61b5, "stream_open" },
	{ 0x2b7168b8, "mmu_interval_notifier_insert" },
	{ 0xcaeb055d, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xcf5606ba, "ib_open_qp" },
	{ 0x9fe16317, "ib_dealloc_pd_user" },
	{ 0xb48bd4c6, "rdma_get_gid_attr" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x6c416b0d, "rdma_port_get_link_layer" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xd93b110, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xaf365969, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x52b04d18, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x44f43662, "rdma_restrack_put" },
	{ 0x276ac084, "ib_attach_mcast" },
	{ 0x3f1cf3ca, "rdma_umap_priv_init" },
	{ 0xce761558, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x887eb776, "ib_destroy_wq_user" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xc48c9779, "put_pid" },
	{ 0x5ab2593e, "class_register" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xe1402231, "rdma_user_mmap_entry_put" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "EAEC489272F49FE45BE3485");

MODULE_INFO(suserelease, "SLE15-SP6");
