#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0x2328d723, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0xa5369ba0, "");
SYMBOL_CRC(rtrs_clt_open, 0xb47da156, "");
SYMBOL_CRC(rtrs_clt_close, 0xb329a46a, "");
SYMBOL_CRC(rtrs_clt_request, 0xe78dac0e, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x48ca27d0, "");
SYMBOL_CRC(rtrs_clt_query, 0x1620b17a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe05319b, "rdma_reject_msg" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9d71455f, "rdma_resolve_addr" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd814c750, "rtrs_post_recv_empty" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9541c8f6, "ib_dereg_mr_user" },
	{ 0x1732b135, "ib_process_cq_direct" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x40e66128, "rtrs_iu_post_rdma_write_imm" },
	{ 0x9207b600, "rtrs_iu_post_send" },
	{ 0x39914307, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c418dc7, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f0de6f8, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeda9ee1a, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x839110b7, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xd3d8b26f, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc546203, "rdma_resolve_route" },
	{ 0x9ae551f3, "rtrs_iu_free" },
	{ 0x484c6deb, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4d390383, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x68dd3e93, "kobj_sysfs_ops" },
	{ 0x6718fc4c, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xbc7f34b1, "rtrs_iu_post_recv" },
	{ 0xb0144b1b, "kobject_init_and_add" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x469ef32d, "sysfs_remove_file_self" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xe7edac6f, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x48837655, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6c3d88cb, "rdma_connect_locked" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3732b432, "rdma_set_reuseaddr" },
	{ 0x2e0caabf, "kobject_create_and_add" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0xae07ba67, "ib_dma_virt_map_sg" },
	{ 0x6f1efc87, "kobject_del" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x983fe517, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8bbe1d6, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x30b5deaf, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3f5e4cbe, "rtrs_cq_qp_create" },
	{ 0x8b8a861e, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x5648d496, "rtrs_init_hb" },
	{ 0xca1422ce, "rdma_consumer_reject_data" },
	{ 0x8068b992, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0x6ef09191, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1b1b5194, "rtrs_iu_alloc" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "SLE15-SP6");
