#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd12f49ab, "regulator_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0x3c99a17e, "i2c_smbus_write_i2c_block_data" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa8b06029, "input_mt_sync_frame" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x3d9c1213, "input_mt_report_slot_state" },
	{ 0xbbc979ce, "devm_input_allocate_device" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe8fb48f8, "devm_device_add_group" },
	{ 0x52dcc479, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0x39470731, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xd888f611, "i2c_smbus_read_block_data" },
	{ 0xd63f7dc9, "i2c_smbus_xfer" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0x71278931, "i2c_register_driver" },
	{ 0xd9105620, "sysfs_unmerge_group" },
	{ 0xe9983781, "_dev_err" },
	{ 0x16325160, "input_mt_init_slots" },
	{ 0xbe87e744, "sysfs_merge_group" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb1bee6, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6dff0040, "input_device_enabled" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xba41129, "input_alloc_absinfo" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0xc7ec1a1e, "i2c_smbus_write_byte_data" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xcb5b5818, "i2c_smbus_read_i2c_block_data" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0x29dea256, "i2c_del_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x45e97478, "i2c_smbus_read_byte_data" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:CYAP0000:*");
MODULE_ALIAS("acpi*:CYAP0001:*");
MODULE_ALIAS("acpi*:CYAP0002:*");
MODULE_ALIAS("i2c:cyapa");

MODULE_INFO(srcversion, "A1D8B20CF43171CA2D1782F");

MODULE_INFO(suserelease, "SLE15-SP6");
