#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85d6fb79, "touchscreen_report_pos" },
	{ 0xd1035be0, "input_mt_report_pointer_emulation" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb8b49e73, "regmap_exit" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x29dea256, "i2c_del_driver" },
	{ 0x3b6a318d, "i2c_client_get_device_id" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x8b5686c, "__regmap_init_i2c" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0x1d1f3d32, "device_get_match_data" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbbc979ce, "devm_input_allocate_device" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0x4297e560, "touchscreen_parse_properties" },
	{ 0x16325160, "input_mt_init_slots" },
	{ 0x6a4ab54a, "irq_get_irq_data" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xe8fb48f8, "devm_device_add_group" },
	{ 0x39470731, "input_register_device" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x18b4c93, "debugfs_create_u16" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb593d4bb, "desc_to_gpio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x91df4b40, "simple_open" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x21b68343, "simple_attr_read" },
	{ 0x21e4de7b, "simple_attr_write" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71278931, "i2c_register_driver" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x547891c, "_dev_warn" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x96848186, "scnprintf" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0xbb1bee6, "input_event" },
	{ 0x3d9c1213, "input_mt_report_slot_state" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");

MODULE_INFO(srcversion, "07AAB1805C46859355EEA1B");

MODULE_INFO(suserelease, "SLE15-SP6");
