#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9f984513, "strrchr" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x31134119, "crypto_alloc_ahash" },
	{ 0x8e7cbb5c, "dm_table_device_name" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x85df9b6c, "strsep" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x612f01c2, "mempool_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd4be04e7, "bioset_init" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf510fb82, "dm_table_get_mode" },
	{ 0xa5bd077d, "dm_get_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8dd737b2, "dm_table_get_md" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0xcbc3a95e, "dm_device_name" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb70c4185, "crypto_shash_digest" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6671503c, "bio_alloc_bioset" },
	{ 0x97d8dcb, "__bio_add_page" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0xd4f308f3, "bio_put" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x13dbd3e5, "bio_alloc_clone" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x67aa282e, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x65b45cb, "complete" },
	{ 0xb7230fb8, "dm_audit_log_bio" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xaaff703b, "bio_associate_blkg" },
	{ 0x99c1d388, "dm_accept_partial_bio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2e55a99, "dm_register_target" },
	{ 0xc6cbae50, "dm_report_zones" },
	{ 0x92997ed8, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x11089ac7, "_ctype" },
	{ 0x975ddd1f, "key_type_trusted" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x76fc5bf4, "request_key_tag" },
	{ 0xa60b94b6, "down_read" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xce761558, "up_read" },
	{ 0xb9d57c36, "key_put" },
	{ 0x1575a819, "key_type_user" },
	{ 0xdcd6a1de, "key_type_logon" },
	{ 0x2bdf56fa, "key_type_encrypted" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96848186, "scnprintf" },
	{ 0xc1f9bad5, "dm_per_bio_data" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x37a0cba, "kfree" },
	{ 0x342e4334, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3de7b714, "bioset_exit" },
	{ 0xaa66eb4b, "mempool_exit" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x6a9e65d8, "dm_put_device" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3f437b2d, "dm_audit_log_ti" },
	{ 0x1000e51, "schedule" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6581fb0b, "dm_submit_bio_remap" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0xc4fbee7, "dm_unregister_target" },
	{ 0xfa28e9d1, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc9f61ee2, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dm-mod");


MODULE_INFO(srcversion, "75AE5A659D5EAAC9C6B44C4");

MODULE_INFO(suserelease, "SLE15-SP6");
