#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(saa7146_vv_init, 0x40a74a7b, "_gpl");
SYMBOL_CRC(saa7146_vv_release, 0xf70471be, "_gpl");
SYMBOL_CRC(saa7146_register_device, 0x0786edc5, "_gpl");
SYMBOL_CRC(saa7146_unregister_device, 0x3548e7cc, "_gpl");
SYMBOL_CRC(saa7146_set_hps_source_and_sync, 0x43ae017e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54985cc5, "vb2_queue_init" },
	{ 0x9874c4ea, "vb2_dma_sg_memops" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0x58a7aa36, "vb2_ioctl_streamoff" },
	{ 0xe794f0af, "vb2_ops_wait_finish" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xc0ef93d8, "vb2_ioctl_querybuf" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x39914307, "__wake_up" },
	{ 0x85b00d6f, "v4l2_fh_open" },
	{ 0xe3cd9b5c, "saa7146_debug" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x9c4b730f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0xc269ddbd, "vb2_plane_cookie" },
	{ 0x96a11d02, "vb2_ioctl_dqbuf" },
	{ 0x52ff01c3, "vb2_ioctl_create_bufs" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xf1dd2dca, "saa7146_pgtable_build_single" },
	{ 0xc90e811a, "vb2_buffer_done" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x54e336dc, "vb2_ioctl_qbuf" },
	{ 0x5db821f7, "vb2_fop_mmap" },
	{ 0x4cc9b6c5, "saa7146_pgtable_alloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xed9bf5c0, "vb2_fop_read" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x52f7367f, "saa7146_pgtable_free" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0x70f980fb, "vb2_ops_wait_prepare" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x355a69de, "vb2_ioctl_streamon" },
	{ 0x88f82397, "vb2_fop_poll" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x3622ab56, "vb2_ioctl_reqbufs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,videodev,saa7146,videobuf2-common");


MODULE_INFO(srcversion, "DCA17FA939F8E63830DE831");

MODULE_INFO(suserelease, "SLE15-SP6");
