#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x890771c2, "input_allocate_device" },
	{ 0x9e89b5de, "dvb_dmxdev_init" },
	{ 0xe75877c0, "fw_iso_context_destroy" },
	{ 0xf2bb376d, "fw_run_transaction" },
	{ 0xb8aace59, "fw_iso_buffer_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x4df02057, "crc32_be" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6f47f89d, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c51f643, "fw_core_remove_address_handler" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x545ff5de, "fw_iso_context_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x69513154, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d32048, "fw_core_add_address_handler" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48d82d, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e615af, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x39470731, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x68f561b2, "dvb_dmx_swfilter_packets" },
	{ 0xf70dbae7, "dvb_generic_ioctl" },
	{ 0xa916b694, "strnlen" },
	{ 0x58a6bf66, "fw_iso_context_queue" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeeaf8a9f, "dvb_dmx_release" },
	{ 0xe9983781, "_dev_err" },
	{ 0x4c0041bf, "dvb_unregister_device" },
	{ 0x79c937a5, "fw_iso_buffer_destroy" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x6ee1b301, "dvb_generic_release" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x41dcff4e, "dvb_net_init" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x1f8d401e, "dvb_dmxdev_release" },
	{ 0x46a692e7, "param_ops_short" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb1bee6, "input_event" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd455fa82, "fw_iso_context_queue_flush" },
	{ 0x1cea4b0f, "fw_iso_context_start" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c9dc3f, "dvb_net_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x96c169d0, "dvb_unregister_frontend" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2398736b, "fw_bus_type" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe1779d68, "dvb_register_device" },
	{ 0x9b75d470, "dvb_register_frontend" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe53f6fc9, "dvb_unregister_adapter" },
	{ 0xd0a6465d, "dvb_dmx_init" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,firewire-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "033DA7A571340092C8BD23E");

MODULE_INFO(suserelease, "SLE15-SP6");
