#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ivtv_ext_init, 0xc6d46599, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xdad050af, "");
SYMBOL_CRC(ivtv_api, 0xd825c9f9, "");
SYMBOL_CRC(ivtv_vapi, 0xcff549a0, "");
SYMBOL_CRC(ivtv_vapi_result, 0xf3f5654f, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x2f66267b, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x0368044e, "");
SYMBOL_CRC(ivtv_udma_setup, 0xfe42d587, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xf751b9fb, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x2697118a, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xd9e20268, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xd822035e, "");
SYMBOL_CRC(ivtv_firmware_check, 0xd17e4854, "");
SYMBOL_CRC(ivtv_claim_stream, 0x4ca0ea26, "");
SYMBOL_CRC(ivtv_release_stream, 0x57dfc713, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x27d07bdb, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xd116a713, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48e9e3e3, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2148fdd5, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2450bb21, "i2c_bit_add_bus" },
	{ 0x341703c2, "v4l2_fh_del" },
	{ 0xd1be8873, "v4l2_i2c_new_subdev_board" },
	{ 0x8660c8bb, "kthread_flush_worker" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5468ea76, "v4l2_fh_add" },
	{ 0x8415c193, "finish_wait" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x637e933e, "unpin_user_pages" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x52dcc479, "i2c_transfer_buffer_flags" },
	{ 0xc713ff86, "v4l2_subdev_init" },
	{ 0x39914307, "__wake_up" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x62f211f, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c561ea7, "v4l2_ctrl_handler_log_status" },
	{ 0xa88942f4, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x70937602, "i2c_new_scanned_device" },
	{ 0xbe6cc02a, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x230d7fbc, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x67293e31, "__v4l2_ctrl_s_ctrl" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd3c90a39, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2cb719e, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x33fcb654, "v4l2_fh_is_singular" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0xb415be67, "v4l2_fh_init" },
	{ 0x70c05f21, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xff397ac6, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x4aa34942, "v4l2_event_subscribe" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xa7309598, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x12b1a025, "param_ops_string" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf9b160e5, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0x392330ec, "v4l2_ctrl_g_ctrl" },
	{ 0x31ebd129, "cx2341x_handler_init" },
	{ 0xa0445f59, "cx2341x_handler_set_50hz" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x787c70f9, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf8174fc5, "v4l2_subdev_call_wrappers" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa59a6dd4, "v4l2_event_queue" },
	{ 0x65d84a88, "v4l2_i2c_new_subdev" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0x3994ec6, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "SLE15-SP6");
