#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x754d539c, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x57ad78fc, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0xd63e7299, "usb_ifnum_to_if" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x39470731, "input_register_device" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0x4996fd72, "rc_register_device" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x1430165c, "usb_register_dev" },
	{ 0xfa1af6, "input_set_abs_params" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9983781, "_dev_err" },
	{ 0x48d82d, "input_free_device" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0xc60b52d1, "rc_free_device" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x1f450c56, "rc_unregister_device" },
	{ 0xe6e0d293, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe072533d, "rc_g_keycode_from_table" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x79e482ac, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbb1bee6, "input_event" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xa04e875e, "rc_keyup" },
	{ 0x547891c, "_dev_warn" },
	{ 0x92997ed8, "_printk" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x65b45cb, "complete" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "SLE15-SP6");
