#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x220b3ef9, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x67d85026, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x29041817, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xc08735e4, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xe87ec279, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x64215b85, "_gpl");
SYMBOL_CRC(is_fw_load, 0x26fa9826, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xcf3f3a2d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x308ec7a8, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xbcdab98a, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x778040f5, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x07c56ed2, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xae949e8b, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x29409f1d, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x9b28d72a, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xb858ff00, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x354bb21f, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xf35f4144, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xed84c523, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x04f6a349, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xf0d409ad, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xd13eada6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54985cc5, "vb2_queue_init" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xd4fb0288, "v4l2_ctrl_poll" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x958bae32, "media_device_unregister" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x58a7aa36, "vb2_ioctl_streamoff" },
	{ 0x6918475, "v4l2_ctrl_radio_filter" },
	{ 0x6f2f5fd7, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xad1ee69f, "v4l2_ctrl_add_handler" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xe794f0af, "vb2_ops_wait_finish" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x99aa03d0, "__media_device_register" },
	{ 0xc0ef93d8, "vb2_ioctl_querybuf" },
	{ 0x52dcc479, "i2c_transfer_buffer_flags" },
	{ 0x39914307, "__wake_up" },
	{ 0x85b00d6f, "v4l2_fh_open" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f74a5c8, "usb_clear_halt" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x9c4b730f, "vb2_fop_release" },
	{ 0xbe6cc02a, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xc6a8bb9a, "media_device_register_entity" },
	{ 0xe396bb02, "media_device_cleanup" },
	{ 0x96a11d02, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe9983781, "_dev_err" },
	{ 0x138c455b, "i2c_unregister_device" },
	{ 0xd3bda221, "usb_free_coherent" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0xc90e811a, "vb2_buffer_done" },
	{ 0x3f96dc56, "vb2_plane_vaddr" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0xab091b28, "media_entity_pads_init" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x54e336dc, "vb2_ioctl_qbuf" },
	{ 0x5db821f7, "vb2_fop_mmap" },
	{ 0xa73faf99, "v4l2_s_ctrl" },
	{ 0x79af994, "i2c_mux_alloc" },
	{ 0x399a059f, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xed9bf5c0, "vb2_fop_read" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x784d2131, "rc_allocate_device" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xfad405d9, "usb_unlink_urb" },
	{ 0x960a8cde, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70f980fb, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x355a69de, "vb2_ioctl_streamon" },
	{ 0x4bc3ed8d, "v4l2_mc_create_media_graph" },
	{ 0x88f82397, "vb2_fop_poll" },
	{ 0x31ebd129, "cx2341x_handler_init" },
	{ 0xa0445f59, "cx2341x_handler_set_50hz" },
	{ 0x7c40ba7f, "__media_device_usb_init" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0x933984d5, "i2c_transfer" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0xc50db3cf, "usb_reset_endpoint" },
	{ 0xc791bc82, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf8174fc5, "v4l2_subdev_call_wrappers" },
	{ 0xe73a4d7, "v4l2_ctrl_log_status" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x65d84a88, "v4l2_i2c_new_subdev" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0x4d481765, "i2c_mux_add_adapter" },
	{ 0x8460de34, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3622ab56, "vb2_ioctl_reqbufs" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "17CC9512E7BFCB0C27C8AAA");

MODULE_INFO(suserelease, "SLE15-SP6");
