#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(go7007_read_interrupt, 0xc1b7be97, "");
SYMBOL_CRC(go7007_read_addr, 0x76c58987, "");
SYMBOL_CRC(go7007_boot_encoder, 0xd5b62172, "");
SYMBOL_CRC(go7007_register_encoder, 0xbce6eed4, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xd24d139e, "");
SYMBOL_CRC(go7007_alloc, 0x2645cab9, "");
SYMBOL_CRC(go7007_update_board, 0xcea43ea1, "");
SYMBOL_CRC(go7007_snd_init, 0x4d39a029, "");
SYMBOL_CRC(go7007_snd_remove, 0xd929f029, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54985cc5, "vb2_queue_init" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x54098d00, "v4l2_device_put" },
	{ 0x58a7aa36, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xd1be8873, "v4l2_i2c_new_subdev_board" },
	{ 0xd1f4bb83, "snd_card_free" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xe794f0af, "vb2_ops_wait_finish" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0ef93d8, "vb2_ioctl_querybuf" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x85b00d6f, "v4l2_fh_open" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x30f445b9, "video_devdata" },
	{ 0x9c4b730f, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0x82aee40d, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x32fd25e8, "__v4l2_ctrl_grab" },
	{ 0x96a11d02, "vb2_ioctl_dqbuf" },
	{ 0xe9983781, "_dev_err" },
	{ 0x4ca753c0, "v4l2_ctrl_new_custom" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x7dc27f36, "snd_card_free_when_closed" },
	{ 0xc90e811a, "vb2_buffer_done" },
	{ 0x3f96dc56, "vb2_plane_vaddr" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4aa34942, "v4l2_event_subscribe" },
	{ 0x54e336dc, "vb2_ioctl_qbuf" },
	{ 0x5db821f7, "vb2_fop_mmap" },
	{ 0xe6c1fb37, "snd_device_new" },
	{ 0x399a059f, "vb2_vmalloc_memops" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xa7309598, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xed9bf5c0, "vb2_fop_read" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x224dc668, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0x70f980fb, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x355a69de, "vb2_ioctl_streamon" },
	{ 0x88f82397, "vb2_fop_poll" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0x392330ec, "v4l2_ctrl_g_ctrl" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0xf8174fc5, "v4l2_subdev_call_wrappers" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0xe73a4d7, "v4l2_ctrl_log_status" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa59a6dd4, "v4l2_event_queue" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd7cdc3a0, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x3622ab56, "vb2_ioctl_reqbufs" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "SLE15-SP6");
