#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0xd4fb0288, "v4l2_ctrl_poll" },
	{ 0xcc32dfc7, "video_ioctl2" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x6f2f5fd7, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5468ea76, "v4l2_fh_add" },
	{ 0x8415c193, "finish_wait" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xfc998703, "v4l2_ctrl_handler_init_class" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa88942f4, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0x1432240d, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x30f445b9, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x7ad2f431, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd3bda221, "usb_free_coherent" },
	{ 0x9b6642f, "v4l2_fh_release" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x35cf5ccd, "v4l2_ctrl_subscribe_event" },
	{ 0xb415be67, "v4l2_fh_init" },
	{ 0x2497ed8d, "video_unregister_device" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xa7a8aac9, "v4l2_device_disconnect" },
	{ 0xa7309598, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x24cd3b1, "v4l2_device_register" },
	{ 0xdf7afe56, "i2c_add_adapter" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf04459, "v4l2_ctrl_activate" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x827c56bc, "__video_register_device" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x4e4e0bd6, "v4l2_ctrl_new_std" },
	{ 0xa0b2a7ae, "v4l2_ctrl_handler_free" },
	{ 0xc83f6e4c, "v4l2_device_unregister" },
	{ 0xe73a4d7, "v4l2_ctrl_log_status" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x3994ec6, "v4l2_ctrl_cluster" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x50b3aad7, "v4l2_event_unsubscribe" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");

MODULE_INFO(suserelease, "SLE15-SP6");
