#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(video_device_alloc, 0x6dc3b2f9, "");
SYMBOL_CRC(video_device_release, 0xce0e0797, "");
SYMBOL_CRC(video_device_release_empty, 0xd7cdc3a0, "");
SYMBOL_CRC(video_devdata, 0x30f445b9, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x827c56bc, "");
SYMBOL_CRC(video_unregister_device, 0x2497ed8d, "");
SYMBOL_CRC(video_device_pipeline_start, 0x99308fca, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x13456495, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xa9a1f9c4, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x700ae4d4, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xba7cd5f7, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xc53ee472, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xcc32dfc7, "");
SYMBOL_CRC(v4l2_device_register, 0x024cd3b1, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x54098d00, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x02cb719e, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xa7a8aac9, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xc83f6e4c, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x062f211f, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xdf076173, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xe5f64168, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0xb415be67, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x5468ea76, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x85b00d6f, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x341703c2, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x48e9e3e3, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x09b6642f, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x33fcb654, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x615e54e7, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xa59a6dd4, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x09457693, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x70c05f21, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x411ee452, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x4aa34942, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x9baf4782, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x50b3aad7, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x33a9d82c, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x33a378c7, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x1aa92c57, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xf8174fc5, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x46c4d8f0, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x23dc3deb, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xa7d59f10, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xe4b7e1e8, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x10a012d5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x5365338f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x512a3c57, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x573598aa, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xe10c0643, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x1fe4fdb7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xb6231e7f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x85632cfd, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xb91bcd0f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xdedc1426, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x9ddfdf1c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x61b2ecbc, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xa82074e4, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x1b19f6b5, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xc8c20a5f, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xf78a3887, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xc713ff86, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x19fb4745, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x65d68e3d, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xb45f863f, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x812b2146, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xadd762fe, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x28b12cc9, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xf20aba79, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x7358294f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xd30fd18e, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x4b082a8d, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xe75f8ef2, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x5311d63e, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xfc998703, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xa0b2a7ae, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x0298fb33, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x4ca753c0, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x4e4e0bd6, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xa7309598, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x924275e6, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xb6e065d0, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xf6178b41, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xad1ee69f, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x06918475, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x03994ec6, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xee51e762, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x00f04459, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x32fd25e8, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x681bb02b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xa88942f4, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x8c561ea7, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xc146543f, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x3e71332a, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x3289a4f0, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x91e91f94, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x749b0519, "");
SYMBOL_CRC(v4l2_s_ctrl, 0xa73faf99, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x392330ec, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x3c54562c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x67293e31, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xd2e10660, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x9cdda5f2, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x36b824a7, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xb6476cd6, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x903b6ce8, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xa6779d34, "");
SYMBOL_CRC(v4l2_queryctrl, 0xfd3ba47b, "");
SYMBOL_CRC(v4l2_querymenu, 0x79669c95, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x0e73a4d7, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x8b03ff5f, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xb6004728, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x35cf5ccd, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x42d61efe, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xd4fb0288, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x97ccc2ac, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x88ba08b3, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xe502479e, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xa46c8ea2, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x7e5d4093, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x4bc3ed8d, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x17d74a12, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x3487b734, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xc6a830d4, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0xc9382565, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xd44572f3, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xd2e7c6e1, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xa8dc7cbf, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x6aa29208, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xbb98a675, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xc49b6146, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x21f9815d, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x7f5d6bc7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x28b83b63, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xc3f598b7, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xd4a71edf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x029dc4a6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x4f014754, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x1c31ab2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x696b57dd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdc4a86e4, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x4559fd38, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x6f6aa3d4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x455fe691, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0xba547b9f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xd1be8873, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x65d84a88, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xdb4751c7, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a943f79, "media_devnode_remove" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x2f6d68e8, "media_request_object_find" },
	{ 0x800055e3, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb8ed0c1, "led_sysfs_enable" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe819242, "fwnode_graph_get_remote_endpoint" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x2517bfcc, "spi_unregister_device" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x75539a2e, "media_request_object_unbind" },
	{ 0xb4da7a3e, "led_put" },
	{ 0xe36f2269, "led_trigger_remove" },
	{ 0xc4797e32, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x7b9d6e2f, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa193d3f, "fwnode_graph_get_port_parent" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddc0d15b, "media_create_intf_link" },
	{ 0x7e99cc, "media_create_pad_link" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd442e233, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb3c09d75, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0x70937602, "i2c_new_scanned_device" },
	{ 0x2ffbf1a0, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8984c81, "media_request_object_put" },
	{ 0xdaba41ff, "module_put" },
	{ 0x2a8b55c1, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc6a8bb9a, "media_device_register_entity" },
	{ 0x2056469b, "media_request_get_by_fd" },
	{ 0x5063406f, "cdev_add" },
	{ 0xc336fc3b, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x138c455b, "i2c_unregister_device" },
	{ 0x1439f953, "media_request_put" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x7512fa1b, "spi_new_device" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3c48b5a3, "media_request_object_bind" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x23ff11b5, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x813e2c7a, "i2c_new_client_device" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x32b081a9, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa657a69a, "media_pipeline_start" },
	{ 0x50505fa3, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x77c7dbdb, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb93a47b9, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa16529ec, "led_set_brightness" },
	{ 0x9648bdc2, "media_graph_walk_start" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x86b54ab1, "media_devnode_create" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xccba35bf, "media_entity_get_fwnode_pad" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x4cc51943, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x40dbf6e7, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0x6ddf72e2, "led_sysfs_disable" },
	{ 0xb3d819b7, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfad9cac5, "cdev_alloc" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "52B6961BD31BE1DA4779252");

MODULE_INFO(suserelease, "SLE15-SP6");
