#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x50b1b0d9, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xe2fa0cdb, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x05afce3d, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xa1139a9b, "");
SYMBOL_CRC(mpt_halt_firmware, 0x15b7a406, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xab52fe48, "");
SYMBOL_CRC(mpt_attach, 0x9d2211cb, "");
SYMBOL_CRC(mpt_detach, 0x67ca5d5b, "");
SYMBOL_CRC(mpt_resume, 0xd24757ca, "");
SYMBOL_CRC(mpt_suspend, 0x264c4be4, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x98ef9729, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xfb3621c5, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xeb8a7699, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x0838da6f, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xfa8bbe92, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x9b12cf51, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xf5b79e76, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x5ed2e05b, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xacb40a93, "");
SYMBOL_CRC(mpt_verify_adapter, 0xd28c8d69, "");
SYMBOL_CRC(mpt_GetIocState, 0x901f7e91, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x4fbb4f82, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x8b6a0b16, "");
SYMBOL_CRC(mpt_config, 0x954682f0, "");
SYMBOL_CRC(mpt_findImVolumes, 0xc0108d6c, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x2ebf0c2f, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xa533b49c, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x42996391, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x621e47b0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5792f848, "strlcpy" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xc39dde79, "proc_create_single_data" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xcb77a338, "pci_stop_and_remove_bus_device_locked" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x727a4498, "pci_select_bars" },
	{ 0x2d9ad4bf, "pci_enable_device_mem" },
	{ 0xad3c8dfd, "pci_request_selected_regions" },
	{ 0x2b39be8, "dma_get_required_mask" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x71eeaf82, "pci_release_selected_regions" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x8f25fa65, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4c18b455, "pci_disable_msi" },
	{ 0x15249daf, "pci_choose_state" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0xe501f479, "seq_putc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0xdd69df0, "pci_enable_msi" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5da82bd3, "pci_get_slot" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xd8011a35, "pci_enable_wake" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x537e017e, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "49188D2294F61ABCE9750C6");

MODULE_INFO(suserelease, "SLE15-SP6");
