#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x866b5cb, "mptscsih_remove" },
	{ 0x2f8c8b97, "fc_remote_port_delete" },
	{ 0x954682f0, "mpt_config" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3a6c3cce, "scsi_is_fc_rport" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0xb94dbd19, "mptscsih_qcmd" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2605faaa, "mptscsih_ioc_reset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2aad1533, "mptscsih_event_process" },
	{ 0x9d2211cb, "mpt_attach" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd1e98c80, "mptscsih_bus_reset" },
	{ 0xd26e6f2c, "mptscsih_dev_reset" },
	{ 0xc0b0f389, "mptscsih_abort" },
	{ 0x1f3fc147, "fc_remote_port_add" },
	{ 0xa749af91, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xe8d26a32, "mptscsih_suspend" },
	{ 0xb5b21cec, "mptscsih_resume" },
	{ 0xea80783f, "mptscsih_shutdown" },
	{ 0xca13a72e, "mptscsih_info" },
	{ 0xaab2c2eb, "mptscsih_host_reset" },
	{ 0x7f8dc8a0, "mptscsih_slave_configure" },
	{ 0x8d66fd00, "mptscsih_slave_destroy" },
	{ 0x50a4dc7a, "mptscsih_change_queue_depth" },
	{ 0x46c349d1, "mptscsih_bios_param" },
	{ 0x34e28cf9, "mptscsih_show_info" },
	{ 0x2a88bee3, "fc_eh_timed_out" },
	{ 0x211999b0, "mptscsih_host_attr_groups" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd7802932, "fc_attach_transport" },
	{ 0x4fedfdb0, "mptscsih_io_done" },
	{ 0x98ef9729, "mpt_register" },
	{ 0x91aba91, "mptscsih_taskmgmt_complete" },
	{ 0x911b02a3, "mptscsih_scandv_complete" },
	{ 0xfb3621c5, "mpt_event_register" },
	{ 0xeb8a7699, "mpt_reset_register" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x7d4bd3b1, "fc_release_transport" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xae98f37d, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mptscsih,scsi_transport_fc,mptbase,scsi_mod");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "SLE15-SP6");
