#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(madera_name_from_type, 0xebe384cb, "_gpl");
SYMBOL_CRC(madera_pm_ops, 0x41c78f9a, "_gpl");
SYMBOL_CRC(madera_of_match, 0x0f379262, "_gpl");
SYMBOL_CRC(madera_dev_init, 0x324cfdc1, "_gpl");
SYMBOL_CRC(madera_dev_exit, 0x360ca4fc, "_gpl");
SYMBOL_CRC(cs47l15_patch, 0x140c0dbf, "_gpl");
SYMBOL_CRC(cs47l15_16bit_spi_regmap, 0x14b5e95b, "_gpl");
SYMBOL_CRC(cs47l15_16bit_i2c_regmap, 0x578d2817, "_gpl");
SYMBOL_CRC(cs47l15_32bit_spi_regmap, 0x14b8351b, "_gpl");
SYMBOL_CRC(cs47l15_32bit_i2c_regmap, 0x5780f457, "_gpl");
SYMBOL_CRC(cs47l35_patch, 0x6f7088b9, "_gpl");
SYMBOL_CRC(cs47l35_16bit_spi_regmap, 0xde7b9fd7, "_gpl");
SYMBOL_CRC(cs47l35_16bit_i2c_regmap, 0x9d435e9b, "_gpl");
SYMBOL_CRC(cs47l35_32bit_spi_regmap, 0xde764397, "_gpl");
SYMBOL_CRC(cs47l35_32bit_i2c_regmap, 0x9d4e82db, "_gpl");
SYMBOL_CRC(cs47l85_patch, 0x1f315d65, "_gpl");
SYMBOL_CRC(cs47l85_16bit_spi_regmap, 0xec0904af, "_gpl");
SYMBOL_CRC(cs47l85_16bit_i2c_regmap, 0xaf31c5e3, "_gpl");
SYMBOL_CRC(cs47l85_32bit_spi_regmap, 0xec04d8ef, "_gpl");
SYMBOL_CRC(cs47l85_32bit_i2c_regmap, 0xaf3c19a3, "_gpl");
SYMBOL_CRC(cs47l90_patch, 0x04741c56, "_gpl");
SYMBOL_CRC(cs47l90_16bit_spi_regmap, 0xb7e4b253, "_gpl");
SYMBOL_CRC(cs47l90_16bit_i2c_regmap, 0xf4dc731f, "_gpl");
SYMBOL_CRC(cs47l90_32bit_spi_regmap, 0xb7e96e13, "_gpl");
SYMBOL_CRC(cs47l90_32bit_i2c_regmap, 0xf4d1af5f, "_gpl");
SYMBOL_CRC(cs47l92_patch, 0xc9dab49c, "_gpl");
SYMBOL_CRC(cs47l92_16bit_spi_regmap, 0xc350b4a2, "_gpl");
SYMBOL_CRC(cs47l92_16bit_i2c_regmap, 0x806875ee, "_gpl");
SYMBOL_CRC(cs47l92_32bit_spi_regmap, 0xc35d68e2, "_gpl");
SYMBOL_CRC(cs47l92_32bit_i2c_regmap, 0x8065a9ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd12f49ab, "regulator_enable" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0xcde4898c, "regulator_get" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf31fe9aa, "gpiod_set_raw_value_cansleep" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x69c8a61f, "regulator_put" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x6b4a2c74, "regulator_bulk_disable" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x530272bf, "mfd_add_devices" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9330f63, "devm_clk_bulk_get_optional" },
	{ 0xf211404d, "regulator_bulk_enable" },
	{ 0xede8b412, "devm_regulator_bulk_get" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6bb47780, "mfd_remove_devices" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x5abb1118, "regmap_register_patch" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xb251cf7e, "mfd_remove_devices_late" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("of:N*T*Ccirrus,cs47l15");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l15C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93C*");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840C*");

MODULE_INFO(srcversion, "0A34865CB839847238E9CAD");

MODULE_INFO(suserelease, "SLE15-SP6");
