#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtsx_pci_start_run, 0x80b6a13a, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xf6f4edb2, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xcfc2a467, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x20fa5bbc, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x2b5ce68c, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x73df40f8, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0xc077cb20, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x3d94f312, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x2ca07b6c, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x02420700, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x0b044404, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x7a9deac1, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x81ca9602, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x359dd1bf, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xece94b9d, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x831499a1, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x8539084f, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xbf57db4e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x2a02b495, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x31e4764f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x7eca8b1e, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x162fe724, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x2883558f, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xf4623dc5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x31d28e20, "pci_find_ext_capability" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4c18b455, "pci_disable_msi" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc924721b, "pm_schedule_suspend" },
	{ 0x1d00bdf4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdd69df0, "pci_enable_msi" },
	{ 0xe9983781, "_dev_err" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x954f099c, "idr_preload" },
	{ 0x67bebca7, "pcie_capability_clear_and_set_word_locked" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x530272bf, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19b445, "ioread8" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x6bb47780, "mfd_remove_devices" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");

MODULE_INFO(suserelease, "SLE15-SP6");
