#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x79d31e96, "_gpl");
SYMBOL_CRC(mei_reset, 0x2d1e4951, "_gpl");
SYMBOL_CRC(mei_start, 0x042e7b36, "_gpl");
SYMBOL_CRC(mei_restart, 0xce24cfd3, "_gpl");
SYMBOL_CRC(mei_stop, 0xf77f30ca, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x248915df, "_gpl");
SYMBOL_CRC(mei_device_init, 0xafcd3f75, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x09a0213d, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x781f709e, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x7f8a1dc7, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xa84f69bd, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x17b34d6a, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x1dde526b, "_gpl");
SYMBOL_CRC(mei_register, 0xd239f1c8, "_gpl");
SYMBOL_CRC(mei_deregister, 0x92179000, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xa023c0a5, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0x9d4af248, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x1426407c, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xcf9ec8a0, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0x2f5650e0, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xa51f2220, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xfb338150, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0xcff3a43d, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x3bcb9192, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xc108512f, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x740e83a5, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x30de7626, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x2c1dddf1, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x3d826af4, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x54928178, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xc9cea309, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x41d9db38, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xf92d9ea3, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x1f6fd9fd, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x54cdfec5, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x24257942, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x8283c017, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xfa482d01, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x56da86f6, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x203949bf, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x78ec6810, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0xaccbee13, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x6403b2ef, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x599745cd, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xbbefaf8b, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xf67b8623, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x420ec02a, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xef75274f, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb739b47, "kill_fasync" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x56fb53c1, "debugfs_read_file_bool" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x82340a63, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xca7b5461, "debugfs_write_file_bool" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xdaba41ff, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0x5063406f, "cdev_add" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0x91df4b40, "simple_open" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf5876759, "fasync_helper" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe7edac6f, "device_del" },
	{ 0x84962937, "dmam_free_coherent" },
	{ 0x547891c, "_dev_warn" },
	{ 0x3be69928, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x761e322b, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x6ca9bfda, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1EAE0A883760A3A2E5B2C84");

MODULE_INFO(suserelease, "SLE15-SP6");
