#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(gru_create_message_queue, 0x8dc51bdd, "_gpl");
SYMBOL_CRC(gru_send_message_gpa, 0xeed7d505, "_gpl");
SYMBOL_CRC(gru_free_message, 0xd3d2bf04, "_gpl");
SYMBOL_CRC(gru_get_next_message, 0x5b8bb699, "_gpl");
SYMBOL_CRC(gru_read_gpa, 0xde08c325, "_gpl");
SYMBOL_CRC(gru_copy_gpa, 0x9c7283a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa86cfb5, "uv_possible_blades" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x299c0d98, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfe82a0a6, "mmu_notifier_get_locked" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x503c48e2, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5d9317d7, "uv_teardown_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x39b6dbb1, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xc897367d, "zap_vma_ptes" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x1a568136, "remove_proc_subtree" },
	{ 0x4c04334a, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa1ca74f0, "__tracepoint_mmap_lock_released" },
	{ 0x9493fc86, "node_states" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5ab892d, "uv_undefined" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8ad5ceb1, "__uv_hub_info_list" },
	{ 0x7245c9d9, "get_user_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x618911fc, "numa_node" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5b7fed47, "find_vma" },
	{ 0x67dcd76b, "uv_setup_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x9d0e983, "mmu_notifier_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa50bcff0, "x86_cpu_to_apicid" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x18a114a2, "misc_register" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xf3189f7e, "__uv_cpu_info" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x1b9661b7, "down_write_trylock" },
	{ 0xa60b94b6, "down_read" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xa2b6f20e, "__mmap_lock_do_trace_start_locking" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66028965, "__tracepoint_mmap_lock_start_locking" },
	{ 0x3274205c, "__folio_put" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x634d289e, "__mmap_lock_do_trace_released" },
	{ 0x12e285ec, "is_uv_system" },
	{ 0x18c788bb, "downgrade_write" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x1c839999, "proc_create_seq_private" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x359d3062, "mtree_load" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "57883ABF7A3B3F5ABFE22F2");

MODULE_INFO(suserelease, "SLE15-SP6");
