#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ubi_do_get_device_info, 0xb55614c0, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x1e9fbc3f, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x826c9387, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x4e570324, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xcd350512, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x119199d1, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x385dcbea, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x19206a4d, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x0620f5ee, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x97fe9d64, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x9345df8e, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x047fbc6a, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x2ecc1a2f, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x762dfb0b, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc7edf2be, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x266ad31c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x58892e26, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf382cbfe, "get_mtd_device_nm" },
	{ 0x48cbda9, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x27f93a46, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9f995ee, "get_mtd_device" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xcc4eb0a6, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0x5063406f, "cdev_add" },
	{ 0xc0872966, "mtd_block_markbad" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x91df4b40, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3aaf5a3c, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1f6c7346, "put_mtd_device" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbd1e4b8a, "mtd_read" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xb6e7631b, "freezing_slow_path" },
	{ 0x32b081a9, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x6b2d0c5f, "kern_path" },
	{ 0x18a114a2, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x25e39e8e, "mtd_erase" },
	{ 0x1b9661b7, "down_write_trylock" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x60ea35f7, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xd3264ac8, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9b03f0b2, "mtd_get_device_size" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35de9455, "seq_open" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x28b5b0e2, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "AF3EFD6480BCB98B1712D85");

MODULE_INFO(suserelease, "SLE15-SP6");
