#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1732fd56, "skb_checksum" },
	{ 0x6a17bdbe, "__ip_select_ident" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x96c8f834, "ip_local_out" },
	{ 0xa483c048, "make_kuid" },
	{ 0xca606480, "dst_release" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xced7b354, "gro_cells_init" },
	{ 0x507459df, "__iptunnel_pull_header" },
	{ 0x52de2288, "__netif_rx" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0xa45e1498, "gro_cells_receive" },
	{ 0x5d20e8b9, "icmp_ndo_send" },
	{ 0xea4fa1fe, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe64f5ec8, "ip_mc_check_igmp" },
	{ 0xb02f5dc8, "ipv6_mc_check_mld" },
	{ 0x19a6ea1c, "udp_tunnel_xmit_skb" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x88a40c7f, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xe92bce64, "skb_push" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6731D473FBA41ECA0A2DFF9");

MODULE_INFO(suserelease, "SLE15-SP6");
