#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(b53_imp_vlan_setup, 0x8c058842, "");
SYMBOL_CRC(b53_enable_port, 0x7b4f91db, "");
SYMBOL_CRC(b53_disable_port, 0xc799d3f7, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x0e22b51e, "");
SYMBOL_CRC(b53_configure_vlan, 0x79c29625, "");
SYMBOL_CRC(b53_get_strings, 0x26dc3599, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x3669d1d3, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x62e98a7b, "");
SYMBOL_CRC(b53_get_sset_count, 0xaf8da081, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xcda1d838, "");
SYMBOL_CRC(b53_port_event, 0xfcfe39f1, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x5cab27b5, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x0bba56a7, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0x24f8b7e1, "");
SYMBOL_CRC(b53_vlan_filtering, 0xea197274, "");
SYMBOL_CRC(b53_vlan_add, 0x108f74a9, "");
SYMBOL_CRC(b53_vlan_del, 0x652d0f05, "");
SYMBOL_CRC(b53_fdb_add, 0x9505e671, "");
SYMBOL_CRC(b53_fdb_del, 0xfac143eb, "");
SYMBOL_CRC(b53_fdb_dump, 0x5ad3f8c3, "");
SYMBOL_CRC(b53_mdb_add, 0x2737b070, "");
SYMBOL_CRC(b53_mdb_del, 0xdc9f1a32, "");
SYMBOL_CRC(b53_br_join, 0xfb65c7e4, "");
SYMBOL_CRC(b53_br_leave, 0x19e7eb44, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x641c054c, "");
SYMBOL_CRC(b53_br_fast_age, 0x2f102aea, "");
SYMBOL_CRC(b53_br_flags_pre, 0x92d76fab, "");
SYMBOL_CRC(b53_br_flags, 0x418a3699, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xf9dcedc8, "");
SYMBOL_CRC(b53_mirror_add, 0xa7b71954, "");
SYMBOL_CRC(b53_mirror_del, 0x29441bdf, "");
SYMBOL_CRC(b53_eee_enable_set, 0x9c8fac4c, "");
SYMBOL_CRC(b53_eee_init, 0x29fd3084, "");
SYMBOL_CRC(b53_get_mac_eee, 0x680ebbb0, "");
SYMBOL_CRC(b53_set_mac_eee, 0x11a52e86, "");
SYMBOL_CRC(b53_switch_alloc, 0x39ba1c98, "");
SYMBOL_CRC(b53_switch_detect, 0x5c869540, "");
SYMBOL_CRC(b53_switch_register, 0xc668120d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x761c5c26, "dsa_devlink_resource_register" },
	{ 0x69af7f60, "dsa_devlink_resources_unregister" },
	{ 0x3f7d97e5, "dsa_devlink_resource_occ_get_register" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf196827c, "mdiobus_get_phy" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3be16910, "phy_ethtool_get_strings" },
	{ 0xc71d329d, "phy_ethtool_get_stats" },
	{ 0xf28f4895, "phy_ethtool_get_sset_count" },
	{ 0x547891c, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4dc89f25, "dsa_port_phylink_mac_change" },
	{ 0x75693b3c, "phy_init_eee" },
	{ 0xe9983781, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x23aefb9, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x920ad410, "gpio_to_desc" },
	{ 0x4eff8bee, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D27254F7E47886E2FBD1823");

MODULE_INFO(suserelease, "SLE15-SP6");
