#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a9f190a, "ksz_switch_remove" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xbd0fb12f, "ksz_switch_alloc" },
	{ 0x1d1f3d32, "device_get_match_data" },
	{ 0xff7e39f, "__devm_regmap_init_spi" },
	{ 0x7333a6f4, "spi_setup" },
	{ 0x1b4bd0f0, "ksz_switch_register" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x239e1787, "ksz_switch_chips" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc978d250, "__spi_register_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x127d1312, "dsa_switch_shutdown" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ksz_switch,regmap-spi,dsa_core");

MODULE_ALIAS("spi:ksz8765");
MODULE_ALIAS("spi:ksz8794");
MODULE_ALIAS("spi:ksz8795");
MODULE_ALIAS("spi:ksz8863");
MODULE_ALIAS("spi:ksz8873");
MODULE_ALIAS("spi:ksz9477");
MODULE_ALIAS("spi:ksz9896");
MODULE_ALIAS("spi:ksz9897");
MODULE_ALIAS("spi:ksz9893");
MODULE_ALIAS("spi:ksz9563");
MODULE_ALIAS("spi:ksz8563");
MODULE_ALIAS("spi:ksz9567");
MODULE_ALIAS("spi:lan9370");
MODULE_ALIAS("spi:lan9371");
MODULE_ALIAS("spi:lan9372");
MODULE_ALIAS("spi:lan9373");
MODULE_ALIAS("spi:lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8765C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8794C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8795C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8863C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8873C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9477C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9896C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9897C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9893C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz8563C*");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567");
MODULE_ALIAS("of:N*T*Cmicrochip,ksz9567C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9370C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9371C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9372C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9373C*");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374");
MODULE_ALIAS("of:N*T*Cmicrochip,lan9374C*");

MODULE_INFO(srcversion, "CFC1E4B0DF564660DBC326E");

MODULE_INFO(suserelease, "SLE15-SP6");
