#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pdsc_get_pf_struct, 0x48d2ea67, "_gpl");
SYMBOL_CRC(pds_client_register, 0x027577d7, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x6d08e638, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0xcfbdd9e6, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x764a6c4a, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x117a5fd8, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa9e491a9, "auxiliary_device_init" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xec4b3e29, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x18b4c93, "debugfs_create_u16" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xebafef40, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0x5e7eca64, "pci_sriov_get_totalvfs" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x27f93a46, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25ef940c, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x328a250b, "priv_to_devlink" },
	{ 0xcc4eb0a6, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x36604a69, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x12589a25, "debugfs_create_regset32" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb9847d7c, "devl_health_reporter_create" },
	{ 0x64d40201, "pci_iov_vf_id" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0x259c8929, "pci_iomap_range" },
	{ 0xfd833bb5, "devlink_flash_update_timeout_notify" },
	{ 0xe9983781, "_dev_err" },
	{ 0x57d78c81, "init_net" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x344f9bde, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xf7694cc2, "devl_params_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8f7c3b23, "debugfs_create_ulong" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe7edac6f, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x547891c, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0x10d350ce, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd88d15e6, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x2fce60b7, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xd3264ac8, "blocking_notifier_chain_unregister" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0x199c15f4, "pcie_print_link_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0x8c55e976, "pci_disable_sriov" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x991780e6, "devl_register" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x23caa518, "pci_enable_sriov" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfa45ae15, "pci_iov_get_pf_drvdata" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E24848224CC34FC22A3A3CF");

MODULE_INFO(suserelease, "SLE15-SP6");
