#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x9f9739cb, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xd599c602, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x87b844da, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xde8000cf, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xb8f3b555, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc36c4a1, "__tracepoint_xdp_exception" },
	{ 0x715f75af, "xsk_tx_completed" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0xbf5495e5, "flow_block_cb_lookup" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xe5e04dfc, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbefcfad0, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcddebd7b, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x31d28e20, "pci_find_ext_capability" },
	{ 0xbdc99f0a, "kthread_create_worker" },
	{ 0x248e0751, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3368e371, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8f155f60, "devlink_unregister" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x11e71619, "kthread_cancel_delayed_work_sync" },
	{ 0xdb8e5b33, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x6d4b7427, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0x81992466, "__napi_alloc_skb" },
	{ 0x63b1ca7e, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0xa9e491a9, "auxiliary_device_init" },
	{ 0x2d9ad4bf, "pci_enable_device_mem" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x9223e028, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x9361d82, "flow_rule_match_l2tpv3" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0xf6710d65, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x769e651e, "xsk_tx_peek_release_desc_batch" },
	{ 0x632237d9, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xec4b3e29, "devl_lock" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0x4aa59a4b, "xp_fill_cb" },
	{ 0x3d64d60d, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5ec3452, "ndo_dflt_bridge_getlink" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0x5d4f5f08, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x93465d64, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc3685cee, "xdp_features_set_redirect_target" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7408283b, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x8fd561d5, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0xb0287e4a, "flow_rule_match_cvlan" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xebafef40, "devlink_params_unregister" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x8e6e81ab, "gnss_insert_raw" },
	{ 0xdbdcedc4, "pci_num_vf" },
	{ 0x64b926, "flow_rule_match_eth_addrs" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x9e4dd344, "get_device_system_crosststamp" },
	{ 0xecec5d3e, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8545abe9, "ptp_clock_index" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x804e357b, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0x2186e4db, "devl_rate_leaf_destroy" },
	{ 0xf99caa3b, "devlink_register" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x96c47339, "xdp_do_redirect" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x7906f333, "devl_rate_node_create" },
	{ 0x68646245, "netdev_warn" },
	{ 0x59258da, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x35733872, "devl_rate_nodes_destroy" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xb6b4ed94, "flow_rule_match_ipv4_addrs" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x3a022bcd, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x9d25ec47, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x5bda3fea, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x25ef940c, "devlink_flash_update_status_notify" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x78eab7ef, "pci_restore_msi_state" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x400054fc, "xdp_return_buff" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xd7bf3cd2, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x1b8179cb, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1096306b, "auxiliary_driver_unregister" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xd02ef7d3, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x328a250b, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5137865f, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x18bc3aa1, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x5c17e654, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0x9c2fb540, "ipv6_skip_exthdr" },
	{ 0x3b958d87, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c920d34, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x74618271, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x86bd44b9, "__hw_addr_unsync_dev" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0x26f89cec, "xdp_features_clear_redirect_target" },
	{ 0xdd0cc202, "netdev_pick_tx" },
	{ 0x8f8e2946, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x11ba9f08, "xp_raw_get_dma" },
	{ 0x441f1588, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6104019c, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc7db2b3a, "xdp_rxq_info_is_reg" },
	{ 0x8fd1e6ab, "flow_rule_match_enc_opts" },
	{ 0x57e5a8ca, "flow_block_cb_setup_simple" },
	{ 0x48388cef, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x75ce4639, "flow_rule_match_basic" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x349ed0d0, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20c838cb, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6963533e, "devlink_region_create" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x37071a14, "devm_kmemdup" },
	{ 0x53136362, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xad9f9188, "devlink_port_unregister" },
	{ 0xfd833bb5, "devlink_flash_update_timeout_notify" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x57d78c81, "init_net" },
	{ 0xd0d526fe, "softnet_data" },
	{ 0x91df4b40, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5d341545, "xdp_return_frame" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x73bcdbe1, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x76645ce7, "xp_dma_sync_for_cpu_slow" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x344f9bde, "__auxiliary_device_add" },
	{ 0x2c69e778, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd231bdbb, "xa_load" },
	{ 0x5b549514, "netif_set_real_num_rx_queues" },
	{ 0x250a4afa, "flow_indr_block_cb_alloc" },
	{ 0x5e97b8ba, "pci_wait_for_pending_transaction" },
	{ 0x5ab25a3e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x881956da, "pci_device_is_present" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x7f3521bc, "pcie_flr" },
	{ 0x620bd378, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x8cc9da07, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xbcc1c307, "dcbnl_ieee_notify" },
	{ 0x63f1258b, "xsk_uses_need_wakeup" },
	{ 0x3389a614, "register_netdev" },
	{ 0x8cdf5806, "dev_mc_del" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x6365d173, "free_netdev" },
	{ 0x99f75057, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x7e99b5a3, "netdev_dpll_pin_set" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x5146732d, "netif_set_xps_queue" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4cf6d9dc, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x73d84cbd, "netif_tx_stop_all_queues" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe7edac6f, "device_del" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x92b8be0a, "dcb_getapp" },
	{ 0x84962937, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x6a9e8e1f, "flow_rule_match_ports" },
	{ 0xc65b83ec, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5f25adef, "ptp_clock_event" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xc64dcca2, "netif_schedule_queue" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x49a3a011, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xddd04d19, "flow_rule_match_ipv6_addrs" },
	{ 0xdc65b261, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xf927fd7, "ptp_clock_unregister" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x141ffe33, "xp_dma_unmap" },
	{ 0x27cef4c1, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x31eb6cd8, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd88d15e6, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x6082105, "flow_rule_match_pppoe" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x5e39bf47, "flow_rule_match_enc_control" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x18a1fe43, "__page_frag_cache_drain" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x489dbca4, "gnss_deregister_device" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x96ef80e2, "rps_may_expire_flow" },
	{ 0xb60e0c9, "metadata_dst_free" },
	{ 0x1643b984, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc54744a3, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x54c47047, "devlink_params_register" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x356b93e6, "kthread_destroy_worker" },
	{ 0x8924110, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbb7d4935, "flow_rule_match_enc_ports" },
	{ 0x3d176bbc, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x73439409, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae367003, "xa_destroy" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x199c15f4, "pcie_print_link_status" },
	{ 0xac1afff, "xp_set_rxq_info" },
	{ 0xecf9c44c, "flow_rule_match_vlan" },
	{ 0xf2abcd8c, "xdp_rxq_info_unreg" },
	{ 0xe1667e9c, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa74c6668, "napi_build_skb" },
	{ 0xe9d92e87, "netdev_master_upper_dev_get_rcu" },
	{ 0x40ba344c, "__xdp_rxq_info_reg" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x9ceecbac, "dpll_pin_register" },
	{ 0x6d313ce0, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x8b5d7892, "__hw_addr_sync_dev" },
	{ 0x7ffb1489, "devlink_port_register_with_ops" },
	{ 0x8c55e976, "pci_disable_sriov" },
	{ 0xa2d966, "pldmfw_flash_image" },
	{ 0xf4ceb83d, "kthread_queue_delayed_work" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0xca606480, "dst_release" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x92025bd6, "netdev_set_num_tc" },
	{ 0xfbb796f6, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b504e85, "dev_uc_add_excl" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xfc5a0ed7, "xp_free" },
	{ 0x2e9c2a32, "dev_mc_add_excl" },
	{ 0xbf79aad5, "gnss_put_device" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xe55c5a30, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc712325d, "netif_set_tso_max_size" },
	{ 0x9e968764, "__skb_flow_dissect" },
	{ 0x7344e9ae, "vlan_dev_vlan_id" },
	{ 0x30486241, "pci_msix_alloc_irq_at" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x1f951530, "pcim_iomap_table" },
	{ 0x8ff16174, "xdp_master_redirect" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0xbf5b9b6e, "dpll_pin_on_pin_register" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x85592f4c, "napi_consume_skb" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0xe2047a46, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xe9c4b604, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe10885c2, "flow_rule_match_control" },
	{ 0x158f9bb4, "flow_rule_match_ip" },
	{ 0x23caa518, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf6cd2ffe, "dpll_device_get" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4c25f07e, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6cedf5f6, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D2CE6333447233B74A23ABF");

MODULE_INFO(suserelease, "SLE15-SP6");
