#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x40c754b7, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xe8811077, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x00cc3576, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x11a2b732, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x53afacdc, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x748b1a27, "");
SYMBOL_CRC(mlx5_cmd_check, 0x92069da8, "");
SYMBOL_CRC(mlx5_cmd_do, 0xf446e751, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x6695c24d, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x4cb91748, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xbaf0dc7c, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x59007d4b, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xac727316, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xe6b4c2ef, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x0a2803ca, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x55d0e0cd, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x3a103efe, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x9055f603, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x7de073df, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xc718ef5e, "");
SYMBOL_CRC(mlx5_eq_enable, 0xf6e0cb49, "");
SYMBOL_CRC(mlx5_eq_disable, 0xbf4e9511, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xb46c6524, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x324483e5, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x16bb447f, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x8ba8c448, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x0eb774db, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x55c44686, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x946ae0e3, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xe15eb125, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xe4b0f406, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x375a02b4, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xb1de9475, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xcaecfdd8, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xb72c560c, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x5bd01cef, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x43f5c56d, "");
SYMBOL_CRC(mlx5_create_cq, 0x814db514, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xcc46eccb, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x68aee680, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa3983b31, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xcc4ec9a8, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x975a8803, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xe6b9cb32, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xa9d3a87e, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x220522db, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x671c4842, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x19e82414, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xd496f957, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x41c30445, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xfd39446d, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x3158c7e5, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x36a89f00, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xe72916f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xdb2666f8, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xa91e23f1, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x072fabdf, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x5f5af0fd, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xfe8b4ae1, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xfc553221, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x81e9c47e, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x612dc5a1, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x474d0414, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xf1ecef7c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x01fc57dc, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xc01a9d90, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xf8ec1a65, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x46f7abbe, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xc59cd225, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x1f42c9c2, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xc468a480, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x854e278f, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x943ce098, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x58d60715, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x616515b6, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xec61f377, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x368c4da7, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4123b765, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x5ab7fb89, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xdb004962, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x115f1f9d, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xe62e086a, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x8e950916, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x4c1b6e69, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xc3904a80, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xc359bc4b, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x515fa9c8, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x8abb70ab, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x5f570ee4, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xf6dccb3d, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xf8d46c11, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xc93d482b, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x67f86918, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xe408692d, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xaa88ece9, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xd080431a, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x85aabeed, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xd9d9c219, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xf99f8bb7, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xddff53ea, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xde72c91c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xb4e656e4, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x1fb537c2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xcd821048, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x050ef7db, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xe9740c2d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x240f62ea, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x13e6ef69, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x6af97ccd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xd01ccf4e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x7ca349cd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xd0d0cfb0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x87167ac8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x0982b5b1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xa0e7ffb3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x2dfc08d6, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xc337186b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xedf0d35c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xfbcb79c5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x2cef6e79, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x27dc7667, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xefcbce84, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x1a783789, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xc4ea48c8, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xdaddcbac, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xb74b019a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x3ce7c129, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x019c2f4a, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x84112bd1, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x73b4ecd6, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xe8b07c47, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x93cad1b0, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd527e624, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x90d04229, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x36ed0bf3, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x8d238ffb, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xd8a8b734, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x7713dd08, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xb15614a8, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x8074f2e8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x31627058, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x0d99d47b, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xc7916f41, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xb9fd4891, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x820d86d7, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xa99b93ef, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x43f43f30, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x65ad20aa, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x580c4380, "");
SYMBOL_CRC(mlx5_msix_free, 0xd5e99782, "");
SYMBOL_CRC(mlx5_fc_create, 0x089399ec, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xbd4a53b2, "");
SYMBOL_CRC(mlx5_fc_query, 0x4e628ce1, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xce5b6462, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x88fbca91, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xc92cf5b8, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xc77d6179, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x10f239cd, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x5fb952dc, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x5b46c7d9, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xd74d5f6d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xe63dcd23, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xa75a7d2f, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xd00aae88, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x15056ddb, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xcc7bdd90, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x56371959, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xdfbd8009, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xf364bf9c, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x567c8b93, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xac2c491e, "");
SYMBOL_CRC(mlx5_notifier_register, 0x153f5bc7, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x91ee9c17, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xa6c8cade, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x8de6252a, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xf8d97303, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x9eae4c22, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xce259a79, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x7f577374, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xee4978b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xec313cfc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xa060c298, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x475dcf77, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x611cb746, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x0974755b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x8fa63926, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x5afedc09, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xc18f830a, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x26b28ee5, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x5abe94f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x689b34c9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x33bf7591, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xffda51e0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x012930c8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xaa44cd55, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x964363ff, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x98d2880c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xe816f3ad, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x7b7d3d10, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xfa938cb8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x5dc4f81b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x22f525c5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4f41870e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x92def1e1, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x8e1edd65, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xd325ac45, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xc9e9e871, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xf521af7c, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xbd6463a5, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x41f8f08c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x42f3fe58, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xe866bfc7, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xdf3b25b1, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x4fb0c2d0, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x266773a5, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x8db9043e, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x5b02670e, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x6834098f, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x9942d941, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xa8f38d5e, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x2a312104, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xb95bf571, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x73a194ca, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x551bace9, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xa0b5ffec, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x6c428685, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x72c2cda5, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xf5733d66, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xaec132a6, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xd4fb5265, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xfddb25c6, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x10791106, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xfb391de4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c55e976, "pci_disable_sriov" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xcf191255, "down_trylock" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x2900e2f4, "register_netdevice_notifier_dev_net" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x8ff16174, "xdp_master_redirect" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdc65b261, "netdev_set_tc_queue" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x141ffe33, "xp_dma_unmap" },
	{ 0x82969740, "page_pool_create" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x869ae105, "devl_trap_groups_unregister" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x7ffb1489, "devlink_port_register_with_ops" },
	{ 0xf927fd7, "ptp_clock_unregister" },
	{ 0xcac5c394, "page_pool_update_nid" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0xe575a990, "xdp_set_features_flag" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x3d83cb3f, "devl_traps_unregister" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x7f52071a, "net_dim" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c920d34, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x5d35db9, "pci_cfg_access_unlock" },
	{ 0x8aace221, "debugfs_create_atomic_t" },
	{ 0x4cf6d9dc, "__SCK__tp_func_xdp_exception" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0x85eb738e, "xa_get_mark" },
	{ 0x5ec3452, "ndo_dflt_bridge_getlink" },
	{ 0xff77d1fc, "bpf_trace_run7" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd191c2e5, "pci_find_capability" },
	{ 0xdc95491f, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf82afea4, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0x715f75af, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa11fee04, "xsk_clear_tx_need_wakeup" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x75ce4639, "flow_rule_match_basic" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0xc7db2b3a, "xdp_rxq_info_is_reg" },
	{ 0x24d273d1, "add_timer" },
	{ 0x73419800, "debugfs_create_size_t" },
	{ 0xd9d9b062, "radix_tree_delete" },
	{ 0xcc36c4a1, "__tracepoint_xdp_exception" },
	{ 0xb60e0c9, "metadata_dst_free" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x328a250b, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x266ad31c, "seq_release" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x490ccf62, "dev_get_port_parent_id" },
	{ 0xfa45ae15, "pci_iov_get_pf_drvdata" },
	{ 0xad9f9188, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf2820810, "debugfs_create_u8" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xa74c6668, "napi_build_skb" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x649f6f7d, "xa_set_mark" },
	{ 0x5f25adef, "ptp_clock_event" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x565581a, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3d64d60d, "bpf_warn_invalid_xdp_action" },
	{ 0x68646245, "netdev_warn" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbde29378, "devl_assert_locked" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x547891c, "_dev_warn" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x9505aea8, "netif_carrier_event" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x35733872, "devl_rate_nodes_destroy" },
	{ 0x67fbca9e, "xp_raw_get_data" },
	{ 0x57cd9a12, "flow_rule_match_icmp" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0xa4a7f65f, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x5d87c987, "devl_trap_groups_register" },
	{ 0x50eecef8, "xfrm_replay_seqhi" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x648c2d36, "rhltable_init" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x92025bd6, "netdev_set_num_tc" },
	{ 0xe115f044, "psample_sample_packet" },
	{ 0x30486241, "pci_msix_alloc_irq_at" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xed260874, "xdp_rxq_info_unused" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xcc4eb0a6, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xf1b11c6e, "register_fib_notifier" },
	{ 0x70de3e8b, "devlink_port_attrs_pci_sf_set" },
	{ 0x671e9c6d, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xce761558, "up_read" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x96ef80e2, "rps_may_expire_flow" },
	{ 0xd4107f3f, "up_write" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xa7c234bc, "devl_resource_register" },
	{ 0x3d176bbc, "xdp_return_frame_bulk" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xc712325d, "netif_set_tso_max_size" },
	{ 0xe55c5a30, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x57e5a8ca, "flow_block_cb_setup_simple" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe10885c2, "flow_rule_match_control" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x40261124, "__neigh_event_send" },
	{ 0x166b1481, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x1643b984, "xsk_set_tx_need_wakeup" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x6a4ab54a, "irq_get_irq_data" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xae367003, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf5495e5, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf7694cc2, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x466a81e9, "xdp_convert_zc_to_xdp_frame" },
	{ 0x35de9455, "seq_open" },
	{ 0x5e7eca64, "pci_sriov_get_totalvfs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0x681952a3, "devlink_port_attrs_pci_vf_set" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2b4a54ba, "xfrm_state_check_expire" },
	{ 0x8fd1e6ab, "flow_rule_match_enc_opts" },
	{ 0x32a460e8, "down" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x912423dd, "radix_tree_lookup" },
	{ 0xf99caa3b, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x65b45cb, "complete" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x67bebca7, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0x586e91c0, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x64d40201, "pci_iov_vf_id" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0x81992466, "__napi_alloc_skb" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x37a0cba, "kfree" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x10d350ce, "devl_params_unregister" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xecec5d3e, "devlink_port_attrs_set" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x70354513, "flow_rule_match_meta" },
	{ 0x5cf6b519, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x9f42aba7, "sock_gen_put" },
	{ 0x4b3f8107, "bpf_prog_add" },
	{ 0xecf9c44c, "flow_rule_match_vlan" },
	{ 0x5a963254, "neigh_lookup" },
	{ 0x8f8e2946, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x57d78c81, "init_net" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe043fe64, "bpf_prog_inc" },
	{ 0xfc771d26, "atomic_notifier_call_chain" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x5d1b19d3, "dev_get_iflink" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xcddebd7b, "flow_rule_match_enc_keyid" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x1b3ae258, "register_netdevice_notifier_net" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5e39bf47, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0x618911fc, "numa_node" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x13ece6e9, "pcie_bandwidth_available" },
	{ 0x57dcd3d2, "ptp_find_pin" },
	{ 0x96c47339, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x96e50968, "pci_msix_vec_count" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x70bfe3a2, "page_pool_get_stats" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa60b94b6, "down_read" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x199c15f4, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf46e349f, "devl_port_health_reporter_create" },
	{ 0xf64b668e, "kmalloc_node_trace" },
	{ 0xcd8a08fd, "devl_nested_devlink_set" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x6361e01c, "tls_get_record" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x117a5fd8, "devl_unregister" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe9d92e87, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xbe30e8d2, "devl_port_unregister" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x301573e5, "debugfs_create_u64" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xc64dcca2, "netif_schedule_queue" },
	{ 0x49c8a12c, "free_fib_info" },
	{ 0x16a20055, "netdev_port_same_parent_id" },
	{ 0x64b926, "flow_rule_match_eth_addrs" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x75b05e8f, "__xa_set_mark" },
	{ 0x804e357b, "xp_can_alloc" },
	{ 0x3368e371, "xp_dma_map" },
	{ 0x6a54502, "__xa_alloc" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5d341545, "xdp_return_frame" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf2380d8a, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x275e29a3, "devl_param_driverinit_value_get" },
	{ 0x84445f59, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0x90fe132a, "unregister_fib_notifier" },
	{ 0x8924110, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x76b52ce7, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x535461c6, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8f155f60, "devlink_unregister" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xd231bdbb, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb0287e4a, "flow_rule_match_cvlan" },
	{ 0x5146732d, "netif_set_xps_queue" },
	{ 0xd88d15e6, "devl_unlock" },
	{ 0xd0d526fe, "softnet_data" },
	{ 0x42f76e14, "idr_get_next_ul" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x12e6ca2a, "__neigh_create" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0x73bcdbe1, "ptp_clock_register" },
	{ 0x2186e4db, "devl_rate_leaf_destroy" },
	{ 0x8545abe9, "ptp_clock_index" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0x4ab2fef4, "devl_port_fn_devlink_set" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x85592f4c, "napi_consume_skb" },
	{ 0x7df29a7d, "netdev_printk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdd0cc202, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf31c4530, "page_pool_alloc_pages" },
	{ 0x686075a9, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x8ec84efd, "arp_tbl" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd7bf3cd2, "xdp_rxq_info_reg_mem_model" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xf1315fdf, "udp4_hwcsum" },
	{ 0x991780e6, "devl_register" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc54744a3, "netdev_reset_tc" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x3389a614, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbfc97bdc, "up" },
	{ 0xa9e491a9, "auxiliary_device_init" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x27f93a46, "blocking_notifier_chain_register" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0x76645ce7, "xp_dma_sync_for_cpu_slow" },
	{ 0xbefcfad0, "devl_rate_leaf_create" },
	{ 0x158f9bb4, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0x5b549514, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8cc9da07, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe377d34e, "page_pool_put_unrefed_page" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xddd04d19, "flow_rule_match_ipv6_addrs" },
	{ 0xe5e04dfc, "xp_dma_sync_for_device_slow" },
	{ 0xc5d40937, "devlink_trap_report" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x1096306b, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x63f1258b, "xsk_uses_need_wakeup" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf7fac9d3, "devl_traps_register" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xca606480, "dst_release" },
	{ 0xe92bce64, "skb_push" },
	{ 0xe7edac6f, "device_del" },
	{ 0x9ab1e254, "radix_tree_insert" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x5b9280eb, "xsk_tx_release" },
	{ 0x75cd3ac, "vlan_dev_vlan_proto" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xf35a784a, "__inet6_lookup_established" },
	{ 0xd9d8496a, "idr_alloc_u32" },
	{ 0x1b9661b7, "down_write_trylock" },
	{ 0x11ba9f08, "xp_raw_get_dma" },
	{ 0x93cacdc1, "down_write" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xe9c4b604, "dcb_ieee_delapp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3b958d87, "xsk_set_rx_need_wakeup" },
	{ 0xd3264ac8, "blocking_notifier_chain_unregister" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x441f1588, "eth_get_headlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0x347b7105, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0x23caa518, "pci_enable_sriov" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0x8377cccc, "devlink_net" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x53136362, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2eaf34aa, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa94e6a0c, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5583c983, "devl_resources_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6b4ed94, "flow_rule_match_ipv4_addrs" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xd6389f5c, "devlink_health_reporter_create" },
	{ 0xd9617f4c, "xsk_tx_peek_desc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x91df4b40, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x35f160a4, "devl_port_register_with_ops" },
	{ 0x40ba344c, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x97eff737, "flow_block_cb_alloc" },
	{ 0x7344e9ae, "vlan_dev_vlan_id" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xfc5a0ed7, "xp_free" },
	{ 0xf2abcd8c, "xdp_rxq_info_unreg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x204c3394, "pcie_relaxed_ordering_enabled" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x29c39ce0, "devl_param_driverinit_value_set" },
	{ 0xf9df9410, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x6365d173, "free_netdev" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x63b1ca7e, "flow_indr_dev_register" },
	{ 0x6a9e8e1f, "flow_rule_match_ports" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0x48388cef, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0xec4b3e29, "devl_lock" },
	{ 0x250a4afa, "flow_indr_block_cb_alloc" },
	{ 0x344f9bde, "__auxiliary_device_add" },
	{ 0xd4f4f332, "rhashtable_free_and_destroy" },
	{ 0xf4463800, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x59258da, "udp_tunnel_nic_ops" },
	{ 0xac1afff, "xp_set_rxq_info" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0xfebee860, "__inet_lookup_established" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9223e028, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xbb7d4935, "flow_rule_match_enc_ports" },
	{ 0x9e968764, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x9bef077c, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x620bd378, "napi_enable" },
	{ 0xe109e6fd, "unregister_netdevice_notifier_dev_net" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0x2335f151, "atomic_notifier_chain_register" },
	{ 0x392e033a, "dev_printk_emit" },
	{ 0x22de2b9, "flow_block_cb_free" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x4c6be7c6, "devlink_remote_reload_actions_performed" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xdbdcedc4, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x4c25f07e, "dcb_ieee_setapp" },
	{ 0xb9847d7c, "devl_health_reporter_create" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x248e0751, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0xb4c0969a, "secpath_set" },
	{ 0x80dc2329, "qdisc_reset" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0xe2047a46, "xp_alloc_batch" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x673c5e0c, "tls_validate_xmit_skb" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8f16efa7, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "psample,pci-hyperv-intf,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1AB743E8A67B0E1DCB0DC6");

MODULE_INFO(suserelease, "SLE15-SP6");
