#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ks8851_suspend, 0x8bd828ee, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x4d760f46, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0xe07989fe, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xa05d5b83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x68e0f114, "mii_ethtool_set_link_ksettings" },
	{ 0xe8c0e242, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xbbb99797, "mii_link_ok" },
	{ 0xbcd4a588, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1b9dad72, "mdiobus_unregister" },
	{ 0xecda5aa6, "mdiobus_free" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0xb30f1700, "regulator_disable" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0xb68e66c, "gpiod_set_consumer_name" },
	{ 0x103d16f4, "devm_regulator_get" },
	{ 0xd12f49ab, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8601ac28, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac0e55f5, "__mdiobus_register" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3389a614, "register_netdev" },
	{ 0xe9983781, "_dev_err" },
	{ 0x68646245, "netdev_warn" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7db8015, "mii_check_link" },
	{ 0x91105eb8, "netdev_err" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0xd3608d1e, "generic_mii_ioctl" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mii,eeprom_93cx6,libphy");


MODULE_INFO(srcversion, "44111B8BEBE190F6978715B");

MODULE_INFO(suserelease, "SLE15-SP6");
