#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocelot_mact_learn, 0x2536bb36, "");
SYMBOL_CRC(ocelot_mact_forget, 0x710cdc61, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x05cd7db1, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xacf7c21e, "");
SYMBOL_CRC(ocelot_pll5_init, 0x1a8e350d, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xc31a1dfa, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x82efb47e, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x283917b2, "");
SYMBOL_CRC(ocelot_vlan_add, 0xd9bbd963, "");
SYMBOL_CRC(ocelot_vlan_del, 0x7f520f98, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xede56f24, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xd0801f00, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xa79ccc3a, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x6fd70f92, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x1b35cd9b, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0xad00238d, "");
SYMBOL_CRC(ocelot_can_inject, 0x49bea4e1, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x75fc6b5e, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x7a951f94, "");
SYMBOL_CRC(ocelot_fdb_add, 0x2447e2ed, "");
SYMBOL_CRC(ocelot_fdb_del, 0xb1979858, "");
SYMBOL_CRC(ocelot_mact_flush, 0x1ad3f152, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xe97d8b27, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x9df9f283, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x7f754f46, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xf0e34e6f, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x93ca37c9, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x7e7e13f1, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xc4a4aae6, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xcbd8dba4, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x99f81d6a, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xa9702164, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x8d5ff814, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x3be0dea5, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x325d0992, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x5b222bd9, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xb04738e7, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x9aef0d20, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x232d4c21, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x96518745, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x895739af, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x9282ffb5, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xdb4dc4cb, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x3d6c3dde, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x03bc6b78, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x0ed59f2e, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x7b6beddd, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x21b37ca6, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xf92a4934, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0xe1d26887, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x81537de1, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x37ddf6f7, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xb96fda52, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x32d1e6d6, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x2e244e61, "");
SYMBOL_CRC(ocelot_reset, 0xb1cf20bf, "");
SYMBOL_CRC(ocelot_init, 0xb99046f2, "");
SYMBOL_CRC(ocelot_deinit, 0xa1f79f61, "");
SYMBOL_CRC(ocelot_deinit_port, 0x9fd71416, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x285bada4, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x61fd557e, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xd63bcf39, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x460b364f, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x3026df90, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x8afaa379, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x9cfbf98b, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xa150eca3, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x8b10b14d, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x79964e85, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x245bb500, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xe59b76a0, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x97a99809, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x437a837c, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xc0821a39, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x0611a174, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x20ce56a9, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x51a3a9cc, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xe88c0968, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xa5a7ccdd, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xb3288d6c, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xa39a0c37, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x4c6c6ad6, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xfbb116db, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xf7a67ff0, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x01f762ea, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xc5275f82, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xccb72632, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x4d4380db, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x31a2dca5, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x5dafeb58, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x541cf3d3, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xa2b77b2d, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x31a40398, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x073d86d2, "");
SYMBOL_CRC(ocelot_ptp_enable, 0xc21e9725, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x3703e13c, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x36fe606c, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x83ec74a0, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xf794eeac, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x6be98683, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x4cec2889, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xe4b522a4, "");
SYMBOL_CRC(ocelot_get_strings, 0xda2482bd, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xd5dca1f9, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x92cbe78b, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x4df0ae69, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xa1b61624, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x5cd136fb, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0xa3144663, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x98461b77, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x377ff226, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x5199e3da, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x90b709ed, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xaf4059e9, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xd892071b, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x743d7924, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xea74d0d3, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x749f72cb, "");
SYMBOL_CRC(ocelot_mrp_del, 0xc1d01584, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x12f3f098, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x41046933, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9994a91, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0x9b202437, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f886f2d, "skb_clone_sk" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6734e574, "regmap_fields_update_bits_base" },
	{ 0x64b926, "flow_rule_match_eth_addrs" },
	{ 0x8545abe9, "ptp_clock_index" },
	{ 0x920eebc1, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb6b4ed94, "flow_rule_match_ipv4_addrs" },
	{ 0x84750f9a, "regmap_field_update_bits_base" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ba9feff, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x57dcd3d2, "ptp_find_pin" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x51441e08, "ethtool_aggregate_pause_stats" },
	{ 0x9afa55b2, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x11c5f2a8, "regmap_fields_read" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x2f8fea3a, "regmap_field_read" },
	{ 0x2a1581e2, "devm_regmap_field_alloc" },
	{ 0xaec30677, "ptp_classify_raw" },
	{ 0x75ce4639, "flow_rule_match_basic" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x73bcdbe1, "ptp_clock_register" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xc5f20999, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x2d533ac, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x547891c, "_dev_warn" },
	{ 0x6a9e8e1f, "flow_rule_match_ports" },
	{ 0xc171edeb, "__devm_regmap_init_mmio_clk" },
	{ 0xbacefcd3, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc65b261, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf927fd7, "ptp_clock_unregister" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x1e7cd55c, "of_phy_get" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6df41d52, "phy_set_mode_ext" },
	{ 0xc54744a3, "netdev_reset_tc" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c99d67f, "devm_ioremap_resource" },
	{ 0xe18276d4, "ethtool_aggregate_rmon_stats" },
	{ 0xecf9c44c, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x70354513, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92025bd6, "netdev_set_num_tc" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x5e484cfc, "devlink_sb_unregister" },
	{ 0xe10885c2, "flow_rule_match_control" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "bridge,libphy,regmap-mmio");


MODULE_INFO(srcversion, "204625A76B0F7E0467C7CC4");

MODULE_INFO(suserelease, "SLE15-SP6");
