#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wx_intr_enable, 0x7721cd72, "");
SYMBOL_CRC(wx_irq_disable, 0xfa4fa260, "");
SYMBOL_CRC(wx_check_flash_load, 0xb1fe2bde, "");
SYMBOL_CRC(wx_control_hw, 0x6167f6c3, "");
SYMBOL_CRC(wx_mng_present, 0xb0087e7b, "");
SYMBOL_CRC(wx_host_interface_command, 0xcfbf5cbc, "");
SYMBOL_CRC(wx_read_ee_hostif, 0xb5827d81, "");
SYMBOL_CRC(wx_read_ee_hostif_buffer, 0x5bf076c5, "");
SYMBOL_CRC(wx_reset_hostif, 0xfffc6ff1, "");
SYMBOL_CRC(wx_init_eeprom_params, 0xfc34c4a9, "");
SYMBOL_CRC(wx_get_mac_addr, 0x5cb9a74d, "");
SYMBOL_CRC(wx_init_rx_addrs, 0x7cd0b204, "");
SYMBOL_CRC(wx_mac_set_default_filter, 0x83cdf11f, "");
SYMBOL_CRC(wx_flush_sw_mac_table, 0xd45de029, "");
SYMBOL_CRC(wx_set_mac, 0xfd505449, "");
SYMBOL_CRC(wx_disable_rx, 0xc5b890b7, "");
SYMBOL_CRC(wx_set_rx_mode, 0x2e81567b, "");
SYMBOL_CRC(wx_change_mtu, 0x65632482, "");
SYMBOL_CRC(wx_disable_rx_queue, 0x912ce06a, "");
SYMBOL_CRC(wx_configure, 0x366b9d29, "");
SYMBOL_CRC(wx_disable_pcie_master, 0xffcc634b, "");
SYMBOL_CRC(wx_stop_adapter, 0x163901ed, "");
SYMBOL_CRC(wx_reset_misc, 0x2d2ce908, "");
SYMBOL_CRC(wx_get_pcie_msix_counts, 0x3ef25fb9, "");
SYMBOL_CRC(wx_sw_init, 0x29a5b2f2, "");
SYMBOL_CRC(wx_xmit_frame, 0xd7f405ef, "");
SYMBOL_CRC(wx_napi_enable_all, 0x2c6e452f, "");
SYMBOL_CRC(wx_napi_disable_all, 0x65625ca2, "");
SYMBOL_CRC(wx_reset_interrupt_capability, 0x3a216c69, "");
SYMBOL_CRC(wx_clear_interrupt_scheme, 0x6845d7be, "");
SYMBOL_CRC(wx_init_interrupt_scheme, 0x19272e35, "");
SYMBOL_CRC(wx_msix_clean_rings, 0x4b3398bd, "");
SYMBOL_CRC(wx_free_irq, 0xf9d3b290, "");
SYMBOL_CRC(wx_setup_isb_resources, 0x9e4c786c, "");
SYMBOL_CRC(wx_free_isb_resources, 0xad4b683a, "");
SYMBOL_CRC(wx_misc_isb, 0xc74d7fa1, "");
SYMBOL_CRC(wx_configure_vectors, 0x1c6e3542, "");
SYMBOL_CRC(wx_clean_all_rx_rings, 0x7be7ab4b, "");
SYMBOL_CRC(wx_clean_all_tx_rings, 0x95846970, "");
SYMBOL_CRC(wx_free_resources, 0xb8ae13eb, "");
SYMBOL_CRC(wx_setup_resources, 0x0a29d983, "");
SYMBOL_CRC(wx_get_stats64, 0x34495aef, "");
SYMBOL_CRC(wx_get_drvinfo, 0x4394f0ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x81992466, "__napi_alloc_skb" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x347b7105, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf92ae400, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x441f1588, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd191c2e5, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd0d526fe, "softnet_data" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x620bd378, "napi_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x82969740, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x792d68f6, "pci_alloc_irq_vectors_affinity" },
	{ 0xc64dcca2, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xf31c4530, "page_pool_alloc_pages" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x277f9e47, "__napi_schedule_irqoff" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x85592f4c, "napi_consume_skb" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe377d34e, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4255C52ABCA2238060B3CF");

MODULE_INFO(suserelease, "SLE15-SP6");
