#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipvlan_count_rx, 0x770b514a, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x781a791a, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x8f8d3412, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x081146ae, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xfd6079ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf60aae43, "__do_once_done" },
	{ 0xa9a0cd9c, "ip6_route_input_lookup" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x40ef7041, "dev_pre_changeaddr_notify" },
	{ 0xa1525b5b, "dev_mc_sync" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0xc6ac6aa9, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xcf581953, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x1d8984d9, "dev_uc_sync" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x3c795b9f, "netif_inherit_tso_max" },
	{ 0x864bfcf, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xab58e50f, "dev_uc_unsync" },
	{ 0x843e3f04, "ether_setup" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0x3e1cc109, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7cfd33cf, "eth_header_cache_update" },
	{ 0xa26d0983, "nf_register_net_hooks" },
	{ 0x701e72d5, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcf9cb4b2, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8809ecd9, "netif_stacked_transfer_operstate" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x6aaa95ec, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xadd6b6bb, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x771bd0a9, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70b375fb, "vlan_vid_add" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0x3abc7b8f, "vlan_vid_del" },
	{ 0x71f8c913, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x38efc576, "skb_clone" },
	{ 0xca606480, "dst_release" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96c8f834, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xb4816c58, "dev_mc_unsync" },
	{ 0xe5e52bb6, "dev_change_flags" },
	{ 0x37279fa2, "netdev_core_stats_inc" },
	{ 0xdb99e904, "dev_forward_skb" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D823DC1F35A7669BA92EB5D");

MODULE_INFO(suserelease, "SLE15-SP6");
