#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x51a113cd, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x920e19eb, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xe75c7be9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x8809ecd9, "netif_stacked_transfer_operstate" },
	{ 0xa45e1498, "gro_cells_receive" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0xd095029b, "skb_trim" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe92bce64, "skb_push" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x5d96a29a, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc402a5d9, "skb_to_sgvec" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xced7b354, "gro_cells_init" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x38efc576, "skb_clone" },
	{ 0x52de2288, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0x28af4eef, "linkwatch_fire_event" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xca606480, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xa1525b5b, "dev_mc_sync" },
	{ 0x1d8984d9, "dev_uc_sync" },
	{ 0x71f8c913, "dev_set_allmulti" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa171522f, "dev_uc_add" },
	{ 0x8fd561d5, "dev_uc_del" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xb4816c58, "dev_mc_unsync" },
	{ 0xab58e50f, "dev_uc_unsync" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C926E3BBFB47903E3AB32B");

MODULE_INFO(suserelease, "SLE15-SP6");
