#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_del_queues, 0xa420918e, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x3341fa9a, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xb0cd2374, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xdd6fcace, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x5123606c, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xba08b1d5, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x69013223, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x8357ccdc, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x0410df3e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x91105eb8, "netdev_err" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xb1a5a4b3, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x69350dba, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34f2e61c, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x98228215, "dev_set_mac_address_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x39914307, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x759899cf, "cdev_init" },
	{ 0x5063406f, "cdev_add" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x71b46367, "sock_init_data_uid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x8415c193, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0xb80cabd9, "iov_iter_advance" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe92bce64, "skb_push" },
	{ 0x9917eb55, "__skb_gso_segment" },
	{ 0x18bc3aa1, "skb_checksum_help" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x4bb4f012, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xfdd8b0d, "zerocopy_sg_from_iter" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x6ef3b74e, "skb_copy_datagram_from_iter" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9e968764, "__skb_flow_dissect" },
	{ 0xed8ad346, "skb_partial_csum_set" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x6a33d891, "build_skb" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
