#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x7458f79b, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xff541b43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x71b46367, "sock_init_data_uid" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x69bfb4ec, "sk_filter_trim_cap" },
	{ 0xf8cc0a4d, "skb_tx_error" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf59f3af4, "__cant_migrate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x3e7aa34f, "__skb_get_hash_symmetric" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd0ac2530, "skb_copy_ubufs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xc7db2b3a, "xdp_rxq_info_is_reg" },
	{ 0x60a2e31, "netif_set_real_num_tx_queues" },
	{ 0x5b549514, "netif_set_real_num_rx_queues" },
	{ 0x40ba344c, "__xdp_rxq_info_reg" },
	{ 0xd7bf3cd2, "xdp_rxq_info_reg_mem_model" },
	{ 0x620bd378, "napi_enable" },
	{ 0x7ede3c7b, "sk_attach_filter" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0xf2abcd8c, "xdp_rxq_info_unreg" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0xdaba41ff, "module_put" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x9093ef97, "get_net_ns" },
	{ 0xf4a6208c, "open_related_ns" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfb400715, "__dev_get_by_name" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x9d25ec47, "netdev_state_change" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x98228215, "dev_set_mac_address_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0x843e3f04, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0x873ab638, "netdev_update_features" },
	{ 0xa483c048, "make_kuid" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0xb4dd2aa8, "from_kgid" },
	{ 0x34f2e61c, "dev_get_mac_address" },
	{ 0xdca48449, "ip_tunnel_header_ops" },
	{ 0xbecd0535, "call_netdevice_notifiers" },
	{ 0x6365d173, "free_netdev" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x6a33d891, "build_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0xb80cabd9, "iov_iter_advance" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x91105eb8, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe2cbc4ef, "sock_recv_errqueue" },
	{ 0x96c47339, "xdp_do_redirect" },
	{ 0x3d64d60d, "bpf_warn_invalid_xdp_action" },
	{ 0xcc36c4a1, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc8285b41, "xdp_return_frame_rx_napi" },
	{ 0x466a81e9, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x981b77fe, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1158c3be, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x8ff16174, "xdp_master_redirect" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0xfdd8b0d, "zerocopy_sg_from_iter" },
	{ 0xed8ad346, "skb_partial_csum_set" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6ef3b74e, "skb_copy_datagram_from_iter" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9e968764, "__skb_flow_dissect" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x5c1a26c2, "napi_get_frags" },
	{ 0xf70bd27e, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x507ccc57, "do_xdp_generic" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xe92bce64, "skb_push" },
	{ 0x441f1588, "eth_get_headlen" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0xd2d11dc8, "napi_gro_frags" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0x18a1fe43, "__page_frag_cache_drain" },
	{ 0xa5203b45, "passthru_features_check" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0x4cf6d9dc, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x5d341545, "xdp_return_frame" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf5876759, "fasync_helper" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x8209c79f, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x60d8d1ca, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x311472c6, "from_kgid_munged" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd265938a, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x73d84cbd, "netif_tx_stop_all_queues" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x54579323, "sk_detach_filter" },
	{ 0x93792161, "release_sock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x855a2bb0, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x18a114a2, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7c10c4fe, "__wake_up_sync_key" },
	{ 0xcb739b47, "kill_fasync" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x37279fa2, "netdev_core_stats_inc" },
	{ 0x248e0751, "bpf_prog_put" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BB3FC8A413689C2866983B");

MODULE_INFO(suserelease, "SLE15-SP6");
