#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xd47e808e, "usb_driver_set_configuration" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0xc5f72f0c, "usbnet_read_cmd_nopm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x81f25b02, "usb_autopm_get_interface" },
	{ 0x1c665759, "usb_autopm_put_interface" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0xfff09cda, "usbnet_resume" },
	{ 0x7235d955, "usbnet_suspend" },
	{ 0xbc27510c, "usbnet_probe" },
	{ 0x9ef71baa, "usbnet_disconnect" },
	{ 0x5ce50502, "usbnet_open" },
	{ 0x45f1ffab, "usbnet_stop" },
	{ 0x694bbd, "usbnet_start_xmit" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xfcbe2373, "usbnet_tx_timeout" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x75dc558e, "usbnet_get_msglevel" },
	{ 0xd88d41ca, "usbnet_set_msglevel" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe92bce64, "skb_push" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xd095029b, "skb_trim" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xf2252caa, "usbnet_skb_return" },
	{ 0x657376d, "usbnet_write_cmd_async" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2ec6e33, "usbnet_read_cmd" },
	{ 0x68646245, "netdev_warn" },
	{ 0x99fb9bf4, "usbnet_defer_kevent" },
	{ 0xb4c4c80e, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x46251b07, "usb_reset_configuration" },
	{ 0x4a1bc3e, "usbnet_get_endpoints" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xc712325d, "netif_set_tso_max_size" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "09D102543836FFB2A8B2EA6");

MODULE_INFO(suserelease, "SLE15-SP6");
