#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usbnet_get_endpoints, 0x04a1bc3e, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xd176fe46, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x93e91ceb, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x5288d66a, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf2252caa, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x77122d22, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xac27677f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x99fb9bf4, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3f696995, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x635ce2d4, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x5a4ae06e, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x8e649159, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x45f1ffab, "_gpl");
SYMBOL_CRC(usbnet_open, 0x5ce50502, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xe72ab74a, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x8657e1f7, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x34275080, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x9f5d6056, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x8bbcf1ad, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xb4c4c80e, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x75dc558e, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xd88d41ca, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x24b46287, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xfcbe2373, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x00694bbd, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x9ef71baa, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xbc27510c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x7235d955, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xfff09cda, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x8cae1186, "");
SYMBOL_CRC(usbnet_manage_power, 0xd332edb7, "");
SYMBOL_CRC(usbnet_link_change, 0xa92bc5c8, "");
SYMBOL_CRC(usbnet_read_cmd, 0xb2ec6e33, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5ee4327e, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xc5f72f0c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xeeb90647, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x0657376d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0x6998bc72, "usb_string" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xe8c0e242, "mii_ethtool_get_link_ksettings" },
	{ 0x68e0f114, "mii_ethtool_set_link_ksettings" },
	{ 0xbcd4a588, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xdae20d78, "usb_get_from_anchor" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6365d173, "free_netdev" },
	{ 0x36b4a3e6, "netdev_info" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81f25b02, "usb_autopm_get_interface" },
	{ 0x1c665759, "usb_autopm_put_interface" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x6d90b298, "usb_get_urb" },
	{ 0xfad405d9, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbbb99797, "mii_link_ok" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xa5a1fc79, "usb_autopm_put_interface_async" },
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3389a614, "register_netdev" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xb5bc760a, "usb_check_bulk_endpoints" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1f1b41c, "usb_autopm_get_interface_async" },
	{ 0x16ecd0fa, "usb_anchor_urb" },
	{ 0xc9d805ac, "skb_tstamp_tx" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x39914307, "__wake_up" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x59bdd615, "usb_autopm_get_interface_no_resume" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8f74a5c8, "usb_clear_halt" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x5ffd86a4, "ethtool_op_get_ts_info" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "2280BDCCF4D372927E793FB");

MODULE_INFO(suserelease, "SLE15-SP6");
