#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x68ab9c16, "");
SYMBOL_CRC(ath10k_info, 0x38568fa4, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xe8e03594, "");
SYMBOL_CRC(ath10k_err, 0x3953b1d2, "");
SYMBOL_CRC(ath10k_warn, 0x827a4257, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x40e23a8f, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xba865ae8, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xe316fc4a, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x04cd2199, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xd780042c, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x29bba31c, "");
SYMBOL_CRC(ath10k_core_start, 0xaadcfff6, "");
SYMBOL_CRC(ath10k_core_stop, 0x19650d2c, "");
SYMBOL_CRC(ath10k_core_register, 0x9736e45c, "");
SYMBOL_CRC(ath10k_core_unregister, 0xb49ecc4f, "");
SYMBOL_CRC(ath10k_core_create, 0x63d2787c, "");
SYMBOL_CRC(ath10k_core_destroy, 0xdbac07a6, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x2e59ae69, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xfb10d024, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xb9da2afb, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xa6f48313, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xd3b4f6dc, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xbb61c559, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xb5654158, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x22c3f520, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x2581ac8e, "");
SYMBOL_CRC(ath10k_bmi_start, 0x4c62c6c7, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x04478dee, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x842b24c0, "");
SYMBOL_CRC(ath10k_coredump_new, 0x19b773c0, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x41cdf811, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xd333cb79, "");
SYMBOL_CRC(ath10k_ce_send, 0x570b8f27, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x9ab6f03f, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x5796f4d9, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x5a7f2906, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x00684ead, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xbca1ce2d, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x7414fa71, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x68aebb0c, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x886af0fa, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xfcf60613, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x208eb372, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xebc1aaeb, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x945e0223, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xc82868f4, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x01893535, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xcf735754, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x7601bf97, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x5af80ff0, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x6866cc8d, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x61d8e521, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x28a98405, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x9ac19882, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x44c746cc, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x5a216769, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7eb6f79, "cpu_latency_qos_remove_request" },
	{ 0x87ab84fb, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0x8103302c, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf1ab0fef, "__ieee80211_schedule_txq" },
	{ 0x889c67a7, "_ieee80211_beacon_update_cntdwn" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xda75ba01, "ieee80211_txq_get_depth" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x89c06644, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x603dba7d, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcf486f48, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x723ccb41, "ieee80211_iterate_stations_atomic" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x543fdbbe, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa519264d, "ieee80211_beacon_loss" },
	{ 0x587cd2d, "cpu_latency_qos_add_request" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a5f1cb5, "thermal_cooling_device_register" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x70b2f2d1, "ieee80211_wake_queue" },
	{ 0xa8734c05, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xcdcdcd85, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0x107c3904, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xd1fb0f1c, "ieee80211_proberesp_get" },
	{ 0xe9983781, "_dev_err" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb6604d2, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7900baf, "ieee80211_find_sta_by_ifaddr" },
	{ 0xcf8707a0, "ieee80211_next_txq" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x620bd378, "napi_enable" },
	{ 0xc4ce02c9, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6ef2dd95, "ieee80211_report_low_ack" },
	{ 0x3a09bc52, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0xe9aace6c, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0xeb40553d, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa096fbc6, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x6618e723, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x542b53fd, "devm_nvmem_cell_get" },
	{ 0xe5dcc1a4, "ieee80211_stop_queue" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21c4ac0, "skb_realloc_headroom" },
	{ 0xfad0a3b1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xba51f759, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86d907b, "ath_regd_init" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xbb4f7d03, "ieee80211_tdls_oper_request" },
	{ 0x36b66a34, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc82f14d, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3f49560, "ieee80211_tx_rate_update" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x77f05ec3, "ieee80211_csa_finish" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0xdb0f34f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "6D54E37B102A620BD63F84C");

MODULE_INFO(suserelease, "SLE15-SP6");
