#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(orinoco_open, 0xdcf75fe5, "");
SYMBOL_CRC(orinoco_stop, 0xc401be0c, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x5a3e3ebe, "");
SYMBOL_CRC(orinoco_change_mtu, 0x33c9a345, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0x6178dd3c, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x63b4d439, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x10860caa, "");
SYMBOL_CRC(__orinoco_ev_info, 0x5e33cc11, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x44223f15, "");
SYMBOL_CRC(alloc_orinocodev, 0xa50a8e7d, "");
SYMBOL_CRC(orinoco_if_add, 0xec463196, "");
SYMBOL_CRC(orinoco_if_del, 0xf26670be, "");
SYMBOL_CRC(free_orinocodev, 0xa3511fca, "");
SYMBOL_CRC(orinoco_up, 0x4362c7ec, "");
SYMBOL_CRC(orinoco_down, 0xbff974a1, "");
SYMBOL_CRC(hermes_struct_init, 0x5ca4fa5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5678919, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc3c4e361, "cfg80211_scan_done" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x44f0f6bd, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0x5ed780a9, "cfg80211_wext_giwrts" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x72cda95e, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0x38b5f285, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0xc450a4c1, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x61827d93, "eth_validate_addr" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xafcf1187, "cfg80211_wext_giwmode" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb567003, "cfg80211_wext_giwrange" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0x103dbae7, "iw_handler_get_thrspy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3a83859, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x860b4481, "cfg80211_wext_siwrts" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x719d8283, "cfg80211_wext_giwfrag" },
	{ 0xe92bce64, "skb_push" },
	{ 0xec8352e6, "wireless_send_event" },
	{ 0x3389a614, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6365d173, "free_netdev" },
	{ 0x617729a0, "iw_handler_get_spy" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1feeb594, "wireless_spy_update" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9aa265b9, "cfg80211_wext_siwmode" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x934a6fcb, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7b8355ea, "cfg80211_wext_siwscan" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xf3a8a1e9, "cfg80211_inform_bss_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x720f4838, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "SLE15-SP6");
