#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76s_read_pcr, 0xa7c7816a, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x5309e434, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x6aeb3dfa, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xc3a3b364, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x20f04f98, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xc394e4f5, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xf3ef7cf4, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x63007a1b, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xe53331b4, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x60827739, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x7137c200, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xd8bb05ad, "_gpl");
SYMBOL_CRC(mt76s_init, 0x1fc8b3c4, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xaed90a9a, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x83fd5dd4, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xdf2390c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf5202bb5, "sdio_release_host" },
	{ 0x3aa7853, "sdio_disable_func" },
	{ 0x722ab8ab, "sdio_set_block_size" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6b8b4773, "sdio_claim_host" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x39914307, "__wake_up" },
	{ 0x32c87fcb, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x4707d179, "mt76_tx_status_check" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaee38f48, "sdio_release_irq" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7e06cc2a, "sdio_readsb" },
	{ 0xe9983781, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x79c0a8de, "__SCK__tp_func_dev_irq" },
	{ 0x7fa0fcfb, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x2a56c441, "__alloc_pages" },
	{ 0x2e4b8b36, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x256befd8, "mt76_queue_tx_complete" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xd8cf5374, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x797361a7, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x3274205c, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x29c47d5c, "sdio_claim_irq" },
	{ 0x56dfc892, "mt76_skb_adjust_pad" },
	{ 0x4dd09004, "sdio_enable_func" },
	{ 0x44ea2e05, "sdio_writesb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76");


MODULE_INFO(srcversion, "476C307E3B779048DE28F75");

MODULE_INFO(suserelease, "SLE15-SP6");
