#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_set_irq_mask, 0xf11a061d, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xf2ee8791, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xaa6c2f8b, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x90a6e15d, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xb49184b4, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x0f4d86c0, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x3f65a560, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xbc557b30, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xd8cf5374, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x82609447, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x79c0a8de, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xe4c6adc1, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xad8bd771, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xaf2bda4c, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xe68b23f9, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x76573b18, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x532d9636, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x048e015c, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0x46731670, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x7c9d9eaa, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x5c919420, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x256012ff, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x3907a387, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x8f3b5b95, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xf37096c6, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x053f6dd0, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x67bcf934, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xfcb73a63, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x80c20c1b, "_gpl");
SYMBOL_CRC(mt76_rx, 0x40700793, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x409708e7, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x873b3156, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xd6336d02, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x8118da97, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x73944dd5, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x790a19c2, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x797361a7, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x697b19e9, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x233fc978, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x35ac8227, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x7fe94a77, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x38515da5, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x5b1e92fa, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xa8f37593, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xbac2025f, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xf7edba8d, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xf1c1bd06, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x82e6141e, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x24976e59, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x44881250, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x971aaaa8, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x6158e357, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x327fa997, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x05fe4c4b, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xf0c75f63, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xdd5cc329, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x5b05e348, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xaa4477c6, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xbb461723, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xc92be552, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x6f8606bf, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x91bed555, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x405c0d9c, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xe1735f0e, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xd3b3d214, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x41b12afe, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x6edbb608, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x79f377a9, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xaccbdaa3, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x7aa81763, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xfb075b21, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xfdbb01e2, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xc75b084a, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x4707d179, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x06d5cca0, "_gpl");
SYMBOL_CRC(mt76_tx, 0x191cd967, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xcc13596a, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x209a2d38, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x8e0aac2c, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xcb7df409, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xd7bb259d, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xcce75294, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x56dfc892, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x256befd8, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xdbf29e1e, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x0f759410, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6810cd51, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x0d14c38b, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x2086929a, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x87d46b1f, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xe900ca6f, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x2898b570, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x28986ff7, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xc255837b, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x56d495ad, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x5a9bf0ea, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x17722b03, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x28bf8353, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87ab84fb, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x70bfe3a2, "page_pool_get_stats" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf1ab0fef, "__ieee80211_schedule_txq" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x87955467, "page_pool_alloc_frag" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xb5771182, "dmam_alloc_attrs" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0xcf486f48, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x830ac477, "skb_add_rx_frag" },
	{ 0x543fdbbe, "ieee80211_tx_status_ext" },
	{ 0x7ec560b, "debugfs_create_blob" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x347b7105, "page_pool_destroy" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0xedb14198, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x6f8daa19, "ieee80211_sta_eosp" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x39914307, "__wake_up" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0xc528d0c, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x32c87fcb, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x341549ac, "ieee80211_get_tx_rates" },
	{ 0x18a7b70, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x747eabe4, "ieee80211_sta_uapsd_trigger" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf8120484, "debugfs_create_devm_seqfile" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x16236e92, "pci_disable_link_state" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xf0c0ed2e, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x9aae9da, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0x37071a14, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x31b16cf7, "debugfs_create_file_unsafe" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0xfea208dc, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd7900baf, "ieee80211_find_sta_by_ifaddr" },
	{ 0xcf8707a0, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x67bebca7, "pcie_capability_clear_and_set_word_locked" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x620bd378, "napi_enable" },
	{ 0xc4ce02c9, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xb8ac7cab, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xeb40553d, "ieee80211_tx_dequeue" },
	{ 0x7a452c60, "ieee80211_rx_list" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x82969740, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdae07093, "debugfs_create_u32" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x478ac089, "cfg80211_reg_can_beacon" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa74c6668, "napi_build_skb" },
	{ 0x9c7495fd, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3e523c67, "ieee80211_sta_ps_transition" },
	{ 0xf2820810, "debugfs_create_u8" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x77f05ec3, "ieee80211_csa_finish" },
	{ 0xe377d34e, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B654839BD41454BB65A8628");

MODULE_INFO(suserelease, "SLE15-SP6");
