#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_rx_check, 0x53012a86, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xb1f13e0f, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x10be3f68, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x662fe90b, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xe12d62e6, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x5d117dc5, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x23b77171, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x86327558, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x47cd1ffb, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x4e2650b0, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x6ba1d063, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x58a9ec69, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xf2359935, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x202bb58b, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x52f9478b, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x1d4fea54, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xee302a07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1528aba4, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x6b9b0cf, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x87ab84fb, "ieee80211_sta_register_airtime" },
	{ 0xabc87b62, "mt792x_init_wcid" },
	{ 0x56ce0ed0, "mt792x_init_acpi_sar" },
	{ 0xa8f37593, "mt76_init_sar_power" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x256729d6, "ieee80211_iterate_interfaces" },
	{ 0x41c44963, "mt792x_stop" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xd6ce0d74, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x3d85341e, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe1be0e57, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xaef4635c, "mt792x_tx_worker" },
	{ 0x4a2407d0, "mt792x_flush" },
	{ 0xf6e6f748, "mt792x_rx_get_wcid" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xedf9ca32, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x8415c193, "finish_wait" },
	{ 0x9312f98, "mt76_connac_mcu_set_channel_domain" },
	{ 0x95d55c45, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcc13596a, "mt76_release_buffered_frames" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x5b1e92fa, "mt76_get_txpower" },
	{ 0xfdbb01e2, "mt76_tx_status_skb_add" },
	{ 0xd7079f16, "mt76_connac_pm_wake" },
	{ 0x699e0965, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x73121936, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xcce75294, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5cf579af, "mt76_connac_mcu_chip_config" },
	{ 0x327fa997, "mt76_get_antenna" },
	{ 0x199838e1, "mt792x_set_coverage_class" },
	{ 0x11d0ef2, "mt792x_acpi_get_flags" },
	{ 0x6d5cca0, "__mt76_tx_complete_skb" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5c919420, "mt76_set_stream_caps" },
	{ 0x61bbb820, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x39914307, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x2dc66e9, "mt76_connac_mcu_update_arp_filter" },
	{ 0x5c8de1f0, "mt76_connac2_tx_check_aggr" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xc255837b, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x7fe94a77, "mt76_wcid_init" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0xce49a137, "mt76_connac_free_pending_tx_skbs" },
	{ 0xb988d85d, "mt792x_sta_statistics" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x7efa001d, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9374b18a, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf8120484, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7c2c86b8, "mt792x_get_et_sset_count" },
	{ 0x251f0f65, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc6d372b8, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xf19f0bee, "mt792x_init_acpi_sar_power" },
	{ 0x3a8bc8ad, "mt792x_set_wakeup" },
	{ 0x790a19c2, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x40700793, "mt76_rx" },
	{ 0x56c31205, "mt792x_load_firmware" },
	{ 0x366bce58, "mt76_connac_mcu_sched_scan_req" },
	{ 0x6d4c80cf, "mt792x_get_et_stats" },
	{ 0xa859b99b, "mt76_connac2_txwi_free" },
	{ 0x28486388, "__tracepoint_lp_event" },
	{ 0xd9d83ffb, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5dadfbe4, "mt76_connac2_mac_add_txs_skb" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x60a1b279, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0x37071a14, "devm_kmemdup" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x67bcf934, "mt76_register_device" },
	{ 0x82528be9, "mt792x_get_stats" },
	{ 0x5a9bf0ea, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x5c32ca19, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe1735f0e, "mt76_find_power_limits_node" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x8118da97, "mt76_set_channel" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x56d495ad, "mt76_mcu_send_and_get_msg" },
	{ 0x3a09bc52, "ieee80211_beacon_get_template" },
	{ 0xcbd462d1, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x405c0d9c, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0x2898b570, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73944dd5, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa096fbc6, "devm_hwmon_device_register_with_groups" },
	{ 0xd14c38b, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3bc1911b, "mt792x_get_tsf" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x92d2d6bf, "mt792x_tx" },
	{ 0x53e13912, "mt792x_get_et_strings" },
	{ 0x233fc978, "mt76_sta_state" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x478ac089, "cfg80211_reg_can_beacon" },
	{ 0x8bdb40b0, "mt792x_remove_interface" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x7c5b20fa, "mt792x_queues_read" },
	{ 0x6865057, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x780d837c, "mt792x_queues_acq" },
	{ 0x187907a4, "ieee80211_sched_scan_results" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x24976e59, "mt76_insert_ccmp_hdr" },
	{ 0x3cfc840, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x10c1b06d, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xcaeef8ca, "mt792x_tx_stats_show" },
	{ 0x839f3851, "mt792x_acpi_get_mtcl_conf" },
	{ 0x87d46b1f, "mt76_rx_aggr_start" },
	{ 0x1eea2685, "__SCK__tp_func_lp_event" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x91880284, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xda925862, "mt792x_mac_init_band" },
	{ 0x56dfc892, "mt76_skb_adjust_pad" },
	{ 0x8a292c0, "mt792x_init_wiphy" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1bb620e2, "mt76_connac_sta_state_dp" },
	{ 0x737135e6, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xaa4477c6, "mt76_queues_read" },
	{ 0x35ac8227, "mt76_sta_pre_rcu_remove" },
	{ 0xc92be552, "mt76_register_debugfs_fops" },
	{ 0x10156631, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x411ad5ce, "mt76_connac2_mac_write_txwi" },
	{ 0xdbf29e1e, "__mt76_set_tx_blocked" },
	{ 0x2fe65ff6, "mt76_connac_mcu_sta_ba" },
	{ 0x6036ab07, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x1ae9e851, "mt792x_mac_reset_counters" },
	{ 0x85592f4c, "napi_consume_skb" },
	{ 0xaa6c2f8b, "__mt76_poll" },
	{ 0xe900ca6f, "mt76_rx_aggr_stop" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xb086c150, "mt76_connac_mcu_add_key" },
	{ 0x31044671, "mt792x_unassign_vif_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x3d4f19b4, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x1e2d2137, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "A8E069383CBF54B7B05CEB2");

MODULE_INFO(suserelease, "SLE15-SP6");
