#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qtnf_core_attach, 0xbcdde208, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x13671ec1, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x0d92d301, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xe6f87d67, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x51e5985c, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xaaa848d0, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xc3c4e361, "cfg80211_scan_done" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x28209d22, "cfg80211_cac_event" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x6064aba1, "cfg80211_register_netdevice" },
	{ 0x69acdf38, "memcpy" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x96a57be4, "cfg80211_external_auth_request" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x70291abd, "cfg80211_new_sta" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7834a9a8, "cfg80211_disconnected" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16a20055, "netdev_port_same_parent_id" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0xe8ece08e, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc3a83859, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x688aab66, "cfg80211_put_bss" },
	{ 0x4e9bc7ae, "cfg80211_ch_switch_notify" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x5cde84e1, "ieee80211_get_channel_khz" },
	{ 0x5ad6878f, "cfg80211_check_combinations" },
	{ 0xc3561d33, "__cfg80211_radar_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x5231f92f, "cfg80211_get_drvinfo" },
	{ 0x57d78c81, "init_net" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0x6e123739, "cfg80211_michael_mic_failure" },
	{ 0x474465c1, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x63a89d0a, "cfg80211_del_sta_sinfo" },
	{ 0xbb2d4647, "cfg80211_update_owe_info_event" },
	{ 0x1708ca65, "wiphy_unregister" },
	{ 0x6365d173, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9aace6c, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x73d84cbd, "netif_tx_stop_all_queues" },
	{ 0xfa7ed0b2, "netif_tx_wake_queue" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53708fb0, "wdev_chandef" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x665e6d23, "cfg80211_unregister_wdev" },
	{ 0x14374524, "platform_device_register_full" },
	{ 0x9f21f2f2, "cfg80211_rx_mgmt_ext" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe8cb2366, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfd7d073b, "netdev_walk_all_lower_dev" },
	{ 0xf3a8a1e9, "cfg80211_inform_bss_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf5c5c063, "cfg80211_shutdown_all_interfaces" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x415b914, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x9655db66, "cfg80211_connect_done" },
	{ 0x49624dbf, "wiphy_free" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A83C2866DC987B8F3818157");

MODULE_INFO(suserelease, "SLE15-SP6");
