#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2800_mcu_request, 0x2c0c4541, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xe9cb9f1f, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x167ec516, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xf0526fa0, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xaba572c7, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x24007392, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x67a868a1, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x926c3184, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x101a607f, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xc0a54433, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xf8e75a4a, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x50062821, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x7a383c10, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x4382980e, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x9c683f2e, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x72a0faeb, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xc31c5a64, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0xea93435f, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xcdb3b494, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x35e8ccce, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x053a557b, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x7b63c1f2, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x3a2e46da, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x0deab1bd, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xc8dafa94, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x01af742a, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x409bd62d, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x3ac67897, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x1921d82b, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x7e13f58a, "_gpl");
SYMBOL_CRC(rt2800_config, 0xfa943e6c, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x1c7eb96a, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x74d4c8d3, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x4fa8ac19, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xc00628b3, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x03138f69, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xbc3d9168, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x362087c9, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x16f9bea6, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x80474c7f, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x62df2202, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xe378c37a, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x9910f896, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x7bd5d5fe, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xe2c01407, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1de90401, "rt2x00debug_dump_frame" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe1b6283e, "rt2x00lib_get_bssidx" },
	{ 0x55622cae, "rt2x00lib_txdone_noinfo" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x2ab794e5, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xa7629071, "rt2x00queue_get_entry" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcf0aebce, "rt2x00mac_conf_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc2d326d7, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xede9704, "rt2x00lib_txdone" },
	{ 0x547891c, "_dev_warn" },
	{ 0xe92bce64, "skb_push" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "E50CA3EE42E0BDDB473FD60");

MODULE_INFO(suserelease, "SLE15-SP6");
