#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xbe5754d0, "");
SYMBOL_CRC(rtw_dump_reg, 0x4e1fe3ed, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xdba3f609, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x6e098ca5, "");
SYMBOL_CRC(rtw_core_init, 0x4ee98d1b, "");
SYMBOL_CRC(rtw_core_deinit, 0x2ff90ec5, "");
SYMBOL_CRC(rtw_register_hw, 0x2c32ca45, "");
SYMBOL_CRC(rtw_unregister_hw, 0xe0b3e3db, "");
SYMBOL_CRC(rtw_ops, 0x523f7e0e, "");
SYMBOL_CRC(check_hw_ready, 0x158485f0, "");
SYMBOL_CRC(rtw_restore_reg, 0x924b6536, "");
SYMBOL_CRC(rtw_dbg, 0xc2cfcc1e, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0xc1435230, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x6707b821, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x3987c6fc, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x4629c44f, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xde163f63, "");
SYMBOL_CRC(rtw_rx_stats, 0x96f4a856, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xeb9e6f80, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xb0ec334e, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xa9315c47, "");
SYMBOL_CRC(rtw_phy_init, 0x12497183, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x9b400a5f, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xecc4e8fb, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xf6aad6a2, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x031731cd, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x6a637cb2, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xb267d890, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xf0b4a1be, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x04338bae, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x8cf7d616, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x96c77815, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x064040f2, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xe557183b, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xd96c15dc, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x2c473f32, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0xaa386b08, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xf025e83a, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x3d10feb5, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x73689688, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xd8b8cb26, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x5848433d, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x0c2dcaac, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xd6b5cc22, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x022041c3, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x126d91e6, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xd160427c, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xca60e8be, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x089f5416, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xa012fea0, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x2e8547b5, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x49f261b6, "");
SYMBOL_CRC(rtw_power_mode_change, 0xd32c7977, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x961ba35e, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xa4522d2b, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x964ead59, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xea32e106, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x40be6bf2, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x625c9299, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x72e60d48, "");
SYMBOL_CRC(rtw_regd_get, 0xb49d1c14, "");
SYMBOL_CRC(rtw_regd_srrc, 0xe192dcb1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0x44114024, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xda75ba01, "ieee80211_txq_get_depth" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x4e62c11e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x723ccb41, "ieee80211_iterate_stations_atomic" },
	{ 0x82cd97ab, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x47939193, "ieee80211_nullfunc_get" },
	{ 0xa0e2ff8f, "ieee80211_pspoll_get" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0x48bf2f0e, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xd1fb0f1c, "ieee80211_proberesp_get" },
	{ 0xe9983781, "_dev_err" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x91df4b40, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7900baf, "ieee80211_find_sta_by_ifaddr" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99ec26ab, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0xeb40553d, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x5c7dc339, "ieee80211_cqm_rssi_notify" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x16ef38c7, "ieee80211_request_smps" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0xaca8f1f3, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "36226A5076457767685FF7E");

MODULE_INFO(suserelease, "SLE15-SP6");
