#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x74cbe907, "");
SYMBOL_CRC(rtw_pci_probe, 0x33a75f29, "");
SYMBOL_CRC(rtw_pci_remove, 0x9438910a, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xf231d6bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6707b821, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde163f63, "rtw_tx_queue_mapping" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb2abf2a2, "dev_kfree_skb_irq_reason" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x70b2f2d1, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x3f3fdba2, "napi_complete_done" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5c17e654, "devm_free_irq" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6e098ca5, "rtw_chip_info_setup" },
	{ 0xa012fea0, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe0b3e3db, "rtw_unregister_hw" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc1435230, "rtw_tx_fill_tx_desc" },
	{ 0xe92bce64, "skb_push" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x620bd378, "napi_enable" },
	{ 0x4ee98d1b, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0x30e8947a, "dma_sync_single_for_cpu" },
	{ 0x3987c6fc, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe5dcc1a4, "ieee80211_stop_queue" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x96f4a856, "rtw_rx_stats" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xba55eb0b, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2c32ca45, "rtw_register_hw" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2cfcc1e, "rtw_dbg" },
	{ 0x2ff90ec5, "rtw_core_deinit" },
	{ 0x523f7e0e, "rtw_ops" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xd32c7977, "rtw_power_mode_change" },
	{ 0x4629c44f, "rtw_tx_write_data_h2c_get" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89f5416, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xdb0f34f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "SLE15-SP6");
