#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x3172b85a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x3866c602, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xfc8e1f17, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x83fd7746, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x4715ae53, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x3ebbac74, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x1100de31, "");
SYMBOL_CRC(rtw89_core_rx, 0xfc98bc7b, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xef5c7b2b, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x19ba6a93, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x8424cd82, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x26906102, "");
SYMBOL_CRC(rtw89_check_quirks, 0xb03cca23, "");
SYMBOL_CRC(rtw89_core_init, 0x6bf74f4a, "");
SYMBOL_CRC(rtw89_core_deinit, 0xa722d178, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xd5cc6c28, "");
SYMBOL_CRC(rtw89_core_register, 0x20d557a4, "");
SYMBOL_CRC(rtw89_core_unregister, 0x9c214344, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x7e57e284, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0xf0a6fc9d, "");
SYMBOL_CRC(rtw89_ops, 0x2c29e33f, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x9475c12e, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xd75ba662, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xaba22a3a, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x7b665db6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x75a20853, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x882b9c70, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x124d54e1, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x8583fbdd, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x25c1ec61, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xa13b1d40, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x1fa72ab6, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xbe136e6c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xf8f30c11, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xf8c23267, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb0a1a667, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x80498978, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x5320dd20, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x63a9c264, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x98d5d969, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x23a71c4c, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x2995de50, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x9bb8a005, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xf66f2c6b, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xd3bb5949, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xa2c15a3f, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x5372d8f0, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x7fca095c, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xf4e726c7, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x6b47030d, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x0605f346, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x4c4032a0, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x0ddae419, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x35a9b434, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0xda7a4acb, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xe1a34729, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0xf13355dc, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x4ec152e9, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xd60f94b7, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x00cb1d0e, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x902cd5f3, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x13ed8e28, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x0e6ac8a6, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x0123890a, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x8e3915d5, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x930dca95, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x3a2bbfd0, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x67fcee9c, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x153b715c, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x0e72e42a, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x3eacc6de, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x960a1541, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x23ec57d9, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xbe3098de, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x9e2214bc, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xff92eb66, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x22f20d5d, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x13f4d736, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x5b1fa175, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xc8107ccb, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x0c910fdf, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xdcb5865b, "");
SYMBOL_CRC(rtw89_ser_notify, 0x0aaf7172, "");
SYMBOL_CRC(rtw89_debug_mask, 0xe3f57b04, "");
SYMBOL_CRC(rtw89_debug, 0x798e12df, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x943124aa, "ieee80211_stop_tx_ba_session" },
	{ 0x554232b9, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0x44114024, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf1ab0fef, "__ieee80211_schedule_txq" },
	{ 0xda75ba01, "ieee80211_txq_get_depth" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x78eee4dc, "cfg80211_bss_iter" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x22760ac4, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x4e62c11e, "ieee80211_probereq_get" },
	{ 0xcf486f48, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x723ccb41, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x82cd97ab, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x282bd9e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x47939193, "ieee80211_nullfunc_get" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0xa0e2ff8f, "ieee80211_pspoll_get" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0x224958ee, "__netif_napi_del" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x53ec6e07, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa2f1299e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xe9983781, "_dev_err" },
	{ 0x91df4b40, "simple_open" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf8707a0, "ieee80211_next_txq" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x620bd378, "napi_enable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x99ec26ab, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8498203, "dev_coredumpv" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0xeb40553d, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x5c7dc339, "ieee80211_cqm_rssi_notify" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0x5f109e82, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x34ba3bcc, "napi_disable" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x65e5546b, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdb0f34f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "72FD44249951ED2BCBA222A");

MODULE_INFO(suserelease, "SLE15-SP6");
