#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wlcore_set_key, 0xd23b44e0, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x757a5f49, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xf06679f9, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x9f06e861, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x1c727b12, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xf7101237, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xe4adf5ed, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x9f0a5738, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xea2fb09c, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xb3125443, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x6a0be4d4, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x29f98c4d, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x78b5ec42, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x81d511ae, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xf5dff8b4, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xdfc7a0f4, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x4d7b7f3b, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x8694e863, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xa8994959, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x286d7ab8, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xf8a92ef9, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x7c8a934f, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x3f3244ea, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x1927b36b, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x9bc5fb44, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x1235de8b, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x031fc1d8, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xf48294e8, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x09c3ce91, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x25f4c82e, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x3acc5440, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xaccfd56e, "");
SYMBOL_CRC(wlcore_tx_complete, 0xfc5a3eb0, "");
SYMBOL_CRC(wl1271_tx_flush, 0x10234829, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x60f90d24, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x2b8669e4, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xe3475668, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x2e43b3d4, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x377b8cdc, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xf2a72e4a, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x57c51d9c, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x8127e732, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xa55ce464, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x4eee3edf, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x58bf2f0a, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x2ed86031, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x28ca69ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88727b2a, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x256729d6, "ieee80211_iterate_interfaces" },
	{ 0x97bf581e, "ieee80211_sched_scan_stopped" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0x4e62c11e, "ieee80211_probereq_get" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc5225e6f, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x47939193, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa0e2ff8f, "ieee80211_pspoll_get" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf95296d7, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x57a8202a, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x46ddba10, "ieee80211_stop_rx_ba_session" },
	{ 0x70b2f2d1, "ieee80211_wake_queue" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2ef271e, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc40d6370, "ieee80211_tx_status_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x612822c, "ieee80211_find_sta" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0xe154021e, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1bf60402, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0xa616fd1d, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xde73869c, "ieee80211_queue_delayed_work" },
	{ 0xd1fb0f1c, "ieee80211_proberesp_get" },
	{ 0xa3f7bfec, "device_wakeup_enable" },
	{ 0x7f15bcb6, "request_firmware_nowait" },
	{ 0x91df4b40, "simple_open" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x566061f4, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe787b426, "ieee80211_remain_on_channel_expired" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x1fee1299, "no_seek_end_llseek" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x6ef2dd95, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe5dcc1a4, "ieee80211_stop_queue" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x8fb540a4, "ieee80211_ready_on_channel" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d2a7f9a, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x187907a4, "ieee80211_sched_scan_results" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x1490e01c, "ieee80211_scan_completed" },
	{ 0x1aa1b7d6, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x1bb6dffb, "dev_pm_clear_wake_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2671ae7a, "_ieee80211_chswitch_done" },
	{ 0xe58a03cb, "pm_runtime_force_resume" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x5c7dc339, "ieee80211_cqm_rssi_notify" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6836810a, "ieee80211_queue_work" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0x3e523c67, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x12497609, "pm_runtime_force_suspend" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x15ed0612, "device_remove_bin_file" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0x77f05ec3, "ieee80211_csa_finish" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdb0f34f, "ieee80211_rx_napi" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5DD1B5DECF908BF7A8656B9");

MODULE_INFO(suserelease, "SLE15-SP6");
