#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ndlc_open, 0xc899a76c, "");
SYMBOL_CRC(ndlc_close, 0xa879f02f, "");
SYMBOL_CRC(ndlc_send, 0x38066b67, "");
SYMBOL_CRC(ndlc_recv, 0x3d2dd24c, "");
SYMBOL_CRC(ndlc_probe, 0x59108ec6, "");
SYMBOL_CRC(ndlc_remove, 0x6a9016c0, "");
SYMBOL_CRC(st_nci_probe, 0x868b7f93, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xa9701c19, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x3dac9a8b, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x0160ba7f, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x119984fe, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x24192859, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x05a8679c, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xb2802b58, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x27741b00, "");
SYMBOL_CRC(st_nci_se_init, 0x8974c2bf, "");
SYMBOL_CRC(st_nci_se_deinit, 0xf6546984, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x3aca66ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5072d86, "nci_free_device" },
	{ 0xdec1a2fc, "nci_allocate_device" },
	{ 0xbfda967c, "nci_register_device" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x107e94c1, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fe58556, "nfc_add_se" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x57bd8f06, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x878f6c61, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd19367, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x27754c8b, "nfc_se_transaction" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc79538bc, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xe92bce64, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xb03b7907, "nci_prop_cmd" },
	{ 0xb17354ac, "nci_core_conn_create" },
	{ 0x7812a797, "nci_nfcc_loopback" },
	{ 0x2d66616, "nci_unregister_device" },
	{ 0x6618e723, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4357e29, "nci_hci_send_event" },
	{ 0xf4e35ac1, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66dce6, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5797cc86, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b04294e, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94cf6dd2, "nci_recv_frame" },
	{ 0xec3a2742, "nci_hci_dev_session_init" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x7a27b598, "nci_hci_set_param" },
	{ 0x21d68abf, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "SLE15-SP6");
