#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(st21nfca_hci_probe, 0x95a59af8, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x0c950ee9, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x444aeca9, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x4b3b79e2, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x49387838, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0xeebccc45, "");
SYMBOL_CRC(st21nfca_dep_init, 0x52e6aca1, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xc504a75b, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x281188c9, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xcafd7627, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xeb67eed8, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xe46e73fb, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xe44d7d20, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x6f6fefa5, "");
SYMBOL_CRC(st21nfca_se_init, 0x4285a10a, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xf646aea7, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x628d5c88, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xa1d5b46a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x700dadb5, "nfc_hci_set_clientdata" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x107e94c1, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2141122e, "nfc_hci_get_param" },
	{ 0xa0f1f941, "nfc_hci_send_cmd_async" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fe58556, "nfc_add_se" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf00bbcc7, "nfc_llc_stop" },
	{ 0x1270923, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x76acd459, "nfc_tm_data_received" },
	{ 0x57bd8f06, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa893030, "nfc_hci_unregister_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x4f083b20, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf2b67bf9, "nfc_hci_free_device" },
	{ 0x27754c8b, "nfc_se_transaction" },
	{ 0x2aa0c217, "nfc_get_local_general_bytes" },
	{ 0xd8679b76, "nfc_hci_register_device" },
	{ 0x98c8f1e9, "nfc_set_remote_general_bytes" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x83e7941b, "nfc_hci_send_cmd" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x1077e700, "nfc_hci_get_clientdata" },
	{ 0x1acfd0fd, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x586cef09, "nfc_hci_allocate_device" },
	{ 0xd095029b, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66dce6, "nfc_se_connectivity" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b04294e, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb406c7d3, "nfc_hci_set_param" },
	{ 0x9facf3d9, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x579a75c2, "nfc_hci_send_event" },
	{ 0x93fea949, "nfc_hci_disconnect_all_gates" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x648eafb7, "nfc_hci_disconnect_gate" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "SLE15-SP6");
