#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0x1081b334, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xbbb77318, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xe4c10e37, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x81f87b20, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xe93b14b6, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xfb0d0151, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xcc81db37, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x1273f5ba, "");
SYMBOL_CRC(nd_device_notify, 0xb454ffbe, "");
SYMBOL_CRC(nvdimm_region_notify, 0x3b27511c, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xb4b7822b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xe7574542, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xccedcdf9, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xbd2a6a1a, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xe201b61f, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x4bd327cb, "");
SYMBOL_CRC(nd_device_unregister, 0x98f8eed1, "");
SYMBOL_CRC(__nd_driver_register, 0x8f3e8a50, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x321f152a, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xe0cca6c3, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x37985278, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xfd5ac648, "_gpl");
SYMBOL_CRC(to_ndd, 0x67ee38a8, "");
SYMBOL_CRC(nvdimm_name, 0xb8ecacbf, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x00f67906, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x06cfaf14, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x89a934d7, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xb8d3f847, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x0af64068, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xd105b766, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xd244717d, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xaf7d953c, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xac3d87d0, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x773245a0, "_gpl");
SYMBOL_CRC(to_nd_region, 0x60390ab4, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x843f1152, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x76c59c37, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xb8d748c3, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xa85319ec, "");
SYMBOL_CRC(nd_region_release_lane, 0x5213dd70, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xeb3dd355, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x45505997, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x8fe1c12f, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x3ac2c17f, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xa42ece62, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x6d6101c8, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x3a9122f9, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x1585276b, "");
SYMBOL_CRC(pmem_sector_size, 0x1bba478b, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb5405f89, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xa6e4523d, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x5a0c3c8a, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xd2e6b01f, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xf3aaa769, "");
SYMBOL_CRC(devm_namespace_enable, 0xec46dea6, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xb5e26486, "_gpl");
SYMBOL_CRC(badrange_init, 0xe8f98fd1, "_gpl");
SYMBOL_CRC(badrange_add, 0xa3e9d9d9, "_gpl");
SYMBOL_CRC(badrange_forget, 0xa4495689, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xb3733b82, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xc5c08e66, "");
SYMBOL_CRC(is_nd_btt, 0xa6f3d983, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x54500cce, "");
SYMBOL_CRC(nd_btt_version, 0x87b8bc43, "");
SYMBOL_CRC(nd_btt_probe, 0x1aef227c, "");
SYMBOL_CRC(to_nd_pfn, 0x1a201d0f, "");
SYMBOL_CRC(is_nd_pfn, 0xd5600629, "");
SYMBOL_CRC(nd_pfn_validate, 0x1f8a92d8, "");
SYMBOL_CRC(nd_pfn_probe, 0xe31a65f6, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x6b17883f, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xa31d515a, "");
SYMBOL_CRC(is_nd_dax, 0x7ca1cfc3, "");
SYMBOL_CRC(nd_dax_probe, 0x85e764c2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x957989f6, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xe1fe0550, "blk_integrity_register" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x2c4f1a71, "devm_memremap" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x37974335, "badblocks_set" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x58151dff, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x13170a2f, "badblocks_exit" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x58892e26, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb9853f3e, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xc1f904e2, "badblocks_show" },
	{ 0x2bdf56fa, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xda816bf5, "perf_pmu_migrate_context" },
	{ 0xab326c90, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb9d57c36, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xe9983781, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xaeb30cb4, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x92a3aaa, "class_create" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x34ae8f52, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba288cd3, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x2d14d43d, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xcf37b5f1, "__devm_release_region" },
	{ 0x76fc5bf4, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8b4b5ab6, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x840c8b30, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2e5941b0, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xc3fd70dc, "badblocks_check" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xb2e52bb7, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x7a82b3b6, "badblocks_clear" },
	{ 0x1e2d3705, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xce761558, "up_read" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "SLE15-SP6");
