#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xe0dab95c, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xdb076cac, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xdd595895, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xfac3e4e3, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xf0c7563c, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x67985fba, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x92a2ae9b, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x86155ce7, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xa7498e42, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x7cd87315, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x27325cce, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x3a16dc7c, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x37821936, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x7deb8a3f, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x12239c70, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x222aa693, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x36ba5240, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x2b000fee, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xfcc8e628, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x786b966b, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x8701c55b, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7b980b11, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x0f30785b, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0xdfdd118f, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x987fe8c4, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x6a74a019, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x3828d04d, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5aaf8a46, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x88c0f8a2, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x44222336, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xe6bba5b2, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x2fade870, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x02b6ffb4, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xd251e365, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x9e7d8530, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xdf35ec33, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x7a769eaa, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xa7ec7a0b, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x09afb893, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x918828ac, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x9de26186, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x40a58f21, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x288ca5e2, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x1a00872e, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x41a7adc9, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x9f8d2b7e, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x3ec46052, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x55df4cb0, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x6fb5c7a7, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xffc2ab4f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x802b4f1b, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x5f2e2c07, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xb21cfde7, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x2779fe93, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xbb317b10, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x76586053, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xa1da4109, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x8c407ab3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x9dcb7f0d, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x97edc896, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x5dc79d47, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x6c7f9257, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x4fbf8b22, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x0d415811, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xf555c67e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81869dd0, "set_capacity_and_notify" },
	{ 0xaaff703b, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x957989f6, "set_disk_ro" },
	{ 0x173c3654, "__blk_alloc_disk" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0xe1fe0550, "blk_integrity_register" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3f53cc, "bio_integrity_map_user" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x5670c527, "device_remove_file_self" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x11acccbc, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xebc44771, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x34f40f8b, "ext_pi_type3_crc64" },
	{ 0x1491c68, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x77380fea, "disk_update_readahead" },
	{ 0x43820166, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xf314a442, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x854b2cc0, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xae5df3f0, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x58151dff, "class_destroy" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xa38e538a, "should_fail" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xcf7227dc, "blk_mq_unquiesce_queue" },
	{ 0x964e3d84, "t10_pi_type1_crc" },
	{ 0x9433248a, "blk_queue_dma_alignment" },
	{ 0x3fd4be92, "blk_mq_quiesce_queue" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x76d108f6, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4810ddcd, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa38dadf4, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xec2599a, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0xd829ff37, "synchronize_srcu" },
	{ 0xc953d8b, "param_ops_byte" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x58892e26, "get_device" },
	{ 0x3d43fbf1, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb829eb8e, "__blk_mq_alloc_disk" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9699240f, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc532fd5, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xadc3ed9, "blk_mq_alloc_tag_set" },
	{ 0x773328de, "blk_rq_is_poll" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0xfb2352ed, "put_disk" },
	{ 0x6a42baa6, "crypto_alloc_kpp" },
	{ 0xf93c49ba, "cdev_device_add" },
	{ 0x967a61e4, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5d82a5b9, "blk_queue_physical_block_size" },
	{ 0xd887512c, "blk_execute_rq" },
	{ 0x5cf6b519, "put_device" },
	{ 0xe544646, "blk_mq_unquiesce_tagset" },
	{ 0x4ec8da14, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0xf64b668e, "kmalloc_node_trace" },
	{ 0x4de7064a, "blk_queue_flag_set" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb0ace66, "blk_mq_free_request" },
	{ 0xf5a47e6d, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xe01ca796, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0xfb38d978, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xdb869c8f, "t10_pi_type3_crc" },
	{ 0x1651b1de, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xe97dff8b, "blk_mq_quiesce_tagset" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0x342e4334, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf8d118de, "init_srcu_struct" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xcc89ec7c, "__SCK__tp_func_block_bio_remap" },
	{ 0xe9983781, "_dev_err" },
	{ 0xacdc34b2, "blk_revalidate_disk_zones" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf8c27aae, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0x54145041, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4ec241a3, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb6bb2775, "submit_bio_noacct" },
	{ 0xd231bdbb, "xa_load" },
	{ 0x92a3aaa, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xbda94a4c, "blk_sync_queue" },
	{ 0x1c9cc78a, "bdev_start_io_acct" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5f32f960, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6b738d5b, "blk_mq_alloc_request_hctx" },
	{ 0xdb1b067a, "blk_mq_alloc_request" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x66c3e2bd, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x16b2bf59, "del_gendisk" },
	{ 0x633fa109, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x47278168, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x72c5c1f4, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x761c4a93, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x349c444c, "blk_put_queue" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xe7edac6f, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x2b8420eb, "blk_mq_wait_quiesce_done" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x8b76ef69, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x8279f8db, "io_uring_cmd_do_in_task_lazy" },
	{ 0xb3547260, "blk_mq_init_queue" },
	{ 0x7fe751f, "debugfs_create_x16" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb772b90d, "io_uring_cmd_done" },
	{ 0x5274821b, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf276357a, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95d537e3, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3ad4c392, "blk_mq_complete_request" },
	{ 0xcdb25d03, "blk_queue_chunk_sectors" },
	{ 0x90382b8f, "blk_queue_max_write_zeroes_sectors" },
	{ 0xea37ba31, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xffcbd502, "blk_mq_destroy_queue" },
	{ 0xae367003, "xa_destroy" },
	{ 0xc2985977, "blk_freeze_queue_start" },
	{ 0xb7b7c0c, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x586c4349, "__tracepoint_block_bio_complete" },
	{ 0x8d99bfc7, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7266184f, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0xb70789e, "__might_fault" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0xe6f630f3, "__tracepoint_block_bio_remap" },
	{ 0x433db0a1, "blk_mq_unfreeze_queue" },
	{ 0x40481631, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xee5d156, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x52188cb3, "blk_rq_map_user_iov" },
	{ 0x6ae1b57d, "setup_fault_attr" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xdcc39814, "blk_queue_max_hw_sectors" },
	{ 0xb7cd718f, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xe2d15d3a, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0xbcdf8871, "blk_mq_freeze_queue_wait" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x29d88166, "nvme_auth_gen_privkey" },
	{ 0xd10ee23d, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xf3b8daf9, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcf2f720, "blk_mq_requeue_request" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x759899cf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2823681a, "bdev_end_io_acct" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xc6236923, "blk_steal_bios" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "3D646CC6E9A5175352A6D22");

MODULE_INFO(suserelease, "SLE15-SP6");
