#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xa6640422, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xe7034fa7, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xabdb5f79, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x979a2601, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xd38ba790, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x8ae4d7a2, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xbd09ae83, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x5119cbbf, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x7163eebc, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x58b6e79e, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xc6117abd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ac62f17, "filp_open" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb4c7aca1, "ida_destroy" },
	{ 0x8a8e3e7b, "config_group_init" },
	{ 0x9ab1e254, "radix_tree_insert" },
	{ 0xd04b3322, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdce2d59, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0x912423dd, "radix_tree_lookup" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x964e3d84, "t10_pi_type1_crc" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4810ddcd, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8701c55b, "nvme_command_effects" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x7e6f5e4f, "pci_p2pmem_free_sgl" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b56e00d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf30785b, "nvme_passthru_end" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0x6a42baa6, "crypto_alloc_kpp" },
	{ 0x2971a3a6, "vfs_fallocate" },
	{ 0x467fa512, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0x66a73cfc, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0xb0ace66, "blk_mq_free_request" },
	{ 0x563a25de, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x695c7148, "submit_bio" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc6a10c4f, "pci_p2pdma_distance_many" },
	{ 0xfb38d978, "nvme_auth_gen_pubkey" },
	{ 0xdb869c8f, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb9d57c36, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xd4f308f3, "bio_put" },
	{ 0xd9d9b062, "radix_tree_delete" },
	{ 0x342e4334, "bio_endio" },
	{ 0x317863c, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x990a1c77, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x139eaa96, "radix_tree_next_chunk" },
	{ 0x54145041, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xd231bdbb, "xa_load" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xc9f61ee2, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x80c259da, "blkdev_get_by_path" },
	{ 0x131d805f, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1500bcc3, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdb1b067a, "blk_mq_alloc_request" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9fde56b5, "pci_p2pdma_enable_store" },
	{ 0x1edc923c, "pci_p2pmem_alloc_sgl" },
	{ 0x51c31f9, "bio_add_page" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fade870, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfa28e9d1, "bio_integrity_alloc" },
	{ 0x49b9dac, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x618b405c, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6933eee2, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x7b980b11, "nvme_passthru_start" },
	{ 0x9921b748, "pci_p2pdma_enable_show" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xac6cfb0b, "__xa_cmpxchg" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x99ca6b39, "crypto_shash_final" },
	{ 0x23c9ca63, "vfs_fsync" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae367003, "xa_destroy" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa793004f, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe1667e9c, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x2779fe93, "nvme_ctrl_from_file" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x37821936, "nvme_init_request" },
	{ 0x649f6f7d, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x2b000fee, "nvme_execute_rq" },
	{ 0x29b9059f, "key_lookup" },
	{ 0x3a16dc7c, "nvme_put_ns" },
	{ 0x7553265f, "pci_p2pmem_find_many" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x29d88166, "nvme_auth_gen_privkey" },
	{ 0x6671503c, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x9bc65faa, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3828d04d, "nvme_get_features" },
	{ 0xc2fa7c7c, "submit_bio_wait" },
	{ 0xcd6a4ff1, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf6b8fb59, "__blkdev_issue_discard" },
	{ 0xbb8cb9fc, "fs_bio_set" },
	{ 0xdfb30a9e, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,t10-pi,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "A77FA24C3CD9BA2E3D2A8DE");

MODULE_INFO(suserelease, "SLE15-SP6");
