#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__parport_register_driver, 0x2af6d208, "");
SYMBOL_CRC(parport_unregister_driver, 0x0c40e29d, "");
SYMBOL_CRC(parport_get_port, 0xdf7d2d6b, "");
SYMBOL_CRC(parport_del_port, 0xcd21cfc6, "");
SYMBOL_CRC(parport_put_port, 0xe18da37e, "");
SYMBOL_CRC(parport_register_port, 0x371c540a, "");
SYMBOL_CRC(parport_announce_port, 0xad10d13f, "");
SYMBOL_CRC(parport_remove_port, 0x3bcf4f41, "");
SYMBOL_CRC(parport_register_dev_model, 0xf74c002f, "");
SYMBOL_CRC(parport_unregister_device, 0xa470ec10, "");
SYMBOL_CRC(parport_find_number, 0x3cca27f1, "");
SYMBOL_CRC(parport_find_base, 0xadd718e3, "");
SYMBOL_CRC(parport_claim, 0x2a7aa0ca, "");
SYMBOL_CRC(parport_claim_or_block, 0x3cac468d, "");
SYMBOL_CRC(parport_release, 0xf2445b09, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0xfde8c7da, "");
SYMBOL_CRC(parport_write, 0xb9083254, "");
SYMBOL_CRC(parport_read, 0xc5d3f96a, "");
SYMBOL_CRC(parport_wait_peripheral, 0x8b6ce27a, "");
SYMBOL_CRC(parport_wait_event, 0x0f63b9e5, "");
SYMBOL_CRC(parport_set_timeout, 0x8d142acc, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0x7b3b81f8, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0x09f1a00b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x577887e7, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x99819edb, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0xb099f742, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0xc3ce8d9c, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0xf22cfeb1, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0xfd0e64f1, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0xde6ff8ae, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0x7395e784, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xbfc97bdc, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xb4edc18, "bus_for_each_drv" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4c8e4ff3, "unregister_sysctl_table" },
	{ 0x5cf6b519, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xa0c9724e, "bus_for_each_dev" },
	{ 0xdaba41ff, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x3e878b5b, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x11089ac7, "_ctype" },
	{ 0x32b081a9, "device_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1e80c635, "register_sysctl_table" },
	{ 0x349cba85, "strchr" },
	{ 0x835dfbb4, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "231109CA4FF7FA586B8DF2C");

MODULE_INFO(suserelease, "SLE15-SP6");
