#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cros_ec_lpc_io_bytes_mec, 0xaa1c36de, "");
SYMBOL_CRC(cros_ec_lpc_mec_init, 0xc4ebc6b3, "");
SYMBOL_CRC(cros_ec_lpc_mec_acpi_mutex, 0x7d6cc3ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb5ebdc7, "cros_ec_get_next_event" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xeec290e, "platform_driver_unregister" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1904a051, "cros_ec_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc4eb0a6, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8e79ec27, "cros_ec_register" },
	{ 0xced55ffb, "platform_device_register" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xe9983781, "_dev_err" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd49a811c, "cros_ec_unregister" },
	{ 0x5027bde2, "acpi_acquire_mutex" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x547891c, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x7461c00b, "cros_ec_prepare_tx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcf9ef73, "hw_protection_shutdown" },
	{ 0x515083bf, "acpi_release_mutex" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe868469, "__platform_driver_register" },
	{ 0x3060ff9f, "cros_ec_resume" },
	{ 0xc9cc3806, "_dev_emerg" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xcebd8bc0, "platform_get_irq_optional" },
	{ 0x13de2b59, "cros_ec_check_result" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "cros_ec");

MODULE_ALIAS("acpi*:GOOG0004:*");
MODULE_ALIAS("dmi*:bvn*coreboot*:bvr*Google_*:");
MODULE_ALIAS("dmi*:bvn*coreboot*:svn*GOOGLE*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Link*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Samus*:");
MODULE_ALIAS("dmi*:svn*Acer*:pn*Peppy*:");
MODULE_ALIAS("dmi*:svn*GOOGLE*:pn*Glimmer*:");
MODULE_ALIAS("dmi*:svn*Framework*:pn*Laptop*:");

MODULE_INFO(srcversion, "FD5428E351ADE6BC5EA4D4D");

MODULE_INFO(suserelease, "SLE15-SP6");
