#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssam_get_controller, 0x8b77ec5f, "_gpl");
SYMBOL_CRC(ssam_client_link, 0x93b96acd, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xb3c691df, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x3b464d95, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xe67d336d, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x3349b7de, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x2be932dc, "_gpl");
SYMBOL_CRC(ssam_device_add, 0xa040c963, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x9ac57ea0, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x747924b9, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x910d2837, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0x9cbacdea, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x70662af7, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x4d6887f9, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x577ca2cc, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x3ac8526c, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x7cdc84ad, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x900405d8, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x9d4e0b6d, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xa6dc25d7, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xe121c72c, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xcc336724, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xc04cc57f, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x32c80c52, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x8fd40725, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xea479800, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x0a5e8b24, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xbf428a2d, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x551afe63, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x17605bd3, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x3258bee0, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x32100b1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14d8453e, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x615b718a, "gpiod_put" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8b97acb9, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd2bdcb38, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x61131119, "serdev_device_set_flow_control" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x99a019d, "gpiod_to_irq" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb140c240, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2f362900, "fwnode_get_next_child_node" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x39914307, "__wake_up" },
	{ 0xd829ff37, "synchronize_srcu" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x975517ce, "serdev_device_set_parity" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x8b0cf167, "device_for_each_child_reverse" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7ed06bd6, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf8d118de, "init_srcu_struct" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe0e32085, "devm_acpi_dev_add_driver_gpios" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0x93cacdc1, "down_write" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd4107f3f, "up_write" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xcc4b4b6, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf016c6a2, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x47278168, "cleanup_srcu_struct" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32346194, "serdev_device_wait_until_sent" },
	{ 0xfa77dd42, "__serdev_device_driver_register" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x547891c, "_dev_warn" },
	{ 0x152084c8, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa869e069, "fwnode_handle_get" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x939a2c8a, "serdev_device_write_buf" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86583979, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xca79d0, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf9e0f3a4, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x92003a20, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "F87072E29258F0E4F34B3AC");

MODULE_INFO(suserelease, "SLE15-SP6");
