#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdf9f166, "battery_hook_unregister" },
	{ 0xea3176d8, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0xd89985b8, "device_remove_groups" },
	{ 0xe9be1dc5, "device_add_groups" },
	{ 0x45081703, "ec_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0x5cba3a6a, "acpi_bus_register_driver" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x749f76cf, "sparse_keymap_report_event" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xf7fde3ad, "acpi_bus_unregister_driver" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x18a114a2, "misc_register" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0xfd32a892, "backlight_device_register" },
	{ 0x890771c2, "input_allocate_device" },
	{ 0x7bc51198, "sparse_keymap_setup" },
	{ 0x39470731, "input_register_device" },
	{ 0x48d82d, "input_free_device" },
	{ 0x98dc1b8c, "i8042_install_filter" },
	{ 0xcba3855e, "led_classdev_register_ext" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0xcd50c971, "iio_device_alloc" },
	{ 0x742fe856, "__iio_device_register" },
	{ 0xaa75b5b7, "proc_create_data" },
	{ 0xc39dde79, "proc_create_single_data" },
	{ 0x7e17108c, "battery_hook_register" },
	{ 0xd7923c1f, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e149fed, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xbef4946b, "led_classdev_notify_brightness_hw_changed" },
	{ 0x92997ed8, "_printk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0xa0bf8ea6, "iio_device_unregister" },
	{ 0xb455f6e1, "iio_device_free" },
	{ 0x5fac283b, "input_unregister_device" },
	{ 0x5ffdfc0, "backlight_device_unregister" },
	{ 0xe8aed2c4, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rfkill,battery,sparse-keymap,wmi,video,industrialio");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "AD0973D6D9B9B4730B260C6");

MODULE_INFO(suserelease, "SLE15-SP6");
