#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rio_local_get_device_id, 0x9368908e, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x5af8b7bd, "");
SYMBOL_CRC(rio_alloc_net, 0xb502e285, "_gpl");
SYMBOL_CRC(rio_add_net, 0xda2e671f, "_gpl");
SYMBOL_CRC(rio_free_net, 0x32684b37, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xbc25fa00, "_gpl");
SYMBOL_CRC(rio_add_device, 0x7097e7af, "_gpl");
SYMBOL_CRC(rio_del_device, 0xf98fe0b8, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xfc636860, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xb595a84d, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x73b4b039, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x8b428c8c, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x9efd7467, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x2f640930, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xceeebfee, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x4a01518f, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xfaab505a, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xb7f37b8b, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x32eed79c, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xab8e3fb0, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x8dc19502, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x99d053d1, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x63a2ad5e, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x47a59fa9, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x5f301775, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x33a9461c, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x08895eb4, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x4eae7859, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xd929378f, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x87a6f6f8, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x1e095f2b, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x32e0860b, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x45156d65, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x31d3c393, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xad164aa6, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x90504cc2, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x9e1270f2, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x460d40dd, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xaf65ce87, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x78f00cd7, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x9ffdbf34, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xb5472414, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x5a6c233b, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xf450d1e7, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x2781cad1, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x7f6bfd3d, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xb1545170, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xe0e00131, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xacc0594f, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x6c13a453, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x5a1a8c41, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x82e24905, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x57aed836, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x35e455b8, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x5d77c474, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xa62fe506, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x99ec28fa, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x06f137e0, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x62a0bf5c, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x75c0891c, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xde7e0d27, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xf2d96eeb, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x74d0aa9b, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x1b5ef97a, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x529714c6, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x6e1c8e1e, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x7cf0fee7, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x32d498d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b3fc108, "dma_release_channel" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0x58892e26, "get_device" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xca1e5631, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x32b081a9, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "SLE15-SP6");
