#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cxgbi_device_portmap_create, 0x57960c02, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x9ffad64c, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x51b5303b, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x64f5c325, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x79368e41, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xdfa628b9, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x876e1836, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x08b45a81, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xa561b585, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xfceeb8e8, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xba1a399a, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xe1cfad99, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xb16a5a07, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x065f5387, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x18ba57e3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xe643d2d5, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x1299e1f3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x1f9f50fa, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xb9a4d78a, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x626e1d83, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xebb6201f, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xcfe5ab4e, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x1c63c1a9, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xe420cd4b, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xc25ecc74, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x4978ec25, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x63631477, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xa8df2bc2, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x24f68cd1, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x5aa019ff, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xa9ffae7c, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xb5d1e86f, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xbb4aa1ad, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x6b2ddc00, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x17625dc0, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xd6e4f535, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x96e02674, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x28c8aa6e, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x27c9bc81, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x211520c4, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x493b2a44, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x51bcf828, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x5c2e4032, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x15f1e87e, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb74f14b2, "iscsi_host_remove" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0x5de45e6c, "iscsi_host_free" },
	{ 0x8e15cf3c, "iscsi_host_alloc" },
	{ 0xe1667e9c, "pci_dev_get" },
	{ 0x2b51ac4f, "iscsi_host_add" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7da8959c, "iscsi_conn_queue_xmit" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x324e655a, "__kfree_skb" },
	{ 0xd14d3c7e, "iscsi_tcp_cleanup_task" },
	{ 0xecb5097a, "cxgbi_ppm_ppod_release" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xdb42f06c, "iscsi_tcp_conn_setup" },
	{ 0xe39d25b0, "iscsi_session_setup" },
	{ 0x5d4b4c07, "iscsi_tcp_r2tpool_alloc" },
	{ 0x6796b430, "iscsi_session_teardown" },
	{ 0xa90eea4, "iscsi_tcp_r2tpool_free" },
	{ 0xf527427f, "iscsi_unregister_transport" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x53d3aa85, "iscsi_set_param" },
	{ 0xa89fa32f, "iscsi_tcp_set_max_r2t" },
	{ 0xb44b324d, "iscsi_lookup_endpoint" },
	{ 0x9629653e, "iscsi_put_endpoint" },
	{ 0xf1f62704, "iscsi_conn_bind" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x8e865bc7, "iscsi_tcp_hdr_recv_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xf5589e4f, "iscsi_conn_failure" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x4a36b337, "cxgbi_ppm_init" },
	{ 0x67549475, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x12903edf, "iscsi_tcp_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x2267ba85, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xe59a62e0, "iscsi_register_transport" },
	{ 0x57d78c81, "init_net" },
	{ 0x701e72d5, "ip6_route_output_flags" },
	{ 0xc1c343aa, "iscsi_host_get_param" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xeedf73b7, "iscsi_itt_to_ctask" },
	{ 0xca606480, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb905ee48, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3274205c, "__folio_put" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xdaba41ff, "module_put" },
	{ 0xc7223bb, "iscsi_destroy_endpoint" },
	{ 0xea4fa1fe, "ipv6_dev_get_saddr" },
	{ 0xa483c048, "make_kuid" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x2796c555, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe622a12, "__ip_dev_find" },
	{ 0x3453c303, "iscsi_create_endpoint" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x49391187, "cxgbi_ppm_ppods_reserve" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x61b3dfdb, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libiscsi_tcp,libcxgb,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "SLE15-SP6");
