#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a303d4d, "check_signature" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x36c463cf, "pci_ioremap_bar" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0xf5ba4c80, "scsi_scan_host" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0x92997ed8, "_printk" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x402f0448, "sas_attach_transport" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x969b1752, "sas_release_transport" },
	{ 0x547891c, "_dev_warn" },
	{ 0xc2e587d1, "reset_devices" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x6e87927a, "sas_port_delete_phy" },
	{ 0x7cd6cb60, "sas_phy_delete" },
	{ 0x37a0cba, "kfree" },
	{ 0x68ca2de7, "sas_port_delete" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdeea6d2, "sas_port_alloc_num" },
	{ 0x3c097bde, "sas_port_add" },
	{ 0x8e2737f0, "sas_port_free" },
	{ 0x39914307, "__wake_up" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xfb578fc5, "memset" },
	{ 0xe9983781, "_dev_err" },
	{ 0xde80cd09, "ioremap" },
	{ 0x96848186, "scnprintf" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9166fada, "strncpy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0xbd9d3661, "scsi_dma_unmap" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf1b63c6b, "scsi_dma_map" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x65b45cb, "complete" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x30a5d722, "blk_queue_rq_timeout" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xae56a2d, "sas_end_device_alloc" },
	{ 0xeeb050e2, "sas_rphy_add" },
	{ 0xd3497368, "scsi_add_device" },
	{ 0x4e62397c, "scsi_device_lookup" },
	{ 0x6ac06d54, "scsi_remove_device" },
	{ 0xe2a8f4c5, "scsi_device_put" },
	{ 0xfa778781, "sas_rphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0x27756bc8, "scsi_sanitize_inquiry_string" },
	{ 0x49dfe86c, "sas_phy_alloc" },
	{ 0x8b8cb4e6, "sas_phy_add" },
	{ 0x6db35ba1, "sas_phy_free" },
	{ 0x5acb37e1, "sas_port_add_phy" },
	{ 0x7b5876e9, "scsi_host_get" },
	{ 0xb902e94f, "scsi_block_requests" },
	{ 0x9810900f, "scsi_unblock_requests" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb70789e, "__might_fault" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xda1e91aa, "scsi_print_command" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x16236e92, "pci_disable_link_state" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0xe7de7e34, "pci_irq_get_affinity" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_transport_sas");

MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003241bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003243bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003245bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003247bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003249bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd0000324Abc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd0000324Bbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Asv0000103Csd00003233bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003350bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003351bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003352bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003353bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003354bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003355bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Bsv0000103Csd00003356bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001920bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001921bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001922bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001923bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001924bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001925bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001926bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001928bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000323Csv0000103Csd00001929bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BDbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BEbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021BFbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C0bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C1bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C2bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C3bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C4bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C5bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C6bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C7bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C8bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021C9bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CAbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CBbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CCbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CDbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd00003239sv0000103Csd000021CEbc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000580bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000581bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000582bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000583bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000584bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000290sv00009005sd00000585bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000076bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000087bc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd0000007Dbc*sc*i*");
MODULE_ALIAS("pci:v00001590d00000075sv00001590sd00000088bc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd0000333Fsv0000103Csd0000333Fbc*sc*i*");
MODULE_ALIAS("pci:v0000103Cd*sv*sd*bc01sc04i*");
MODULE_ALIAS("pci:v00000E11d*sv*sd*bc01sc04i*");

MODULE_INFO(srcversion, "61DA8FB9A048D58F2AE909A");

MODULE_INFO(suserelease, "SLE15-SP6");
