#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xabe2a6e2, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x44b47be1, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x05a6d1ea, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xf1052967, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x6eb099c6, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x8e865bc7, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xd14d3c7e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x67549475, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x12903edf, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xb933dbf3, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x31645ec4, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xdb42f06c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x5d6d8da3, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x5d4b4c07, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x0a90eea4, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xa89fa32f, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x641e1513, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc19a3d55, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1b51080f, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2a64d22, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b95f1ca, "iscsi_put_task" },
	{ 0xf5589e4f, "iscsi_conn_failure" },
	{ 0x2b31655d, "iscsi_conn_setup" },
	{ 0x39871d81, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1286d8d7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2c0ef4c8, "iscsi_complete_pdu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x14044a3c, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7870dd8, "skb_prepare_seq_read" },
	{ 0xec7df843, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb1c48e39, "skb_abort_seq_read" },
	{ 0x3a8d6467, "iscsi_verify_itt" },
	{ 0xeedf73b7, "iscsi_itt_to_ctask" },
	{ 0x4ea41ab7, "iscsi_update_cmdsn" },
	{ 0xf3d6d02b, "iscsi_get_task" },
	{ 0x54b669f2, "__iscsi_complete_pdu" },
	{ 0x22581251, "iscsi_requeue_task" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x20c7201b, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "SLE15-SP6");
