#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qlt_unreg_sess, 0x12a7a5a1, "");
SYMBOL_CRC(qlt_stop_phase1, 0xdbd7e814, "");
SYMBOL_CRC(qlt_stop_phase2, 0x54d7ca36, "");
SYMBOL_CRC(qlt_free_mcmd, 0xf47a0a37, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xbc2b6535, "");
SYMBOL_CRC(qlt_xmit_response, 0xf651ccce, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x9ae9d82e, "");
SYMBOL_CRC(qlt_abort_cmd, 0x75c05152, "");
SYMBOL_CRC(qlt_free_cmd, 0xa899488a, "");
SYMBOL_CRC(qlt_lport_register, 0xba5fc7a9, "");
SYMBOL_CRC(qlt_lport_deregister, 0xf4dd8c90, "");
SYMBOL_CRC(qlt_enable_vha, 0x67a2b39f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x645f63d6, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xcbc1a679, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x51c9e93c, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd7802932, "fc_attach_transport" },
	{ 0x6e9ac451, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x30ba9314, "debugfs_attr_write" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0xad3c8dfd, "pci_request_selected_regions" },
	{ 0x71eeaf82, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x2d9ad4bf, "pci_enable_device_mem" },
	{ 0xa5006d60, "bsg_job_done" },
	{ 0x185f421, "btree_insert" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0x1f3fc147, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x2bd89258, "scsi_build_sense" },
	{ 0x3f0768e3, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xae98f37d, "fc_remove_host" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x15daa6c1, "set_user_nice" },
	{ 0x8cd55805, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xcbf03621, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd9d3661, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xe6293368, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2a88bee3, "fc_eh_timed_out" },
	{ 0x39914307, "__wake_up" },
	{ 0x214b5b6b, "btree_remove" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xde9100f2, "pci_try_set_mwi" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x2d03f55e, "mempool_free" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8201f7b0, "dev_driver_string" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x22e2e4b8, "trace_array_put" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfde51276, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x2d49bc7c, "blk_mq_pci_map_queues" },
	{ 0xc72b2d90, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc3280c9, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2f8c8b97, "fc_remote_port_delete" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x7b5876e9, "scsi_host_get" },
	{ 0x2874aa5b, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x52149294, "fc_host_post_event" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x727a4498, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7d4bd3b1, "fc_release_transport" },
	{ 0x21bce80f, "pci_set_mwi" },
	{ 0x99061156, "btree_lookup" },
	{ 0xd191c2e5, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0xabdbbc83, "debugfs_attr_read" },
	{ 0x15f9a4a5, "btree_init" },
	{ 0x3a52c82a, "kobject_uevent_env" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xe9983781, "_dev_err" },
	{ 0x36b07821, "blk_queue_update_dma_alignment" },
	{ 0xd29a21bd, "fc_vport_create" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2cc24688, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa749af91, "fc_remote_port_rolechg" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xf5ba4c80, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xe501f479, "seq_putc" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd1665565, "fc_vport_terminate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa956f350, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x290b5645, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x792d68f6, "pci_alloc_irq_vectors_affinity" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b39be8, "dma_get_required_mask" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x3675f1e1, "blk_mq_unique_tag" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xcdab684, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x245d5691, "fc_host_fpin_rcv" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x6b10d7c5, "btree_destroy" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd0bfb2b4, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2d9796f, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x840c8b30, "__register_chrdev" },
	{ 0xf1fef6ba, "mempool_destroy" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x14617c0, "fc_eh_should_retry_cmd" },
	{ 0x75fb934e, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x3a6c3cce, "scsi_is_fc_rport" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x2ec6e307, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x274f25ba, "btree_get_prev" },
	{ 0x6c75a9bb, "single_release" },
	{ 0x9810900f, "scsi_unblock_requests" },
	{ 0x9a428955, "pcie_set_readrq" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xb8ce59f4, "pci_disable_rom" },
	{ 0x698ee008, "dma_unmap_sg_attrs" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe7de7e34, "pci_irq_get_affinity" },
	{ 0xb902e94f, "scsi_block_requests" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0xf71cb810, "sysfs_remove_bin_file" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x6c666edc, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24f605c2, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x48d2e658, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc,scsi_mod");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E52F9D31AFE9DED659E330E");

MODULE_INFO(suserelease, "SLE15-SP6");
