#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0x4c78b4da, "");
SYMBOL_CRC(sas_remove_host, 0xe6abaf83, "");
SYMBOL_CRC(sas_get_address, 0x772f7590, "");
SYMBOL_CRC(sas_tlr_supported, 0x1272c5fd, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x36c2a357, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xa04ac58d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x92a84ef5, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xf95c9889, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x49dfe86c, "");
SYMBOL_CRC(sas_phy_add, 0x8b8cb4e6, "");
SYMBOL_CRC(sas_phy_free, 0x6db35ba1, "");
SYMBOL_CRC(sas_phy_delete, 0x7cd6cb60, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x1bfdb7b9, "");
SYMBOL_CRC(sas_port_alloc, 0x907bb64f, "");
SYMBOL_CRC(sas_port_alloc_num, 0xbdeea6d2, "");
SYMBOL_CRC(sas_port_add, 0x3c097bde, "");
SYMBOL_CRC(sas_port_free, 0x8e2737f0, "");
SYMBOL_CRC(sas_port_delete, 0x68ca2de7, "");
SYMBOL_CRC(scsi_is_sas_port, 0xb96f6067, "");
SYMBOL_CRC(sas_port_get_phy, 0xbafaa35e, "");
SYMBOL_CRC(sas_port_add_phy, 0x5acb37e1, "");
SYMBOL_CRC(sas_port_delete_phy, 0x6e87927a, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xfece2f31, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x473439ab, "");
SYMBOL_CRC(sas_end_device_alloc, 0x0ae56a2d, "");
SYMBOL_CRC(sas_expander_alloc, 0xb069ab82, "");
SYMBOL_CRC(sas_rphy_add, 0xeeb050e2, "");
SYMBOL_CRC(sas_rphy_free, 0xfa778781, "");
SYMBOL_CRC(sas_rphy_delete, 0xd1983d43, "");
SYMBOL_CRC(sas_rphy_unlink, 0xa1d4dec5, "");
SYMBOL_CRC(sas_rphy_remove, 0xdd0d14cd, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x79c7ec70, "");
SYMBOL_CRC(sas_attach_transport, 0x402f0448, "");
SYMBOL_CRC(sas_release_transport, 0x969b1752, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0x6db4f70a, "transport_class_unregister" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0xbe1818ec, "bsg_setup_queue" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa5006d60, "bsg_job_done" },
	{ 0x2d3c5efd, "attribute_container_unregister" },
	{ 0xd3d9e6e3, "transport_class_register" },
	{ 0x2a4b04e4, "attribute_container_register" },
	{ 0xadb4cb3d, "scsi_get_vpd_page" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x34f9dcf1, "dma_opt_mapping_size" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xb25c81b1, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5cf6b519, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xe9ba939a, "transport_add_device" },
	{ 0x64258347, "transport_configure_device" },
	{ 0xe7edac6f, "device_del" },
	{ 0x5870a55d, "transport_destroy_device" },
	{ 0x1be7c092, "transport_remove_device" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x58892e26, "get_device" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x79f7c62d, "sysfs_remove_link" },
	{ 0xc420254e, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x99f29c41, "scsi_mode_sense" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xae9693de, "scsi_scan_target" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xddbcd7d2, "bsg_remove_queue" },
	{ 0x35a60821, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "SLE15-SP6");
