#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_bus_type, 0x7d336d5a, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x3274540a, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x60ecb3e5, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x7bb72ff5, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xdd1a38b9, "");
SYMBOL_CRC(sdw_show_ping_status, 0xff5bff66, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x2be27d87, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x2d1d0cdb, "");
SYMBOL_CRC(sdw_write_no_pm, 0x70fd80b8, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x26187315, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x67a1927f, "");
SYMBOL_CRC(sdw_read_no_pm, 0xb0610733, "");
SYMBOL_CRC(sdw_update_no_pm, 0x17fd5c8d, "");
SYMBOL_CRC(sdw_update, 0x54a9f5f8, "");
SYMBOL_CRC(sdw_nread, 0xd6a05fe7, "");
SYMBOL_CRC(sdw_nwrite, 0x53064631, "");
SYMBOL_CRC(sdw_read, 0x6d0946e8, "");
SYMBOL_CRC(sdw_write, 0x6714e9ea, "");
SYMBOL_CRC(sdw_compare_devid, 0x3228282d, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xa94fd3ea, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf866f177, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x6172783c, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x35063ad8, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x59485b84, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xe33448d9, "");
SYMBOL_CRC(sdw_slave_add, 0x421a3813, "");
SYMBOL_CRC(sdw_master_read_prop, 0xb523be44, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xe4619f75, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0x9ae77587, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x8fb57584, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xdfa901d7, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x677afb65, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x9772dd2d, "device_property_present" },
	{ 0xb96d1553, "devm_device_add_groups" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x503bbdef, "seq_lseek" },
	{ 0x2ee1078f, "dev_pm_domain_attach" },
	{ 0xe8fb48f8, "devm_device_add_group" },
	{ 0xb4de856d, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6bf72dd3, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0xb1739347, "fwnode_property_read_u32_array" },
	{ 0x9a83c8bf, "dev_pm_domain_detach" },
	{ 0x2a9b71c7, "pm_generic_runtime_suspend" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x32b081a9, "device_register" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0x2fce60b7, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc450d758, "fwnode_property_present" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x53e98293, "device_get_named_child_node" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6c75a9bb, "single_release" },
	{ 0xd7318333, "acpi_dev_for_each_child" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xaca8f1f3, "single_open" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2EDB406E3F163C38E4710D6");

MODULE_INFO(suserelease, "SLE15-SP6");
