#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x16ecd0fa, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x4eba841e, "ieee80211_free_hw" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xaecc44c8, "ieee80211_get_tkip_p2k" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a5fd1b2, "ieee80211_register_hw" },
	{ 0x3aaf4656, "ieee80211_emulate_change_chanctx" },
	{ 0x67bbe0ea, "ieee80211_ctstoself_duration" },
	{ 0x2bca99f4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2e47ba61, "ieee80211_generic_frame_duration" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10ff28b3, "ieee80211_handle_wake_tx_queue" },
	{ 0x24fb9c36, "ieee80211_tx_status_irqsafe" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0xedd7f2d8, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1d99bfa1, "usb_kill_anchored_urbs" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe9983781, "_dev_err" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x8a72ff20, "usb_control_msg" },
	{ 0x701da05e, "ieee80211_wake_queues" },
	{ 0x8ac275d0, "ieee80211_free_txskb" },
	{ 0x1288500b, "ieee80211_alloc_hw_nm" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x547891c, "_dev_warn" },
	{ 0x9d9de195, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe13792d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xc0fb1682, "usb_unanchor_urb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd0cd4dd, "ieee80211_stop_queues" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c89619c, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28169b03, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x38efc576, "skb_clone" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x59315dc7, "ieee80211_emulate_remove_chanctx" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x4e8ba167, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd42f7c7, "ieee80211_rts_duration" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v160Ap3184d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2C3B2F9B51FEB2D24169778");

MODULE_INFO(suserelease, "SLE15-SP6");
