#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x914d3c21, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xb7e7fc02, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xa20db5e7, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x412601d0, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xc21db522, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xceebcb4d, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xbb2babf2, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x368564e0, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x766d94f9, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x6f49799b, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xf22dab95, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x0f64a983, "");
SYMBOL_CRC(iscsit_release_cmd, 0xaad53d64, "");
SYMBOL_CRC(iscsit_free_cmd, 0x7072456f, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x328d63de, "");
SYMBOL_CRC(iscsit_aborted_task, 0x18df2b0b, "");
SYMBOL_CRC(iscsit_add_reject, 0x347d6675, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x4ca20048, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xac849eec, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x5f9a953f, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x93a4c5f7, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xa5d7a206, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x02ee9daa, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xa68dcaa5, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xa48402f2, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xd7829bf4, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xfe88a48a, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x9e359352, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x96107120, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xff102f30, "");
SYMBOL_CRC(iscsit_handle_snack, 0xe80c0608, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x3b488f23, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xad7cd615, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x39019ce9, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xc54ef802, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xe3924b39, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x368372fa, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xdf5e2dce, "");
SYMBOL_CRC(iscsit_build_reject, 0x9007a922, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x8871b35d, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xdca95991, "");
SYMBOL_CRC(iscsit_response_queue, 0x7049f625, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x7cc64324, "");
SYMBOL_CRC(iscsit_register_transport, 0xc4f8b504, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x716b0bfc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31134119, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x5093657b, "target_alloc_cmd_counter" },
	{ 0xa5b640e9, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x52ec533f, "target_wait_for_cmds" },
	{ 0x3a34c663, "transport_generic_new_cmd" },
	{ 0x6ccfbf43, "target_free_cmd_counter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xf3f90115, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xd8ffc5e7, "kernel_bind" },
	{ 0xbfc97bdc, "up" },
	{ 0x1ad6a649, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0xf12186b, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x4b0e5f8f, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4274592, "target_stop_cmd_counter" },
	{ 0xaf233c01, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6a2dfe4, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x97a75cff, "transport_alloc_session_tags" },
	{ 0x3788bfea, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x595a24f3, "sbitmap_prepare_to_wait" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd484b77a, "target_unregister_template" },
	{ 0xa1e754ba, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbef7e63e, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xae16eb14, "flush_signals" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57d78c81, "init_net" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0x59524d94, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xbeb49469, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0xabf47bac, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe189431b, "sbitmap_queue_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xba9f30a9, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xcd192a23, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6c00e291, "sock_sendmsg" },
	{ 0x406543d0, "crypto_shash_update" },
	{ 0x58977c22, "core_tpg_set_initiator_node_tag" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x249268b0, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x19922101, "sock_set_reuseaddr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x77f6da13, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x1b51080f, "crypto_ahash_digest" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x14044a3c, "crypto_ahash_final" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x3f9a140e, "__target_init_cmd" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x91d02516, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0c2931a, "core_tpg_check_initiator_node_acl" },
	{ 0x597db2ba, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x2473c935, "kernel_listen" },
	{ 0xc7019245, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x3fd2d054, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xaa33e501, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x27ae03e8, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9e91b7ee, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x6a7f01ca, "transport_handle_cdb_direct" },
	{ 0x73fdf25d, "target_get_sess_cmd" },
	{ 0xd0bd97ce, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xee12d122, "core_tpg_deregister" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xb9119776, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6b6103f6, "target_show_dynamic_sessions" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x11333d88, "sock_release" },
	{ 0xedd087f5, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf8be55c2, "tcp_sock_set_nodelay" },
	{ 0x77239694, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x77a4db48, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x5aa5dd7d, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x90fc7bfe, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x2a2f4653, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0x5d2cd59, "__sbitmap_queue_get" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb7a069f0, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod,configfs");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "SLE15-SP6");
