#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ehci_handshake, 0x9fec73e5, "_gpl");
SYMBOL_CRC(ehci_reset, 0x4cb3d5fa, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0xe8b89250, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0xef1a84bd, "_gpl");
SYMBOL_CRC(ehci_setup, 0xbff350a7, "_gpl");
SYMBOL_CRC(ehci_suspend, 0xbe9c6e64, "_gpl");
SYMBOL_CRC(ehci_resume, 0xf3ea3797, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0xda356e15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb856c210, "param_ops_bool" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa1a06cdf, "usb_hub_clear_tt_buffer" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xf69f68f9, "usb_hcd_unlink_urb_from_ep" },
	{ 0x9a300ff1, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4692dc8, "hrtimer_cancel" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x547891c, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x707d96ce, "__platform_register_drivers" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x2484f5e0, "platform_unregister_drivers" },
	{ 0x78a532f3, "usb_hcd_resume_root_hub" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0x45582856, "hrtimer_start_range_ns" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe9983781, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x88e58b21, "usb_hcd_check_unlink_urb" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x897143e1, "usb_hc_died" },
	{ 0x5057e8f3, "usb_hcd_poll_rh_status" },
	{ 0x23285de4, "usb_hcd_start_port_resume" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0xb2e0531e, "usb_root_hub_lost_power" },
	{ 0x4e31b145, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xd4598c69, "ehci_cf_port_reset_rwsem" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xb4dc9b09, "device_create_file" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9a77432f, "hrtimer_init" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf6190990, "usb_hcd_end_port_resume" },
	{ 0x33b2da, "usb_for_each_dev" },
	{ 0x44766ff6, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1121C33D8F872F51DD10120");

MODULE_INFO(suserelease, "SLE15-SP6");
