#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ohci_hub_status_data, 0x00bf4376, "_gpl");
SYMBOL_CRC(ohci_hub_control, 0xce315ba2, "_gpl");
SYMBOL_CRC(ohci_setup, 0x7420048b, "_gpl");
SYMBOL_CRC(ohci_restart, 0x2ef31412, "_gpl");
SYMBOL_CRC(ohci_suspend, 0x94059f38, "_gpl");
SYMBOL_CRC(ohci_resume, 0xdcf57332, "_gpl");
SYMBOL_CRC(ohci_init_driver, 0x12b3308e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x547891c, "_dev_warn" },
	{ 0x88e58b21, "usb_hcd_check_unlink_urb" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x44766ff6, "usb_hcd_link_urb_to_ep" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x897143e1, "usb_hc_died" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1e656ba7, "gen_pool_dma_alloc_align" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0x8f46f061, "dma_pool_create" },
	{ 0xce30e66, "device_set_wakeup_capable" },
	{ 0xb2e0531e, "usb_root_hub_lost_power" },
	{ 0x78a532f3, "usb_hcd_resume_root_hub" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5057e8f3, "usb_hcd_poll_rh_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xb262a8ef, "gen_pool_free_owner" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xf69f68f9, "usb_hcd_unlink_urb_from_ep" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9a300ff1, "usb_hcd_giveback_urb" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x2805200e, "sb800_prefetch" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96848186, "scnprintf" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x5b4b6117, "gen_pool_dma_zalloc_align" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xce4b4b95, "usb_debug_root" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0xe9983781, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "647FFD20EF52AF380501A03");

MODULE_INFO(suserelease, "SLE15-SP6");
