#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_serial_claim_interface, 0xa2796eda, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x463f89f8, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x2d0cf3c3, "");
SYMBOL_CRC(usb_serial_resume, 0x3280a998, "");
SYMBOL_CRC(usb_serial_register_drivers, 0xc0449dc5, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x3de51d84, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xe00ce198, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xf94edc1b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x372be394, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0x1bf647f7, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xa186fc65, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x8918944a, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x91e7d5dd, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0x245e675e, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x57abf437, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x83dc87b8, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x13d69a5e, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x4bc47c67, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0xf15764e3, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0x2d53450d, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x988df1ef, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x83ab2cfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f0edced, "usb_put_intf" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x1c665759, "usb_autopm_put_interface" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x178c6ede, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x765eacaa, "tty_flip_buffer_push" },
	{ 0x66bbceb8, "driver_attach" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x50b7f300, "tty_kref_put" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xfee7a945, "usb_match_one_id" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xa6c04e3, "__tty_alloc_driver" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x7d24b7ba, "tty_standard_install" },
	{ 0x39914307, "__wake_up" },
	{ 0xa76b18c9, "usb_show_dynids" },
	{ 0xd89109b8, "tty_hangup" },
	{ 0x3e4604cb, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x94c86923, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd550e33, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x987d9ece, "usb_put_dev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0x4be56d38, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x7996e633, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0xf2f2a5bd, "tty_port_tty_wakeup" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x75ef1961, "usb_match_id" },
	{ 0x31f0c37b, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0xe3571883, "tty_ldisc_ref" },
	{ 0xa68d03d0, "tty_vhangup" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x116197c9, "tty_port_destroy" },
	{ 0x8d96f24f, "tty_insert_flip_string_fixed_flag" },
	{ 0xc8a9941d, "tty_port_init" },
	{ 0xb43de48, "usb_driver_claim_interface" },
	{ 0xe501f479, "seq_putc" },
	{ 0x7273eddf, "usb_poison_urb" },
	{ 0xaae60a4e, "usb_unpoison_urb" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0x3b28a9a5, "tty_port_register_device" },
	{ 0xc079a740, "tty_ldisc_deref" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe7edac6f, "device_del" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xdc678cef, "tty_port_close" },
	{ 0x86d4786, "__tty_insert_flip_char" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x81f25b02, "usb_autopm_get_interface" },
	{ 0xc288dfa2, "tty_register_driver" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6c9dda4a, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xbcad417d, "tty_port_open" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xcc1f889b, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59a98592, "tty_port_tty_get" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3D72947FA887CDDD1BE7E62");

MODULE_INFO(suserelease, "SLE15-SP6");
