#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ec6e307, "scsi_done" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1d99bfa1, "usb_kill_anchored_urbs" },
	{ 0xf4101933, "scsi_remove_host" },
	{ 0x4647dc1d, "scsi_host_put" },
	{ 0x76dd4a3c, "usb_lock_device_for_reset" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xf5ba4c80, "scsi_scan_host" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x36b07821, "blk_queue_update_dma_alignment" },
	{ 0xdcc39814, "blk_queue_max_hw_sectors" },
	{ 0x71f8d72b, "usb_alloc_urb" },
	{ 0x16ecd0fa, "usb_anchor_urb" },
	{ 0x26c6d8ea, "usb_submit_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xc0fb1682, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8d6e311, "sdev_prefix_printk" },
	{ 0xfad405d9, "usb_unlink_urb" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xfd4186e8, "usb_stor_adjust_quirks" },
	{ 0x2c2fdd3d, "scsi_host_alloc" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa2c88110, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc28d7ba, "usb_free_streams" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x5991adac, "usb_set_interface" },
	{ 0xedd7f2d8, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb1982a69, "usb_wait_anchor_empty_timeout" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xb902e94f, "scsi_block_requests" },
	{ 0x57c6be64, "_dev_printk" },
	{ 0x9810900f, "scsi_unblock_requests" },
	{ 0x60e0c0bd, "usb_free_urb" },
	{ 0xe9983781, "_dev_err" },
	{ 0x337077a6, "scsi_is_host_device" },
	{ 0x24666f1d, "scsi_change_queue_depth" },
	{ 0x9c5e006c, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7d912a08, "usb_alloc_streams" },
	{ 0xe2fb3efc, "scsi_report_bus_reset" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd9bf1e19, "usb_register_driver" },
	{ 0xd0bfb2b4, "scmd_printk" },
	{ 0xda1e91aa, "scsi_print_command" },
	{ 0x6d90b298, "usb_get_urb" },
	{ 0x778ff77e, "usb_kill_urb" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,usbcore,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "F081901AD78F745A238D0CA");

MODULE_INFO(suserelease, "SLE15-SP6");
