#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_pci_core_enable, 0xafbdec1e, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xd54a4683, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x5801de96, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xd74bc15d, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x9bb45926, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x3e10e6f3, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x776c4507, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x51118e2e, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xfd48f0f2, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x6c6fece1, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x4ef65c8f, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xd3c4760c, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x6f20be3f, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x79a80116, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x80dd9146, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x3e5070a2, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x27f1cbcb, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x43c55892, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x78c58fc6, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79efb5f4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x13110126, "request_resource" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x10e2ebc9, "pci_read_vpd" },
	{ 0x4a502446, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad3c8dfd, "pci_request_selected_regions" },
	{ 0x71eeaf82, "pci_release_selected_regions" },
	{ 0xd8b7c3c, "pci_user_write_config_byte" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7fc9d7b, "pci_bus_max_busnr" },
	{ 0x4bb55783, "pci_check_and_mask_intx" },
	{ 0xd88d2c80, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x41e7bd96, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xf4463800, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0x2ae65e8b, "iommu_group_get" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd1e834c1, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x503c48e2, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x437d1598, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xdbdcedc4, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa172483d, "pci_user_read_config_dword" },
	{ 0x39b6dbb1, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6322785f, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x837d5663, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x66cfe08c, "pci_probe_reset_slot" },
	{ 0xc897367d, "zap_vma_ptes" },
	{ 0x63839afa, "pci_set_power_state" },
	{ 0x4c04334a, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x51edb546, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xa1ca74f0, "__tracepoint_mmap_lock_released" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x1d00bdf4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc175a79a, "pci_user_write_config_word" },
	{ 0xcc72d2be, "bus_register_notifier" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x597f00e6, "vfio_file_is_group" },
	{ 0x48388cef, "pci_msix_can_alloc_dyn" },
	{ 0x14aed77, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x904a5c90, "pci_clear_master" },
	{ 0x5a96ce7d, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xba2f2845, "fput" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd231bdbb, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x44037b4a, "pci_write_vpd" },
	{ 0x7f69e201, "vfio_virqfd_enable" },
	{ 0xdfc2d86c, "vga_client_register" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x208efa14, "aperture_remove_conflicting_pci_devices" },
	{ 0xa8ab6968, "vfio_unregister_group_dev" },
	{ 0xa2810fd3, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x7b106b25, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xb159cedf, "pci_iounmap" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x365943f8, "pcie_get_mps" },
	{ 0x9ed349aa, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b9661b7, "down_write_trylock" },
	{ 0xa60b94b6, "down_read" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xdaaa9093, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xd6af8979, "pci_dev_driver" },
	{ 0xc5edfc2d, "__xa_insert" },
	{ 0xb7b50ce1, "xa_erase" },
	{ 0xa2b6f20e, "__mmap_lock_do_trace_start_locking" },
	{ 0xf9954fca, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x339ccd31, "_dev_notice" },
	{ 0x83882a99, "pm_runtime_forbid" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0xec3725be, "pci_reset_bus" },
	{ 0xf83382cc, "mmput" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x44d58280, "vfio_register_group_dev" },
	{ 0x6cebc447, "vfio_assign_device_set" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xaf977b0f, "pci_user_read_config_byte" },
	{ 0x77dce024, "pci_try_reset_function" },
	{ 0xd33f4cdc, "xa_find" },
	{ 0x66028965, "__tracepoint_mmap_lock_start_locking" },
	{ 0xbd674c2b, "pci_get_class" },
	{ 0x801ef4b9, "pci_user_write_config_dword" },
	{ 0x75fb934e, "pcie_capability_read_dword" },
	{ 0x634d289e, "__mmap_lock_do_trace_released" },
	{ 0x874501f4, "pci_load_and_free_saved_state" },
	{ 0x8c55e976, "pci_disable_sriov" },
	{ 0xddb374a5, "vfio_device_set_open_count" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x884a65c5, "pci_check_and_unmask_intx" },
	{ 0x9a428955, "pcie_set_readrq" },
	{ 0x4daa7ee1, "pci_walk_bus" },
	{ 0x30486241, "pci_msix_alloc_irq_at" },
	{ 0x6788b58a, "xa_find_after" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa1d3badd, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x53922f4a, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x545b9114, "vga_set_legacy_decoding" },
	{ 0x5e981a26, "pci_dev_unlock" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0xb9911142, "pci_free_irq_vectors" },
	{ 0x23caa518, "pci_enable_sriov" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xe13b383a, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "3183BC4D9B07D2A8AF3F23B");

MODULE_INFO(suserelease, "SLE15-SP6");
