#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(w1_add_master_device, 0x9a473812, "");
SYMBOL_CRC(w1_remove_master_device, 0x61b17efc, "");
SYMBOL_CRC(w1_register_family, 0x3bbd57e2, "");
SYMBOL_CRC(w1_unregister_family, 0x3ee2337d, "");
SYMBOL_CRC(w1_touch_bit, 0x3e03fd5e, "_gpl");
SYMBOL_CRC(w1_write_8, 0x46178416, "_gpl");
SYMBOL_CRC(w1_triplet, 0x9fd3158b, "_gpl");
SYMBOL_CRC(w1_read_8, 0xd1588736, "_gpl");
SYMBOL_CRC(w1_write_block, 0x65ddfdfb, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xaef694f9, "_gpl");
SYMBOL_CRC(w1_read_block, 0x3a6c6e46, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xe2db91b3, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xe361f010, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x2c72c5bf, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xc2bab140, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa17adba, "sysfs_remove_groups" },
	{ 0xea9d9919, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x789a3dc2, "cn_netlink_send_mult" },
	{ 0x5cf6b519, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xae16eb14, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe614bd65, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32b081a9, "device_register" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xf6cd056e, "hwmon_device_unregister" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18b4d4f7, "cn_add_callback" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7905f9a1, "bus_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EDDCF1521AB21CE0A3E6DC5");

MODULE_INFO(suserelease, "SLE15-SP6");
