#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6cb0527, "gnttab_unmap_refs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4b931968, "xen_features" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x3274205c, "__folio_put" },
	{ 0x119c56e7, "gnttab_page_cache_put" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5aa5dd7d, "core_tpg_register" },
	{ 0x7c81af5d, "gnttab_page_cache_shrink" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x807c63a6, "gnttab_page_cache_init" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x76ed4f54, "xenbus_switch_state" },
	{ 0x64a3ecdc, "xenbus_dev_error" },
	{ 0x111151d0, "xenbus_dev_fatal" },
	{ 0x9f984513, "strrchr" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce0a4020, "xenbus_directory" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x67d0b28d, "xenbus_map_ring_valloc" },
	{ 0x93b8434d, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe055ff73, "xenbus_dev_is_online" },
	{ 0xdf8711c3, "device_unregister" },
	{ 0x39914307, "__wake_up" },
	{ 0x90fc7bfe, "target_put_sess_cmd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbf19343b, "target_submit_tmr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x2be7bf81, "gnttab_map_refs" },
	{ 0xb72704ad, "gnttab_page_cache_get" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x5d2cd59, "__sbitmap_queue_get" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x646289eb, "target_init_cmd" },
	{ 0xce659df, "target_submit_prep" },
	{ 0xd6b3ecce, "target_submit" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0xe4924426, "param_ops_int" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3e7a5044, "__xenbus_register_backend" },
	{ 0xedd087f5, "target_register_template" },
	{ 0x424818cd, "xenbus_unregister_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0xe9f1c971, "target_remove_session" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x2e96abad, "target_setup_session" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xee12d122, "core_tpg_deregister" },
	{ 0x65b45cb, "complete" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xf3f90115, "target_execute_cmd" },
	{ 0xe189431b, "sbitmap_queue_clear" },
	{ 0x77a4db48, "transport_generic_free_cmd" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x1dacddd1, "xenbus_unmap_ring_vfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x8415c193, "finish_wait" },
	{ 0xd484b77a, "target_unregister_template" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod");


MODULE_INFO(srcversion, "BF7807853233CA7CC0E0D15");

MODULE_INFO(suserelease, "SLE15-SP6");
