#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_search_long, 0xa77ba623, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x249521fd, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xef30466e, "_gpl");
SYMBOL_CRC(fat_scan, 0x88ce5ce4, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xb890b0f7, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x5e949b1a, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x1ed2ae24, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xaa45b21d, "_gpl");
SYMBOL_CRC(fat_getattr, 0x296ce3ab, "_gpl");
SYMBOL_CRC(fat_setattr, 0xc51fcde5, "_gpl");
SYMBOL_CRC(fat_attach, 0x76637914, "_gpl");
SYMBOL_CRC(fat_detach, 0xff2655fc, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x76cb6327, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x0363e9fd, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x8e11e52e, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x4198ff6e, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x0e89c933, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xc5d2cf6c, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x857b648f, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x12885979, "_gpl");
SYMBOL_CRC(fat_update_time, 0xb262d2e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46c3b334, "filemap_fdatawrite" },
	{ 0x78517016, "generic_fillattr" },
	{ 0x32195cd1, "setattr_prepare" },
	{ 0x9b083973, "generic_block_bmap" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0x4fa65076, "sync_blockdev_nowait" },
	{ 0xda6a9bbf, "make_vfsgid" },
	{ 0xd9577e96, "blk_start_plug" },
	{ 0x765e4fb5, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe9a4b9f, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xea86abc4, "new_inode" },
	{ 0x5a273696, "mark_buffer_dirty" },
	{ 0x3d076228, "security_inode_setattr" },
	{ 0xab39d46d, "__find_get_block" },
	{ 0x4bcdb9d5, "filemap_fdatawrite_range" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x5342b198, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xee597969, "__blockdev_direct_IO" },
	{ 0x1c8a023e, "d_make_root" },
	{ 0xedf930cb, "__bforget" },
	{ 0x1fa2d099, "sb_set_blocksize" },
	{ 0xe03f0144, "block_truncate_page" },
	{ 0xd600fb05, "write_dirty_buffer" },
	{ 0xac89d975, "sync_filesystem" },
	{ 0x7df42e97, "fsnotify" },
	{ 0x6f883acc, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x43375fc3, "from_vfsuid" },
	{ 0xaa1a17af, "inode_dio_wait" },
	{ 0x8a670f2c, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xed28c6f8, "cont_write_begin" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xc461dd9f, "iter_file_splice_write" },
	{ 0xb7169fcc, "generic_file_write_iter" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xc7723cdc, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86a9bf23, "make_vfsuid" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc04776db, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x60f74349, "block_invalidate_folio" },
	{ 0x8df6d319, "__breadahead" },
	{ 0x6726434f, "generic_write_end" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92a4da7e, "load_nls" },
	{ 0xb39d9fd6, "generic_cont_expand_simple" },
	{ 0xa483c048, "make_kuid" },
	{ 0x78ddc178, "truncate_inode_pages_final" },
	{ 0x3cb841a8, "generic_file_mmap" },
	{ 0xbd71deed, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8ab9a929, "ilookup" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xafd9fa5e, "invalidate_inode_buffers" },
	{ 0xff22718c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x390781be, "mnt_drop_write_file" },
	{ 0xdf847656, "inode_init_once" },
	{ 0x78339fb6, "compat_ptr_ioctl" },
	{ 0xd242f245, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4f4dd81e, "__brelse" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0xb5953621, "generic_file_read_iter" },
	{ 0x2d8bcec1, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x186840d3, "truncate_pagecache" },
	{ 0x7d88c19, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x16b86dd4, "setattr_copy" },
	{ 0x22045f2f, "__wait_on_buffer" },
	{ 0xdf62c4bd, "set_nlink" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd27feae2, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x71028527, "from_vfsgid" },
	{ 0x4e53164a, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x53d99655, "d_obtain_alias" },
	{ 0xb83a7cd7, "__bread_gfp" },
	{ 0x5ed07014, "block_dirty_folio" },
	{ 0xd82a1948, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x63c3bf96, "__insert_inode_hash" },
	{ 0x698fef1a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x311472c6, "from_kgid_munged" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xb0cfc4d0, "truncate_setsize" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x22e41345, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf19b052, "igrab" },
	{ 0x7f5d18e, "__getblk_gfp" },
	{ 0x5a56f217, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x53ee582, "mpage_readahead" },
	{ 0x4230cba0, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5f851b39, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xb70789e, "__might_fault" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xaefc33a6, "generic_fh_to_parent" },
	{ 0x60bceb4e, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60cfbb0f, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf64e0f38, "kmem_cache_alloc_lru" },
	{ 0xa60ecffb, "__mark_inode_dirty" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0xbef305bf, "unload_nls" },
	{ 0xce761558, "up_read" },
	{ 0xd49bc1ae, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf0368237, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xa726ab34, "blkdev_issue_discard" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "SLE15-SP6");
