#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0xb5bf868f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xeaa018fe, "");
SYMBOL_CRC(fscache_acquire_cache, 0x6326aca1, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x993c9f1d, "");
SYMBOL_CRC(fscache_add_cache, 0x4a0abdd0, "");
SYMBOL_CRC(fscache_io_error, 0x25dc8298, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xc06d7e61, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x0f1b8eee, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xa4f8107a, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x58038bf4, "");
SYMBOL_CRC(fscache_caching_failed, 0xb043ec0c, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x5e34dedf, "");
SYMBOL_CRC(__fscache_use_cookie, 0xd22cf2c0, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xb48ffcdd, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x123eae05, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xcd51ba24, "");
SYMBOL_CRC(fscache_put_cookie, 0x1fb67605, "");
SYMBOL_CRC(fscache_get_cookie, 0x36a0f2df, "");
SYMBOL_CRC(__fscache_invalidate, 0xe5ad60f6, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x1e76ae7b, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x35a28ed7, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x1d28a40c, "");
SYMBOL_CRC(fscache_dirty_folio, 0x167373d4, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x3b7b55a3, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x9c5234ef, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xed6f3a05, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xa8f1e39e, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x9debbf4e, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x52a1a097, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xd447681f, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x17fe6963, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xa53df333, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x3388ee62, "");
SYMBOL_CRC(fscache_end_volume_access, 0x11348bc8, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x1a5ce273, "");
SYMBOL_CRC(fscache_put_volume, 0xea7b91f1, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xd83759b2, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x16f3cae0, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x648da7d3, "xas_find" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x8caad801, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1a568136, "remove_proc_subtree" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xcd523c99, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x93cacdc1, "down_write" },
	{ 0xd4107f3f, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88f2c7c7, "folio_end_private_2" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa60b94b6, "down_read" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xcc0d7e96, "filemap_dirty_folio" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xb4bd9601, "iov_iter_xarray" },
	{ 0xc39dde79, "proc_create_single_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1c839999, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xce761558, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0BB1764C8989B6E07CB0901");

MODULE_INFO(suserelease, "SLE15-SP6");
