#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfs3_set_ds_client, 0xfc7a9bf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c07b5fd, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf51a4644, "nlmclnt_proc" },
	{ 0xd3a23a16, "nfs_writeback_update_inode" },
	{ 0xfa67c43, "nfs_alloc_client" },
	{ 0xf98d7d8f, "nfs_dentry_operations" },
	{ 0xcdfa255f, "xdr_write_pages" },
	{ 0x2a855bc5, "nfs_access_zap_cache" },
	{ 0x9d6bd06f, "xdr_inline_decode" },
	{ 0x43a932fd, "forget_all_cached_acls" },
	{ 0x1722d199, "nfs_submount" },
	{ 0x4d676bd8, "__tracepoint_nfs_xdr_status" },
	{ 0x1fd321f, "nfs_mknod" },
	{ 0x96f8daf6, "nfs_create_server" },
	{ 0xbcc9d4ee, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xe5073ce1, "nfs_post_op_update_inode" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x8cfc0a11, "xdr_read_pages" },
	{ 0x7918eced, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xa0ea9219, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2e6081d2, "nfs_mkdir" },
	{ 0xfeed368, "nfs_revalidate_inode" },
	{ 0x939822ad, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37b06a05, "nfs_try_get_tree" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa483c048, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x5b3271ef, "nfs_get_client" },
	{ 0xb4a331fe, "__free_pages" },
	{ 0x907a8273, "nfs_file_operations" },
	{ 0xe04e30e3, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xb44bdaef, "nfs_put_lock_context" },
	{ 0x9f3edcb6, "nfs_rename" },
	{ 0x321b1146, "nfs_lookup" },
	{ 0xd07629b4, "nfsacl_encode" },
	{ 0xb43ba253, "posix_acl_create" },
	{ 0x8a8818c4, "get_nfs_open_context" },
	{ 0x4c07a43f, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x250ace2e, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xe5112921, "nfs_getattr" },
	{ 0x4d82213a, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x24f6ef2, "nfs_zap_acl_cache" },
	{ 0xcb56c4ca, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x62079022, "rpc_bind_new_program" },
	{ 0xb4c70e56, "register_nfs_version" },
	{ 0xf69c602, "nfs_atomic_open_v23" },
	{ 0xde637cce, "rpc_call_start" },
	{ 0x31bd6feb, "rpc_call_sync" },
	{ 0x969493d4, "rpc_prepare_reply_pages" },
	{ 0xa322da9c, "nfs_fs_type" },
	{ 0xb5d09eed, "nfs_setattr" },
	{ 0xaa38323e, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x706a79c7, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x6d12d907, "make_kgid" },
	{ 0x311472c6, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xb7441a1f, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xafdd6764, "nfs_rmdir" },
	{ 0x52c4aeb9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x11f6337e, "nfs_async_iocounter_wait" },
	{ 0x76fd6cc3, "nfs_setattr_update_inode" },
	{ 0x5a08c8d3, "nfs_sops" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x92cbaff3, "rpc_restart_call" },
	{ 0x3536d123, "alloc_pages" },
	{ 0x2bce06ba, "nfs_link" },
	{ 0x72fb2dff, "dput" },
	{ 0x96d80056, "put_nfs_open_context" },
	{ 0x161c3b4c, "nfs_permission" },
	{ 0x87cd9832, "nfs_add_or_obtain" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x3da4ea3a, "nfs_free_client" },
	{ 0x78a64658, "nfs_close_context" },
	{ 0x744ed3ab, "nfs_refresh_inode" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x7bd81984, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xd1c26e61, "nfs_symlink" },
	{ 0x8449817f, "nfs_unlink" },
	{ 0x5e383eed, "forget_cached_acl" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "97DF6E7D20E8318504C1ACD");

MODULE_INFO(suserelease, "SLE15-SP6");
