#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xaaef98e3, "dquot_commit" },
	{ 0x43099b40, "truncate_inode_pages" },
	{ 0x6d667931, "bh_uptodate_or_lock" },
	{ 0x36306529, "inode_init_owner" },
	{ 0x32195cd1, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0xc7240f05, "clear_nlink" },
	{ 0x9b083973, "generic_block_bmap" },
	{ 0xa2fd4fc8, "__init_rwsem" },
	{ 0xa1091bc6, "d_instantiate" },
	{ 0xda6a9bbf, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x765e4fb5, "clear_inode" },
	{ 0x6b048af5, "dquot_set_dqinfo" },
	{ 0xf82a6e97, "dquot_commit_info" },
	{ 0xc5fb9cb5, "grab_cache_page_write_begin" },
	{ 0x9d3fc911, "dquot_disable" },
	{ 0x511ec16f, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x74ae6111, "dquot_free_inode" },
	{ 0x5ba2d500, "folio_unlock" },
	{ 0xc903de42, "set_blocksize" },
	{ 0x64685a90, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xea86abc4, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe05eadd1, "dquot_get_state" },
	{ 0xe1eb814b, "init_special_inode" },
	{ 0x75c5fb5e, "unregister_filesystem" },
	{ 0x5a273696, "mark_buffer_dirty" },
	{ 0xab39d46d, "__find_get_block" },
	{ 0x82bf7890, "__block_write_begin" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8d9a0a7c, "inode_set_flags" },
	{ 0x8415c193, "finish_wait" },
	{ 0xee597969, "__blockdev_direct_IO" },
	{ 0x1c8a023e, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0xedf930cb, "__bforget" },
	{ 0x1fa2d099, "sb_set_blocksize" },
	{ 0xd600fb05, "write_dirty_buffer" },
	{ 0xac89d975, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x980273cb, "d_splice_alias" },
	{ 0x6f883acc, "current_time" },
	{ 0xb70b471f, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xad911c8c, "ihold" },
	{ 0x76f1d15a, "page_get_link" },
	{ 0xaa1a17af, "inode_dio_wait" },
	{ 0x34eaf68b, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf7c1316, "read_cache_page" },
	{ 0xb1ec874a, "iput" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xc461dd9f, "iter_file_splice_write" },
	{ 0xdb77b3fb, "filemap_release_folio" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x1a568136, "remove_proc_subtree" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x39914307, "__wake_up" },
	{ 0xb7169fcc, "generic_file_write_iter" },
	{ 0xb00ffcb, "register_filesystem" },
	{ 0x9a74da43, "dquot_transfer" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x32ba7c14, "dquot_drop" },
	{ 0x91fa7eb2, "down_read_trylock" },
	{ 0x802f5a58, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86a9bf23, "make_vfsuid" },
	{ 0x5eb0aa59, "inode_get_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a4f9731, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x8950fec3, "inode_newsize_ok" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x3491875f, "kill_block_super" },
	{ 0xc04776db, "mnt_want_write_file" },
	{ 0x9bee7e2a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x44762ee4, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb39d9fd6, "generic_cont_expand_simple" },
	{ 0xa1137289, "try_to_free_buffers" },
	{ 0xa483c048, "make_kuid" },
	{ 0x9174cbf9, "create_empty_buffers" },
	{ 0x78ddc178, "truncate_inode_pages_final" },
	{ 0x3cb841a8, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xbd71deed, "sync_mapping_buffers" },
	{ 0x41c89128, "dquot_initialize" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2ff708ea, "dquot_quota_on" },
	{ 0x563a25de, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xeef91bf3, "xattr_full_name" },
	{ 0xe04e30e3, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x9454e5d2, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x390781be, "mnt_drop_write_file" },
	{ 0x31356db6, "atomic_dec_and_mutex_lock" },
	{ 0xcd523c99, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf847656, "inode_init_once" },
	{ 0xf7786888, "file_write_and_wait_range" },
	{ 0xdbf965a7, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb5e81004, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4bad6911, "dquot_set_dqblk" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f4dd81e, "__brelse" },
	{ 0xb43ba253, "posix_acl_create" },
	{ 0x971c5569, "inode_nohighmem" },
	{ 0x49608959, "migrate_disable" },
	{ 0x93cacdc1, "down_write" },
	{ 0x37feed28, "shrink_dcache_sb" },
	{ 0xd4107f3f, "up_write" },
	{ 0xb5953621, "generic_file_read_iter" },
	{ 0x1fc1de61, "unlock_page" },
	{ 0xd4995f0c, "set_cached_acl" },
	{ 0x140a1571, "blkdev_get_by_dev" },
	{ 0x7d88c19, "sync_dirty_buffer" },
	{ 0xc4d7281f, "__bh_read_batch" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xcd61b2ac, "dquot_resume" },
	{ 0x16b86dd4, "setattr_copy" },
	{ 0x26e39552, "proc_mkdir_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x22045f2f, "__wait_on_buffer" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdf62c4bd, "set_nlink" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x68c712b0, "security_inode_init_security" },
	{ 0xe501f479, "seq_putc" },
	{ 0x80c259da, "blkdev_get_by_path" },
	{ 0xb4dd2aa8, "from_kgid" },
	{ 0xd543961a, "__sync_dirty_buffer" },
	{ 0x5211a7ed, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x53d99655, "d_obtain_alias" },
	{ 0x6be9d24b, "posix_acl_chmod" },
	{ 0xb83a7cd7, "__bread_gfp" },
	{ 0x5ed07014, "block_dirty_folio" },
	{ 0x7cc940cd, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9708c271, "proc_mkdir" },
	{ 0xf916e23c, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x46e97ca0, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6d12d907, "make_kgid" },
	{ 0x46e50e72, "d_delete" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf484da5d, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa60b94b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xb0cfc4d0, "truncate_setsize" },
	{ 0xa0afcb5a, "insert_inode_locked4" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x82aacc20, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fcb6163, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45c68f70, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbdf9b3c6, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x22e41345, "unlock_buffer" },
	{ 0xf19b052, "igrab" },
	{ 0x7f5d18e, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5a56f217, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x52939286, "d_instantiate_new" },
	{ 0x60d87bc7, "__dquot_free_space" },
	{ 0xf2488832, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa9c2aad, "mount_bdev" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x53ee582, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x339a8624, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x4f1d6c05, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x72fb2dff, "dput" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5f851b39, "__lock_buffer" },
	{ 0xb70789e, "__might_fault" },
	{ 0xedd2cc27, "posix_acl_update_mode" },
	{ 0xf5984450, "__folio_lock" },
	{ 0x1bc67560, "dquot_quota_on_mount" },
	{ 0xcc0d7e96, "filemap_dirty_folio" },
	{ 0x6c5ff3f2, "pagecache_get_page" },
	{ 0x4da40cb0, "blkdev_issue_flush" },
	{ 0x1da40c34, "is_bad_inode" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x33b88f23, "dquot_mark_dquot_dirty" },
	{ 0xefbd8940, "dquot_get_next_id" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xb5929799, "dquot_file_open" },
	{ 0x60bceb4e, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc39dde79, "proc_create_single_data" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xdca4b5af, "iget5_locked" },
	{ 0x20eec2ba, "d_set_d_op" },
	{ 0xfc538f8, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xf64e0f38, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdfec9374, "dquot_writeback_dquots" },
	{ 0xa60ecffb, "__mark_inode_dirty" },
	{ 0x5d44e50e, "generic_file_llseek" },
	{ 0x93afd21, "make_bad_inode" },
	{ 0xce761558, "up_read" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x50f8a35a, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x13ac2536, "dquot_destroy" },
	{ 0x39bc0429, "dquot_alloc" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE20FAFA73E479B8CEAF7B8");

MODULE_INFO(suserelease, "SLE15-SP6");
