#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x916ce323, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x3065bc54, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x14c18787, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x1eb90a2a, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x020a7e92, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x12cd220e, "");
SYMBOL_CRC(p9_show_client_options, 0x340cd57b, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xce4ef014, "");
SYMBOL_CRC(p9_req_put, 0x891c6102, "");
SYMBOL_CRC(p9_client_cb, 0x8e041422, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x3370d5df, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x01ff486a, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x1e72955a, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x741268e3, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x7512728b, "");
SYMBOL_CRC(p9_client_create, 0xc1d3d6e0, "");
SYMBOL_CRC(p9_client_destroy, 0x26b189a1, "");
SYMBOL_CRC(p9_client_disconnect, 0x9e4edfb1, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x199751a6, "");
SYMBOL_CRC(p9_client_attach, 0xcaa58dc2, "");
SYMBOL_CRC(p9_client_walk, 0x78300001, "");
SYMBOL_CRC(p9_client_open, 0x0d6182eb, "");
SYMBOL_CRC(p9_client_create_dotl, 0x14b34e4d, "");
SYMBOL_CRC(p9_client_fcreate, 0x8be6551c, "");
SYMBOL_CRC(p9_client_symlink, 0x27ea8fbe, "");
SYMBOL_CRC(p9_client_link, 0x42f3a421, "");
SYMBOL_CRC(p9_client_fsync, 0x5bcdb823, "");
SYMBOL_CRC(p9_client_clunk, 0x07ab9fdb, "");
SYMBOL_CRC(p9_client_remove, 0xf13dd5b8, "");
SYMBOL_CRC(p9_client_unlinkat, 0xa8c5335e, "");
SYMBOL_CRC(p9_client_read, 0x15cd9a42, "");
SYMBOL_CRC(p9_client_read_once, 0x667c5026, "");
SYMBOL_CRC(p9_client_write, 0x1475a833, "");
SYMBOL_CRC(p9_client_stat, 0x6dce7e85, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x217f9cc7, "");
SYMBOL_CRC(p9_client_wstat, 0x8fb0dc4b, "");
SYMBOL_CRC(p9_client_setattr, 0xc666b2f8, "");
SYMBOL_CRC(p9_client_statfs, 0x08a118d8, "");
SYMBOL_CRC(p9_client_rename, 0x0e3f56e6, "");
SYMBOL_CRC(p9_client_renameat, 0x4bc87f55, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x11a040ff, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x8059ee85, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x0333ec5e, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x9a3d6183, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xea36cb2e, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x293a9f69, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xd76b84d5, "");
SYMBOL_CRC(p9_client_readlink, 0x1fa61114, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0xaaa6fd48, "");
SYMBOL_CRC(p9dirent_read, 0x601a97ff, "");
SYMBOL_CRC(p9_release_pages, 0xd8201380, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9f471496, "_copy_to_iter" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0xc10ba54d, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9d8496a, "idr_alloc_u32" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa483c048, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xdaba41ff, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa06d9494, "idr_alloc" },
	{ 0x8978657b, "kmem_cache_create_usercopy" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xb4dd2aa8, "from_kgid" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf916e23c, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x6d12d907, "make_kgid" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x3274205c, "__folio_put" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "SLE15-SP6");
