#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xb69732bd, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x7359170f, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xae3541c6, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x571e0736, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5c8d5e27, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xb421a222, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x26462bfc, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x068a24ed, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x7ddecb07, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x032146c2, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x2e1855f1, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xf60ca6e8, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x97ff3fa4, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xcec92a81, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x629c45bc, "_gpl");
SYMBOL_CRC(dccp_connect, 0x344f102f, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x4f20ad27, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x68d4651b, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x3387f415, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x62f72ba5, "_gpl");
SYMBOL_CRC(dccp_done, 0xc96696fd, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x99d8ce58, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x3489c71f, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x80b8291b, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x1dd22275, "_gpl");
SYMBOL_CRC(dccp_poll, 0xb045f2cb, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xd5c06066, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x2f54c641, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xa510fb0f, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xf751301a, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x59a542fd, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x84cddbf5, "_gpl");
SYMBOL_CRC(dccp_close, 0x2fe99430, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x184d4182, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba3c39c0, "inet_hashinfo2_init_mod" },
	{ 0x58461d10, "inet_bhash2_reset_saddr" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x983f5395, "inet_ehash_locks_alloc" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x831f24e8, "sock_wmalloc" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x60b86fbf, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x67672e9b, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x8af8bf5a, "inet_twsk_alloc" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0xe75138a, "inet_sock_destruct" },
	{ 0x2631756c, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x6f03682e, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x805b5646, "sk_reset_timer" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0x1c669169, "sk_stream_wait_close" },
	{ 0x9c4f30b3, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xe416fb6c, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa3f67915, "proc_doulongvec_minmax" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x1969a052, "tcp_stream_memory_free" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x688de2f6, "sk_wait_data" },
	{ 0xb78988f2, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc114b290, "inet_csk_listen_start" },
	{ 0x8977af65, "sk_free_unlock_clone" },
	{ 0x21a4534e, "sock_rfree" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x38efc576, "skb_clone" },
	{ 0x4acd1222, "inet_sk_set_state" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x2c62c410, "sk_stream_wait_connect" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0xe4230dd1, "inet_csk_destroy_sock" },
	{ 0x1825599e, "sk_stop_timer" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x1fa73d6f, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7bbb23c5, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x324e655a, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xafabcdcf, "inet_csk_complete_hashdance" },
	{ 0x93792161, "release_sock" },
	{ 0xc0af598a, "inet_csk_reqsk_queue_drop" },
	{ 0x9279cf14, "__inet_twsk_schedule" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "67439EB08A492AE46273D9B");

MODULE_INFO(suserelease, "SLE15-SP6");
