#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58461d10, "inet_bhash2_reset_saddr" },
	{ 0x9da15723, "inet6_csk_addr2sockaddr" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc62bec4a, "inet6_lookup_reuseport" },
	{ 0x45f1e299, "dccp_v4_connect" },
	{ 0xfa2a4012, "ip_queue_xmit" },
	{ 0xeccd3072, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x184d4182, "dccp_shutdown" },
	{ 0x943c68fd, "inet_bhash2_update_saddr" },
	{ 0x344f102f, "dccp_connect" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x571e0736, "dccp_rcv_state_process" },
	{ 0x7ddecb07, "dccp_reqsk_send_ack" },
	{ 0xb6275274, "inet6_bind" },
	{ 0x5f765553, "inet_csk_accept" },
	{ 0x98f46ec0, "inet6_unregister_protosw" },
	{ 0xbe4eb6ed, "secure_dccpv6_sequence_number" },
	{ 0xf53dd093, "sock_common_getsockopt" },
	{ 0xa2349d57, "__inet_inherit_port" },
	{ 0x84cddbf5, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x26e67e99, "security_req_classify_flow" },
	{ 0xfa3b70fb, "__xfrm_policy_check" },
	{ 0xbea0d6bd, "inet6_sk_rebuild_header" },
	{ 0x7b3e1e87, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7468d43e, "__sk_mem_schedule" },
	{ 0x56002e03, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4885fbb1, "inet_csk_reqsk_queue_hash_add" },
	{ 0x17b9ee62, "dccp_syn_ack_timeout" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0xee6ae462, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4294d92e, "inet6_del_protocol" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc008ad9, "dccp_invalid_packet" },
	{ 0x11de39b, "inet_stream_connect" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xc43dc9ea, "dccp_v4_send_check" },
	{ 0x38ad6e53, "inet_reqsk_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa69468f2, "inet_twsk_purge" },
	{ 0xc96696fd, "dccp_done" },
	{ 0xedb8897d, "__sk_dst_check" },
	{ 0x1dd22275, "dccp_disconnect" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x99d8ce58, "dccp_destruct_common" },
	{ 0xd8efa6fc, "__sk_receive_skb" },
	{ 0xe36807b7, "inet6_compat_ioctl" },
	{ 0xb045f2cb, "dccp_poll" },
	{ 0x1394d134, "inet_ctl_sock_create" },
	{ 0x5c8d5e27, "dccp_death_row" },
	{ 0xe38088aa, "inet_csk_get_port" },
	{ 0x69bfb4ec, "sk_filter_trim_cap" },
	{ 0x409d9410, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x129494b4, "inet6_hash" },
	{ 0x45a9606d, "inet_accept" },
	{ 0x7349c825, "inet6_hash_connect" },
	{ 0x97ff3fa4, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xef87d296, "inet_shutdown" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x2fe99430, "dccp_close" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x32146c2, "dccp_reqsk_init" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x1e86b33d, "inet6_csk_route_req" },
	{ 0xfae40aa5, "inet6_ioctl" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xa510fb0f, "dccp_getsockopt" },
	{ 0x2e1855f1, "dccp_parse_options" },
	{ 0x571e5973, "dccp_v4_request_recv_sock" },
	{ 0xf35a784a, "__inet6_lookup_established" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x34e2bcc, "ip6_dst_lookup_flow" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x68a24ed, "dccp_child_process" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe5d2d79a, "sock_common_recvmsg" },
	{ 0x2f54c641, "dccp_setsockopt" },
	{ 0xd5c06066, "dccp_ioctl" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x3e8ece4f, "inet6_csk_xmit" },
	{ 0x21a4534e, "sock_rfree" },
	{ 0xe8c547ed, "inet6_getname" },
	{ 0x6659e660, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xa46f7837, "inet_sk_rebuild_header" },
	{ 0x3bd6d0c2, "ip6_xmit" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0x59a542fd, "dccp_recvmsg" },
	{ 0x3081332b, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x97c8c429, "inet6_release" },
	{ 0x794afb84, "inet_sendmsg" },
	{ 0x26462bfc, "dccp_check_req" },
	{ 0xa56e5385, "ipv6_dup_options" },
	{ 0xb421a222, "dccp_create_openreq_child" },
	{ 0xa4c489f, "inet_csk_prepare_forced_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5b2b2a95, "dccp_v4_conn_request" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xfb81f08f, "dccp_req_err" },
	{ 0x88c4668a, "sock_pfree" },
	{ 0xae3541c6, "dccp_rcv_established" },
	{ 0x38efc576, "skb_clone" },
	{ 0xca606480, "dst_release" },
	{ 0x11333d88, "sock_release" },
	{ 0xcec92a81, "dccp_make_response" },
	{ 0x80b8291b, "dccp_destroy_sock" },
	{ 0x629c45bc, "dccp_ctl_make_reset" },
	{ 0x1e6e5b54, "sock_gettstamp" },
	{ 0x2790ab14, "sk_setup_caps" },
	{ 0x771c43ed, "ipv6_opt_accepted" },
	{ 0xf751301a, "dccp_sendmsg" },
	{ 0x228e878a, "inet6_lookup_listener" },
	{ 0xb99ffbf7, "inet6_add_protocol" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x3387f415, "dccp_hashinfo" },
	{ 0xe2eef83b, "inet_twsk_put" },
	{ 0x4b07d047, "inet_unhash" },
	{ 0xe3f59562, "ipv6_getsockopt" },
	{ 0x62f72ba5, "dccp_set_state" },
	{ 0xa5a210a4, "inet6_csk_update_pmtu" },
	{ 0x435409af, "dccp_v4_do_rcv" },
	{ 0x324e655a, "__kfree_skb" },
	{ 0xb6aa2c31, "inet6_ehashfn" },
	{ 0x3489c71f, "dccp_init_sock" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "dccp_ipv4,dccp");


MODULE_INFO(srcversion, "94DD2DFEBE9E7ACBFFD460C");

MODULE_INFO(suserelease, "SLE15-SP6");
