#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x32a0e60c, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xcf4530ed, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x761c5c26, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x69af7f60, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x3f7d97e5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x9a15c074, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xac699ce9, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x8a28cd2a, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xdb478dbd, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x023aefb9, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x6fffa601, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x127d1312, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xcc829315, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xa40d646c, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xc72846af, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x19ea13d8, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x08d7a120, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x3714bbcd, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x4dc89f25, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x602c2bbe, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x7ad550c6, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x660d0b73, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xb5d63889, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x151f25db, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xf06509b6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x3b4912f3, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x99cb63a7, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x4f9ec759, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x266645e8, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xb479d106, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8601ac28, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x4c18df11, "netdev_lower_get_next" },
	{ 0xbf5495e5, "flow_block_cb_lookup" },
	{ 0x9e691d74, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x68f53f44, "devlink_resource_occ_get_unregister" },
	{ 0xe4937a15, "dev_set_mtu" },
	{ 0xa9994a91, "br_vlan_enabled" },
	{ 0x6fb84647, "__skb_pad" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x8f155f60, "devlink_unregister" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xc47dd61c, "br_port_flag_is_set" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x264d9344, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa9465ac6, "br_port_get_stp_state" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb191990, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5521af93, "__netpoll_free" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xe903c5ab, "br_vlan_get_proto" },
	{ 0xc470e6d9, "br_mst_get_state" },
	{ 0xb1f4c485, "unregister_netdev" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x8fd561d5, "dev_uc_del" },
	{ 0x38e020ec, "netpoll_send_skb" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xebafef40, "devlink_params_unregister" },
	{ 0xecec5d3e, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bbcc0f0, "devlink_alloc_ns" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0xf99caa3b, "devlink_register" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3fada4c8, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xced7b354, "gro_cells_init" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x68646245, "netdev_warn" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0x58892e26, "get_device" },
	{ 0xcdf97f86, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xe1cbf230, "switchdev_handle_fdb_event_to_device" },
	{ 0x91105eb8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3b14849, "netdev_upper_dev_link" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x5bda3fea, "switchdev_handle_port_attr_set" },
	{ 0xa834879b, "phylink_create" },
	{ 0xf24e6e56, "vlan_for_each" },
	{ 0x16a20055, "netdev_port_same_parent_id" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d0abc1b, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x75cd3ac, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0x2ceeef4d, "devlink_resource_register" },
	{ 0xdb7a0ba0, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x43a3e192, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe73b9201, "switchdev_bridge_port_offload" },
	{ 0x58ac2d60, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0xdaba41ff, "module_put" },
	{ 0xaec30677, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x349ed0d0, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6963533e, "devlink_region_create" },
	{ 0x7004dee4, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xad9f9188, "devlink_port_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x57d78c81, "init_net" },
	{ 0x7585d98c, "noop_qdisc" },
	{ 0x3be16910, "phy_ethtool_get_strings" },
	{ 0x770e295f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7f9a4369, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa45e1498, "gro_cells_receive" },
	{ 0xdf0b488a, "switchdev_handle_port_obj_del_foreign" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xe92bce64, "skb_push" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8cdf5806, "dev_mc_del" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x6566769f, "br_vlan_get_info" },
	{ 0x6365d173, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xecda5aa6, "mdiobus_free" },
	{ 0xf0c64bf6, "phylink_generic_validate" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x36d8768e, "devlink_resource_occ_get_register" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0xeab6f22b, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x4156e837, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4cbe70ef, "switchdev_bridge_port_unoffload" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc71d329d, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xa27b6bfc, "dev_mc_add" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x97eff737, "flow_block_cb_alloc" },
	{ 0x4714875f, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x11406256, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x91f36b66, "net_selftest" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x1b9dad72, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xd55fd7ac, "devlink_port_init" },
	{ 0x466510ac, "__netpoll_setup" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x70b375fb, "vlan_vid_add" },
	{ 0x54c47047, "devlink_params_register" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x3abc7b8f, "vlan_vid_del" },
	{ 0x71f8c913, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x462cb0d9, "devlink_resources_unregister" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef1d429b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6300002f, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x380b52e, "devlink_port_region_create" },
	{ 0x9fd4768, "devlink_priv" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x8b5d7892, "__hw_addr_sync_dev" },
	{ 0x7ffb1489, "devlink_port_register_with_ops" },
	{ 0xf196827c, "mdiobus_get_phy" },
	{ 0xca606480, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xac0e55f5, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa171522f, "dev_uc_add" },
	{ 0x7344e9ae, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xb6b9df0a, "br_mst_enabled" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xc3467298, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0xe9c4b604, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x92003a20, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xc36cf37c, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x4c25f07e, "dcb_ieee_setapp" },
	{ 0xf28f4895, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa1456f5d, "__skb_vlan_pop" },
	{ 0x8d1b1360, "phylink_connect_phy" },
	{ 0xbcacaf34, "br_get_ageing_time" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "libphy,bridge,hsr,selftests,phylink");


MODULE_INFO(srcversion, "5FEDE96468A8B7BB0D7A1B6");

MODULE_INFO(suserelease, "SLE15-SP6");
