#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0x52b0ca72, "");
SYMBOL_CRC(wpan_phy_for_each, 0x5ced25f6, "");
SYMBOL_CRC(wpan_phy_new, 0xad602da5, "");
SYMBOL_CRC(wpan_phy_register, 0x14ff06ff, "");
SYMBOL_CRC(wpan_phy_unregister, 0x08edb718, "");
SYMBOL_CRC(wpan_phy_free, 0x52238b53, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x81c4fcd2, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x96ec5187, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xa207fe03, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x18b298c3, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xbc170364, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x557531e6, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x6b3ae045, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xf0e32dd5, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x858fae1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xd69ffb7c, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x58892e26, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7c57aa4c, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d401d7b, "device_rename" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x25a2453a, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xe92bce64, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0xe7edac6f, "device_del" },
	{ 0xce8c98ff, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x44e77e3, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe37180d1, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x32cff835, "device_match_name" },
	{ 0x4be4c1d0, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x671d995c, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x9200691f, "get_net_ns_by_fd" },
	{ 0x5ab2593e, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41528180F6A18D6BBE6299");

MODULE_INFO(suserelease, "SLE15-SP6");
