#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0x9eb07022, "");
SYMBOL_CRC(__gue_build_header, 0xf67a058c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f7b2e79, "__skb_checksum_complete" },
	{ 0xfbb63e9c, "ip_tunnel_encap_add_ops" },
	{ 0xcf348299, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x2d14513a, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568d998, "inet_offloads" },
	{ 0x736d35e1, "inet_protos" },
	{ 0x25362a24, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa8690c55, "ip_tunnel_encap_del_ops" },
	{ 0x88a40c7f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x4719cfc3, "register_btf_kfunc_id_set" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xd095029b, "skb_trim" },
	{ 0x86a6f72a, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BE97532D61CD80D2F8F3FC");

MODULE_INFO(suserelease, "SLE15-SP6");
