#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0x9030f95d, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x9c7a2486, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xf96ebe6e, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x8a14100f, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x9715a0fd, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe05591f8, "netlink_strict_get_check" },
	{ 0xfbb63e9c, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0x594c23a1, "skb_gso_validate_network_len" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x96c63c05, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x650dfe87, "rtnl_af_register" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x9495f3af, "rtnl_set_sk_err" },
	{ 0xc4631cc8, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0xc3ec8206, "ip_valid_fib_dump_req" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe144437, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f4984b4, "rtnl_af_unregister" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xe92bce64, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x40e17c55, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1869ff99, "rtnl_register_module" },
	{ 0xa8690c55, "ip_tunnel_encap_del_ops" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3aac1471, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x38efc576, "skb_clone" },
	{ 0xca606480, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xcf570d4d, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "SLE15-SP6");
