#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd1779439, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x9540f840, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x90f94f93, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x0a26a305, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xa3528612, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xf7f357c9, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc2e94589, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x45582973, "");
SYMBOL_CRC(ip_vs_conn_put, 0xa39a300e, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x1e8dd3fd, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1833fc9a, "");
SYMBOL_CRC(register_ip_vs_app, 0xafcf2211, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xaa9929c7, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xb167230c, "");
SYMBOL_CRC(ip_vs_proto_get, 0xb21dc1d6, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x4ba7d25a, "");
SYMBOL_CRC(register_ip_vs_pe, 0x7668faee, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x2bf9c539, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x46d6c39e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ab54553, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x891072a3, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x6a17bdbe, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf348299, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x196f5e80, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x4e8946a3, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5fee990b, "proc_dointvec_jiffies" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xcf581953, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x455fa474, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2537d12, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x26fb9e26, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x15daa6c1, "set_user_nice" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x2d14513a, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x38cbf488, "ip6_output" },
	{ 0x50e0948e, "ip6_route_me_harder" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x25362a24, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfb400715, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa7bdd455, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa26d0983, "nf_register_net_hooks" },
	{ 0x701e72d5, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0x33d7f63e, "ipv6_sock_mc_join" },
	{ 0xdaba41ff, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xea4fa1fe, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x57d78c81, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xac70747f, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x24f8eee0, "nf_conntrack_alter_reply" },
	{ 0x7e884735, "ip_route_me_harder" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xbeb49469, "set_cpus_allowed_ptr" },
	{ 0xe501f479, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa3f67915, "proc_doulongvec_minmax" },
	{ 0x2bdddf9c, "nf_ct_expect_alloc" },
	{ 0xccfc3e41, "skb_ensure_writable" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xab13e426, "ip_mc_join_group" },
	{ 0x47e5d346, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x6aaa95ec, "nf_unregister_net_hooks" },
	{ 0x4f1f29e, "inet_select_addr" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x525a17dd, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0x854fe8ef, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0xfba17484, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xdf6f33bb, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x2c28bdc1, "nf_hook_slow" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x31a4969c, "nf_ct_deliver_cached_events" },
	{ 0x21c4ac0, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa94e6a0c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xafbf84ae, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0x16be3d47, "__skb_checksum" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c26a794, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0xcdb42bf7, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xb239a779, "sock_recvmsg" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x45622715, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe8a7c158, "ipv4_update_pmtu" },
	{ 0xcf43f828, "nf_defrag_ipv6_enable" },
	{ 0xca606480, "dst_release" },
	{ 0x11333d88, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x96c8f834, "ip_local_out" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x32e67dab, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0x55fea95a, "nf_ct_netns_put" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AA98B918764D5FD87409C23");

MODULE_INFO(suserelease, "SLE15-SP6");
