#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nft_do_chain, 0xaa5f3355, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x0ab16d02, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x7810ef39, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x4f3096f6, "_gpl");
SYMBOL_CRC(nft_request_module, 0x4e7047f3, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x3b9244ff, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x1b840368, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xe416e5ee, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x904d4e1b, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x30c3af3c, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xa2df73ed, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x5c179c3f, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xc95f66e1, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x6b72724d, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x8b7d8ff6, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x8a90ef81, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xec986ff8, "_gpl");
SYMBOL_CRC(nft_set_catchall_gc, 0x4b6b4237, "_gpl");
SYMBOL_CRC(nft_register_obj, 0xaf7a631e, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x309d8ae6, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x39ba3e8f, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xfd753eaf, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x91c6cdf9, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x74e0d750, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x7efc8941, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x72da35d2, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x9108c085, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x3d5c0234, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xcafe2baf, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x80a44043, "_gpl");
SYMBOL_CRC(nft_data_init, 0x569dffb3, "_gpl");
SYMBOL_CRC(nft_data_release, 0x5f8a844b, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xdb747692, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x8e088b6d, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x5fc347ee, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xa7138418, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x9a2d8bb2, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xcc0554af, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x47f32dda, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xae81e56e, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x348b0c04, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xdf25b40a, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x8cff304d, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xc05069d2, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0x30b3742e, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x2584836f, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x84952876, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf60aae43, "__do_once_done" },
	{ 0x530ba786, "__netlink_dump_start" },
	{ 0x8460ce55, "flow_rule_alloc" },
	{ 0x8221daf2, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x87f9e22a, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x22de2b9, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3cf2b87, "nfnetlink_subsys_register" },
	{ 0x50e0948e, "ip6_route_me_harder" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfb400715, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8aae9fab, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xbe5685a1, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xdaba41ff, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfd01d48d, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x7a490f39, "nf_register_net_hook" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0x7e884735, "ip_route_me_harder" },
	{ 0xf2380d8a, "skb_store_bits" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd126c0f6, "nfnetlink_unicast" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xccfc3e41, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6a8fe7d3, "flow_indr_dev_setup_offload" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd4f4f332, "rhashtable_free_and_destroy" },
	{ 0x1732fd56, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x5ef5afba, "nfnetlink_send" },
	{ 0xab1a4bcd, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0xc0feafe2, "nfnetlink_subsys_unregister" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x311472c6, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x44e77e3, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0xa94e6a0c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x16be3d47, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb991687c, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x648c2d36, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c320c6d, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "BCC3258DA76F47951A60F91");

MODULE_INFO(suserelease, "SLE15-SP6");
