#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_fw_download_done, 0x42db0fb9, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x9facf3d9, "");
SYMBOL_CRC(nfc_find_se, 0xc3999fdb, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x98c8f1e9, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x2aa0c217, "");
SYMBOL_CRC(nfc_tm_data_received, 0x76acd459, "");
SYMBOL_CRC(nfc_tm_activated, 0x1acfd0fd, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x131fc8c4, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xa9e87766, "");
SYMBOL_CRC(nfc_targets_found, 0xf5254643, "");
SYMBOL_CRC(nfc_target_lost, 0xcd9c9e0f, "");
SYMBOL_CRC(nfc_driver_failure, 0x017f6ffd, "");
SYMBOL_CRC(nfc_add_se, 0x9fe58556, "");
SYMBOL_CRC(nfc_remove_se, 0x57bd8f06, "");
SYMBOL_CRC(nfc_se_transaction, 0x27754c8b, "");
SYMBOL_CRC(nfc_se_connectivity, 0x0066dce6, "");
SYMBOL_CRC(nfc_class, 0x18e03509, "");
SYMBOL_CRC(nfc_allocate_device, 0x5e2c385b, "");
SYMBOL_CRC(nfc_register_device, 0x6e708c5a, "");
SYMBOL_CRC(nfc_unregister_device, 0x88690313, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x107e94c1, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x8b04294e, "");
SYMBOL_CRC(nfc_proto_register, 0x1eba2cdb, "");
SYMBOL_CRC(nfc_proto_unregister, 0x80ead788, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x9f98bec4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x675d7f6d, "skb_free_datagram" },
	{ 0xfbe33783, "sock_queue_rcv_skb_reason" },
	{ 0xf6f55822, "ida_alloc_range" },
	{ 0x33ca857d, "class_dev_iter_next" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x6d922a6c, "add_wait_queue_exclusive" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0xe822fe8c, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x826b3267, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5eb7093a, "__pskb_copy_fclone" },
	{ 0x7c57aa4c, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x502be234, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7528852d, "sock_register" },
	{ 0x40fa02dc, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cf6b519, "put_device" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xf894b3c3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xdaba41ff, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbbeb3020, "__sock_recv_timestamp" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xbe7ecf58, "device_add" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xba9f30a9, "ida_free" },
	{ 0xcd2bd959, "class_unregister" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfcd28652, "sock_no_bind" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0xd7923c1f, "rfkill_alloc" },
	{ 0xa4ea94eb, "class_dev_iter_init" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xe7edac6f, "device_del" },
	{ 0xe7983274, "__sock_recv_wifi_status" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc2dff417, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xd46cf965, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5d3de13b, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xf81962fa, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x5ab2593e, "class_register" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x93792161, "release_sock" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe4eb2355, "class_find_device" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "08453F86210F371FF17EE1A");

MODULE_INFO(suserelease, "SLE15-SP6");
