#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x46585550, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xf49d19b2, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x35c97a18, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x985e33dd, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x15153c69, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x88f77c08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ab54553, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xff0ae16c, "nsh_pop" },
	{ 0x891072a3, "nf_conntrack_find_get" },
	{ 0xd2ce5c36, "nf_ct_set_timeout" },
	{ 0xa21f0b20, "dev_get_stats" },
	{ 0x87c95dff, "__nla_put" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x494f5b2, "dev_fill_metadata_dst" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xe1f0d54f, "nf_ct_handle_fragments" },
	{ 0x74b01603, "eth_mac_addr" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0xbf7fcc99, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x894e9945, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd682c24b, "nf_ct_nat" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x841ef5ef, "skb_eth_pop" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa609c869, "skb_gso_validate_mac_len" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x52855c68, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc1c592e, "nf_ct_helper" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x74871d55, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x16d26be6, "rtnl_delete_link" },
	{ 0x7e03d839, "rtnl_link_register" },
	{ 0x9fbd10bd, "nf_connlabels_put" },
	{ 0xa1bc4104, "genlmsg_put" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1be659ac, "dev_set_promiscuity" },
	{ 0xf5d144f3, "nf_ct_destroy_timeout" },
	{ 0xc9708129, "nf_ct_add_helper" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdae137d3, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe74cac92, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8dccc2f, "nf_ct_skb_network_trim" },
	{ 0x96fdaf1f, "unregister_netdevice_queue" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xcdf97f86, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x843e3f04, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7c57aa4c, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xd921c802, "skb_csum_hwoffload_help" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x17a4983f, "dev_addr_mod" },
	{ 0x50ee7729, "nf_connlabels_replace" },
	{ 0x33da0086, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f92be89, "alloc_netdev_mqs" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xd5f933ef, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x929a68f9, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x745f1813, "skb_eth_push" },
	{ 0x2f711f49, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0x13ce2833, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xe38595ca, "skb_mpls_pop" },
	{ 0x8f16efa7, "skb_vlan_pop" },
	{ 0x9be198de, "dst_init" },
	{ 0xdaba41ff, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x185036a4, "rtnl_link_unregister" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xbc088ae2, "__skb_get_hash" },
	{ 0x57d78c81, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x168bf568, "ipv6_stub" },
	{ 0xc81449f3, "skb_mpls_update_lse" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe21162d3, "netlink_unicast" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xbe5417f1, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xccfc3e41, "skb_ensure_writable" },
	{ 0x6365d173, "free_netdev" },
	{ 0x40e17c55, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9a16da6, "ethtool_op_get_link" },
	{ 0x854fe8ef, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x25d07d18, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xdf6f33bb, "nf_ct_delete" },
	{ 0xf5fbebdc, "nf_conncount_init" },
	{ 0x6841f2, "skb_vlan_push" },
	{ 0xf027f60d, "dev_get_tstats64" },
	{ 0x6af90dee, "netif_rx" },
	{ 0x26f52f5, "__netdev_alloc_skb" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x5598299a, "netdev_master_upper_dev_link" },
	{ 0x48a1088b, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa60b94b6, "down_read" },
	{ 0xcf9d6114, "inet_proto_csum_replace16" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x771bd0a9, "skb_scrub_packet" },
	{ 0x31a4969c, "nf_ct_deliver_cached_events" },
	{ 0xa94e6a0c, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf8cc0a4d, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x16be3d47, "__skb_checksum" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb991687c, "inet_proto_csum_replace4" },
	{ 0x4b60c117, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x48fad6b1, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x47af8159, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4be4c1d0, "dev_get_by_name" },
	{ 0x38efc576, "skb_clone" },
	{ 0xe72f12f7, "metadata_dst_alloc" },
	{ 0xca606480, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcfc0d5bb, "peernet2id_alloc" },
	{ 0xa3244346, "nf_ct_get_tuplepr" },
	{ 0xb8d72402, "netdev_rx_handler_register" },
	{ 0x7de291ee, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x1c9e9a2e, "genl_unregister_family" },
	{ 0x8d4d27ea, "dev_disable_lro" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x43420425, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75f04f99, "genl_register_family" },
	{ 0xeb4de073, "nf_ct_tmpl_free" },
	{ 0x6ee2a31b, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9917eb55, "__skb_gso_segment" },
	{ 0xce761558, "up_read" },
	{ 0xb7f842ac, "skb_mpls_push" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0xfa4f8e55, "nf_conntrack_in" },
	{ 0xee00b514, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xbf0852c1, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0xa1456f5d, "__skb_vlan_pop" },
	{ 0x3b8452a6, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x427b4e25, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "9CB1925372B1C343EFD4A20");

MODULE_INFO(suserelease, "SLE15-SP6");
