#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pn_sock_hash, 0x27dc98da, "");
SYMBOL_CRC(pn_sock_unhash, 0xa8e7c06c, "");
SYMBOL_CRC(phonet_stream_ops, 0x7d17cffe, "");
SYMBOL_CRC(pn_sock_get_port, 0xb306d234, "");
SYMBOL_CRC(phonet_header_ops, 0x5a8f8e6c, "");
SYMBOL_CRC(pn_skb_send, 0x72dc5121, "");
SYMBOL_CRC(phonet_proto_register, 0x2e778988, "");
SYMBOL_CRC(phonet_proto_unregister, 0xab215476, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x675d7f6d, "skb_free_datagram" },
	{ 0xfbe33783, "sock_queue_rcv_skb_reason" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x29a8a417, "sock_i_uid" },
	{ 0xae5ecc67, "__nlmsg_put" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x7c0aadf6, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xf53dd093, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x826b3267, "sock_no_connect" },
	{ 0x7b3e1e87, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ae252c6, "pskb_expand_head" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7528852d, "sock_register" },
	{ 0x40fa02dc, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4db07f8a, "netlink_capable" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x9495f3af, "rtnl_set_sk_err" },
	{ 0xf894b3c3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0xd8efa6fc, "__sk_receive_skb" },
	{ 0x12a6e1fe, "sock_no_shutdown" },
	{ 0x867fce5d, "__dev_get_by_index" },
	{ 0x57d78c81, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x19d955d8, "dev_remove_pack" },
	{ 0xecbfc8df, "dev_get_by_index" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe92bce64, "skb_push" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x1869ff99, "rtnl_register_module" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x6af90dee, "netif_rx" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xe5d2d79a, "sock_common_recvmsg" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3d5e149c, "sk_common_release" },
	{ 0xe3025b44, "seq_pad" },
	{ 0x7204167c, "sock_i_ino" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xffb1e0b0, "prepare_to_wait_exclusive" },
	{ 0xd46cf965, "skb_recv_datagram" },
	{ 0x5ef963d2, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x3aac1471, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93792161, "release_sock" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFD86489EA5B2B61125B163");

MODULE_INFO(suserelease, "SLE15-SP6");
