#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x066692b8, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x34032b15, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xd56140bb, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x05dc510c, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x5aea21ba, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xd489d4ee, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x5cab1c18, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xb9999774, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xe45f7c0f, "");
SYMBOL_CRC(key_type_rxrpc, 0x14796e44, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x4b69c3a0, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x65bab9ec, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x6c6334ab, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xd612126a, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x99e40de2, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xfed6f28b, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x8c32aae4, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x5fc84c5c, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xa70b9d75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4176e3d, "crypto_skcipher_encrypt" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x985740ca, "key_alloc" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xcc242430, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x6d922a6c, "add_wait_queue_exclusive" },
	{ 0x15daa6c1, "set_user_nice" },
	{ 0xbfc97bdc, "up" },
	{ 0xeff86e9e, "udpv6_sendmsg" },
	{ 0xe17b011e, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xec950ff5, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x39914307, "__wake_up" },
	{ 0xbb002df4, "crypto_skcipher_setkey" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd9e1d11f, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x1c011b39, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x2d7da490, "wake_up_process" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1fb9eb23, "ipv6_icmp_error" },
	{ 0x7528852d, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbea18461, "crypto_skcipher_decrypt" },
	{ 0xa483c048, "make_kuid" },
	{ 0x701e72d5, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1b60d9c7, "idr_get_next" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5412c709, "skb_queue_tail" },
	{ 0xcd523c99, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0x354dd73e, "idr_remove" },
	{ 0xbbeb3020, "__sock_recv_timestamp" },
	{ 0xb9d57c36, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x57d78c81, "init_net" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x3e878b5b, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x510505f4, "sock_enable_timestamps" },
	{ 0x5f2a40df, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0x32a460e8, "down" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xe416fb6c, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0xc7ab6427, "kernel_sock_shutdown" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xadc38d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd8b16b85, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x7773f79f, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x30f082e2, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x69350dba, "idr_destroy" },
	{ 0xe7983274, "__sock_recv_wifi_status" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2ae07ae5, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x7b7f3ef9, "key_validate" },
	{ 0xedbcbb64, "crypto_alloc_sync_skcipher" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x6d9e6658, "proc_remove" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9ef926a, "kthread_create_on_node" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x12ac47da, "keyring_search" },
	{ 0x866814fe, "ip_sock_set_recverr" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xffb1e0b0, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x76fc5bf4, "request_key_tag" },
	{ 0x87340b0d, "generic_key_instantiate" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9c7495fd, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d3de13b, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x38efc576, "skb_clone" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x11333d88, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0xf81962fa, "sock_no_ioctl" },
	{ 0x8198ac7, "_proc_mkdir" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xff77d1fc, "bpf_trace_run7" },
	{ 0xb9f3dbe9, "ip_icmp_error" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x215c5b9d, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc402a5d9, "skb_to_sgvec" },
	{ 0x7330a5a6, "register_pernet_device" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xbbf3f43f, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46ee83b1, "proc_create_net_single_write" },
	{ 0xd5cbca07, "crypto_alloc_skcipher" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "679149EA9E8132AC223579A");

MODULE_INFO(suserelease, "SLE15-SP6");
