#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf37c0e8c, "tcf_register_action" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xe6660214, "rhashtable_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x14b54b28, "tcf_unregister_action" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd5f933ef, "nf_connlabels_get" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd095029b, "skb_trim" },
	{ 0xa916b694, "strnlen" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x64468597, "flow_offload_lookup" },
	{ 0xb53919a4, "flow_offload_refresh" },
	{ 0x89a88a13, "nf_ct_acct_add" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0x1cc3a6e2, "flow_offload_teardown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcdf97f86, "skb_pull_rcsum" },
	{ 0xa94e6a0c, "ipv6_find_hdr" },
	{ 0xe1f0d54f, "nf_ct_handle_fragments" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc8dccc2f, "nf_ct_skb_network_trim" },
	{ 0xfa4f8e55, "nf_conntrack_in" },
	{ 0xe92bce64, "skb_push" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x31a4969c, "nf_ct_deliver_cached_events" },
	{ 0x57d78c81, "init_net" },
	{ 0xd682c24b, "nf_ct_nat" },
	{ 0xa4188b0f, "flow_offload_alloc" },
	{ 0xf22c4348, "flow_offload_add" },
	{ 0xdfb189f, "flow_offload_free" },
	{ 0x52855c68, "__nf_ct_try_assign_helper" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc1c592e, "nf_ct_helper" },
	{ 0x50ee7729, "nf_connlabels_replace" },
	{ 0xdf6f33bb, "nf_ct_delete" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3ab54553, "nf_ct_ext_add" },
	{ 0x854fe8ef, "__nf_conntrack_confirm" },
	{ 0xdae137d3, "nf_conntrack_helper_put" },
	{ 0x25d07d18, "nf_nat_helper_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4565379e, "nf_flow_table_init" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2a66b850, "tcf_idr_check_alloc" },
	{ 0x2acccd3b, "tcf_action_check_ctrlact" },
	{ 0x4bfefec3, "tcf_idr_release" },
	{ 0x7db34b28, "tcf_idr_create_from_flags" },
	{ 0x85c691b4, "tcf_idr_cleanup" },
	{ 0xfe4ae0ef, "tcf_chain_put_by_act" },
	{ 0x3b8452a6, "nf_ct_tmpl_alloc" },
	{ 0xc9708129, "nf_ct_add_helper" },
	{ 0x32226295, "tcf_action_set_ctrlact" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fbd10bd, "nf_connlabels_put" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x72f09629, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x340873ce, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5303ed81, "nf_flow_table_free" },
	{ 0x93cacdc1, "down_write" },
	{ 0x22de2b9, "flow_block_cb_free" },
	{ 0xd4107f3f, "up_write" },
	{ 0xdaba41ff, "module_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x827cee1b, "rhashtable_init" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "BE56E8C560B903CC63F3C81");

MODULE_INFO(suserelease, "SLE15-SP6");
