#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_get_sctp_info, 0xfa28bc45, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xf647f9a1, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x79d49651, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xc60b2878, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x02845db4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6dbd650c, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x29a8a417, "sock_i_uid" },
	{ 0xd3ab236a, "ip6_dst_check" },
	{ 0xd5d6337b, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x3017d943, "inet_unregister_protosw" },
	{ 0xc10ba54d, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfca52465, "sock_wfree" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8f67a416, "register_net_sysctl" },
	{ 0xeccd3072, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x76b52ce7, "ip6_dst_hoplimit" },
	{ 0x4775d18d, "consume_skb" },
	{ 0xa7e1dc53, "inet6_add_offload" },
	{ 0xf02758bc, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6275274, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x12c3e11c, "l3mdev_fib_table_by_index" },
	{ 0x4ad8f607, "udp_sock_create4" },
	{ 0x884c3d0d, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x98f46ec0, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xe2005cfa, "skb_segment" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0xe622a12, "__ip_dev_find" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x41b4f7f3, "udp_tunnel6_xmit_skb" },
	{ 0xf53dd093, "sock_common_getsockopt" },
	{ 0x1fa11b4e, "inet_bind" },
	{ 0x1ad6a649, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x2f8f4eb1, "fd_install" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f5bb67a, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xfa3b70fb, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x7b3e1e87, "sock_common_setsockopt" },
	{ 0x1a568136, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x39914307, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1f5cfadb, "ip_route_output_flow" },
	{ 0x5cb35dad, "rhashtable_walk_enter" },
	{ 0x722ac25b, "kmem_cache_create" },
	{ 0x7468d43e, "__sk_mem_schedule" },
	{ 0x56002e03, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8f9a0401, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x35a651cc, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xe75138a, "inet_sock_destruct" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x91f95147, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcce6674b, "inet_sk_get_local_port_range" },
	{ 0x4294d92e, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x8acdc9d8, "inet_getname" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x16764e60, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xe6cd2e26, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x1dbd8b86, "kmem_cache_alloc" },
	{ 0xf894b3c3, "proto_register" },
	{ 0x6cccae0f, "skb_copy_expand" },
	{ 0x7c10c4fe, "__wake_up_sync_key" },
	{ 0xe36807b7, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x354dd73e, "idr_remove" },
	{ 0x1394d134, "inet_ctl_sock_create" },
	{ 0x55491497, "inet_ioctl" },
	{ 0x8511260b, "reuseport_add_sock" },
	{ 0xafeceeb6, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xd4898541, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x69bfb4ec, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xba2f2845, "fput" },
	{ 0x45a9606d, "inet_accept" },
	{ 0x57d78c81, "init_net" },
	{ 0xd53943e3, "crypto_shash_setkey" },
	{ 0x1a1800c2, "skb_pull" },
	{ 0x6185bc39, "inet_add_offload" },
	{ 0x2161ec3f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xdd1cbe5d, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0xa63d3727, "inet_add_protocol" },
	{ 0xef87d296, "inet_shutdown" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xe416fb6c, "sock_wake_async" },
	{ 0x753d8c7b, "dev_get_by_index_rcu" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xeb849434, "inet_del_offload" },
	{ 0xe92bce64, "skb_push" },
	{ 0x9556cd60, "__ip_queue_xmit" },
	{ 0x1e37cda7, "kmem_cache_free" },
	{ 0xd853a416, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0xa3f67915, "proc_doulongvec_minmax" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x70436f77, "rhashtable_walk_start_check" },
	{ 0x2384f9eb, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xfae40aa5, "inet6_ioctl" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0x133a2cae, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7773f79f, "idr_alloc_cyclic" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x34e2bcc, "ip6_dst_lookup_flow" },
	{ 0xd4f4f332, "rhashtable_free_and_destroy" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x4c64369c, "rht_bucket_nested_insert" },
	{ 0x88a40c7f, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x652bf1e8, "__pskb_pull_tail" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xf6c6f639, "setup_udp_tunnel_sock" },
	{ 0x6b1f7772, "udp_sock_create6" },
	{ 0xd095029b, "skb_trim" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d5e149c, "sk_common_release" },
	{ 0xd3c2242c, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe93d7d49, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x738ca1fc, "rt_read_lock" },
	{ 0xe8c547ed, "inet6_getname" },
	{ 0x7204167c, "sock_i_ino" },
	{ 0x6659e660, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bd6d0c2, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xef008dca, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x505a12fa, "ipv4_mtu" },
	{ 0xab134a08, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x16be3d47, "__skb_checksum" },
	{ 0x20708a59, "reuseport_alloc" },
	{ 0x3081332b, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x97c8c429, "inet6_release" },
	{ 0xffb1e0b0, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x794afb84, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa56e5385, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc0f2d7dc, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x648c2d36, "rhltable_init" },
	{ 0x19a6ea1c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x45622715, "proc_create_net_single" },
	{ 0xee4ee342, "skb_copy" },
	{ 0x38efc576, "skb_clone" },
	{ 0x4acd1222, "inet_sk_set_state" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0x11333d88, "sock_release" },
	{ 0xb70789e, "__might_fault" },
	{ 0x8de21b50, "proc_dointvec" },
	{ 0x85f27bdd, "seq_puts" },
	{ 0x1e6e5b54, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xc93faeb6, "rhashtable_walk_next" },
	{ 0x8198ac7, "_proc_mkdir" },
	{ 0x2790ab14, "sk_setup_caps" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77239694, "send_sig" },
	{ 0x3327cd3e, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb99ffbf7, "inet6_add_protocol" },
	{ 0x8394b4ae, "from_kuid_munged" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xdf4c909a, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x8b6f572a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe3f59562, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x2baea53b, "reuseport_detach_sock" },
	{ 0xc1984d60, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x34066a52, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xd4ba3270, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x84221b32, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x9ba59e91, "kmem_cache_destroy" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5384ea27, "skb_queue_head" },
	{ 0xf0622282, "proc_dointvec_minmax" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "14A00C126A2052DF4843170");

MODULE_INFO(suserelease, "SLE15-SP6");
