#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_toe_register_device, 0xc24ae9e5, "");
SYMBOL_CRC(tls_toe_unregister_device, 0x5331b237, "");
SYMBOL_CRC(tls_device_sk_destruct, 0x830a0662, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x5068a662, "_gpl");
SYMBOL_CRC(tls_get_record, 0x6361e01c, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x673c5e0c, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x7c0816c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28ea625b, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdb7c69ad, "tcp_bpf_sendmsg_redir" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4050dc2, "tcp_read_sock" },
	{ 0x6e0648ef, "bpf_trace_run4" },
	{ 0x5f40b645, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd26698a6, "sk_page_frag_refill" },
	{ 0x5e6fbdca, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6221f375, "tcp_sendmsg_locked" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9653939c, "sk_psock_msg_verdict" },
	{ 0xb8078e96, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7b11bdb4, "iov_iter_get_pages2" },
	{ 0xc1176c67, "___pskb_trim" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0xaca0be1a, "__put_devmap_managed_page_refs" },
	{ 0x58ded358, "clean_acked_data_enable" },
	{ 0xe7f722c, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x55299c55, "crypto_alloc_aead" },
	{ 0x3fd936e2, "__tracepoint_sk_data_ready" },
	{ 0xa36add90, "crypto_aead_setauthsize" },
	{ 0x9c84453b, "crypto_aead_decrypt" },
	{ 0x39914307, "__wake_up" },
	{ 0x25e218c0, "sk_stream_error" },
	{ 0xb98e07b7, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x240fe028, "sk_msg_memcopy_from_iter" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0xad4dadf6, "register_pernet_subsys" },
	{ 0xcc8ac12c, "put_cmsg" },
	{ 0x6079c1b1, "__sk_flush_backlog" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x9b49b12a, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ec48bbf, "sk_psock_tls_strp_read" },
	{ 0x9f08f296, "sk_msg_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd0dff215, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0x61db6a81, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x578d353a, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x686d0243, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf048966, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0x93cacdc1, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd4107f3f, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74a42be1, "crypto_aead_encrypt" },
	{ 0xc94aef83, "__SCK__tp_func_sk_data_ready" },
	{ 0xdd45d053, "bpf_trace_run5" },
	{ 0xc728b7f5, "sk_free" },
	{ 0xf2380d8a, "skb_store_bits" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xd853a416, "__sk_mem_reclaim" },
	{ 0xd89a21e1, "sk_stream_wait_memory" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0xed31f29, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe2cbc4ef, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa66d18fc, "sk_msg_return_zero" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb96222d0, "skb_copy_datagram_iter" },
	{ 0xd8b67233, "bpf_trace_run1" },
	{ 0x1969a052, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x73be850b, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1e93ac46, "sock_efree" },
	{ 0x63959a18, "iov_iter_bvec" },
	{ 0x4bb4f012, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbe046bad, "clean_acked_data_disable" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x89b1d509, "sk_msg_free_partial" },
	{ 0xa60b94b6, "down_read" },
	{ 0xd095029b, "skb_trim" },
	{ 0xaa925a5, "mutex_trylock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x49120a34, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7bcfe419, "tcp_register_ulp" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x701ad906, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x981b77fe, "skb_page_frag_refill" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xda10248, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3536d123, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3274205c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x93f1aebe, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x45622715, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x38efc576, "skb_clone" },
	{ 0xca606480, "dst_release" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0x6267088b, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0xa707f1dc, "skb_copy_header" },
	{ 0x35149c33, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x92e16027, "netdev_sk_get_lowest_dev" },
	{ 0x1683c9d8, "sk_msg_alloc" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe9a03fe8, "_copy_from_iter_nocache" },
	{ 0x932715a1, "tcp_rate_check_app_limited" },
	{ 0xdbf1b6c4, "tcp_poll" },
	{ 0x1977fbe3, "iov_iter_revert" },
	{ 0x7e1ecefa, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc402a5d9, "skb_to_sgvec" },
	{ 0xce761558, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x7beb030, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa60f6d0a, "tcp_read_done" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AED18F53BF8252538A417B");

MODULE_INFO(suserelease, "SLE15-SP6");
