#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x9c152f79, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xcf2543c8, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x17c26c26, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x2b84d436, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xc0c3203d, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xe1fd2012, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xb929af4d, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xd7bc7f86, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xae1ddd84, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x6953bb0f, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xad43cf99, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xb18e0176, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x428557b5, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xd0868478, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x2ce5d0fd, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xa055763c, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xe2008a1a, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x6f4f0ab0, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x1416e3df, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x709e6165, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xffa3fdeb, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xd0992dc2, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xbf7d29b4, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x5ce4e17a, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x6699d489, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x8d8647b3, "sock_map_close" },
	{ 0xfbe33783, "sock_queue_rcv_skb_reason" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x3134f8f9, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4775d18d, "consume_skb" },
	{ 0x8415c193, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x712ffdbb, "__module_get" },
	{ 0x25e218c0, "sk_stream_error" },
	{ 0xb98e07b7, "sk_msg_recvmsg" },
	{ 0xb2890904, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf22662c, "__put_cred" },
	{ 0x24684ae3, "sk_error_report" },
	{ 0x6b285f60, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dbaa1eb, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7528852d, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x82af54f7, "rt_write_unlock" },
	{ 0xf894b3c3, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdaba41ff, "module_put" },
	{ 0x7e95fd16, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc728b7f5, "sk_free" },
	{ 0x7a7e2d9e, "kfree_skb_reason" },
	{ 0x99acc716, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4a5b57ec, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe2cbc4ef, "sock_recv_errqueue" },
	{ 0x9d5838b7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0xb16c928d, "sk_alloc" },
	{ 0x27a1fffb, "sock_no_socketpair" },
	{ 0x18a114a2, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbbf5df55, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x35aa4225, "nonseekable_open" },
	{ 0x701ad906, "sk_psock_drop" },
	{ 0x11f2dd4, "__dev_queue_xmit" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8a4db35, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x38efc576, "skb_clone" },
	{ 0xbddba2bf, "rt_write_lock" },
	{ 0xb70789e, "__might_fault" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xf81962fa, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcb833595, "sock_setsockopt" },
	{ 0xe655e90b, "sock_init_data" },
	{ 0x93792161, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF44EA36C18EEBE0F2F6630");

MODULE_INFO(suserelease, "SLE15-SP6");
