#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc215715, "snd_seq_kernel_client_enqueue" },
	{ 0xb0d2e08a, "snd_seq_driver_unregister" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x3c300879, "snd_info_register" },
	{ 0xb8e448a0, "snd_seq_set_queue_tempo" },
	{ 0xda51b8b2, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6bb71038, "snd_seq_delete_kernel_client" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x85cd59a8, "snd_seq_kernel_client_dispatch" },
	{ 0x525c1a11, "snd_info_free_entry" },
	{ 0x11249cc8, "snd_seq_root" },
	{ 0x37a0cba, "kfree" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xc3ab7050, "snd_unregister_oss_device" },
	{ 0x23738926, "snd_seq_dump_var_event" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2c6dade, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xadb51cff, "snd_seq_client_ioctl_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2ecc53c9, "snd_midi_event_free" },
	{ 0xdaba41ff, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc5eaf0f8, "snd_midi_event_no_status" },
	{ 0xbe472e2b, "noop_llseek" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x3061c52d, "snd_use_lock_sync_helper" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x7b8699eb, "snd_seq_event_port_detach" },
	{ 0x35268350, "snd_midi_event_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x98dea67c, "__snd_seq_driver_register" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xdb68501, "snd_midi_event_decode" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe50413d7, "snd_seq_client_ioctl_lock" },
	{ 0xf83dac86, "snd_seq_create_kernel_client" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x15e05faf, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb70789e, "__might_fault" },
	{ 0xba9e305c, "snd_seq_kernel_client_write_poll" },
	{ 0xa007a998, "snd_midi_event_encode_byte" },
	{ 0x1a724fcc, "snd_seq_kernel_client_ctl" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x559564dc, "snd_midi_event_reset_decode" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-seq,snd-seq-device,snd,snd-seq-midi-event");


MODULE_INFO(srcversion, "EC1DC0D93FDFD50D2E8A518");

MODULE_INFO(suserelease, "SLE15-SP6");
