#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x90550a2f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x43e007d6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xd9bd532a, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xa3fb1f4e, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x18df390b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x62f6a435, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x9f1d34a7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x8fdfd08c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xa966dcfb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xd29d479b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x663e69e3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xb2f12741, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x90054ed8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xa70e8c48, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x5d2bf157, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x98cb4e3d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x4ee08042, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x83610899, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xa25300a7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x6ad154a4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xde0c25e8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x1d7b4ba4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x9363b55e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x7e79dfaa, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xe04c233c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xdcd78f5d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xbb7d1449, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x6d8b323a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0xb5f04177, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x83f957bd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x95c3353c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x871fa369, "snd_hdac_stream_release" },
	{ 0x593ab2d0, "snd_hdac_stream_release_locked" },
	{ 0x9ee80132, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3182216, "snd_hdac_bus_exit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x43e23f33, "snd_hdac_bus_init" },
	{ 0x7a387ba1, "snd_hdac_stream_init" },
	{ 0xe9983781, "_dev_err" },
	{ 0xccd86d96, "snd_hdac_device_unregister" },
	{ 0x54a8d546, "snd_hdac_stream_assign" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x6a708e5e, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfe69f4fc, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe31aaba0, "snd_hdac_bus_init_cmd_io" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x9157a985, "snd_hda_bus_type" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x835dfbb4, "driver_register" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "SLE15-SP6");
