#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_get_device_id, 0x9bd8f323, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x9157a985, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x43e23f33, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xa3182216, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xa07438d2, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xadc85bc6, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x0d29e046, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xa22cbff5, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x60f48568, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x23391656, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xccd86d96, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x7d6bf3b7, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x9f621990, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x11071116, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0xdbb7d802, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x6f18c19b, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x908d6a04, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xdf4ff7c4, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xf7c2a913, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x55b04f9b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xf194eafa, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xe154b506, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xa00ab500, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xba93bc8f, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x64c42ea9, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xd72438ce, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x557a5298, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x0c628b1d, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x01c1d80b, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x13e67835, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x5118e05c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x995e54e5, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x3accf132, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xb41b709c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xc8e68026, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x67a0b7f1, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x7dccef6b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x2bc47b09, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xe31aaba0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xfe69f4fc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x3d4f47ab, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xdfb6c087, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x4d88ee26, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x2012393d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x42682a20, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xf87f84ef, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x7f5708b4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xeeefbce3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xaec6e578, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x1b39b92f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x4dbc62eb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x5c52480e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x9ee80132, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x99a7ea18, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x7a387ba1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x6c89c58b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x285f9c24, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x79e4cee0, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x7e21d05e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xa016431b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x21a50aa5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xe945451b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x54a8d546, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x593ab2d0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x871fa369, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xf559cdec, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x540824b1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x38ca6df2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x13bb548f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xa505de3d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x0aeb0ab8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xb43f9075, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xeff705f2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xade91c56, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xd1a37f10, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xe16abc8e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x68eedb1c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xdf23e2bf, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x8137b0ce, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x9c87ccb7, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xfb3a21bf, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x700c524d, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x649dbb4a, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x0d4708c2, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xbc53cf6f, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x8a3aec35, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xa88650ef, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x3034c3f8, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x76df621a, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x10477ed2, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x7ff35f4b, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x28e5404d, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xac8d9c0b, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x2ec385a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8221daf2, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x1436e465, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2c8cb36b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c727f04, "component_master_add_with_match" },
	{ 0x57ff050c, "trace_raw_output_prep" },
	{ 0xb4146685, "snd_pcm_add_chmap_ctls" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa7b90c32, "__trace_trigger_soft_disabled" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7408283b, "pci_get_device" },
	{ 0xc530f146, "trace_event_printf" },
	{ 0x1360f3c9, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5f3ab676, "pm_runtime_get_if_active" },
	{ 0x7fa6f1d7, "kobject_init" },
	{ 0xdbaf944f, "device_initialize" },
	{ 0x2093efb8, "prepare_to_wait" },
	{ 0x9e9d97e1, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b6331c4, "regcache_reg_cached" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb18c38e6, "bpf_trace_run2" },
	{ 0x39914307, "__wake_up" },
	{ 0xbf0b178d, "snd_sgbuf_get_addr" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x36a3014f, "snd_sgbuf_get_chunk_size" },
	{ 0x8996668a, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x220b032c, "trace_event_buffer_commit" },
	{ 0x621c1a2a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5cf6b519, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xdaba41ff, "module_put" },
	{ 0xf371660f, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8c706f38, "perf_trace_run_bpf_submit" },
	{ 0xfaa34b0d, "bus_unregister" },
	{ 0xe9983781, "_dev_err" },
	{ 0x59142ad2, "kobject_add" },
	{ 0xbe7ecf58, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x4eccc143, "__devres_alloc_node" },
	{ 0x8fa6d0d, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xee7a3301, "sysfs_create_group" },
	{ 0x295f27f8, "__regmap_init" },
	{ 0xe7edac6f, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2e0caabf, "kobject_create_and_add" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd653d0a9, "sysfs_remove_group" },
	{ 0x980a8b8f, "bpf_trace_run3" },
	{ 0x29135756, "component_master_del" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x6fb5262, "trace_event_buffer_reserve" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5a93f97a, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1dbad2fa, "kobject_uevent" },
	{ 0xb70789e, "__might_fault" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x201f85c1, "devres_find" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xb8b49e73, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0xd52c6232, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x819397fb, "pci_bus_type" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7905f9a1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4d53d6e4, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "SLE15-SP6");
