#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_hda_common_probe, 0x4deb89a0, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x4eedebd5, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xe4b8830c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e25e7cb, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5f18d044, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xab77f5ee, "cs_dsp_stop" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0x911ed6df, "hda_cs_dsp_control_remove" },
	{ 0x826cc576, "component_del" },
	{ 0x327b04e9, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xedf8d660, "sound_debugfs_root" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11b0f70, "cs_dsp_init_debugfs" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x6db8d7d1, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xa68794ff, "cs35l56_init_cs_dsp" },
	{ 0xe9983781, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdc77ad29, "cs_dsp_halo_init" },
	{ 0x4cdcfeb0, "cs_dsp_power_down" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0xf06ae0cb, "hda_cs_dsp_add_controls" },
	{ 0x53bff046, "cs35l56_runtime_suspend_common" },
	{ 0x7e7e9d96, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeebfb747, "cs35l56_mbox_send" },
	{ 0xe2bb67e9, "cs35l56_hw_init" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5daed893, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb66c1fa, "cs_dsp_power_up" },
	{ 0x476d2bf9, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb88276c, "cs35l56_wait_for_firmware_boot" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa5378908, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xcba31cde, "cs35l56_is_fw_reload_needed" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x22bd31fe, "cs_dsp_run" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xe58a03cb, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf648a86c, "cs35l56_runtime_resume_common" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0x1051da22, "regmap_multi_reg_write" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xe3e6831d, "component_add" },
	{ 0x47265c87, "set_primary_fwnode" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xe18c644b, "devm_gpiod_get_index_optional" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x241c1e23, "cs35l56_firmware_shutdown" },
	{ 0x12497609, "pm_runtime_force_suspend" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xec3cd289, "__pm_runtime_idle" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l56-shared,snd,cs_dsp,snd-hda-cs-dsp-ctls,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F6F2398F7360415E2F5AE8D");

MODULE_INFO(suserelease, "SLE15-SP6");
