#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(oxygen_read8, 0x94211792, "");
SYMBOL_CRC(oxygen_read16, 0xfc95c8fe, "");
SYMBOL_CRC(oxygen_read32, 0x97bf547c, "");
SYMBOL_CRC(oxygen_write8, 0x906f49f7, "");
SYMBOL_CRC(oxygen_write16, 0xfbfb6025, "");
SYMBOL_CRC(oxygen_write32, 0x1be99a52, "");
SYMBOL_CRC(oxygen_write8_masked, 0x4a94f173, "");
SYMBOL_CRC(oxygen_write16_masked, 0x067f04ca, "");
SYMBOL_CRC(oxygen_write32_masked, 0x7cc399d8, "");
SYMBOL_CRC(oxygen_write_ac97, 0xbc9512f4, "");
SYMBOL_CRC(oxygen_read_ac97, 0xcd33c5b6, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x0ed5010a, "");
SYMBOL_CRC(oxygen_write_spi, 0xf9bcc7f1, "");
SYMBOL_CRC(oxygen_write_i2c, 0xe6b4c7bc, "");
SYMBOL_CRC(oxygen_reset_uart, 0xef24a4ba, "");
SYMBOL_CRC(oxygen_write_uart, 0x02381dbd, "");
SYMBOL_CRC(oxygen_pci_probe, 0x018b1b3d, "");
SYMBOL_CRC(oxygen_pci_pm, 0x5aab416b, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x43f04049, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xd786334d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9bfacb8, "snd_card_free_on_error" },
	{ 0x7ec2b98f, "snd_card_rw_proc_new" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0xeb6fcb4, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbab7ed15, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x17b80cb7, "snd_ctl_notify" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x65905936, "snd_pcm_set_managed_buffer" },
	{ 0x7385ed0b, "mutex_lock_interruptible" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xda9f6040, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x8790ee67, "snd_mpu401_uart_new" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0x185cedd4, "snd_pcm_hw_constraint_msbits" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x5b82f909, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "SLE15-SP6");
