#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1436e465, "snd_dma_alloc_dir_pages" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0x24b79231, "snd_ctl_add" },
	{ 0xac602f21, "snd_ac97_resume" },
	{ 0xe041020d, "snd_pcm_new" },
	{ 0xb4146685, "snd_pcm_add_chmap_ctls" },
	{ 0x29a77595, "snd_card_register" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x5bc10a47, "snd_devm_alloc_dir_pages" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0xe550cf8d, "param_ops_long" },
	{ 0xc209ef65, "snd_timer_interrupt" },
	{ 0xbc30511a, "param_array_ops" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9bfacb8, "snd_card_free_on_error" },
	{ 0x608f6456, "pcpu_hot" },
	{ 0xf1f8c677, "add_wait_queue" },
	{ 0x7ec2b98f, "snd_card_rw_proc_new" },
	{ 0xa9719d2a, "snd_ac97_update_bits" },
	{ 0xea5e9738, "snd_ac97_mixer" },
	{ 0x39914307, "__wake_up" },
	{ 0x61748355, "snd_opl3_create" },
	{ 0xd762476a, "snd_ac97_bus" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x621c1a2a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b748fe, "__devm_request_region" },
	{ 0x773b144e, "snd_ctl_new1" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe49d4b8d, "snd_ac97_suspend" },
	{ 0xcfa36d91, "snd_ctl_boolean_mono_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0x58d3976b, "pci_read_config_word" },
	{ 0x17b80cb7, "snd_ctl_notify" },
	{ 0x7717ce26, "snd_pcm_set_ops" },
	{ 0x7ff14b5a, "snd_timer_new" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x547891c, "_dev_warn" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0xc1c3224b, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xda9f6040, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0x15e05faf, "seq_printf" },
	{ 0x8790ee67, "snd_mpu401_uart_new" },
	{ 0x108996de, "remove_wait_queue" },
	{ 0xbdc41ac0, "snd_opl3_hwdep_new" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x939e4c83, "pcim_enable_device" },
	{ 0x2a32609e, "pci_write_config_word" },
	{ 0xeac747, "snd_pcm_hw_rule_noresample" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-ac97-codec,snd-timer,snd-opl3-lib,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001073d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d0000000Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d00000010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001073d00000012sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3E3F0A734593F9F0930233");

MODULE_INFO(suserelease, "SLE15-SP6");
