#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_system_suspend, 0x048d79f3, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xe47d1c62, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x0e7ff983, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x87f3c54a, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x8649885a, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xb0b13782, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xf438b9ad, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xa5f67c7c, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x2ad0ba52, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x397382b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bc95ddd, "snd_soc_dapm_put_enum_double" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e23b098, "snd_soc_card_get_kcontrol" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0xbc6f9c90, "snd_soc_dapm_mux_update_power" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c3f13d6, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0xb315dfa0, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0xa75115c7, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x327b04e9, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x310a3c9b, "devm_gpiod_get_optional" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b3c71e4, "__pm_runtime_set_status" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0xa0bc9f6c, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x70fd80b8, "sdw_write_no_pm" },
	{ 0x5c17e654, "devm_free_irq" },
	{ 0x7ba9c465, "pm_runtime_enable" },
	{ 0x6b4a2c74, "regulator_bulk_disable" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x1db57319, "snd_soc_info_volsw" },
	{ 0xa68794ff, "cs35l56_init_cs_dsp" },
	{ 0x1e68d76c, "wm_adsp_power_down" },
	{ 0xe1659500, "regcache_drop_region" },
	{ 0xe9983781, "_dev_err" },
	{ 0xebb297bf, "debugfs_create_bool" },
	{ 0xadee1e1b, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x18f958f8, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x86b42946, "mutex_lock" },
	{ 0x53bff046, "cs35l56_runtime_suspend_common" },
	{ 0xb0610733, "sdw_read_no_pm" },
	{ 0xeebfb747, "cs35l56_mbox_send" },
	{ 0xe2bb67e9, "cs35l56_hw_init" },
	{ 0x547891c, "_dev_warn" },
	{ 0x109b5d6d, "wm_adsp2_component_probe" },
	{ 0x5daed893, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfedecf3d, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x476d2bf9, "cs35l56_system_reset" },
	{ 0x9ef59ef4, "snd_soc_info_enum_double" },
	{ 0xf211404d, "regulator_bulk_enable" },
	{ 0xede8b412, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8bd606ff, "wm_adsp2_component_remove" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb88276c, "cs35l56_wait_for_firmware_boot" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xf6179d8b, "snd_soc_get_volsw" },
	{ 0xa5378908, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xcba31cde, "cs35l56_is_fw_reload_needed" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x6e744ba2, "snd_soc_put_volsw" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0xe58a03cb, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x77ec01a1, "regmap_bulk_read" },
	{ 0x677afb65, "sdw_stream_remove_slave" },
	{ 0xf648a86c, "cs35l56_runtime_resume_common" },
	{ 0x8798cdd1, "dapm_regulator_event" },
	{ 0x47e9222a, "cs35l56_get_speaker_id" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x102baf1d, "dev_err_probe" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x2ca4052a, "snd_soc_dapm_get_enum_double" },
	{ 0xd0e1f6d3, "__pm_runtime_use_autosuspend" },
	{ 0xaf8b8815, "wm_halo_init" },
	{ 0x1d6a0c78, "__pm_runtime_disable" },
	{ 0x241c1e23, "cs35l56_firmware_shutdown" },
	{ 0xdfa901d7, "sdw_stream_add_slave" },
	{ 0x12497609, "pm_runtime_force_suspend" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0xfdd13cab, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,soundwire-bus,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0014A8F1CE20353DF3C89C2");

MODULE_INFO(suserelease, "SLE15-SP6");
