#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(max98090_mic_detect, 0x4b032987, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bc95ddd, "snd_soc_dapm_put_enum_double" },
	{ 0x8672708b, "regcache_cache_only" },
	{ 0xedbd8e31, "is_acpi_device_node" },
	{ 0x2e7199c0, "regcache_sync" },
	{ 0x50a6fd22, "regmap_write" },
	{ 0x939639f1, "devm_request_threaded_irq" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xaf043e4, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf481b5e0, "snd_soc_bytes_put" },
	{ 0xcfb159f2, "snd_soc_component_read" },
	{ 0xd4238f52, "i2c_match_id" },
	{ 0x1e625c01, "snd_soc_bytes_get" },
	{ 0x1904e134, "snd_soc_put_enum_double" },
	{ 0xc931e62d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xa1437a4, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc9d3ffb8, "snd_soc_component_write" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc0b172ed, "pm_wakeup_dev_event" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x60ec90b3, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5ea0dec4, "device_property_read_u32_array" },
	{ 0xe5818e96, "snd_soc_get_enum_double" },
	{ 0x28842d5f, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x71278931, "i2c_register_driver" },
	{ 0x1db57319, "snd_soc_info_volsw" },
	{ 0xe9983781, "_dev_err" },
	{ 0xce33d754, "snd_soc_get_volsw_range" },
	{ 0xec7d5e1d, "snd_soc_dapm_put_volsw" },
	{ 0x7e8f49a0, "snd_soc_bytes_info" },
	{ 0x98f6ce4e, "snd_soc_info_volsw_range" },
	{ 0xfcb85fb1, "snd_soc_add_component_controls" },
	{ 0x547891c, "_dev_warn" },
	{ 0x32b6b8f6, "snd_soc_put_volsw_range" },
	{ 0xa990a621, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x139b8ccd, "acpi_match_device" },
	{ 0x9ef59ef4, "snd_soc_info_enum_double" },
	{ 0xf6179d8b, "snd_soc_get_volsw" },
	{ 0x34c8ec4b, "regmap_read" },
	{ 0x6e744ba2, "snd_soc_put_volsw" },
	{ 0x3585d781, "snd_soc_component_update_bits" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc4465ec, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x185cedd4, "snd_pcm_hw_constraint_msbits" },
	{ 0x7b6cffc8, "regmap_update_bits_base" },
	{ 0x95fb628f, "snd_soc_dapm_get_volsw" },
	{ 0x29dea256, "i2c_del_driver" },
	{ 0x2ca4052a, "snd_soc_dapm_get_enum_double" },
	{ 0x66463ba8, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,regmap-i2c,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");

MODULE_INFO(srcversion, "A038C51223052BA5766A9C8");

MODULE_INFO(suserelease, "SLE15-SP6");
