#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wm_adsp_fw_get, 0xd8cf6226, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xbb01181c, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x2fd8877a, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x646966ce, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x70764a1e, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x23f47c6b, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x9e44dc68, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xa321f4b5, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa5370a6b, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xc6f97051, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xfdd13cab, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x1e68d76c, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xb5120b6a, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xadee1e1b, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x109b5d6d, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x8bd606ff, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xd9603fe2, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xaf8b8815, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0xe3acc2c4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0xc086e862, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x1946bf14, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xc0771cb9, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x239c8542, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xc656e3c1, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xc7441d46, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x1ad2ed3d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xcb36d927, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa9661d69, "snd_soc_component_force_enable_pin" },
	{ 0xa763bbbe, "firmware_request_nowarn" },
	{ 0x5f18d044, "cs_dsp_cleanup_debugfs" },
	{ 0x6aa60840, "cs_dsp_coeff_read_ctrl" },
	{ 0x28f1100e, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab77f5ee, "cs_dsp_stop" },
	{ 0x8663ea3b, "cs_dsp_adsp1_power_up" },
	{ 0xdf607848, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x14537dd5, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x5fd2e2f9, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11b0f70, "cs_dsp_init_debugfs" },
	{ 0x39914307, "__wake_up" },
	{ 0xc911f20a, "cs_dsp_halo_bus_error" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe0c6a17, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b245830, "cs_dsp_find_alg_region" },
	{ 0x818e4497, "cs_dsp_coeff_write_acked_control" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x972552c3, "cs_dsp_get_ctl" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xe9983781, "_dev_err" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xdc77ad29, "cs_dsp_halo_init" },
	{ 0x4cdcfeb0, "cs_dsp_power_down" },
	{ 0x40fdf70a, "cs_dsp_adsp2_init" },
	{ 0xfcb85fb1, "snd_soc_add_component_controls" },
	{ 0x7e7e9d96, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xedc99f71, "cs_dsp_set_dspclk" },
	{ 0x547891c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb66c1fa, "cs_dsp_power_up" },
	{ 0x7a0207f, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x22bd31fe, "cs_dsp_run" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe168fa7c, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9ab0bb13, "cs_dsp_halo_wdt_expire" },
	{ 0x37bc117a, "snd_soc_component_disable_pin" },
	{ 0x5d7182de, "snd_soc_bytes_tlv_callback" },
	{ 0x2c4556d, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb096c710, "cs_dsp_read_raw_data_block" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x136e905, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F5B433CF054EB473A43CE7A");

MODULE_INFO(suserelease, "SLE15-SP6");
