#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xeec290e, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfd235cc6, "snd_soc_dai_set_tdm_slot" },
	{ 0xe19b0f49, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa04919bb, "rt5682s_sel_asrc_clk_src" },
	{ 0x44c5e36c, "snd_soc_dapm_disable_pin" },
	{ 0xdf4d2b5b, "hdac_hdmi_jack_init" },
	{ 0xf7add1fc, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7d9a92f3, "max_98357a_dai_link" },
	{ 0x1e965e63, "max_98360a_dai_link" },
	{ 0x86603790, "snd_soc_dai_set_sysclk" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xa1437a4, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe0c6a17, "snd_soc_dapm_sync" },
	{ 0xc1212a6f, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb8ebe598, "snd_soc_component_set_jack" },
	{ 0xa0bc9f6c, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc2a859e4, "rt5645_sel_asrc_clk_src" },
	{ 0xd88c7017, "snd_soc_dapm_get_pin_switch" },
	{ 0xdc9c5a6b, "max_98373_components" },
	{ 0xe9983781, "_dev_err" },
	{ 0xd1f2b569, "max_98373_spk_codec_init" },
	{ 0x33576353, "max_98390_dai_link" },
	{ 0xa2b4801c, "asoc_dummy_dlc" },
	{ 0xce3edd22, "max_98373_set_codec_conf" },
	{ 0x547891c, "_dev_warn" },
	{ 0xe52d2d85, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xa990a621, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe90cc34c, "snd_jack_set_key" },
	{ 0xe868469, "__platform_driver_register" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xc650fdea, "snd_soc_card_jack_new_pins" },
	{ 0x850ba11a, "sof_rt1015p_codec_conf" },
	{ 0x68614034, "snd_soc_dai_set_pll" },
	{ 0xdc4465ec, "snd_soc_dapm_new_controls" },
	{ 0x1be08750, "rt5682_sel_asrc_clk_src" },
	{ 0xd2f2e6f3, "snd_soc_dapm_put_pin_switch" },
	{ 0x25d18ba1, "sof_dai_get_mclk" },
	{ 0xbe26b833, "sof_rt1011_codec_conf" },
	{ 0x72b14e1, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xee7b83bd, "snd_soc_pm_ops" },
	{ 0xa02b222f, "hda_dsp_hdmi_build_controls" },
	{ 0xd7ca4575, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0xc9b99c78, "sof_rt1015p_dai_link" },
	{ 0xdb166589, "sof_rt1019p_dai_link" },
	{ 0xe994907e, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbfd869bf, "devm_snd_soc_register_card" },
	{ 0x4edd8716, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-intel-sof-realtek-common,snd-soc-rt5682s,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "SLE15-SP6");
