#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(skl_dsp_set_dma_control, 0x48c7bce2, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x66cac347, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xcd6a1c70, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xcae44ac0, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x1e3020fc, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xc7ea14f1, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x7819e28c, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xb4f8ad51, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xf27550e5, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xe25bf5ce, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x0ae63a35, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0xadf85d61, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xf6b032e9, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x1f770ae4, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x927e3cf3, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x5d63ae7d, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xdb9ff79c, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x1cab2d5d, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x9f739354, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xdfe2777a, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xf584f151, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x87ae8ef2, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x11906891, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x93d87be6, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x3959e541, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x00f278a4, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x17d17d20, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xa9d25255, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x37e0823d, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x17cd7192, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xc2f4ea20, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xb9f246cf, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x83bac770, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0xc74f89cc, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xf56cc962, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dd66962, "platform_device_put" },
	{ 0x79efb5f4, "pci_save_state" },
	{ 0x5d2bf157, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb6b7c601, "sst_dsp_register_poll" },
	{ 0x1436e465, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0xe11a0548, "pci_enable_device" },
	{ 0x3d4f47ab, "snd_hdac_bus_send_cmd" },
	{ 0x7349a40c, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeff705f2, "snd_hdac_stream_set_spib" },
	{ 0x42682a20, "snd_hdac_bus_enter_link_reset" },
	{ 0x4afd4d40, "sst_ipc_tx_message_wait" },
	{ 0x68765703, "intel_nhlt_get_dmic_geo" },
	{ 0x4d88ee26, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe04c233c, "snd_hdac_ext_stream_start" },
	{ 0xab0f625c, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d7b4ba4, "snd_hdac_ext_stream_free_all" },
	{ 0xdfb6c087, "snd_hdac_bus_update_rirb" },
	{ 0xf9cf1c98, "sst_dsp_shim_write_unlocked" },
	{ 0x62f6a435, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0xbdd2d2f0, "rt_mutex_base_init" },
	{ 0x8415c193, "finish_wait" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xe5448fce, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x352b1d40, "snd_pcm_hw_constraint_minmax" },
	{ 0x9f621990, "snd_hdac_codec_modalias" },
	{ 0xaec6e578, "snd_hdac_bus_stop_chip" },
	{ 0x7b043494, "pci_request_regions" },
	{ 0xb2f12741, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x90550a2f, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x2e696675, "prepare_to_wait_event" },
	{ 0x39914307, "__wake_up" },
	{ 0x33b5c217, "snd_intel_dsp_driver_probe" },
	{ 0xdf23e2bf, "snd_hdac_stream_set_lpib" },
	{ 0xbf0b178d, "snd_sgbuf_get_addr" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0x36a3014f, "snd_sgbuf_get_chunk_size" },
	{ 0x36c463cf, "pci_ioremap_bar" },
	{ 0xd9bd532a, "snd_hdac_ext_bus_device_remove" },
	{ 0x9f1d34a7, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xeb6fcb4, "snd_pcm_set_sync" },
	{ 0x71390c84, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba4fdc24, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3aef75d, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x13bb548f, "snd_hdac_stream_timecounter_init" },
	{ 0xa966dcfb, "snd_hdac_ext_link_free_all" },
	{ 0x6e665e4a, "sst_ipc_tx_message_nowait" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x621c1a2a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe55947c4, "devm_snd_soc_register_component" },
	{ 0x5c52480e, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x8137b0ce, "snd_hdac_dsp_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa70e8c48, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x43e007d6, "snd_hdac_ext_bus_exit" },
	{ 0x1d00bdf4, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5cf6b519, "put_device" },
	{ 0xe15369df, "sysfs_remove_file_ns" },
	{ 0x7e79dfaa, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xdcd78f5d, "snd_hdac_ext_stream_clear" },
	{ 0x23391656, "snd_hdac_device_register" },
	{ 0xb43f9075, "snd_hdac_stream_spbcap_enable" },
	{ 0xc1478805, "sst_ipc_tx_message_nopm" },
	{ 0x2ec385a7, "snd_hdac_i915_init" },
	{ 0x28842d5f, "_dev_info" },
	{ 0xeeefbce3, "snd_hdac_bus_init_chip" },
	{ 0x285f9c24, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe434ae7b, "intel_nhlt_get_endpoint_blob" },
	{ 0xe945451b, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x53017ef, "sst_dsp_shim_read_unlocked" },
	{ 0x1a82c8a4, "devm_kfree" },
	{ 0xe9983781, "_dev_err" },
	{ 0x91df4b40, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xf87f84ef, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0x43cb45e3, "sst_ipc_fini" },
	{ 0xb5f04177, "snd_hdac_ext_stream_assign" },
	{ 0x83f957bd, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x86b42946, "mutex_lock" },
	{ 0xde0c25e8, "snd_hdac_ext_stream_init_all" },
	{ 0x49bdda10, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x635b2163, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x741b8d0e, "sst_dsp_shim_update_bits_forced" },
	{ 0xd0b6a5f5, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0xded29f09, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5e8bfae6, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x4c231b37, "snd_soc_tplg_component_load" },
	{ 0xfb4be1aa, "sst_dsp_shim_read" },
	{ 0x6d8b323a, "snd_hdac_ext_stream_setup" },
	{ 0xfe69f4fc, "snd_hdac_bus_stop_cmd_io" },
	{ 0xaeb0ab8, "snd_hdac_stream_sync" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbe905e70, "pci_restore_state" },
	{ 0xb015e5bd, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x88338df0, "snd_pcm_set_managed_buffer_all" },
	{ 0x547891c, "_dev_warn" },
	{ 0xa88650ef, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x533b50d4, "sst_dsp_mailbox_init" },
	{ 0xf497be6b, "__init_waitqueue_head" },
	{ 0x91dcebac, "sst_ipc_tx_msg_reply_complete" },
	{ 0x102ba2fe, "snd_soc_tplg_component_remove" },
	{ 0xe31aaba0, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xfd56989, "dma_set_coherent_mask" },
	{ 0xeefebbc6, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3bb7f7d2, "sst_dsp_shim_update_bits" },
	{ 0x28e5404d, "snd_hdac_acomp_exit" },
	{ 0x1a3dfa89, "debugfs_create_file" },
	{ 0x2012393d, "snd_hdac_bus_parse_capabilities" },
	{ 0x14374524, "platform_device_register_full" },
	{ 0xb306a138, "sst_dsp_outbox_write" },
	{ 0x9d623e7c, "pm_runtime_allow" },
	{ 0xa09b879, "__pm_runtime_resume" },
	{ 0x3ac84c03, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x21a50aa5, "snd_hdac_stream_setup" },
	{ 0x8a164ac0, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x38ca6df2, "snd_hdac_stream_set_params" },
	{ 0xe9047d39, "pci_release_regions" },
	{ 0xea3dfe0a, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8fdfd08c, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x1b39b92f, "snd_hdac_bus_handle_stream_irq" },
	{ 0xf003ced1, "pci_write_config_byte" },
	{ 0xd1a37f10, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8735ba61, "snd_soc_acpi_intel_skl_machines" },
	{ 0x663e69e3, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x5eb945a5, "snd_soc_set_runtime_hwparams" },
	{ 0xf559cdec, "snd_hdac_get_stream" },
	{ 0x10e2fe3a, "pci_disable_device" },
	{ 0x98cb4e3d, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x8c96581a, "pci_match_id" },
	{ 0xa505de3d, "snd_hdac_stream_sync_trigger" },
	{ 0xa25300a7, "snd_hdac_ext_bus_link_put" },
	{ 0x53990841, "snd_hda_codec_device_init" },
	{ 0xb9c4a0e2, "dma_set_mask" },
	{ 0x8a3aec35, "snd_hdac_set_codec_wakeup" },
	{ 0xa016431b, "snd_hdac_stream_reset" },
	{ 0x398b9f8a, "sst_dsp_shim_write" },
	{ 0x15d78bbf, "snd_pcm_period_elapsed" },
	{ 0x60ba4f80, "kmalloc_trace" },
	{ 0xa73b10e5, "__pm_runtime_suspend" },
	{ 0x4dbc62eb, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x17028926, "snd_soc_tplg_widget_bind_event" },
	{ 0xf961a678, "pci_read_config_byte" },
	{ 0x9c87ccb7, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xe4924426, "param_ops_int" },
	{ 0x48b0e9e3, "intel_nhlt_init" },
	{ 0x7e21d05e, "snd_hdac_stop_streams_and_chip" },
	{ 0xfb3a21bf, "snd_hdac_dsp_cleanup" },
	{ 0x7ce2f77a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb7d1449, "snd_hdac_ext_stream_reset" },
	{ 0x7d85fd42, "__mutex_rt_init" },
	{ 0x79e4cee0, "snd_hdac_stop_streams" },
	{ 0x4ee08042, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x6c89c58b, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x71bad54f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8a129bef, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68eedb1c, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x570a2230, "snd_soc_acpi_intel_hda_machines" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "SLE15-SP6");
