#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x3cabd897, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xa2c040fc, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x537b6ab9, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x032eda51, "");
SYMBOL_CRC(acp_dsp_block_read, 0xb1b2a39e, "");
SYMBOL_CRC(acp_dsp_block_write, 0xd6f96f13, "");
SYMBOL_CRC(acp_get_bar_index, 0x666914e6, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xe0f8f8a2, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x81ce6f69, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xbfc5b0c1, "");
SYMBOL_CRC(acp_mailbox_write, 0xe7f369b4, "");
SYMBOL_CRC(acp_mailbox_read, 0x2ef0d414, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x41ddabfd, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xdf8cb154, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x3aacfe5e, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x3c028779, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x30ed08bb, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x30769915, "");
SYMBOL_CRC(acp_pcm_open, 0x1996b876, "");
SYMBOL_CRC(acp_pcm_close, 0xe9e05fba, "");
SYMBOL_CRC(acp_pcm_pointer, 0x6b53c7f1, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xc60e90fa, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xe41eb0b4, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x8aef5f9a, "");
SYMBOL_CRC(acp_sof_trace_release, 0x0796ba86, "");
SYMBOL_CRC(acp_sof_trace_init, 0xaf05a0e6, "");
SYMBOL_CRC(sof_acp_common_ops, 0x6625d0f9, "");
SYMBOL_CRC(acp_probes_register, 0xe3c3319a, "");
SYMBOL_CRC(acp_probes_unregister, 0xa3f0ba9b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc7230f5f, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xcd4c76ba, "devm_kmalloc" },
	{ 0x2bfa6a18, "pci_dev_put" },
	{ 0x7408283b, "pci_get_device" },
	{ 0xcb46aa67, "request_firmware" },
	{ 0x105113c1, "devm_ioremap" },
	{ 0x3debf277, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x39914307, "__wake_up" },
	{ 0xbf0b178d, "snd_sgbuf_get_addr" },
	{ 0x3105f623, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0ef694, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe9983781, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdb08bc16, "platform_device_unregister" },
	{ 0xd3766b50, "dma_alloc_attrs" },
	{ 0xb881f9b7, "sof_client_dev_register" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xc77c9e02, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x97ee8ef7, "snd_sof_dsp_update_bits" },
	{ 0x547891c, "_dev_warn" },
	{ 0x96c374ea, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd41f6912, "rt_spin_unlock" },
	{ 0x9b5fe101, "rt_spin_lock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x1110bdf, "sof_io_read" },
	{ 0xdd9c2930, "devm_kasprintf" },
	{ 0xbb9064aa, "snd_sof_ipc_reply" },
	{ 0x14374524, "platform_device_register_full" },
	{ 0xa8a9f9e2, "dma_free_attrs" },
	{ 0xb856c210, "param_ops_bool" },
	{ 0xf7f9a97f, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3305e8a, "snd_sof_dsp_panic" },
	{ 0x45b17cd8, "sof_client_dev_unregister" },
	{ 0xad13e203, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x32c05e60, "pci_write_config_dword" },
	{ 0x6bc1e604, "sof_io_write" },
	{ 0x71bd364f, "sof_machine_register" },
	{ 0xb5ea511c, "module_layout" },
};

MODULE_INFO(depends, "snd-sof,snd-sof-xtensa-dsp,snd-pcm,snd-soc-acpi");


MODULE_INFO(srcversion, "26C36707EEE5F4742AD2B0C");

MODULE_INFO(suserelease, "SLE15-SP6");
